Apple Pro Training Series Advanced Logic Pro 7

Next Page

Book Cover
Apple Pro Training Series Advanced Logic Pro 7
By David Dvorin
...............................................
Publisher: Peachpit Press
Pub Date: April 08, 2005
ISBN: 0-321-25607-7
Pages: 560

Table of Contents | Index
Overview

If you want to do more than simply use Logic to improve the audio in your video projectsif you want to start actually creating and producing music with it-this Apple-certified guide provides the key. Whether you're a composer, producer, songwriter, engineer, studio programmer or simply want to create and produce pro-quality music in your Logic-based home studio, you'll find all the self-paced, step-by-step instruction you need here to begin creating your audio master works immediately. As both a professional musician and a former employee of eMagic and Apple (the former and current makers of the software), author David Dvorin knows Logic like no one else. Here, he uses project-based tutorials to reveal all of its secrets, including its newest: advanced DSP techniques and the ability to layer MIDI instruments and split channels. In short order you'll be scoring and composing; jamming with Logic's software instruments; employing advanced mixing, editing, and production techniques; and more. A companion CD includes trial software and the lesson files needed to complete the book's exercises.

Next Page


Table of Contents

Previous Page
Next Page

Book Cover
Apple Pro Training Series Advanced Logic Pro 7
By David Dvorin
...............................................
Publisher: Peachpit Press
Pub Date: April 08, 2005
ISBN: 0-321-25607-7
Pages: 560

Table of Contents | Index

Copyright
Acknowledgments
Getting Started
 | The Methodology
 | This Book Stays Current: Online Updates
 | About the Apple Pro Training Series
 | System Requirements
 | Copying the Logic Lesson Files
 | Resources
 | Apple Pro Certification Program
Advanced Setup
 | Lesson 1. Speeding Up Workflow
 |  | Using Song Templates
 |  | Customizing the Interface
 |  | Using Key Commands
 |  | Accessing the Toolbox
 |  | Saving a Song Template
 |  | What You've Learned
 | Lesson 2. Managing Your I/O Setup
 |  | Labeling Inputs and Outputs
 |  | Creating a Headphone Mix
 |  | Using Input Objects
 |  | Backing Up and Transporting Your Setup
 |  | What You've Learned
Advanced Production
 | Lesson 3. Creating and Managing Takes
 |  | Using Project Folders
 |  | Working with Dependent Files
 |  | Quickly Accessing Additional Tracks
 |  | Recording Multiple Tracks Simultaneously
 |  | What to Do if You Run Out of Tracks
 |  | What You've Learned
 | Lesson 4. Tempo and Pitch Matching
 |  | Working with Apple Loops
 |  | Using the Time and Pitch Machine
 |  | Working with Rubato Passages
 |  | What You've Learned
 | Lesson 5. Working with Software Instruments
 |  | Getting Familiar with the Instruments
 |  | Understanding the User Interface
 |  | Using Ultrabeat
 |  | Using the EXS24 Software Sampler
 |  | Using the EVP88 Vintage Electric Piano
 |  | Using the EVD6 Vintage Clavinet
 |  | Using the EFM 1 FM Synthesizer
 |  | Using the ES2 Synthesizer
 |  | Using the ES1 Virtual Analog Synthesizer
 |  | Using Global Tracks to Create a Quick Arrangement
 |  | Sound Design with Sculpture
 |  | Treating Your MIDI Hardware as Software
 |  | What You've Learned
Advanced Editing
 | Lesson 6. Working with the Arrangement
 |  | Creating and Using Markers
 |  | Navigating the Arrangement
 |  | Zooming Effectively
 |  | What You've Learned
 | Lesson 7. Advanced Audio Editing
 |  | Using Edits to Create Parts
 |  | Comping Tracks
 |  | Fixing Problems Using the Sample Editor
 |  | What You've Learned
 | Lesson 8. Advanced MIDI Editing
 |  | Using Loops, Copies, and Aliases
 |  | Demixing MIDI Regions
 |  | Working with Region Parameters
 |  | Working with MIDI Note Events
 |  | Using Transform Functions
 |  | What You've Learned
Advanced Mixing
 | Lesson 9. Working with Mixer Channels
 |  | Using the Track Mixer
 |  | Using Insert Effects
 |  | Using Bus Effects
 |  | Panning Stereo Tracks
 |  | Switching the Contents of the Plug-in Window
 |  | Changing Plug-in Locations
 |  | Using Channel Strip Settings
 |  | What You've Learned
 | Lesson 10. Controlling Signal Flow
 |  | Using Bus Channels as Submixes
 |  | Using Aux Channels for Bus Returns
 |  | Adding Tracks to the Track View
 |  | Using Mixer Groups
 |  | Incorporating External Effects Processors
 |  | What You've Learned
 | Lesson 11. Automating the Mix
 |  | Working with Offline Automation
 |  | Performing Real-Time Automation
 |  | What You've Learned
Advanced Topics
 | Lesson 12. Working with Notation
 |  | Creating Notation
 |  | Using Score Styles
 |  | Working with Text
 |  | Transcribing a Performance
 |  | Working with Drum Notation
 |  | Creating Scores and Parts
 |  | What You've Learned
 | Lesson 13. Scoring to Picture
 |  | Setting Up Synchronization
 |  | Importing Media
 |  | Spotting the Movie
 |  | Positioning Events on the Timeline
 |  | What You've Learned
 | Appendix. Round-Trip Production
 |  | Content Creation Workflows with Apple's Professional Applications
 |  | Editing
 |  | Effects and Graphics
 |  | Music and Audio
 |  | Delivery
 |  | Workgroup Collaboration
 |  | Summary
 | Glossary
 |  | A
 |  | B
 |  | C
 |  | D
 |  | E
 |  | F
 |  | G
 |  | H
 |  | I
 |  | K
 |  | L
 |  | M
 |  | N
 |  | O
 |  | P
 |  | Q
 |  | R
 |  | S
 |  | T
 |  | V
 |  | W
 |  | X
 |  | Z
Index

Previous Page


Copyright

Copyright © 2005 by David Dvorin

Published by Peachpit Press. For information on Peachpit Press books, contact:

Peachpit Press
1249 Eighth Street
Berkeley, CA 94710
(510) 524-2178
Fax: (510) 524-2221
http://www.peachpit.com

To report errors, please send a note to errata@peachpit.com.

Peachpit Press is a division of Pearson Education.

Credits

Series Editor: Serena Herr
Managing Editor: Kristin Kalning
Editor: Bob Lindstrom
Production Editor: Laurie Stewart, Happenstance Type-O-Rama
Technical Editor: Robert Brock
Technical Reviewer: Bill Burgess
Copy Editor: Elissa Rabellino
Proofreader: Karen Seriguchi
Compositor: Craig Woods, Happenstance Type-O-Rama
Indexer: Jack Lewis
Cover and Interior Design: Frances Baca Design
Cover Illustration: Tolleson Design; images © Corbis Images
Cover Production: George Mattingly / GMD

Notice of Rights

All rights reserved. No part of this book may be reproduced or transmitted in any form by any means, electronic, mechanical, photocopying, recording, or otherwise, without the prior written permission of the publisher. For information on getting permission for reprints and excerpts, contact permissions@peachpit.com.

Monterey Bay National Marine Sanctuary Video © 2005 by Monterey Bay Aquarium Foundation. Produced by Sea Studios Foundation for the Monterey Bay Aquarium. All rights reserved.

"I Was Raised" © 2004 by Tom Langford, courtesy of Bella Vista Records from the album Places You Know.

Notice of Liability

The information in this book is distributed on an "As Is" basis, without warranty. While every precaution has been taken in the preparation of the book, neither the authors nor Peachpit Press shall have any liability to any person or entity with respect to any loss or damage caused or alleged to be caused directly or indirectly by the instructions contained in this book or by the computer software and hardware products described in it.

Trademarks

Throughout this book trademarked names are used. Rather than put a trademark symbol in every occurrence of a trademarked name, we state we are using the names only in an editorial fashion and to the benefit of the trademark owner with no intention of infringement of the trademark.

9 8 7 6 5 4 3 2 1

Printed and bound in the United States of America

Dedication

This book is dedicated to my parents, who helped to cultivate in me the love of music and supported my dream of becoming a composer.


Acknowledgments

Sincere, humble thanks to my wife Keri, son Jonah, and daughter Zinnia for enabling me to write this book. Those long hours spent working were also spent longing to be with you.

I could not have accomplished this task without the wise direction and knowledge of editor Bob Lindstrom, and technical editor Robert Brock. You made my life manageable and enjoyable during this arduous process.

Huge thanks to my dear friend Tom Langford for his generosity in providing the tracks from his wonderful song, "I Was Raised." Look for Tom's music released on Bella Vista Records (www.tomlangford.com).

A special "Thanks, mate!" to Phil Jackson for supplying his score to the Monterey Bay Sanctuary video.

Thank you to Mark Shelley, Sea Studios Foundation, and the Monterey Bay National Marine Sanctuary for the use of their beautiful video.

Thanks to my sister Julie for supplying advice, encouragement, and a writer's perspective.

Thank you, Patty Montesion, for your unfaltering confidence and respect.

Thanks to the entire team at Peachpit for their constructive scrutiny.

Thanks to all my friends at Apple who helped me to grow throughout the many years of working together.


Getting Started

We are lucky to live during one of the most exciting periods in the music production industry. Just a few short years ago, you would need a studio filled with synthesizers, hardware effects processors, mixing consoles, and expensive multi-track tape machines to accomplish what you now can do in a small, project-based environment with a computer, an audio interface, and the right software. It's a good time to be a musician.

Apple Pro Training Series: Advanced Logic Pro 7 is intended to show experienced composers, arrangers, and producers how to expand and enhance their skills by working with real projects in real-world scenarios. You'll learn how to increase the efficiency of your production workflow, accelerate editing tasks, and create and manage multiple takes effectively. You'll work on refining your mixing techniques, manipulating tempo and pitch, creating notated parts and scores, and scoring for video and film. You'll discover powerful techniques for multi-track recording and explore the limitless potential of Logic's audio instruments.

Whether you're tweaking a song structure, applying effects processing, or editing audio and MIDI tracks, this book will give you the insider tips that will make your time with Logic Pro 7 more productive and more creative.


The Methodology

This book is written for those who already have a working knowledge of Logic Pro. (Beginning or less-experienced Logic users should read Apple Pro Training Series: Logic Pro 7 and Express 7.) Composers, audio engineers, and music producers currently working with Logic Pro will have the most to gain from reading this book.

The book is divided into five sections:

  1. Lessons 1 and 2 lay the foundation by helping you customize your Logic workflow and I/O setup. You'll create an environment that will increase your efficiency when going through the exercises in the book, as well as on your own projects.

  2. Lessons 3 through 5 are designed to teach you how make the most of your production time. You'll start by creating and organizing audio and MIDI tracks for a multitrack song project. Then you'll use Logic's pitch and tempo correction to fix problems in the recordings, and you'll create Apple Loops for integration into your arrangement. Finally, you'll discover how audio instruments bring a wealth of musical resources to your sessions.

  3. In Lessons 6 through 8 you'll learn how to shape your tracks into an arrangement. With Logic's MIDI and audio editing tools you can refine the sound and structure of your composition, correcting production problems and making the most of your best takes.

  4. A composition is only as good as it sounds, which makes mixing and mastering your arrangement an essential part of the creative process. Lessons 9 through 11 guide you in taking your composition to the final level, using Logic Pro's mixer, automation, and effects processing to bring the highest degree of production quality to your creative output.

  5. For many projects, Logic Pro will be an all-inclusive working environment that takes a composer and producer from musical idea to final recording. But there are times when you need to get your ideas on paper or when you're using your musical skills to serve a visual image. Lesson 12 shows you how to use Logic Pro's extensive notation capabilities to create musical parts and scores. In Lesson 13 you'll delve into Logic Pro's power as a scoring tool for film and video.


This Book Stays Current: Online Updates

Apple Pro Training Series: Advanced Logic Pro 7 has a companion web site: www.peachpit.com/apts.adv_logic. As Logic Pro 7 is updated, please check the web site for online updates, revised lessons, errata notices, and additional information.


About the Apple Pro Training Series

Apple Pro Training Series: Advanced Logic Pro 7 is part of the official training series for Apple Pro applications developed by experts in the field. The lessons are designed to let you learn at your own pace. You'll find that this book teaches many advanced features, including tips and techniques for using the latest version of Logic.

Although each lesson provides step-by-step instructions for creating a specific project, there's room for exploration and experimentation. It is recommended that you follow the book from start to finish or at least complete the lessons in each part of the book in order. Each lesson concludes with a review section summarizing what you've covered.


System Requirements

Before beginning to use Apple Pro Training Series: Advanced Logic Pro 7, you should have a working knowledge of your computer and its operating system. Make sure that you know how to use the mouse and standard menus and commands and also how to open, save, and close files. If you need to review these techniques, see the printed or online documentation included with your system.

These are the basic system requirements for Logic 7:

  • Macintosh computer with PowerPC G4 or faster processor (G5 or dual G4 processors recommended)

  • Mac OS X 10.3 or later

  • 512 MB of RAM

  • DVD drive for software installation

  • Low-latency multi-I/O audio hardware and MIDI interface recommended

  • MIDI keyboard

  • 5400 rpm hard drive (7200 rpm recommended) with 4 GB of available hard-disk space


Copying the Logic Lesson Files

The Apple Pro Training Series: Advanced Logic Pro 7 DVD-ROM includes folders containing the lesson files used in this course. Each lesson has its own folder containing the files used in the lessons. You must also have a standard installation of Logic Pro 7 on your hard disk to perform the exercises in this book.

To install the Logic project files

1. | Insert the APTS_Advanced Logic 7 DVD-ROM into your DVD drive.
2. | Double-click the APTS_Advanced Logic 7 DVD-ROM to view its contents.
3. | Drag the Advanced Logic 7_Song Files folder from the DVD into the Music folder on your hard disk.


Resources

Apple Pro Training Series: Advanced Logic Pro 7 is not intended as a comprehensive reference manual, nor does it replace the documentation that comes with the Logic application. For comprehensive information about program features, refer to the reference manuals. Accessed through the Logic Help menu, the Logic Pro 7 Reference Manual and Logic Pro 7 Plug-In Reference Manual contain complete descriptions of all features.


Apple Pro Certification Program

The Apple Pro Training and Certification Programs are designed to keep you at the forefront of Apple's digital media technology while giving you a competitive edge in today's ever-changing job market. Whether you're an editor, graphic designer, sound designer, special effects artist, or teacher, these training tools are meant to help you expand your skills.

Upon completing the course material in this book, you can become an Apple Pro by taking the certification exam at an Apple Authorized Training Center. Certification is offered in Final Cut Pro HD, DVD Studio Pro 3, Shake 3.5, and Logic 7. Successful certification as an Apple Pro gives you official recognition of your knowledge of Apple's professional applications while enabling you to market yourself to employers and clients as a skilled, pro-level user of Apple products.

To find an Authorized Training Center near you, go to www.apple.com/software/pro/training.

For those who prefer to learn in an instructor-led setting, Apple also offers training courses at Apple Authorized Training Centers worldwide. These courses, which use the Apple Pro Training Series books as their curriculum, are taught by Apple Certified Trainers and balance concepts and lectures with hands-on labs and exercises. Apple Authorized Training Centers for Pro products have been carefully selected and have met Apple's highest standards in all areas, including facilities, instructors, course delivery, and infrastructure. The goal of the program is to offer Apple customers, from beginners to the most seasoned professionals, the highest-quality training.


Advanced Setup

    Lesson 1. Speeding Up Workflow

    Lesson 2. Managing Your I/O Setup


Lesson 1. Speeding Up Workflow

Lesson Files | None (You will use the installed templates.)
Media | None
Time | This lesson takes approximately 90 minutes to complete.
Goals | Use and access song templates Customize existing screensets to session needs Learn the advantages and disadvantages of locking versus unlocking screensets Assign key commands to speed up workflow Access Logic's tools quickly and efficiently

In this chapter you will learn techniques that can make your Logic sessions more efficient and provide a speedier workflow. Spending a little time up front in preparation saves considerable production time when you are knee-deep in a project. After all, the quicker you can get your ideas into Logic, the more time you can spend on creating and producing music and audio!


Using Song Templates

Logic is a versatile application that can be configured in many ways. Sometimes you will want to see data, tracks, and windows displayed according to the type of project you are working on. For example, songwriting calls for a vastly different work process than, let's say, stereo mastering a CD.

To aid in this Logic allows for the creation and usage of multiple song templates, which can be used as the basis for a project. Having a catalog of blank song templates, tailored to a specific workflow, will let you get to work more quickly and easily.

Let's bring up one of the many premade templates that come with Logic Pro 7. Start by closing any open songs that might have come up when launching Logic.

1. | Choose File > New. The New dialog appears.
2. | Check the "Use song template" box.
3. | Uncheck the "Create project folder" box if it is checked.
4. | Click in the Template pop-up menu and choose Shared > Powerbook 15" > Stereo Mastering. NOTE If you are running Logic on a 20-inch or larger Apple Cinema Display, choose Shared > Cinema Display 20" > Stereo Mastering for the equivalent file, maximized for your screen resolution. The included temp lates that install with Logic Pro only come in 15" and 20" sizes and are configured for full screen resolution. If you are using a smaller screen resolution or screen size, such as a 12" Powerbook, the larger screensets will adapt to some extent, filling the available space.
5. | Click OK to load the template. The file opens, with the Arrange window containing two audio tracks, one Stereo Sum track, and a No Output track. [View full size image]
6. | Select the Out 1-2 Stereo Sum track, and take a look at the Channel Strip located at the far left of the window. The first four slots of the inserts are filled with mastering plug-ins. When using the Stereo Mastering template, the essentials are already set up for you; the song contains limited tracks for editing stereo files, and extensive mastering plug-ins pre-instantiated (instances of the plug-ins loaded) on the output fader. Let's load another useful template that we will be using for the following exercises.
7. | Using the Template menu in the New dialog, choose the Basic Production template. A dialog appears, asking if you'd like to close the current song.
8. | Click Close. The song file opens, displaying the Arrange window. [View full size image]


Customizing the Interface

Screensets enable the user to assign window combinations (including all zoom settings and view options) to a number key on the computer's keyboard for fast and easy recall. Let's customize some of the existing screensets from this template.

Screenset 1's focus is clearly the Arrange window, with an elongated horizontal Transport window at the bottom of the screen. Especially with larger productions it is advantageous to have as much space as possible in which to view the musical data. Let's set up this screenset for maximum viewable space in the Arrange window, while making sure that you're still able to access important information.

1.
Close the Transport window.

2.
In the Arrange window's local menu, choose View > Transport.

Arrange window's local menu

A Transport window appears in the top left corner of the Arrange window.

[View full size image]

As you probably have noticed, you are seeing just part of the information that the Transport window offers.

3.
Position your pointer over the corner where the Bar Ruler meets the Track List.

The pointer will change to a crosshair.

4.
Resize the area where the Transport window is situated by dragging down.

Do this until you can view the tempo, time signature, and division.

5.
Click the resize button to expand the Arrange window.

You've gained a little bit more space by having the Transport information displayed in the Arrange window instead of at the bottom of the screen.

Look closely at the Track List and you will notice that the audio tracks are slightly taller than the audio instrument tracks. Since Logic lets you adjust the height of each track individually, the audio tracks were resized manually for this screenset. This works well for a global view of the arrangement, but let's further refine the screenset to display a larger picture of selected tracks for easier editing.

6.
Ctrl-click the bottom left corner of the first audio track.

All of the audio tracks shrink in height to match the audio instrument tracks. This technique works well as a fast way to return tracks to their default height.

7.
Verify that Audio 1 track is selected.

8.
Chooe View > Auto Track Zoom.

The track will increase in size automatically.

9.
Click the bottom left corner of the Audio 1 track (the cursor will turn into a hand with apointing finger) and drag down to increase the track size.

Drag just far enough for the track icon to appear below the track name.

10.
Use the vertical Zoom control to zoom in (the slider moves downward) just enough to display all tracks without having to use the scroll bars.

The Track List now displays the selected track in a larger size.

[View full size image]

Try clicking various tracks, and you'll see them expand, depending on the track that is selected.

You're almost done with your screenset face-lift. Let's push the envelope a little more to eke out a bit more space, this time on the horizontal side.

11.
Position the pointer in the space between the Parameter box and the Track List.

The pointer turns into a horizontal resize tool.

12.
Click-drag the pointer to the left to shrink the Region Parameter box, toolbox, Object Parameter box, and channel strip, while gaining space in the region area.

The screenset now displays the maximum amount of space in the main editing area.

[View full size image]

Unlocking vs. Locking Screensets

If you leave things as they are right now, your screenset will be open to any changes that you further implement, and it will always reflect the last state in which we leave it. In Logic terms, the screenset is unlocked and can be continuously altered.

This state has distinct advantages, as you can always make little tweaks that are beneficial for each part of the production (increasing or decreasing zoom levels, for example), updating the screenset as you go along. Having a screenset unlocked is especially valuable in the editing stage. Often you are bouncing back and forth between different editors and making adjustments to focus in on specific parts of the song. It is helpful, then, to return to a screenset that's in the state in which you left it when you want to continue work on that specific area.

However, this takes some getting used to, and inadvertent alterations can occur. If you are satisfied with a given configuration of a screenset, it is a good idea to lock it, protecting it from further changes until you unlock it again.

Let's try an exercise that will help you get a feel for using unlocked and locked screensets.

1. | Select the Pencil tool in the toolbox.
2. | On the Inst 1 track, click the grid line at measure 9 to create a blank region. NOTE The region automatically zooms vertically (slightly) by virtue of the Auto Track Zoom function we enabled previously.
3. | Hold down the Control key while rubber-band selecting around the Inst 1 Region you just created. The region will zoom in to a fairly high degree.
4. | Activate Screenset 2, then Screenset 1 again. Notice how recalling Screenset 1 brings back the zoomed state as you left it. Now let's do the same thing again, this time with the screenset locked.
5. | Ctrl-click in the background of the Arrange window to return to the previous zoom state. The Arrange window appears as it was when we started this exercise.
6. | Choose Windows > Screensets > Lock Screenset. NOTE Note that a small black dot appears next to the screenset number. This dot represents a locked screenset.
7. | Hold down the Control key while rubber-band selecting around the Inst 1 region in the same way as you did previously.
8. | Activate Screenset 2, then Screenset 1 again. This time when you return to Screenset 1, the region is displayed exactly as when you locked the screenset. No matter what edits are done with the screenset (in this case zooming in), it will return back to a normalized state, almost like a template in and unto itself.
9. | Delete the region you created by selecting it and pressing the Delete key.


Using Key Commands

As you become increasingly familiar with Logic's feature set, you'll start to notice that you perform some tasks more often than others. By assigning a command to a specific key on the computer's keyboard, we can execute these functions without having to reach for the mouse and navigate a hierarchical menu. These key command assignments are written to the Logic preferences file, and are accessible to all songs. This differs from the screensets you created in the last exercise, which are saved within the song file itself.

Logic's Key Commands window is a powerful mapping tool that lets you assign a key (or combination of keys) to nearly every menu item that Logic offers, and even to some special functions that can be accessed only via a key command.

If you've been working with Logic for some time, most likely you are using default key commands and have even assigned custom commands of your own. Since there are major changes to the Key Commands interface in Logic Pro 7, let's review the basic procedure for assignment and follow up with some further techniques on how to maximize the potential of this powerful feature.

NOTE

If at one time you ran the Logic Setup Assistant, it is possible that you installed one of the optional Key Command lists. If this is true some of the commands we will be dealing with in the following exercises already will have been assigned. You may have created some assignments on your own as well. In this case make sure to follow along with the new assignments indicated in the steps, as we will refer to these assignments in the lessons that follow. Remember, you can always change the key commands back at a later date.

Viewing Key Assignments

1. | Open Logic's Key Commands window by choosing Logic Pro > Preferences > Key Commands. The Key Commands window opens.
2. | In the Key Commands window, from the Options menu choose Expand All. [View full size image] The list expands to show all possible key commands. Try scrolling down using the scroll bar to the right of the MIDI column to get an idea of the breadth of the assignable functions within Logic. There are a vast amount of choices, to be sure! TIP It can be quite easy to get carried away and start assigning keys indiscriminately, but chances are that most of these will be forgotten. Instead, only assign key commands if you find yourself performing a menu command often. This way you will avoid being overwhelmed and always have your most used functions at your fingertips.
3. | In the Key Commands window, from the Options menu choose Collapse All. The Commands column now shows only those categories representing the main application areas, instead of listing every available command. Viewing the key commands in this manner is a lot less overwhelming. Topping the list is the Global Commands category, which contains actions that function regardless of the window or editor you are working in at a given time.
4. | Click the disclosure triangle to the left of Global Commands. Clicking the disclosure triangle enables us to quickly view all commands associated with a given window or category.

TIP

When looking to see if a specialized function is offered within an editor or window, view the list in a collapsed format, expanding only the category you wish to explore by clicking the disclosure triangle.

Assigning Keys to Functions

Let's assign a useful key command that doesn't already have a default assignment.

1. | Click the Shuttle Rewind command, located near the bottom of the currently viewable part of the list (use the scroll bar if needed).
2. | Click the Learn by Key Label button, located at the right side of the window. NOTE A key label is what is actually imprinted on the individual key. Since Logic has been localized for many languages, this becomes important, as computers sold internationally have different keyboard layouts. In this way, a function assigned to the Y key will activate regardless of where the key is on a given keyboard.
3. | Press the left bracket ([) key. An alert appears: This alert is Logic's fail-safe to keep you from assigning the same key to multiple commands. It also provides an option for quickly reassigning the key to a new function. The Key column in the Key Commands window shows the key assignments for any used key commands. In the example here, you can clearly see that the left bracket ([) key was assigned to the Rewind command. However, as you remember from scanning the list, not all functions are easily revealed at once, which is why this alert is beneficial.
4. | Click the Cancel button.
5. | With the Learn by Key Label button still active, press Cmd-[. The key combination we entered is displayed in the Key column next to the Shuttle Rewind command. NOTE This key-plus-modifier combination is also represented in the area above the Learn by Key Label button.
6. | Click the Shuttle Forward command (below Shuttle Rewind).
7. | Press Cmd-] to assign that key combination.
8. | Close the Key Commands window.

We have now assigned two very useful key commands for getting around in the Arrange window. Try pressing these keys, observing their effect on the Song Position Line (SPL). Note how you can increase the speed of rewind and fast-forward by repeatedly pressing a key. Try initiating movement in a single direction, then "braking" by selecting the key in the opposite direction. This behavior is modeled after analog tape transports or video decks, exponentially speeding up and slowing down for each toggle of rewind or fast-forward buttons.

TIP

In order for key commands to be useful, it is necessary for you to remember the assignment. Therefore, it is a good idea to choose assignments that provide a clue to their function. The first letter of a function, or a graphic representation (for example, left and right bracket for rewind and fast-forward) is a good place to start. Also try to think about commands as parts of families of similar functionality, and assign matching commands with different modifiers (for example, left bracket ([) for rewind, and Cmd-[ for Shuttle Rewind).

Changing Key Assignments

You may want to use a certain keystroke that is already assigned. This is entirely possible, but it is first necessary to free up a key from a previous assignment before you can use it for another function. In the following exercise we will assign the Shift-Z key combination to trigger a specialized zoom function. First, let's check to see if it has already been assigned.

1. | Open the Key Commands window by using its own keyboard shortcut, Option-K.
2. | Make sure that the Learn by Key Label button used in the previous exercise is not active.
3. | Press Shift-Z to locate any command that may use this key assignment. The Key Commands window immediately scrolls to the Navigation: Back function and highlights it. You will be deleting this assignment, as you want to use it for something else.
4. | Click the Learn by Key Label button to activate it.
5. | Press the Delete key (not the smaller Del key located below the Help key). The assignment disappears from the Key column. NOTE There are two Delete keys on a full-size Apple keyboard. The larger Delete key is not assignable to a key command; the smaller Del key located below the Help key is assignable. Now that the key is free for use, you can assign it to your zoom function.
6. | Click the "Zoom to fit Selection vertically & horizontally, store Navigation Snapshot" command, located four lines above the command you just edited. NOTE It may be necessary to resize the Command column in order to fully read the name of the command. Do this by dragging the border between the Command and Key columns.
7. | Delete the default assigned key Z by pressing Delete (Learn by Key Label should still be active.)
8. | Assign Shift-Z to the "Zoom to fit Selection vertically & horizontally, store Navigation Snapshot" command by pressing the key combination.
9. | Click the Learn by Key Label button to deactivate it.

Using Key CommandOnly Functions

Some functions can be accessed only via key commands and are not available as menu items. These commands are not to be overlooked, however, and can be quite useful for performing certain tasks.

The Key Commands window should still be open, so let's search for Logic's many playback functions within it.

In the top right corner of the Key Commands window is a search field. This functions identically to the search in iTunes and many other Apple software applications, so if you are familiar with these, you will feel right at home.

1. | Click once in the search field and enter goto. NOTE You do not need to press the Return key to initiate the search. The left side of the Key Commands window now lists every command that has the word goto in it, regardless of the category. You'll notice that some of the commands have a black dot (•) in front of them. The black dot designates that this function is accessible via key command only, and it is not available as a menu choice.
2. | Click "•goto Position".
3. | Assign "•goto Position" to the comma key.

NOTE

You will be using this command in subsequent lessons.

Assigning the Same Key to Multiple Functions

So far we have been editing global commands that have an effect no matter what editor or window you are working in. Sometimes a certain key is well suited for similar functions, regardless of the window that is active. But as we noticed earlier with the used-key-command alert, we are not able to do this assignment when using Learn by Key Label.

The answer then, is to use an alternative learn mode: Learn by Key Position. The main reason for this additional learn mode is be able to independently assign identically labeled keys (such as the plus sign and minus sign keys located in the main keyboard area and the similar keys in the numerical keypad). However, you can also use this to assign the same key to trigger different functions, depending on what window is active. For this exercise, you will be using it in this way.

1.
Enter play in the search field.

All commands that have "play" within the name (including words that contain this combination of letters, such as "display") are listed within the Commands column.

Scroll down the list and note that three play functions are assigned to the spacebar (Play/Stop, Play/Stop Region, and Play/Stop Selection). Notice also that they can be performed in different windows (Global, Audio, and Sample Edit). In effect, a single key is designated to cover play/stop in all windows that have this capability. The Project Manager has similar playback functionality, called Start/Stop Preview, which is similar in application, although technically different, from the play command. You may wish to assign the spacebar to this command for convenience.

2.
Using the search function in the Key Commands window, find the "Start/stop preview" command.

3.
Select the "Start/stop preview" command.

4.
Click the Learn by Key Position button to activate it.

5.
Press the spacebar.

Logic displays "49" instead of Space, as it did with the other playback commands. The number refers to the exact numerical position of the key's placement on the keyboard.

6.
Close the Key Commands window.


Accessing the Toolbox

Logic's toolbox offers essential graphic manipulation of data within a variety of windows. These tools are indispensable, changing the pointer to act in a variety of helpful ways. It is therefore extremely important that we have easy access to these regularly used objects. Let's take a moment to discuss the ways we can gain quick access to the toolbox.

There are many areas within Logic that offer a toolbox. The choices represented change in correlation to a window or editor's function:

Arrange window

Event List

Score Editor

Hyper Editor

Matrix Editor

Environment

Audio window

Sample Editor

Audio Configuration window

As you can see in the pictures above, these toolboxes vary in number as well as types of tools. Even so, there is a great deal of overlap with common tools (the Arrow, for instance).

In all cases, the toolbox is located on the far left side of the screen, usually a distance away from where you wish to utilize the tool. This distance may seem small the first few times you drag your pointer across the screen, but if you find yourself switching tools often while editing (and most of us do), then this can grow to be tedious and un-ergonomic. In the following exercises, you will a look at Logic's shortcuts to allow quick access to the toolbox, enabling you to work in a more efficient manner.

Using the Alternate Tool

When working with objects in any window, you always have two tools available at the mouse position: the currently selected tool and an alternate tool available when depressing the Command key. Being able to switch at the place where you are actually performing your work (mouse position) enables you to quickly toggle back and forth between often-used tools, which speeds workflow.

1. | Close the Key Commands window if it is still open from the previous exercise.
2. | Bring up Screenset 1.
3. | In the Arrange window, if not active already, click the Arrow tool in the toolbox (at the far left side of the screen).
4. | While looking at the toolbox, press the Command key. The highlighted tool changes from the Arrow tool to the Pencil tool while the key is depressed.
5. | Move the cursor over the main part of the Arrange window and press the Command key again, this time looking at the cursor. The cursor changes to the Pencil tool.

This is referred to as the alternate tool. You can think of it as a momentary toggle to another tool that you preset.

Assigning the Alternate Tool

The assignment of the alternate tool consists of two steps:

1. | Hold down the Command key.
2. | Click the tool that you wish to assign to the alternate tool.

This assignment can be different for each window that has a toolbox. These alternate assignments are saved with the screenset, so let's add these to the screensets that you created earlier in this chapter.

1. | Hold down the Command key and click the Pencil tool.
2. | Lock the screenset by using the key command Shift-L.
3. | Bring up Screenset 4. This screenset contains both an Arrange window and a Matrix Editor.
4. | Hold down the Command key, and click the Velocity tool in the Matrix Editor.

You now have independent assignments for the alternate tool for each screenset. Try toggling back and forth with the alternate tool in each screenset (1 and 4).

TIP

Take some time to think about which tools are used most often in each of the editors, and assign alternate tools in your screensets using the technique you just learned.

Quickly Accessing the Toolbox

1. | While in Screenset 4, move the pointer to the middle of the Matrix Editor.
2. | Press the Esc key. A floating toolbox should display at the pointer position.
3. | Click the Eraser tool. The toolbox disappears, and the pointer is now an Eraser tool.

This can save many a trip across the screen to select a new tool, bringing up the toolbox when and where you need it for editing.

TIP

Many users prefer assigning key commands to their most used tools. This has a distinct advantage in that it lets you access common tools that are shared by separate editors (the Arrow tool, for instance). Try searching for the tool names in the Key Commands window to see your choices.

Working with Hardwired Toolbox Commands

Just as holding down the Command key lets you momentarily toggle to an alternate tool, Logic can carry out common functions by using tools in conjunction with a modifier key. These "hardwired" commands aren't listed within menus, so a list of the most useful ones is provided for reference.

Modifier + Tool Functions

Key

With Tool

Result

Control

Any tool

Pointer turns into Zoom tool

Option

Arrow tool

Creates copy at dragged location

Shift

Pencil tool

Imports audio file at clicked location

Shift

Arrow tool (in Track Automation area)

Selects automation nodes

Ctrl-Option

Arrow tool (with two selected automation nodes)

Adjusts automation curves

Control

Fade tool

Adjusts the crossfade curve

Option

Fade tool

Deletes cross-fade

Option

Arrow tool

Time stretch/expands MIDI Region when resizing

Controlling the Toolbox with a Two-Button Mouse

When using a two-button mouse with Logic, you gain more options to access the toolbox. To do this, you must first designate the function of the right mouse button, choosing between two modes of operation.

Choosing the Mode of Operation

These options are set within Logic's preferences.

1. | Start off by choosing Logic Pro 7 > Preferences to view the preferences menu. From here you can select different preferences categories (Global, Audio, and so on). Once you select a category, you can access different aspects by selecting the tabs.
2. | Choose Logic Pro 7 > Preferences and click the Global icon.
3. | Select the Editing tab. You are now looking at Logic's Editing preferences, which include assignment of the second mouse button.
4. | Click the pop-up menu next to the Right Mouse Button preference to view the choices. The first option, Is Assignable to a Tool, enables you to assign a tool of your choice to the right mouse button. Essentially, this assignment works similarly to the Command tool you looked at earlier. However, it functions independently of the Command tool, in effect providing three tool choices at your disposal at any given time.
5. | Select the Is Assignable to a Tool option within the Right Mouse Button pop-up menu. The second option, Opens Toolbox, works similarly to pressing the Esc key (see "Quickly Accessing the Toolbox," earlier in this lesson), displaying a toolbox at your current mouse position.
6. | Close the Preferences window.
Assigning a Tool

The assignment of a tool to the right mouse button follows a similar process to that of assigning an alternate tool.

1. | Click a tool in an editor's toolbox with the right mouse button.
2. | The next time you click an object or within a window, the chosen tool will appear.

NOTE

This assignment is independent with respect to the different editors. Each of Logic's editors offers slightly different tool choices, and each can have its own alternate or right-button tool.


Saving a Song Template

You spent quite a bit of time customizing this song. Now you'll need to save it as a template because you will be using this template in several upcoming lessons.

1. | Select File > Save as Template. The "Save document as" window opens, automatically pointing to a save location in the Song Templates folder that was created when you initially installed Logic Pro 7.
2. | Type the filename: Advanced Logic Template.
3. | Click the Save button. The template is now saved to your hard drive.

Creating an Autoload Template

Having a selection of templates at your fingertips can be useful in any given situation. However, most of the time you'll want to start your sessions with the same basic configuration. You can do this by naming a song template Autoload and saving it to the Song Templates location in the same way you saved the song template in the previous exercise. You can have this Autoload template loaded automatically when Logic is launched, or opened by default when you start a new song.

When Logic loads, it scans the Song Templates folder looking for an Autoload song. If Logic finds one, it loads on launching, instead of a default song.

When using the File > New command to create a new song, having "Use song template" unchecked in the New dialog will cause the Autoload song to load automatically.


What You've Learned

  • Song templates are varied and specific to certain session tasks, such as stereo mastering or multitrack recording.

  • Song templates can be customized for individual needs, such as maximizing the workspace. Techniques such as locating the Transport window within the Arrange window, using Auto Track Zoom, and resizing the border between the Parameter boxes/channel strip and the Track List can help gain room for viewing regions.

  • Having a screenset unlocked can be advantageous to the editing stage, as it allows a dynamic view of data that is currently being worked on.

  • Key Command assignments that execute similar functions should utilize common keys to aid in memorization.

  • It is helpful to assign related key commands to similar functions to aid in memorization.

  • There are useful functions that are accessible only via key command.

  • A single key can be assigned for both single and multiple functions. Assigning the same key command to similar functions within different windows also aids in memorizing workflow.

  • Accessing the toolbox is important to workflow, and it can be done quickly by using alternate tools, using the Esc key to display at the pointer location, and using a two-button mouse.

  • There are many key and tool combinations that provide speedy access to common functions.

  • An Autoload Song is a special template file that is loaded automatically when launching Logic, or when no specific template is selected when creating a new song.

Keyboard Shortcuts

Transport Functions

Cmd-[

Shuttle Rewind

Cmd-]

Shuttle Forward

Shift-Z

Zoom to fit Selection vertically and horizontally, store Navigation Snapshot

Comma

Goto Position

Spacebar

Play/Stop (Global)

Spacebar

Play/Stop Region (Audio window)

Spacebar

Play/Stop Selection (Sample Edit window)

Spacebar

Start/Stop Preview (Project Manager)

Common Tasks

Ctrlany tool

Pointer turns into Zoom tool

OptionArrow tool

Creates copy at dragged location

ShiftPencil tool

Imports audio file at clicked location

ShiftArrow tool (in Track Automation area)

Selects automation nodes

CtrlOptionArrow tool (with two selected automation nodes)

Adjusts automation curves

CtrlFade tool

Adjusts the cross-fade curve

OptionFade tool

Deletes crossfade

OptionArrow tool

Time stretches/expands MIDI Region


Lesson 2. Managing Your I/O Setup

Lesson Files | Advanced Logic 7_Song Files > Lesson 02 Project Files > Advanced Logic Template (created in Lesson 1)
Media | None
Time | This lesson takes approximately 1 hour to complete.
Goals | Access inputs and outputs of your audio interface within Logic Label your inputs and outputs for viewing in the Track Mixer Create a dedicated headphone mix Assign the metronome click to the headphones only Create a talkback channel Print effects upon recording Back up and import your personal setup into another system

In a studio environment built around Logic, the audio interface is the hub for all audio input and output (I/O) signals moving through the computer. Unless you are using a simple mobile audio interface with a single pair of ins and outs, most studio configurations will have from 8 to 128 inputs and outputs to manage.

Therefore, keeping track of signal flow is vital, whether you work with a static setup where devices (such as microphone preamps, effects processors, and amplifiers) are always plugged into the same I/O of the interface, or a variable studio environment with patch bays and revolving session equipment.

In this lesson, you'll be adding to the template you created in the last chapter, further refining the input/output setup for accessibility and routing options.

NOTE

This lesson is geared toward setups with audio interfaces having eight or more inputs and outputs. Owners of smaller systems (like ones built around a PowerBook) will notice some discrepancies between what they are seeing onscreen and the screen shots in the lesson. They should still follow along, as this information still pertains to their setups.


Labeling Inputs and Outputs

One of the best ways to keep track of what physical devices are connected and where they are plugged in is by using Logic's I/O labels. Logic lets you assign tags to any input, output, or bus channel, similar to physically labeling a patch bay. This provides a distinct benefit by helping you manage signal flow between the mixer inside Logic and the physical devices in your studio. What's more, these definitions are global, making the labels accessible to any song or template.

In the following exercises, you will create and assign labels that reflect a generic setup. It is advised that you take the information you learn and create labels reflecting your own setup. After completing the lesson, take some time to figure out which devices are always plugged into your audio interface, and create labels accordingly. Since this configuration file is read by all songs, you will have your I/O setup accessible for any session.

WARNING

If you have already created labels for your existing I/O setup, the following exercises will overwrite them when you exit Logic. To ensure that you can restore your original setup, it is advised that before beginning this exercise you drag the IOLabels Core Audio file from ~/Library/Application Support/Logic to your Macintosh Desktop. This will enable you to restore your setup after completing the lesson by copying the original file back into the same directory. This will also allow you to do these exercises without seeing your previous settings.

1. | Choose File > New. The New song window opens.
2. | Check the Use song template box, if not already checked.
3. | In the Template flip menu, choose User > Advanced Logic Template. This is the template file you created in the last lesson. NOTE If you didn't complete Lesson 1, a version of this template is included with the lesson files for Lesson 2. In this case, choose File > Open and load the Advanced Logic Template located in ~/Music/Advanced Logic 7_Song Files/Lesson 02 Project Files.
4. | Click OK.
5. | Choose Audio > Audio Configuration. The Audio Configuration window opens. This window provides an overview of the Input/Output routing, as well as all inserts and Sends of all Audio Objects that exist in the Environment for a given audio hardware device.
6. | In the View menu of the Audio Configuration window, choose I/O Labels. The Audio Configuration window switches to show the I/O Labels. [View full size image] At the far left of the window are the default labels for each physical input and output of the audio interface. Immediately to the right of these, under the Driver's I/O Label heading, are corresponding labels supplied by the audio interface's driver. These labels are dictated by the software installed with your audio interface and thus will vary depending on what equipment you use. NOTE This window corresponds to the unique setup for the audio interface hardware you are using. Therefore, you will see slightly different results compared with the examples.
7. | In the Input 3 and Input 4 rows, click the radio button in the driver's I/O column next to the supplied labels.. [View full size image] The supplied labels in the driver's I/O column suffice for generic channels, but for the purposes of this exercise you can assume the typical situation of a dual-channel microphone preamp patched in to the first two inputs of the audio interface.
8. | Double-click in the box in the Long I/O Label column in the Input 1 row.
9. | Type Pre 1 and press Return. [View full size image] The radio button next to your entry is automatically selected.
10. | Double-click in the box in the Long I/O Label column in the Input 2 row.
11. | Type Pre 2 and press Return.
12. | If needed, scroll down the Audio Configuration window to reveal the stereo choices (Input 12, 34, and so on). [View full size image]
13. | Double-click in the box in the Long I/O Label column in the input 12 row.
14. | Type Pre L-R and press Return. You've just assigned the driver's labels (Analog) for inputs 3 and 4 of the audio interface, as well as created custom labels representing two channels of our imaginary preamp for both mono and stereo. Finish the exercise by extending your imaginary setup to include an external hardware reverb processor.
15. | Using the technique you just learned, create a label for Bus 1 called Eventide.
16. | Double-click in the box in the Short I/O Label of the same channel and enter Evntd. The Short versions of the I/O labels are used primarily for space reasons. Logic automatically uses the Short I/O label when displaying within a parameter that is too small to contain the Long I/O version, such as a Send.

Using I/O Labels in the Mixer

Now that you have labeled some inputs and a dedicated bus for your hardware reverb, you can view these new labels within their correct context, the Track Mixer.

1. | Press the number 2 key to recall Screenset 2. You are now seeing an Arrange/Track Mixer combination screenset. Take a look at the input field in the I/O section of the first channel strip. It should read Pre 1, the label you created earlier.
2. | Click-hold on the input field. You should see the labels you created listed in parentheses next to the corresponding inputs.
3. | Choose Input > Input 3 (Analog 3). The input field now displays the driver's supplied label that you chose in the previous exercise.
4. | Click-hold on the input field and choose Input 1 (Pre 1) again.
5. | Click the Mono/Stereo button at the bottom of the Track 1 fader, changing the channel to stereo. The input field now reads Pre L-R. By assigning a unique label in the Audio Configuration window for both stereo and mono I/O, you can designate both applications of the microphone preamp (stereo or dual mono).
6. | Click the Global button in the Track Mixer.
7. | Click the Bus button to view all busses. Look at the first bus, which should now be named Eventide.
8. | Click the Global button again to look at your tracks. Look at the topmost Send slot for Track 1. It is now displaying "Evntd", instead of Bus 1. Notice how the Send takes the short I/O label you assigned in the Audio Configuration window, instead of the long label. Logic displays the short label for fields that are too small to include the long I/O label, such as the Send field. Tip Take some time to figure out which devices are always plugged into your audio interface and create labels for them. Since this file is read by all songs, you will have your I/O setup accessible for any session.


Creating a Headphone Mix

The "mixer-less" studio trend is gaining popularity as more and more mixing can be done within the computer. One of the most overlooked techniques when using such a setup is configuring a dedicated headphone mix. While this falls under mixing techniques, it is best to introduce this method when creating a separate headphone mix is useful: at the tracking stage. By using a dedicated headphone output, you can customize what the talent is hearing without affecting the main mix, and more effectively perceive important factors like how the take sits in the track.

Generally, this process entails assigning relevant channels to separate pairs of outputs of the audio interface (for monitoring in the control room, and output to headphones). You can effectively do this by sending the signals you wish to monitor to a dedicated Bus Object routed to a set of outputs other than the main outputs.

1. | In the Audio Configuration window's I/O view, create both Long I/O and Short I/O labels for Bus 8 that read Headphones and Hdph, respectively. NOTE In Logic, busses can be configured in stereo or mono. This is different from most consoles where a bus usually contains a mono channel.
2. | Create a Long I/O label called Headphones Out for Output 78.
3. | In the Track Mixer, shift-select Tracks 14 to highlight them.
4. | In Track 1, click-hold on the second Send slot, and choose Bus > Bus 8 (Headphones). All Sends in the second slot of the highlighted tracks should now be labeled "Hdph". Tip When creating a headphone bus in your setup, choose a bus that won't be used by effects routing, as you will need effects routing busses when you mix.
5. | Click-hold on the second Send field on Track 1 again, this time choosing Pre. This is an important setting, because you need the signals for each track to be sent pre-fader (before the volume fader), enabling you to have independence between the control room and headphone mix. This way, you can adjust the control mix as normal (by adjusting the faders) and adjust the headphone mix via the Send levels. NOTE All highlighted tracks should now mirror the adjustments to Track 1.
6. | Shift-click Tracks 14 in the Track Mixer to deselect them.
7. | Click the Bus button (if needed) to view all busses.
8. | Click-hold on the output field of Bus 8, and choose Output > Output 7-8 (Headphones out).

You can now assign any amount of signal from each track to the headphones by increasing and decreasing each track's Send level. The overall headphone volume level is controlled by the fader on Bus 8, which also provides the capability to assign a plug-in across the headphone bus that applies only to the headphone mix (limiter, EQ, and so on).

With this setup within Logic's mixer, all that's left to do is to patch in the headphones to the assigned output on your audio interface. If your audio interface has a headphone out, you can usually configure it via its included software to mirror any output through the headphone out. If this is the case, open up your audio interface's control software and set the headphones to mirror Output 78 on the interface. (Refer to the manual for your audio interface to see if this is an option.) If your audio interface does not offer this feature, patching a simple headphone distribution box in to the designated outputs does the trick, in addition to providing even more flexibility.

Assigning the Metronome to the Headphones Only

An important use of this setup is to isolate Logic's metronome click to the headphone output only, keeping it out of the control room so that you can check to see if there is any evidence of click bleed-through from the talent's headphones.

1. | Press the number 2 key to recall Screenset 2.
2. | Choose File > Song Settings > Metronome.
3. | Under the Klopfgeist (software-generated click) settings on the right side of the window, click-hold the Output menu and choose Output 78. NOTE To prevent a MIDI click being sent out via MIDI, it is advisable to change the MIDI Port setting to "off" by means of the flip menu.
4. | Enable the Toggle Metronome button in the Transport located in the top left corner of the Arrange window.
5. | Play the song. You should now be hearing the click in the headphones only, and not through the main monitor mix (control room).
6. | Stop the song playback when you've verified that you are hearing the click in the headphones.

The metronome's output is sent directly to the headphone mix's outputs. Since the click is assigned to the same output pair as the headphone mix and not to the bus itself, you have control over the music mix independently of the click level. To adjust the click volume to the headphones, change the Volume setting from within this window.


Using Input Objects

Input Objects are used to directly route and control signals from your audio hardware's inputs to your mix. They function independently of record-enabled tracks (which are also receiving input signals), allowing you to monitor a signal without recording, regardless of which track is selected. In this exercise, you'll create these handy Objects while exploring some useful ways to use them.

NOTE

In order to use input Objects (or any kind of audio monitoring in Logic), software monitoring must be turned on in Audio > Audio Hardware & Drivers.

Creating a Talkback Channel

Following the "mixer-less" paradigm from the previous exercise, let's create a talkback section for the internal Logic mixer. To do this, you need to create input Objects within Logic's Environment. Start by using a shortcut to the Audio layer of the Environment.

1. | While holding down the Control key, double-click Audio 1's track name in the Arrange window. The Environment window opens, highlighting the Audio 1 Object. Tip This shortcut can be used to locate in the Environment any Object listed within the Arrange window's Track List.
2. | Click the Maximize button at the top of the window to get a good view of the Audio layer of the Environment.
3. | Use the scroll bars to scroll to the bottom right corner of the Environment window.
4. | In the Environment's local menu, choose New > Audio Object. An Audio Object icon appears.
5. | Drag the Audio Object icon just to the left of the Click channel strip. [View full size image]
6. | Double-click the newly created Audio Object icon to expand it into a channel strip. [View full size image] NOTE You will probably need to reposition the new channel so that it doesn't overlap the Click channel within the environment. This can be done by dragging the channel by its name (located at the bottom of the channel).
7. | In the Parameter box located at the far left of the Environment window, choose Channel > Input 4. Tip You'll want to choose an input that is out of the way from your main recording inputs but still has access to a preamp for the talkback microphone. The built-in preamps of many popular audio interfaces work well for this, especially if you have higher-quality external preamps available to reserve for the tracking inputs.
8. | Double-click the Object's name in the Parameter box (Audio Object), enter Talkback, and press Return.
9. | Click-hold on the output field for the newly created input fader, and choose Bus > Bus 8 (Headphones).

Your talkback channel is now ready to use. You can access this fader with the Track Mixer (Global view with Inputs selected) and will be able to quickly mute or adjust the volume of the talkback microphone with the fader.

Printing Effects upon Recording

Another useful function of input Objects is to enable you to apply effects processing upon input (recording the take along with the assigned effects). For instance, take the common technique of inserting a compressor or limiter on a vocal input to smooth out the dynamics of the recording. In this exercise you will assume that you are recording through the microphone preamp that we labeled earlier via Input 1 on the audio interface.

1. | In the Environment window, use the process you just learned to create an input Object assigned to Input 1. Remember to name this object Input 1 in the Parameter box.
2. | Click-hold the top insert of the channel strip and choose Mono > Logic > Dynamic > Compressor. NOTE When using input Objects that you intend to feed into an audio track, it is important not to assign an output. (The output field is blank by default.) Having an output selected creates a "live" monitor that will always be heard regardless of what track is record-enabled, which works well for a talkback channel, but not in this case.
3. | Close the Environment window. Screenset 2 should still be visible.
4. | Click the Global button to deselect it and view your tracks.
5. | Click-hold on the input field for Track 1, and choose Input > Input 1 (Pre 1), if it is not already selected. With this setup, whenever you record onto a track with Input 1 selected, the signal will pass through the compressor plug-in before recording, allowing you to print the track with the effect. NOTE Be sure to keep track of the plug-ins you assign to your inputs, as you may inadvertently record something with unwanted processing.
6. | Choose File > Save As Template.
7. | Click Save.

Saving and Removing the I/O Labels

As mentioned at the beginning of the chapter, the I/O labels are saved to an independent configuration file that is accessed by all Logic songs. Since the labels are not saved to the song itself, all of the work that you performed on the I/O labels will not be truly saved until you exit Logic.

1. | Quit Logic by choosing Logic Pro > Quit Logic Pro. However, be aware that the labeling done in this lesson may not represent your own setup. Therefore, it is important to delete the file containing the I/O labels before you proceed, otherwise you will continue to see the labels created for this exercise in every Logic song.
2. | In the Finder, go to ~/Library/Application Support/Logic. There you will find a file named IOLabels Core Audio.
3. | Drag the IOLabels Core Audio file into the Trash. The next time you launch Logic, the labels created in this lesson will be gone.


Backing Up and Transporting Your Setup

After you've spent considerable time customizing your Logic setup, it is a good idea to back up your key commands and song templates for retrieval in the future.

If you work in multiple settings, it is advisable to take these with you when you work on another Logic setup in a different facility. USB keychain drives work great for carting around your personal Logic settings. Use the table below to copy files from your main system.

Locations for Each Type of File

Setting

File location

Key commands

~/Library/Preferences/Logic/com.apple.logic.pro

Song templates

~/Library/ApplicationSupport/Logic/Song Templates

Importing Your Setup

In order to benefit from the portability of your Logic settings, you must load them into the host system. The contents of your Song Templates folder must be copied to the location listed above in the new system to make them available.

Importing Key Commands

To import key commands into the new system, follow these steps:

1. | Open the Key Commands window by choosing Logic > Preferences > Key Commands.
2. | Click the Options menu at the top of the window and choose Import Key Commands.
3. | In the Open dialog, choose your com.apple.logic.pro file.
4. | Click Open. Your key commands should now be available on the new machine.
Importing Screensets

Sometimes when you're working on Logic song files from other people, you may wish to import your own screensets so that you can more comfortably navigate through their songs. You can do this as a settings import from one song to another, and it only requires that you have a copy of one of your songs or your Autoload song file.

1. | Open the song into which you want to import your screensets.
2. | Choose File > Song Settings > Import Settings. The Import Settings file selector window opens. [View full size image]
3. | Check the Screensets box if it isn't already checked.
4. | Select your Autoload Song.
5. | Click Open. Logic loads the Autoload Song in the background, copies the screensets to the other song, and then closes the Autoload.


What You've Learned

  • The Audio Configuration window lets you create custom I/O labels by accessing the I/O labels view.

  • Single (mono) and paired (stereo) inputs and outputs can be labeled independently.

  • Labels can have long and short names for proper display in the Track Mixer.

  • A dedicated headphone mix can be created by assigning Sends to single bus that is set to a different set of outputs than the main mix.

  • A Send can be configured to Send post- or pre-volume fader.

  • The metronome click can be assigned to the headphone mix for isolation.

  • A talkback channel is created by using an input Object set to the output of the headphone mix.

  • Input Objects can be used to print effects upon recording.

  • Backing up your personal setup is useful both as a fail-safe and as a way of bringing your settings into a separate Logic system.


Advanced Production

    Lesson 3. Creating and Managing Takes

    Lesson 4. Tempo and Pitch Matching

    Lesson 5. Working with Software Instruments


Lesson 3. Creating and Managing Takes

Lesson Files | Advanced Logic 7_Song Files > Lesson 03 Project Files > Advanced Logic Template (created in Lesson 1 and modified in Lesson 2)
Media | Advanced Logic 7_Song Files > Lesson 03 Project Files
Time | This lesson takes approximately 90 minutes to complete.
Goals | Utilize project folders to organize your sessions Use dependent files in projects Create new tracks in a manner demanded by workflow Capture multiple takes efficiently Record multiple audio tracks simultaneously Record multiple audio and MIDI tracks simultaneously Record multiple MIDI tracks as layers and with simultaneous multiplayer input

In the previous chapters you learned that preparation goes a long way toward making a session fluid and effective. Templates can only go so far, however, as you will quickly exceed basic setups, especially with excessive track count.

This section conveys techniques you can use to make your tracking sessions more efficient and productive, which in turn will set you up for a more trouble-free editing stage.


Using Project Folders

Logic Pro organizes sessions by grouping related files within a project folder. At its most basic, a project folder contains two items:

  • A song file

  • An audio folder containing related audio files

Often it also contains some or all of the following elements (depending on the song data, instrument choices, and plug-in choices):

  • A Sampler Instruments folder, containing the sampler instruments used in the song

  • A Samples folder, containing the audio files that are referenced by the sampler instruments used in the song

  • An Impulse Responses folder, containing the impulse response files used by the song's instantiations of the Space Designer plug-in (convolution reverb)

Creating a Project Folder

When dealing with multiple dependent files, it is absolutely necessary to keep everything in the right place for Logic's retrieval. Not to worry, however, as Logic automatically generates appropriate folders in their correct locations when creating a new song. This helps to keep your sessions organized from start to finish.

NOTE

If you didn't complete Lesson 1 and Lesson 2, a version of the template used in this lesson is included with the Lesson 3 files in the following folder: Advanced Logic 7_Song Files/Lesson 03 Project Files/Advanced Logic Template. In order to do the exercises in this lesson, you must copy the file to the following location on your hard drive: ~/Library/Application Support/Logic/Song Templates.

1. | Choose File > New. You should be looking at the New song window that you explored in Lesson 1 (in the "Using Song Templates" section).
2. | If not already selected, check the "Use song template" box.
3. | Choose User > Advanced Logic Template from the Template pop-up menu. This is the song file you have been working on for the last two lessons.
4. | Check the "Create project folder" box. The window expands to show additional settings.
5. | In the Name field, type Lesson 3. NOTE By default, the file path for projects is set to a folder named "Logic," which is created in your ~/Music directory. However, you might have a preferred location for your work (such as a separate location or external drive); you can type in a path for a location where you want new work to be saved.
6. | Check the "Copy external audio files to project folder" box. As you enable this, the "Convert audio file sample rate when importing" option becomes visible.
7. | Check the "Convert audio file sample rate when importing" box.
8. | Check the "Copy EXS instruments to project folder" box. As you enable this, the "Copy EXS samples to project folder" option becomes visible.
9. | Check the "Copy EXS samples to project folder" box.
10. | Check the "Copy impulse responses to project folder" box.
11. | Click OK to create a new project folder. NOTE If you started the lesson with a song already open, choose to close the previously opened song when prompted by the file dialog. To better understand what you just did, look in the Finder to locate the files and folders Logic created.
12. | Go to the location you specified in the New song window (~/Music/Logic).
13. | Open the Logic folder. Within the Logic folder is your newly created folder, Lesson 3.
14. | Open the Lesson 3 folder. It contains a new song file, also named Lesson 3, as well as a folder named Audio Files. In effect, you have created a new project, "wrapped around" your template, that provides an organized location for all files related to that project. The Audio Files folder is created automatically to contain any audio tracks that will be associated with the song file, recorded or imported. Keep this location open within the Finder so that you can refer back to it later.
15. | Switch back to Logic by using Cmd-Tab to select an active application.


Working with Dependent Files

The options you looked at in the New song window will determine how Logic handles dependent files (files that are referenced by the song) for the new project. When these are enabled, Logic automatically creates copies of related elements (such as imported audio files, EXS24 instruments and samples, and impulse responses used by the Space Designer plug-in) and places them in organized folders in the project folder. As a result, the song folder will have all project-related files located in one convenient, transportable folder, maintaining their dependent relationship.

Importing Audio Files into a Project

To better understand the relationship and organization of dependent files, let's load some audio files to work with for this lesson, creating a quick arrangement.

1. | Choose Audio > Audio Window. The Audio window opens.
2. | Choose Audio File > Add Audio File. A file selector opens. You will use the file selector to load a block of audio files you will use for the project.
3. | Browse to Music > Advanced Logic 7_Song Files > Lesson 03 Project Files > Audio Files.
4. | Click the Add All button.
5. | Click the Done button. [View full size image] All of the files located in the folder are added to the song's audio window.
6. | Choose Edit > Select All from the Audio window's local menu. All audio files are selected.
7. | Choose Audio Files > Add file(s) to Arrange. The Add Selected Files to Arrange window appears.
8. | Choose "Use existing tracks."
9. | Click OK. An alert appears, confirming the placement of the audio regions in the Arrange window.
10. | Click OK. The selected audio files are placed in the first five audio tracks, starting at measure 1.
11. | Close the audio window.
12. | Select the Loop box in the Region Parameter Box, located immediately to the left of Track 1. The selected regions are now displayed as looping within the Arrange window.
13. | Click the background of the Arrange window to deselect the regions.
14. | Drag the Folk Mandolin 18 region on track 2 to the second beat of measure 7 (7 2 1 1). [View full size image]
15. | Drag the Groovy Electric Bass 33 region on track 3 to measure 5 (5 1 1 1).
16. | Drag the Live Edgy Drums 18 region on track 5 to measure 5 (5 1 1 1). [View full size image]

Importing EXS Instruments and Samples into a Project

Now that you have a few audio files imported and situated within the Arrange window, let's add a few more elements to the song for us to work with.

1. | Select the Inst 1 track.
2. | In the Arrange channel strip, click-hold on the input field and choose Stereo > Logic > EXS24.
3. | Click-hold the Sampler Instrument menu and choose 08 Drum Kits > Percussion Kit. NOTE If you have created any custom Sampler Instruments of your own, Logic will list the installed factory presets under a folder named "Factory." If you do not see the 08 Drum Kits folder, look instead for the Factory folder, and then continue the file path as specified above. You will be recording with this instrument later in the lesson.

Importing Space Designer Impulse Responses into a Project

You might also find it useful to add a plug-in to your project, such as Space Designer.

1.
Press the 2 key on your computer's keyboard to bring up Screenset 2.

2.
In the Track Mixer window, click the Global button and then the Bus button to display available buses in the song.

[View full size image]

MORE INFO

To read about using the Track Mixer's Global view, see Lesson 9, "Working with the Mixer."

A Space Designer reverb plug-in is already inserted on Bus 1. (This is part of the Basic Production template on which you based the current template.)

3.
In the Space Designer plug-in, click-hold the preset menu and choose 02 Drum Reverbs > 0.3s_Small Drum Room.

NOTE

If you have created any custom presets of your own, Logic will list the installed factory presets under a folder named "Factory." If you do not see the 02 Drum Reverbs folder, look instead for the Factory folder, and then continue the file path as specified in Step 3.

4.
Close the Space Designer window.

5.
In the main menu bar, choose File > Save.

A Progress window appears, indicating that Logic is copying dependent audio files (Apple Loops, samples, impulse response files, and so on).

6.
After Logic completes the copying, switch back to the Finder by using Cmd-Tab.

The window that previously contained only a song file and the Audio Files folder now has other folders in it as well (Impulse Responses, Sampler Instruments, Samples, and Song Backups).

[View full size image]

7.
Open each folder to look at its contents.

Each folder contains copies of the related files used by the song:

  • Audio Files folder five audio files that you imported

  • Impulse Responses folder impulse response audio file used by the drum reverb

  • Sampler Instruments folder Percussion Kit EXS instrument added to the Inst 1 track

  • Samples folder audio files used by the EXS Percussion Kit instrument

  • Song Backups folder automatically created backup of the song

NOTE

You will see a Song Backups folder only if you have Auto Backup enabled in Logic Pro > Preferences > Global > Song Handling.

Note that these files have been copied, not moved, to this new location. This way, you are able to bring all elements related to a song from one system to another while still maintaining the location of the original files that were installed with Logic.


Quickly Accessing Additional Tracks

No matter the size of your computer monitor, only so much can fit onscreen. Because of this, Arrange windows usually are set up to display only a few tracks of each type (audio, audio instrument, and MIDI), compared with the total amount included in the song. Having 128 audio and 64 Audio Instrument tracks displayed in the Arrange window would be impractical, as scrolling up and down the huge list takes up valuable time.

Logic is an object-oriented application; all audio channels (tracks, audio instruments, buses, and so on) and MIDI devices are represented by an Object residing in the Environment. Tracks are assigned to any Object within the Environment by click-holding on the name and choosing from the hierarchical menus. While extremely flexible, this system quickly becomes tedious when you need to quickly create and assign tracks for takes and overdubs.

Creating Tracks

By gaining a simple understanding of Logic's behavior when creating new tracks, you can record takes and passes more efficiently without bringing the recording process to a halt.

NOTE

The following exercises apply to both MIDI and Audio recording, unless specified otherwise.

1. | Bring up Screenset 1.
2. | In the track list, click Audio 1.
3. | Click the R button to record-enable the track. NOTE Depending on your Audio Record Path settings, a Save As window may appear when record-enabling the track. If a window appears, use the default name of Untitled Audio and write the file to the lesson's Audio Files folder in ~/Music/Advanced Logic Pro 7_Song Files/Lesson 03 Project Files. Let's presume that the Track 1 material showing in the Arrange window is a take that the guitarist just recorded for the session. She immediately wants to record another try at the part, so you must quickly create a new track assigned to the same Object (Audio 1).
4. | From the Arrange window's local menu, choose Track > Create. Another Audio 1 track is created below the recorded track. Note that this new track is already record-enabled because it is essentially a duplicate of the Audio Object. The new track will have an identical channel strip, complete with any plug-ins, and input and channel settings, already set up. It also is adjacent to the previous take, which will help keep things organized.
5. | Put Logic into record mode by clicking the Record button in the Transport. NOTE It is not necessary to record an actual signal for the purposes of this exercise, but it certainly helps.
6. | After 10 seconds or so, click the Stop button in the Transport. Notice that you were unable to hear the previous guitar part. This is because, while recording, Logic gives priority to the track being recorded, even if tracks share the same outputs. By creating another track without disabling the Record Enable button, you can quickly set up to capture the next take.
7. | Click the Record Enable button on either of the Audio 1 tracks to disable it.
8. | Click the Mute button (M) on the track you just recorded. NOTE Depending on your Audio Record Path settings, your new file may be named something other than Untitled Audio.
9. | Rewind to the beginning of the song and click the Play button. The first track sounds now.

While it is not necessary to mute the previously recorded track to record the next take, it is essential that you mute the tracks you don't wish to hear during playback.

Creating Tracks Automatically While Recording

Often, takes and overdubs are performed within an isolated section of the compositionfor example, an instrument solo or vocal chorus. Logic's Cycle function enables you to concentrate on these smaller sections, playing them over and over.

The Cycle is also helpful for grabbing multiple takes, and when using it in conjunction with a few preferences, you can record one pass after another in rapid succession. This is especially useful if you wear the hats of engineer, producer, and artist while working; often it is impractical to put down your instrument to get your hands on the computer keyboard.

Recording Multiple Takes Automatically

In this exercise you are going to set up Logic to automatically record multiple takes in succession, creating a simple percussion part.

1. | Select the Inst 1 track (where you placed the EXS Percussion Kit). The track highlights, and automatically enables the R button (MIDI Thru), ready for input. Try playing your MIDI controller to make sure you can hear the EXS24, as well as to familiarize yourself with the sound set.
2. | Choose File > Song Settings > Recording. The Song Settings window opens, displaying the Recording options.
3. | Check the "Auto create tracks in cycle record" box. [View full size image] TIP The When Beginning section in this window has settings to determine amount of pre-roll when recording, which creates a count-in each time Logic starts playback.
4. | Close the Song Settings window.
5. | Create a 10-bar cycle by dragging from 8 1 1 1 to 18 1 1 1 within the Bar Ruler. NOTE You may need to zoom out the track horizontally to view and choose the measures for the cycle. The Cycle button on the Transport will turn green to indicate that it is enabled.
6. | Play the song. Observe how playback is looped within the 10-bar cycle you set. Play some notes on your MIDI controller to explore the sounds that are a part of this set. Try to find at least two separate instrument sounds that you feel are complementary to the groove, and play along. TIP Try using A#4 (shaker), G#2 (cowbell), or F#2 (tambourine) sounds for this exercise.
7. | Stop the song when you're comfortable with a simple impromptu part. NOTE Remember which keys trigger the sounds you picked, as you will be recording them one at a time, for each pass of the cycle. Be prepared, as this section will repeat itself without a pause between takes. Now it is time to record the parts. In order to have a little lead time between takes, let's create a slightly smaller Autodrop region within the cycle Region, giving you a bar on each side. Logic will record only within the boundaries of the autodrop region.
8. | Click the Drop button in the transport area. This enables an autodrop region, which shows up as another highlighted rectangle occupying the lower part of the space usually reserved for the Cycle region.
9. | Drag on the area just below the Cycle region in the Bar Ruler from 9 1 1 1 to 17 1 1 1. This creates a 10-bar section that will repeat, with Logic automatically set to record eight bars within the Region. In effect, you set up a bar of lead and post time on either end of the repeated section to give the performer (you) a little more transition time.
10. | Put Logic into record mode, and perform only one of your selected instruments on the Percussion Kit track. TIP If you're not happy with your take, click the Record button (or use the key command) again while Logic is still in record mode. Logic will initiate the recording process again at the starting location, deleting the previous take while recording the new one.
11. | When the cycle reaches the end (bar 17), immediately begin performing the second instrument of your choice, building tracks in layers.
12. | If adventurous, do a third pass with another selected instrument.
13. | Click the Stop button after you have finished.

While recording, Logic created duplicate tracks for each pass of the cycle, with the first take at the bottom. The subsequent Regions are automatically labeled with numbers corresponding to each consecutive take.

[View full size image]

This works wonderfully for overdubs, especially when recording MIDI, where the polyphony of the instrument is the only limit on how many tracks sound simultaneously.

Automatically Muting New Tracks

What about recording takes, when you don't want tracks to sound at the same time? Previously, you had to mute the tracks manually to hear one take at a time. Logic can address this with a helpful feature that automatically mutes tracks as passes are completed.

For this exercise, you will rerecord the percussion part that you made in the previous exercise, this time with Logic automatically muting the takes as well as recording them.

1. | Select the two percussion Regions you just recorded, and press Delete. This erases the takes you made in the preceding exercise.
2. | Choose File > Song Settings > Recording to bring up the Recording options again.
3. | Check the "Auto mute in cycle record" box. [View full size image]
4. | Close the Song Settings window.
5. | Put Logic into record mode, performing the first of the instruments that you selected for the previous exercise.
6. | When the cycle reaches the end (bar 17), immediately begin performing the second instrument of your choice, building tracks in layers.
7. | If you're feeling adventurous, do a third pass with another selected instrument.
8. | Click the Stop button after you have finished.

The takes are automatically recorded as in the last exercise, but this time Logic mutes all regions except the most recently recorded take.

NOTE

Unfortunately, the above techniques do not work for audio recording when Drop is enabled. However, everything works with Logic in Cycle mode.


Recording Multiple Tracks Simultaneously

In Logic, recording multiple tracks simultaneously closely parallels the recording of single tracks, with a few differences. In the following exercise you will record several audio and MIDI tracks at the same time.

NOTE

This lesson is geared toward setups with audio interfaces having four or more inputs. Don't worry If you are working with a stereo input device; you can easily substitute two inputs whenever four are mentioned in the exercise. By recording with both inputs as mono sources, you will still get a feel for multitrack audio recording with Logic.

Recording Multiple Audio Tracks at Once

Let's start by recording multiple audio tracks simultaneously from separate inputs.

1. | Disable Cycle and Autodrop in the Transport.
2. | Click the Stop button to return to the beginning of the song.
3. | Bring up Screenset 2.
4. | If needed, click the Global button to view the tracks used in the Arrange window.
5. | In the Track Mixer, assign Audio 6 through Audio 9 to inputs 1 through 4, respectively. NOTE Due to your assigning of input labels in Lessons 2, inputs 1 and 2 will be labeled as Pre, and inputs 3 and 4 will be labeled as Analog.
6. | Record-enable Audio 6 through Audio 9 by clicking the REC buttons at the bottoms of the channel strips. The Record Enable buttons will flash. NOTE If a track does not have an input assigned, it will not record-enable. Likewise, if two tracks share the same input assignment, then only the last one record-enabled will be active.
7. | Click the Record button. NOTE For the sake of this exercise, you will be recording "blank" tracks without input signal. However, you are encouraged to record with any input signal you like, playing along with the song.
8. | After 30 seconds or so, click the Stop button. (You can, of course, record a full pass if you're playing along.) In the Arrange window (the bottom half of the screen) you should see four Audio Regions recorded on Tracks 710 (Audio 6 through Audio 9). [View full size image]
9. | Disengage record-enable for all tracks.

TIP

To disengage record-enable for multiple tracks at a time, hold down the Option key while clicking any of the Record Enable buttons in the Track Mixer. This technique works in the Track Mixer and Environment Mixer, but not in the Arrange window's channel strip view.

Recording MIDI and Audio at the Same Time

The process of recording MIDI and audio simultaneously works in a manner similar to multitrack audio recording. Logic handles the internal routing required to direct the incoming signals to the appropriate track (MIDI input to MIDI track, and audio input to audio track).

NOTE

If you have a few people in your studio to participate in the recording, feel free to have them supply the audio performance while you supply the MIDI input.

1. | Press the number 1 key to bring up Screenset 1.
2. | Use the technique you just learned for multi-track audio recording to record-enable Audio10 and Audio11.
3. | In the Track List, Shift-click the Inst 2 track. The Inst 2 track is selected. By Shift-clicking, you are enabling the input of two types of tracks: MIDI and audio. Only one audio track needs to be selected in a group, as all audio tracks are record-enabled, and "listening" to input. When recording MIDI and audio at the same time, you need to select the MIDI track as well as one of the audio tracks in order to receive input.
4. | Locate the beginning of the song, and put Logic into record mode.
5. | Play your MIDI controller to input some data (otherwise the Inst 2 track will appear to not have recorded anything). NOTE Because there isn't an Audio Instrument assigned to this track, you will hear nothing when playing the MIDI controller. This works fine for illustrating the technique, however.
6. | Click the Stop button after 30 seconds or so.
7. | Disable the Record Enable buttons on the audio tracks. You just recorded two audio tracks (Audio10 and Audio11) and a MIDI track (Inst 2) simultaneously.
8. | Click the record enable buttons on the audio tracks you used in the recording to disable them.

Recording Multiple MIDI Tracks at Once

When recording multiple MIDI tracks simultaneously, Logic allows you to build complex sounds by layering the output of different instruments. In effect, the MIDI input is routed to multiple tracks with separate Objects, recording the same part to multiple tracks in a single pass.

NOTE

All multitrack MIDI techniques discussed here work equally well with classic MIDI tracks and hardware (such as synthesizers and samplers).

Let's look at this process by creating a simple layering of sounds from two of Logic's audio instruments.

1. | Select Inst 3 in the Track List.
2. | In the channel strip view, click-hold on the input field and choose Stereo > Logic > ES E.
3. | Click-hold in the preset menu and choose the Ensemble Sweep preset.
4. | Close the ES E window.
5. | Play your MIDI controller to familiarize yourself with the ES E patch.
6. | Select Inst 4 in the Track List.
7. | In the channel strip view, click-hold on the input field and choose Stereo > Logic > EFM1.
8. | Click-hold in the preset menu and choose Atmo & Fx > Aqua Entchant preset.
9. | Close the EFM1 window.
10. | Play your MIDI controller to familiarize yourself with the EFM1 patch.
11. | Click the Record Enable buttons for both the Inst 3 and Inst 4 tracks, one at a time. Both tracks should have Record Enable buttons active (lit in red). NOTE Only the Arrange window offers Record Enable buttons for MIDI tracks.
12. | Play your MIDI controller. You should be hearing sounds from each audio instrument playing simultaneously.
13. | Alternate selecting the enabled tracks, adjusting the volume level in the channel strip view to achieve a good blend of the sounds. Try playing the C2 note on your MIDI controller as you adjust. (This is the note you will record in the next step.)
14. | With either track highlighted, record a sustained C2 note at measure 3 for two bars. Logic automatically creates both a MIDI Region on the highlighted track and an alias for the other track. [View full size image] This alias mirrors the MIDI Region in every way and reflects any change made to the original. When layering MIDI instruments, Logic creates an alias for every track except the one selected at the time of recording.

MORE INFO

For more on aliases, see Lesson 8, "Advanced MIDI Editing."


What to Do if You Run Out of Tracks

A song's track count can quickly reach the limit of what is displayed in the Arrange window, especially when you're recording multiple tracks at once. As you can see in your song, there are only 12 audio tracks showing in the Track List. To get additional audio tracks in your Track List, you could reassign any of the Audio Instruments tracks below to the next Audio Object (Audio13), but you might need to access them later. Likewise, if you used the Create Track command to create quick takes, you would still have to reassign it to the next Audio Object.

Instead, let's access a new Audio Object and create a new track at the same time.

1. | Select the Audio12 track.
2. | From the Arrange window's local menu, choose Track > Create with Next Instrument. A new Audio13 track is added below the selected track. Using this command, you can create and assign a new track to the next available Object of its kind (Audio, in this instance). This technique relies on the fact that there are pre-existing Objects within the Environment that can be assigned to the new tracks.
3. | Create Audio14, Audio15, and Audio16 tracks using the technique you just learned. TIP This technique also works great for creating and assigning new Audio Instruments or MIDI tracks in the Arrange window. Logic also has a function for creating a block of tracks quickly, which helps when preparing to do multitrack recording.
4. | Select track Audio16 if it is not already selected.
5. | Choose Track > Create Multiple. The Create Multiple Tracks dialog appears. Within this dialog are a variety of pop-up menus that enable you to choose how many tracks to create, of what type (audio, audio instruments, auxiliary), channel (mono or stereo), and audio driver assignment (CoreAudio, DAE, Direct TDM).
6. | In the "Number of Tracks" field, enter 8 (if not entered already).
7. | Click OK to create eight more mono audio tracks. The Arrange window now displays 24 audio tracks.
8. | With the Audio24 track selected, choose Track > Create Track with Next Instrument. A new track is created, but it is assigned to Aux 1. Why wasn't an Audio25 track created? To find out, take a quick look in the Environment window.
9. | While holding down the Control key, double-click the Audio24 track name. The Environment window opens, with the Audio24 Audio Object highlighted. [View full size image]
10. | Use the scroll bars to look around the Audio layer of the Environment. You can see that there are only 24 Audio Track Objects in this song (Audio 124). This is the reason why Logic created an Aux track instead of an audio track. It ran out of Audio Track Objects to assign to new tracks (only 24 are available), so it grabbed the next type of Audio Object in alphabetical order, an auxiliary.
11. | Close the Environment window.
12. | In the Arrange window, select the Aux 1 track, and press Delete. The track is deleted.

Creating Multiple Tracks and Audio Objects at Once

As you just observed, you may not have enough Objects of one type created within the song's Environment to fit the needs of the session. (This often arises when working with songs created on other setups.) However, this is easily resolved without having to go into the song's Environment, creating and assigning each Audio Object needed by scratch.

Setting the Maximum Number of Audio Tracks

You can create only as many Audio Objects as are specified in the preferences, so let's check those settings.

1. | Choose Logic Pro > Preferences > Audio.
2. | Click the Drivers tab.
3. | Be sure the Max. Number of Audio Tracks setting is set at 32 by double-clicking in the window next to the slider and entering 32. [View full size image] This sets the global limit for audio tracks that Logic can create, no matter what song is loaded. TIP It is advisable to set this at a practical amount, as Logic assigns RAM for each potential track. Try to set this for a limit slightly above or equal to what you commonly use. For these changes to take effect, you need to relaunch the audio driver.
4. | Click the Enabled checkbox twice, first diabling it, then enabling it again. An alert appears asking if you want to try relaunching the Core Audio driver.
5. | Click the Try (Re)Launch button. Logic relaunches the audio driver, enabling the new Max. Number of Audio Tracks setting.
6. | Close the window.
Creating Multiple Tracks in the Arrange Window

In the previous exercise, the template on which you based the Advanced Logic Template (Basic Production) contained only 24 audio tracks in the Environment. Rather than go into the song's Environment, create new Audio Objects, expand each of them, and then assign each to a new channel (audio tracks, audio instruments, buses, and so on), you can execute the creation and assignment of the needed tracks with a single command from the Arrange window.

1. | Select track Audio24 if it's not selected already.
2. | Choose Track > Create Multiple. The Create Multiple Tracks dialog appears. In the previous exercise you used this dialog to create new tracks that were assigned to existing Audio Objects. This function also works when there is a deficiency of Audio Objects by automatically creating the number needed to fulfill the task.
3. | Click OK to create eight mono audio tracks. You now see 32 tracks in the Arrange window.
4. | While holding down the Control key, double-click the Audio32 track name. The Environment window opens, with the newly created Audio32 Object highlighted. [View full size image] You should now see the newly created Audio2532 track Objects. Because you executed this command on the last of the available tracks (Audio24), Logic created whatever was necessary to complete the task of creating eight more tracks. NOTE This function carries out the creation and assignment of multiple tracks using the selected track as the starting point, so always start off by selecting the track from which you want to start building.
5. | Close the Environment window.

Deleting Unused Tracks

You now have far too many audio tracks showing in the Track List of the Arrange window for use in the following lessons. Since you now know how to create needed tracks on demand, you can safely delete those extra tracks.

NOTE

The Audio Objects will not be deleted in the Environment (just in the Arrange window's Track List), so you can access them again using the techniques discussed earlier.

1. | Select the Audio32 track if it's not already selected.
2. | Press Delete. You used this basic technique earlier. Let's also look at a few others.
3. | Position the pointer over the number at the left of the Audio32 track. The pointer should change into a hand when in the right position.
4. | Grab the track by clicking the track number, and drag the track over to the left so that it is positioned outside the Track List. The pointer changes into an eraser.
5. | Release the mouse button. The track is removed from the Track List. Both of these techniques are useful for quick deletion of single tracks, but cleaning up a tracking session often requires the deletion of multiple blank tracks of different types (audio, audio instruments, and so on). Logic's Delete Unused function comes in handy for these situations.
6. | Select the Audio12 track.
7. | Choose Track > Delete Unused. Any track that does not have a Region is deleted from the Arrange window's Track List. The only exception is Audio12, which was highlighted at the time of this command. By selecting this track, you told Logic that this is an active track and should be preserved.
8. | Choose File > Save to save your progress.


What You've Learned

  • A project folder contains all dependent files associated with a given song, organized in folders of the same file type.

  • The Arrange window's Track List displays only a portion of the available Objects within the Environment.

  • Creating a duplicate of a track that is record-enabled quickly sets you up to capture the next take.

  • Logic gives first priority to the track currently recording when multiple tracks are set to the same outputs.

  • Logic can automatically create tracks and takes within a cycle Region for hands-free recording.

  • Recording multiple audio tracks requires that you set the tracks to separate inputs.

  • Logic handles the routing of MIDI and audio when recording both types simultaneously.

  • MIDI tracks can be multitracked via layering sounds or with multiple MIDI controller inputs triggering separate sounds.

  • Using the Create Multiple command not only creates new tracks in the Arrange window, but allows you to quickly create and assign Audio Objects within the Environment as well.

  • Unused tracks can be deleted individually or all at once using the Delete Unused command.


Lesson 4. Tempo and Pitch Matching

Lesson Files

Advanced Logic 7_Song Files > Lesson 04 Project Files > 04_Time and Pitch Matching > 04_Time and Pitch_Start.lso

Advanced Logic 7_Song Files > Lesson 04 Project Files > 04_The Only Light That's On > 04_The Only Light_Start.lso

Media

Advanced Logic 7_Song Files > Lesson 04 Project Files

Time

This lesson takes approximately 1 hour to complete.

Goals

Achieve better results when shifting time and pitch

Utilize the Apple Loops Utility to create your own Apple Loops

Utilize the Time and Pitch Machine to make exact time and pitch changes

Use Harmonic Correction when pitch shifting to preserve the resonant characteristics of an audio file

Match a song's time grid to a freely played recording

Working with music in the digital domain lends itself well to collage, making it effortless to combine multiple sources of material into a cohesive whole. It has become increasingly common in modern music production to incorporate audio material from disparate sources, whether it is material from sample libraries or excerpts from existing recordings. The major production stumbling block has been the need to match the dissimilar tempos and keys of the sound sources.

When a tape is slowed down or a digital audio clip's sample rate is increased, the pitch is altered as well. Not too long ago, it was impossible to alter the timing and pitch of a recording independently. Recent trends in audio production technology have attempted to address this, incorporating features that specifically deal with the tempo and pitch matching of audio material.

Modern techniques utilize complicated computation that transposes, extends, or compacts audio material, giving you the ability to alter pitch or time (or both) without changing the character of the original file. These operations are quite complicated, requiring an analysis of the audio data in order to make decisions as to what to leave or cut out, and where to insert material.

These decisions aren't always suitable for a specific piece of material, however, and unexpected results (whether desirable or not) can occur. In order to achieve a better outcome, you need to manipulate the available parameters to help the computer make appropriate decisions.

In this lesson you will utilize Logic Pro's time-stretching and pitch-transposition features to match up disparate elements within a song.


Working with Apple Loops

Apple Loops essentially are audio files that have additional information written to the file's header. This data supplies timing and pitch information to software like Logic and GarageBand, allowing independent real-time stretching and pitch-shifting of audio data.

This file format is a boon for arranging, as Apple Loops have the distinct advantage of automatically conforming to Logic's tempo grid, and they provide a great deal of flexibility.

For the next few exercises, you will use a song file containing the basic elements from previous exercises (similar to the song file you created in Lesson 3), including some audio files that are in the Apple Loop format.

1. | Choose File > Open, and open Advanced Logic 7_Song Files > Lesson 04 Project Files > 04_Time and Pitch Matching > 04_Time and Pitch_Start.lso. [View full size image] Look at the first five tracks containing Audio Regions. Note that each Region has a small symbol (similar to a loop-the-loop) following its name. This symbol designates that the audio file is an Apple Loop. In addition to the Apple Loop tracks, Track 6 contains a guitar part, Chimey Guitar, that was recorded in tempo with the instrumental groove. Note that this Region does not have an Apple Loop symbol, as it is a regular mono audio file.
2. | Play the song to familiarize yourself with the arrangement. The song moves along at a pretty fast clip and feels a little rushed. Let's slow the tempo to achieve a better feel for the groove.
3. | Double-click the tempo indicator in the Transport window (top left of the Arrange window), and enter 110.
4. | Play the song. The groove feels significantly better at this slower tempo, but a major problem has occurred. The Chimey Guitar track, which previously was recorded to the original tempo of 120 bpm, is now out of tempo.

Using the Apple (Soundtrack) Loops Utility

One of the easiest ways to make the Chimey Guitar Region tempo match the others is to convert it into an Apple Loop. That way you can make tempo adjustments in the arrangement and have all elements follow along. Logic Pro ships with a simple application, the Apple Loops Utility, that allows you to create Apple Loops from any simple audio file.

1. | If not already selected, select the Chimey Guitar Region in Track 6.
2. | In the Arrange window's local menu, choose Audio > Open in Apple Loops Utility. A dialog appears, asking you to identify the length of the file. In order for the Apple Loops Utility to begin analyzing the data, it must discern how length relates to musical beats and bars. The Apple Loops Utility makes an educated guess based on Region length in relation to Logic's own bars and beats grid. This Region originally lasted four bars (at 120 bpm), so in this case the program "guessed" correctly.
3. | Click the "Use set length" button. The Apple Loops Utility opens, displaying the filename in the Assets drawer (far right), with the Tags pane active.

NOTE

The Soundtrack Loop Utility and Apple Loops Utility are one and the same, depending on the age of your installed version of Logic Pro, or if you already own Soundtrack (Apple's application for creating video soundtracks). Soundtrack was the first application to utilize the Apple Loop format, and it also shipped with the loop utility.

Tagging Files

Tags are pieces of information utilized by applications that support the Apple Loop file format. Adding tags will not affect the tempo or pitch properties of the file directly, but tags are essential if you plan on adding a file to the Apple Loop library (accessed by Logic's Loop Browser). These bits of information are used for database purposes, enabling you to search for material based on specific criteria. Let's take a quick look at these properties by creating tags for the Chimey Guitar file you imported.

The top left portion of the Tags pane contains property tags relating to the file's musical content.

The Apple Loops Utility supplies a default time signature, number of beats, key, and tonality. It so happens that this works for your arrangement, so you can leave these settings as they are.

Move down to the Search Tags area, where you can define the musical genre and instrument type of the file.

1. | Click-hold the Genre pop-up menu and choose Rock/Blues.
2. | In the Instrument section, choose Guitars > Electric Guitar. Move to the right to the Descriptors area.
3. | Matching the screen shot below, click the radio buttons for the options that best describe the musical character of the Chimey Guitar part.
Working with Transients

Now that you've defined the search tags of the audio file, it is time to work with properties that directly relate to time stretching and pitch transposition.

1. | Click the Transients tab at the top left of the window. The Transients pane opens, displaying the audio file waveform. [View full size image] Transients are points in an audio file where beats occur, and they typically show up as sharp attacks with the highest amplitude (widest areas of a waveform). The Apple Loops Utility automatically detects transients and applies markers based on these characteristics, in conjunction with the bar/beat information that you supplied when opening the utility. These transient markers are used as a map, enabling Logic to make decisions about where best to apply time stretching and pitch transposition. By default, the Apple Loops Utility uses sixteenth-note divisions, but this might not always be appropriate for the given material. It is best to check results by listening to the file played from within the utility, which will immediately apply time stretching and pitch transposition based on the settings.
2. | If not already done, set the Tempo slider (marked with a metronome symbol) to a value of 120 bpm (beats per minute).
3. | Click the Play button at the bottom of the window. The file plays, looping over and over, but in the wrong key in relation to the Logic song.
4. | Click the Key pop-up menu in the lower part of the window and choose "" (indicating the original key of the part). The file now plays in its original key (C major).
5. | While playing the file, try selecting the different keys from the Key pop-up menu, listening to them one at a time. The loop transposes smoothly up via semitones and sounds as expected, until it reaches the [image] setting (the augmented fourth/diminished fifth from C). The pitch immediately drops down 11 semitones (an octave below what is expected). This still reflects the key accurately but drops an octave in pitch to order to achieve better-sounding results. NOTE This octave transposition is mirrored when using Apple Loops in the Arrange window. While octave transposition still represents the key accurately, it might create some surprises when moving from the root to the fifth, or in other such progressions.
6. | Return to the original key, by choosing "" in the Key pop-up menu.
7. | While playing, drag the Tempo slider to a value of 110 bpm. The loop will play back at a slower tempo. Listen to the sound produced when you adjust the tempo to your target (110 bpm). There is a slight tremor to the sound, falling at the sixteenth-note divisions. This was not present in the original file, so let's utilize the Transient Division menu to home in on a more acceptable sound.
8. | Click the Stop button. Look at the numbers displayed above the waveform (1.1, 1.3, 2.1, 2.3, and so on). These correspond to bars and beats, separated by a period. Therefore, 1.1 equals the first bar, first beat; 1.3 equals the first bar, third beat. You can use this reference to compare the transients of the audio file with the bars/beats grid. The Transient Division setting should reflect the smallest significant note division for the loop. In this instance, you can discern by looking at the waveform that the notes aren't struck any faster than a half-note interval (2.3 to 3.1), so setting the Transient Division to match is a good place to start.
9. | Click-hold the Transient Division pop-up menu and choose 1/2 Notes. Play the song and listen to the results. This sounds significantly better, and considerably less jittery.
10. | Stop the playback and drag the Sensitivity slider located at the top right all the way to the right. As you do this, notice how more transients are added, matching up to smaller peaks in the audio waveform that occur at faster intervals than the half-note value you defined in the Transient Division menu. Increasing the sensitivity achieves a better result for the glissando between 2.3 and 3.1 but mostly brings back the jittery sound, especially for the sustained vibrato between 1.1 and 2.3. Instead of using these results, you can drag the Sensitivity slider back to the middle and add only the Transient markers needed.
11. | Drag the Sensitivity slider to about halfway.
12. | Double-click the dark gray area above the Beat ruler in the middle of the 2.33.1 range. A Transient marker is created approximately at the second bar, fourth beat. TIP You can adjust transients by dragging them to a new location, or delete them by selecting them and pressing Delete.
13. | Double-click in the same area to create another Transient marker between the one you just created and the one at 3.1. A Transient marker is created approximately at the upbeat of the second bar, fourth beat. The playback is pretty smooth now, with acceptable results.
14. | If the playback is still looping, click the Stop button.
Creating an Apple Loop

In order to take advantage of the adjustments and the information that you defined, you have to save the file. When you save the file, the new data is added to the file and becomes accessible to any application that reads Apple Loops.

1. | Click the Save button in the bottom right corner of the interface. The information you provided, both tags and transients, is saved to the file.
2. | Choose Apple Loops Utility > Quit Apple Loops Utility.
3. | If needed, bring up Logic Pro, which should still be in the background. Look at the Chimey Guitar Audio Region in Logic's Arrange window. It now has the Apple Loop symbol next to the filename and has a length of exactly four measures.
4. | Play the song. The Chimey Guitar Region now plays in time.


Using the Time and Pitch Machine

Before Logic 7 integrated Apple Loops, all tempo and pitch adjustments to audio files were done with the Time and Pitch Machine. The Time and Pitch Machine functions differently than Apple Loops. The most obvious difference is that Apple Loops work in real time, dynamically changing pitch and tempo in relation to the song, while the Time and Pitch Machine is an offline, file-based process that permanently alters pitch and tempo.

Even so, the Time and Pitch Machine has its advantages, especially with regard to control. Apple Loops offer automatic adaptability, but they are locked to a given song's tempo or key and are not very useful when you want to shift audio material independent of the song's tempo or by small pitch adjustments (less than a semitone).

Let's bring in another piece of material and use the Time and Pitch Machine to conform it to the arrangement.

1. | Select the Audio 7 track.
2. | Move the Song Position Line to the beginning of bar 2.
3. | Choose Audio > Import Audio File. The Open dialog appears.
4. | From the file selector, choose ~ > Music > Advanced Logic 7_Song Files > Lesson 04 Project Files > 04_Time and Pitch Matching > Audio Files, and open Synth Layer.aif. The nine-bar Synth Layer Region is imported to measure 2.
5. | Double-click the Synth Layer Region, opening the Sample Editor.
6. | Resize the window to display the file in its entirety, zooming out horizontally if necessary. [View full size image] Start by listening to the imported file. The Sample Editor, like many of Logic's other editors, allows us to set the output channel to hear the content that is displayed in the editor.
7. | Double-click the output channel (below Cha on the far left of the Sample Editor), and enter 7. This matches the audio channel for the track the Region plays through in the Arrange window. TIP It is always advisable to set the audio output to the channel that the Audio Region resides on, especially if you are using plug-ins on the track.
8. | Click the Play button to hear the Synth Layer audio file. The audio file consists of a synth pad that slowly grows to a climax, then tapers off. For this exercise, you will shorten the long synth pad to work better in the song. In this instance, the Apple Loops Utility is not suitable for a variety of reasons. The swelling sound of the synth pad has no beat-related transients on which to base the pitch and time shifting as in the earlier exercise. In addition, Apple Loops are geared toward repeated, rhythmically based material that always relates to the song's tempo. For this task, you only need to shorten the file's length, without taking into account the tempo. Creating an Apple Loop from the selection would have no effect unless you later changed the song's master tempo.
9. | Choose Factory > Time and Pitch Machine. The Time and Pitch Machine opens. [View full size image] The Time and Pitch Machine utilizes two main interface areas: the graphical controls on the left and the data-input fields on the right. Both do essentially the same thing and reflect settings made on either side. While the graphical interface lends itself well to experimentation, for this exercise you will be using the right side, which allows exact numerical input.
10. | Double-click the Destination box in the Tempo Change (%) row and enter 50. After you enter the value, note that the information displayed in the Destination column now reflects this change. The Time and Pitch Machine offers six algorithms designed to work with different types of audio material, prioritizing certain musical aspects to better make decisions that affect the time and pitch shifting.
11. | Click-hold the Algorithm pop-up menu and choose Pads. By choosing the Pads setting, you are indicating that the material has a minimum of transients and that it is a sustained sound. TIP Even though operations in the Sample Editor are usually destructive (and affect the file permanently), different algorithms can be tried on material without destructive results. Logic Pro will cache changes to disk depending on the Number of Undo Steps set within the Sample Editor preferences (Preferences > Audio > Sample Editor). After an operation is completed, you can always undo by choosing Edit > Undo in the Sample Editor.
12. | Click the Process and Paste button. The operation is performed while Logic Pro displays the progress. This may take a few moments, depending on the speed of your computer.
13. | Close the Time and Pitch Machine window.
14. | Click the Play button to listen to the results. The file plays back true to its original sound quality, but with a shorter length.
15. | Close the Sample Editor.
16. | Play the song file to hear the Synth layer within the context of the song. This fits much better with the arrangement, building up until the drums and bass enter, then tapering off.

TIP

Better results are usually achieved when contracting, instead of expanding, audio files. When the operation increases the speed of the audio, the computer must cut out material deemed nonessential, potentially removing important elements such as transients. Things get considerably trickier when you need to decrease the speed, as the computer must invent entirely new material based on the existing waveform, inserting it at appropriate places to fill the desired length.

Using Harmonic Correction with Pitch Transposition

Pitch transposition usually involves shifting the complete frequency spectrum up or down by a constant value. In effect, everything within the sound source is shifted, including natural resonances (called formants). This works well for some material but can create unnatural results when working with material with harmonic structure that is integral to the sound (such as instruments or voices).

A good example is the pitch shifting of a cello note. When all material is shifted upward (including formants), the pitch changes, but the "body" of the instrument changes, as well. What results is a higher pitch that sounds as if it were emanating from a smaller instrument (a viola or violin, in this case), rather than a higher pitch from the original instrument (cello).

If your aim is to change the pitch of a given file and maintain these resonances, then the formants must be left unaltered when the pitch is changed. The Time and Pitch Machine can be set to use such a process, called Harmonic Correction, to achieve natural results when pitch shifting.

Try this out by changing the pitch of the Synth Layer Region you have been working with and applying Harmonic Correction.

1. | While holding down the Option key, drag the Synth Layer Region to bar 13. The Region is copied to the new location. Since you will be transposing this copy, it is necessary to save it as a unique audio file rather than another reference of the original. This will allow you to make changes to the copied file without altering the Regions you worked with previously.
2. | With the newly copied Region highlighted, from the Arrange window's local menu choose Audio > Convert Regions to New Audio Files. A dialog appears, prompting for a location to which to save the converted file.
3. | Click the Audio Files button to save to the location of the original file. The Region is saved as an independent audio file.
4. | Double-click the newly saved Region to open the Sample Editor.
5. | Open the Time and Pitch Machine by choosing Factory > Time and Pitch Machine. The Time and Pitch Machine opens. NOTE The Time and Pitch Machine opens with the last setting you input, so it is important to clear out the tempo change you performed in the last exercise before you perform an unrelated operation (unless you want to affect the file in similar ways again).
6. | In the Tempo Change (%) row, double-click in the Destination box and enter 0, then press Return. The goal is to change the pitch of the file up a fifth from C to G while retaining the inherent resonances of the sound.
7. | In the Transposition (Cent) row, double-click in the Destination box and enter 700, then press Return. This will transpose the sound up 700 cents, or seven semitones (there are 100 cents in a semitone).
8. | Click-hold the Harmonic Correction pop-up menu just below the Transposition (Cent) row, and choose "on." This tells the Time and Pitch Machine that you wish to retain the original formants of the file, altering the pitch independently.
9. | Click the Process and Paste button. The operation is performed while Logic Pro displays the progress. This process takes a bit longer than the tempo alteration you did earlier, because the computations for Harmonic Correction are more extensive. NOTE Tempo, pitch, and harmonic (formant) changes can be applied simultaneously or independently of each other.
10. | Close the Time and Pitch Machine window, and play the file from within the Sample Editor. The synth pad retains all of its original character but sounds a fifth higher.
11. | Close the Sample Editor.
12. | Play the song to hear the new Region within the context of the composition.
13. | Choose File > Save to save the song.
14. | Close the song by choosing File > Close.


Working with Rubato Passages

Generally with Logic, you will be working with music that is based on a constant tempo or recorded to a metronome click. In this common situation, Logic's tempo and time-signature settings create a time grid in which you plot events. This enables data to be displayed musically, in relation to bars and beats.

However, there will be instances when you want to record without a click, gaining the freedom to vary tempo and play with rhythmic flexibility (to play "rubato," in music parlance). In this situation, the trick is not only to maintain the performance interpretation, with its deviations in tempo, but also to display the musical data in correct time (bars/beats). This can be accomplished by aligning Logic's time grid to match these deviations through Beat Mapping.

Once the time grid matches the performance, you can use Logic's compositional and arranging features (quantization, time-based effects, notation, Apple Loops, and so on) to work with data as if it had been recorded to a metronome click.

For this exercise, you will use Logic's Beat Mapping track to create tempo changes for each event that deviates from a constant tempo.

Using the Beat Mapping Track

The Beat Mapping track, one of Logic's Global tracks, works hand in hand with related tracks such as the Signature and Tempo tracks. You can think about it as working like an adaptive ruler, letting you graphically tie events to particular bars and beats (derived from the Signature track). When events are defined according to their bar position in the Beat Mapping track, tempo changes are created in the Tempo track in order to align the grid.

Both MIDI and audio tracks can form a basis on which to generate a beat map. Let's start by opening the song file used in this exercise, which contains both MIDI and audio versions of a rubato piano piece.

1.
Choose File > Open, and open Advanced Logic 7_Song Files > Lesson 04 Project Files > 04_The Only Light That's On > 04_The Only Light_Start.lso.

The file opens with an Arrange window containing a single MIDI track outputting through the EXS24 (using a piano sample instrument) and a muted audio track of the same material.

2.
Play the song to familiarize yourself with the material.

3.
Click the Toggle Metronome button in the Transport to turn on Logic's click.

NOTE

If you changed the metronome to output to the headphones in Lesson 2, it might be necessary to set it to output to your control room monitors to hear it. Do this by selecting the main outputs (1-2) in File > Song Settings > Metronome.

4.
Play the song again, this time listening to the tempo deviations of the piece compared with the click.

Things start off without too much deviation, but the click is really off by measure 4.

5.
Choose View > Global Tracks within the Arrange window's local menu.

The Global tracks appear, displaying only the ones used for this exercise: Signature, Tempo, and Beat Mapping.

[View full size image]

TIP

You can choose to display any or all of the Global tracks by choosing View > Global Track Components and checking whatever you wish to view. This will be saved with the screenset and can be hidden or exposed at any time by key command or menu selection.

As you can see by looking at the Signature track, the piece starts in 3/4 but contains bars of 5/4 and 4/4 as well. You can see these meters reflected in the Beat Mapping track with bars and beats displayed graphically as lines representing the time grid (not unlike the Bar Ruler above).

If this grid is to be used as a reference, Logic's Global Format (a freely definable part of a beat) must reflect the smallest rhythmic value (division) within the given piece of music. The music we are using is based on a triplet feel, so it is necessary to select a division of 12 instead of 16 (the default).

6.
In the Transport window, double-click the Division number and enter 12.

The grid now displays triplets.

Beat Mapping a MIDI Region

In order to start aligning the grid to the music, you need to select the material you want to work with.

NOTE

The Beat Mapping track works with Regions, not tracks (which contain multiple Regions).

1.
If not already selected, select the MIDI Region on the Inst 1 track.

Light blue lines appear in the Beat Mapping track, depicting each event in the selected Region. You will use both these lines and the bars/beats lines above, "tying" them together to realign the grid.

2.
Zoom out horizontally until you can see about four bars in the Arrange window. This enables you to see greater detail when working in the Beat Mapping track.

3.
Click the line representing measure 1, beat 2 (1 2 1 1) in the top portion of the Beat Mapping track and drag downward, connecting it to the first light blue event (1 1 3 305) in the bottom portion of the track.

The line turns yellow as you are connecting it and displays a help tag (Set Beat To) displaying the event's position (before alignment).

When you release the mouse button, the points are aligned, and a new tempo event is created (61.0066) in the Tempo track.

NOTE

Logic uses very fine tempo increments (as small as 1/10,000 of a beat!) for accurate alignment.

4.
Using the same technique, connect the line representing measure 1, beat 2, third division (1 2 3 1) to the light blue line located below and slightly to the left (1 2 2 294).

Another tempo event is created in the Tempo track (63.6942).

5.
Connect the line representing measure 1, beat 3 (1 3 1 1) to the light blue line located below and slightly to the right (1 3 1 34).

Another tempo event is created in the Tempo track (57.7200).

6.
Connect the line representing measure 1, beat 3, third division (1 3 3 1) to the light blue line located below and slightly to the left (1 3 2 294).

For every note event connected, a new tempo is indicated, creating an accurate depiction of the music's timing. Therefore, the more events that are beat mapped, the closer Logic's time grid will conform to the music.

For the rest of this exercise, you will finish Beat Mapping the entire piano part, creating an accurate time map of the piece.

A few areas to watch out for:

Position | Situation | Recommendation
2 1 1 1 | The slur and slightly staggered chord entries create multiple possibilities to draw connections. | Try experimenting with what works best in representing the downbeat.
3 1 2 1 | Deviates from triplet feel momentarily to eighth notes, lasts only for one beat. | Change the Division to /8 to work with the grid above the two eighth notes.

7.
Continue connecting related lines together in the Beat Mapping track, moving from left to right for the entire Region.

TIP

If you make a mistake, you can erase any beat allocation by double-clicking it or using the Eraser tool.

8.
When finished, check your work by listening to the EXS24 piano part along with the metronome click, as you did previously.

For comparison, a beat-mapped Tempo track has been created for you to reference your results. You can access this through the Tempo Alternative menu in the Tempo track.

9.
Click-hold the Tempo Alternative pop-up menu and choose 2.

The Tempo track now displays the premade tempo events created from Beat Mapping.

10.
Play the song with the click to compare the premade Tempo track with your results, toggling back and forth between Tempo tracks by using the Tempo Alternative menu (1 and 2 slots).

Checking Your Results in the Matrix Editor

You can check just how good a job you did at Beat Mapping by looking at the events graphically within the Matrix Editor. Here you can clearly see the individual events lined up on the time grid and compare results made from Beat Mapping with the original, non-beat-mapped track.

1. | With the MIDI Region highlighted, choose Screenset 2. [View full size image] The view switches to an Arrange window at the top of the screen, with a Matrix Editor displayed below.
2. | Using the Tempo Alternative menu, switch among the 1 (your beat map), 2 (the premade beat map), and 5 (not beat-mapped) slots, comparing how the note events align to the grid. You can see major discrepancies between the beat-mapped (1 and 2) and non-beat-mapped versions (5), especially from measure 4 onward.

Beat Mapping an Audio Region

Using an Audio Region as the source for Beat Mapping involves a technique similar to using a MIDI Region. Instead of using MIDI note events, however, the Beat Mapping track uses audio transients for alignment points. In order to do this, Logic needs to analyze the source to detect transients (similarly to the Apple Loops Utility).

Let's start by muting the MIDI track and un-muting the audio track, in order to start working with the audio track version.

1. | Press the number 1 key to bring up Screenset 1. The Global tracks are not displayed, as these were not saved to the original screenshot.
2. | Choose View > Global Tracks within the Arrange window's local menu.
3. | Mute the Inst 1 track by clicking the Mute button on the track. The EXS24 piano track is muted.
4. | Un-mute the Audio 1 track by clicking the Mute button on the track.
5. | Select the Piano Audio Region in the Audio 1 track.
6. | Click-hold the Tempo Alternative pop-up menu and choose Tempo Alternative 3.
7. | Click in the Track List of the Beat Mapping track (but not the buttons and menus) to select everything in the track, and press Delete. All beat events are erased, allowing you to continue with a "fresh slate." NOTE Neither the work you performed with Beat Mapping nor the premade Tempo track is deleted when you do this, as they are saved to the first two Tempo Alternative slots.
8. | Click the Analyze button in the Beat Mapping track. A progress bar appears, indicating the transient-detection process. After the analysis of the selected audio is performed, the detected transients are displayed in the Beat Mapping track as light blue lines.
9. | Zoom out horizontally so that you can see the entire track. Take a close look at the results displayed in the Beat Mapping track. In measures 5 and 8, most of the softer notes were not detected as transients. Fortunately, the detection sensitivity can be adjusted to pick up these softer transients.
10. | Click-hold the Detection Sensitivity pop-up menu and choose "high."
11. | Click the Analyze button to perform the detection process again. New transients are detected, providing a better picture of the relevant timing events within the audio file. TIP It is advisable to start with a lower Detection Sensitivity setting and only switch to a higher setting if important rhythmic events are not detected. Now that you have timing events in the Beat Mapping track, you are ready to begin the process of aligning the time grid.
12. | Connect related lines together in the Beat Mapping track as you did in the previous exercise, moving from left to right for the entire Region.
13. | When finished, play the track with the metronome click to check your results.

NOTE

A premade Tempo track using the Audio Region as a guide has been provided for comparison within Tempo Alternative slot number 4.


What You've Learned

  • The timing, pitch, and formants of an audio file can be changed independently or together in combination.

  • Transients must be defined accurately through automatic and manual means to achieve the best results when creating Apple Loops.

  • Apple Loops depend on the song's key and tempo, automatically conforming when changed.

  • The Time and Pitch Machine provides detailed control and functions independent of the song's tempo or key.

  • The Time and Pitch Machine can utilize Harmonic Correction when pitch shifting to preserve the natural resonances of a given sound.

  • Beat Mapping allows the accurate rescaling of the time grid to a rubato part.

  • Both Audio and MIDI Regions can be used as the basis for Beat Mapping.

  • Logic can retain multiple Tempo tracks per song, called Tempo Alternatives, that can be toggled back and forth for comparison.


Lesson 5. Working with Software Instruments

Lesson Files | Advanced Logic Template (created in Lessons 1, 2, and 3) Advanced Logic 7_Song Files > Lesson 05 Project Files > 05_Working with Software Instruments > 05_Software Inst_Start.lso Lesson 05 Project Files > 05_Sculpture > 05_Sculpture_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 05 Project Files
Time | This lesson takes approximately 90 minutes to complete.
Goals | Use Logic Pro's suite of software instruments Program Ultrabeat, Logic Pro's drum synthesizer Utilize Channel Strip settings to recall combinations of instruments and effects Apply Global tracks to Audio Instruments for quick arrangements Incorporate external MIDI hardware into your production Program Sculpture, Logic Pro's component-modeling synthesizer

Logic's palette of software instruments has grown considerably with each new version, and Logic Pro 7 provides a wide array of sound generators for use in professional production. As this list increases, it becomes more and more important to have an understanding of the functions and capabilities of Logic instruments so that you can make choices that are suitable to the needs of a project.

In this chapter you will be introduced to selected instruments representing each type of sound generation that Logic offers, and learn how best to integrate your external MIDI hardware. In addition, you will try your hand at programming two powerful instruments that are new to Logic Pro 7: Ultrabeat and Sculpture.


Getting Familiar with the Instruments

Logic Pro 7 comes with 33 software instruments ranging from emulations of vintage instruments to tools that provide revolutionary ways of creating and shaping sounds. To gain a better understanding of the unique characteristics of each instrument and its application, it is helpful to group the 33 instruments into categories related to how they generate sound.

Instrument | Description | Application suggestions
Synthesizers
ES M | Analog-style mono synthesizer | Bass lines, synth leads
ES P | Analog-style polyphonic (eight voices) synthesizer | Brass sounds, pads
ES E | Analog-style polyphonic synthesizer with chorus/ensemble effect | Stringlike pads, atmospheres
ES1 | Analog-style synthesizer with two oscillators | Basses, leads, percussion
ES2 | Versatile analog-style synthesizer offering three oscillators and two filters along with a comprehensive modulation section | Evolving pads, leads, basses, rhythmically synchronized sounds, and FX
EFM 1 | Polyphonic (16 voices) FM synthesizer | Bells, digital sounds
EVOC 20 PS | Vocoder with built-in polyphonic synthesizer | Classic vocoder effects
Ultrabeat | Rhythm synthesizer with built-in step sequencer | Analog and sampled percussion
Sculpture | Component-modeling synthesizer | Sound design, organically rich pads and leads
Vintage keyboards
EVP88 | Physically modeled electric pianos with built-in effects | Electric pianos (Rhodes, Wurlitzer, Hohner)
EVD6 | Physically modeled electric clavinet with built-in effects | Electric clavinets and other physically modeled strings
EVB3 | Physically modeled electromechanical tonewheel organ with rotating cabinet simulation | Hammond organs
Samplers
EXS24 | 24-bit sampler with advanced modulation capabilities, as well as virtual memory for streaming large samples from hard disk | Multipurpose
GarageBand instruments
Analog Basic | Simplified analog-style synthesizer (based on ES2 engine) | Quick and easy analog-style synth
Analog Mono | Simplified analog-style synthesizer (based on ES2 engine) | Quick and easy analog-style synth (bass sounds)
Analog Pad | Simplified analog-style synthesizer (based on ES2 engine) | Quick and easy analog-style synth (pads)
Analog Swirl | Simplified analog-style synthesizer (based on ES2 engine) | Quick and easy analog-style synth (moving textures)
Analog Sync | Simplified analog-style synthesizer (based on ES2 engine) | Quick and easy analog-style synth (percussive)
Digital Basic | Simplified digital waveform/FM synthesizer (based on ES2 engine) | Bells, metallic sounds
Digital Mono | Simplified digital waveform/FM synthesizer (based on ES2 engine) | Digital FMstyle basses
Digital Stepper | Simplified digital waveform/FM synthesizer (based on ES2 engine) | Digital FMstyle moving textures
Tonewheel Organ | Simplified electromechanical tonewheel organ (based on EVB3 engine) | Quick and easy organs
Electric Clav | Simplified electric clavinet (based on EVD6 engine) | Quick and easy electric clavinets
Electric Piano | Simplified electric piano (based on EVP88 engine) | Quick and easy electric pianos
Guitar | Sampled guitar instrument with simple interface (based on EXS24 engine) | Quick and easy sampled guitars
Bass | Sampled bass instrument with simple interface (based on EXS24 engine) | Quick and easy sampled basses
Horn | Sampled brass instrument with simple interface (based on EXS24 engine) | Quick and easy sampled brass sections
Piano | Sampled piano instrument with simple interface (based on EXS24 engine) | Quick and easy sampled pianos
Strings | Sampled string instrument with simple interface (based on EXS24 engine) | Quick and easy sampled strings
Tuned Percussion | Sampled pitched percussion instrument with simple interface (based on EXS24 engine) | Quick and easy sampled vibraphones
Drum Kits | Sampled percussion instrument with simple interface (based on EXS24 engine) | Quick and easy sampled drum kits (various)
Voice | Sampled vocal (choirs) instrument with simple interface (based on EXS24 engine) | Quick and easy sampled choir
Woodwind | Sampled saxophone and flute instrument with simpleinterface (based on EXS24 engine) | Quick and easy sampled flutes and saxophones

GarageBand Instruments vs. Logic Instruments

If you've ever used GarageBand, Apple's entry-level music-making software, you most likely noticed the similarities to Logic. The two not only have a comparable track-editing model but also a similar palette of effects and software instruments. In support of Logic's ability to open GarageBand song files, Logic includes the entire suite of GarageBand instruments to ensure complete compatibility.

As you can see in the chart, the 20 GarageBand instruments overlap considerably with the Logic instruments in type of sound generation. This is because they were developed using the engines of the Logic Pro instruments themselves (EXS24, ES2, EFM 1, EVD6, EVB3, EVP88). Let's open a pair of instruments with such a relationship and compare them.

1. | Choose File > New.
2. | In the New song window, make sure that both the "Use song template" and "Create project folder" boxes are not checked, and click OK. By not specifying a template, we are telling Logic to use the Autoload that you created in the first two lessons.
3. | Select the Inst 1 track.
4. | Click-hold the input field in the channel strip area, and choose Stereo > Logic > GarageBand Instruments > Drum Kits. Logic takes a moment to open the samples associated with the default kit (Pop Kit) before opening the interface.
5. | Select the Inst 2 track.
6. | Click-hold the input field in the channel strip area, and choose Stereo > Logic > EXS24. The EXS24 appears with a blank sampler instrument.
7. | Click-hold in the sampler instrument window (directly above the Filter section's Cutoff knob), and choose 08 Drum Kits > Pop Kit. [View full size image]
8. | Click each of the tracks in turn, and try playing the drum sounds in them with your MIDI controller. TIP If a MIDI controller isn't handy for this lesson, no worry. You can use Logic's new Caps Lock keyboard. When you press the Caps Lock key on your computer's keyboard, your QWERTY keyboard is transformed into a fully polyphonic MIDI controller that is capable of five octaves and multiple velocities. Both instruments should sound identical, as they are essentially the same instrument with the same sample set. The most obvious difference is immediately apparent in the interfaces. There are considerably fewer controls on the GarageBand instrument.
9. | Close the Drum Kits instrument window and the EXS24 window.

Why, then, are the GarageBand versions included in Logic Pro 7? The chief reason is to maintain compatibility with GarageBand song files. Having these instruments available allows the seamless opening of GarageBand sessions in Logic, with all instruments and effects instantiated on discrete tracks, along with the automation data.

Why would a Logic Pro 7 musician choose to use GarageBand instruments? Sometimes it is easier to use an instrument with a simpler interface, especially for quick demos. Some parameters within the GarageBand instruments are mapped to two or more controls of the Logic instrument, which makes it simpler to get musical results. (Some good examples are the digital synth instruments.) It is also important to note that there isn't a compromise in sound quality since both instruments use the same engine.

For professional production work, there are obvious advantages in using the "big guns," especially when opening samples. In this exercise, you loaded an identical sound set (Pop Kit) within both instruments, but only the EXS24 lets you configure modulation routings that breathe life into the samples with extensive filter modes and gives you the ability to tweak each sample in the sampler instrument.

Editing Sounds from GarageBand Instruments with Logic Pro Instruments

The close relationship between these instruments is exemplified by the ability to copy presets from a GarageBand instrument into its Logic Pro parent instrument. This works for all the vintage keyboard instruments (EVD6, EVB3, EVP88) and synthesizers, enabling you to further edit and refine a GarageBand sound.

1. | Select the Inst 3 track.
2. | Click-hold the input field in the channel strip area, and choose Stereo > Logic > GarageBand Instruments > Digital Stepper.
3. | Click the preset menu and choose One World.
4. | Play the sound via your MIDI controller.
5. | Click-hold the preset menu again, this time choosing Copy Setting.
6. | Select the Inst 4 track.
7. | In the channel strip area, click-hold the input field and choose Stereo > Logic > ES2.
8. | Click-hold the ES2 preset menu and choose Paste Setting.
9. | Play your MIDI controller. Both instruments sound the same.
10. | Select the Inst 3 track, and adjust the Harmonic Steps slider within the Digital Stepper instrument until it reaches a value of about 75.
11. | Using the technique you just learned, copy and paste the preset from the Digital Stepper instrument to the ES2.

The ES2's modulation matrix (called the Router) changed settings slightly. The third and fourth modulation slots (set to modulate Osc2Wave and Osc1Wave via LFO2) increased values, indicated by the arrows to the right of each modulation routing.

By engaging the single Harmonic Steps slider on the Digital Stepper instrument, you created an evolving, active sound that would have required more complex programming in the ES2 (setting up an LFO to modulate both oscillators' digital waveform settings by a specific amount).


Understanding the User Interface

Most of Logic's software instruments share common user interface principles that represent how sound is generated and shaped. With synthesizers it is especially important to trace the signal flow to locate controls that affect a particular aspect of the sound. Let's look at two instruments in Logic's synthesizer family and compare their interfaces.

1.
Close the Digital Stepper window.

The ES2 interface should remain.

2.
Select the Inst 5 track.

3.
In the channel strip area, click-hold the input field and choose Stereo > Logic > ES1.

4.
Position the ES2 and ES1 so that both are visible.

NOTE

If you are working with a machine with a small amount of screen real estate, you can toggle between the instrument windows by clicking on the top portion of each window.

Take a look at the ES2's interface. Let's follow the signal flow within this instrument. On the top left side you can see the three oscillators that are an integral part of how it generates sound.

Oscillator section

[View full size image]

Surrounding each oscillator are controls (for tuning and oscillator mix) that directly affect the oscillators.

Moving to the right, we see the Filter section, where the raw sound's frequency is shaped.

Filter section

[View full size image]

At the far right is the output section for the ES2, with amplifier controls (Volume) and effects sections (Distortion, Chorus, Flanger, and Phaser).

Output section

[View full size image]

Below the main part of the graphical interface lies the Modulation section, where you can manipulate any of the ES2's controls via any other parameter and real-time input.

Modulation section

[View full size image]

Now look at the ES1's interface. On the far left are the oscillators, along with controls that directly affect them (octave selection and the mix between the primary oscillator and the sub-oscillator).

Oscillator section

[View full size image]

To the right of the Oscillator section is the Filter section, including the Key sliders for controlling the amount of cutoff frequency that is modulated by the keyboard pitch.

Filter section

[View full size image]

Following to the right is the Output section.

Output section

[View full size image]

Last is the Modulation section at the bottom.

Modulation section

[View full size image]

Both of the interfaces you just looked at are nearly identical, with differences in controls that pertain to their unique sound-generation processes. In general, a signal flows from left to right in all of the Logic synthesizers, with sections that closely parallel the two you just examined.

5.
Close the ES2 and ES1 windows.

6.
Select the Inst 2 track (EXS24).

7.
Double-click EXS24 in the input field to display the interface.

Note that the EXS24, even though it is a sampler, shares many interface characteristics with the ES2 and ES1 synthesizers. It has filter, output, and modulation sections in similar places (the modulation matrix is identical to that of the ES2).

8.
Close the song by choosing File > Close.

An alert appears asking if you wish to save the song before closing.

As this song doesn't actually contain any song data, it is not necessary to save it.

9.
Click Don't Save.


Using Ultrabeat

Ultrabeat's inspiration stems from the drum-machine revolution of the 1980s, as well as the current trend for sample-based hardware groove boxes. Ultrabeat is similar to both in functionality, offering sound generation and integrated step sequencing within the plug-in package.

What truly sets it apart, however, is its offering of multiple sound sources (analog synthesis, FM, audio samples, physical modeling), built-in signal processing (bit crushing, distortion, ring modulation, EQ, and stereo effects), and highly flexible voice architecture.

Loading a Kit

Ultrabeat collects sounds in appropriately named kits that can be accessed via the preset menu. Let's dive right in, exploring the unique functionality and application of Ultrabeat.

1. | Choose File > Open.
2. | In the file selector, open Lesson 05 Project Files > 05_Working with Software Instruments > 05_Working with Software Instruments_Start.lso.
3. | Select the Inst 1 track.
4. | In the channel strip area on the left side of the screen, click-hold in the input field and choose Stereo > Logic > Ultrabeat. The Ultrabeat interface appears. NOTE The Ultrabeat interface follows the common signal-flow arrangement you looked at in the previous exercise. Oscillators are on the far left, feeding into the Filter section (middle), and then into the Processing/Output section on the far right.
5. | If not already enabled, click the Link button in the top left corner of the Ultrabeat window. NOTE Having Link enabled allows you to use a single plug-in window to display all opened plug-ins.
6. | Click-hold the preset menu and choose Black Soul Kit.
7. | Play your MIDI controller's keys in the C1 to B2 range to hear the various sounds within the kit. In addition to two octaves of individually mapped percussion sounds, a kit contains a slot for a sound that is automatically pitch-mapped over three octaves.
8. | Play keys C3 and above on your MIDI controller. You should hear an analog synthesizer bass sound that changes pitch as you move up and down the keyboard.

Working with Voices

The left side of Ultrabeat's interface contains the Voice section. Each voice carries its own sound and has independent parameters that can be adjusted for volume, solo, mute, pan control, and audio output.

1. | Click a few of the voice names (kick, snare, and so on). The main section of the interface changes with each selected voice. This is because every voice has its own independent sound-generation, filter, modulation, processing, and volume settings, which are viewed by clicking the voice name. NOTE The active voice has a red box surrounding it and its mixer parameters.
2. | At the top left of the interface, click the Voice Auto Select button so that voice auto select is on.
3. | Play a few notes in the C1 to B2 range, as you did earlier. The interface changes with each new note played. When voice auto select is on, the most current note triggered is displayed.
4. | Select the kick voice by clicking the name or playing the appropriate MIDI note (C1) on your MIDI controller.
5. | In the Ultrabeat window, click the musical keyboard on the screen to the left of the kick voice (C1) to quickly audition the sound.
6. | Look at the top oscillator (Osc1) within the main part of the interface. It is the only oscillator currently active (the power button is on), so it is responsible for generating the raw sound that makes up the kick drum. The oscillator is set to Phase Osc, which utilizes the Slope, Saturation, and Asymmetry controls to shape the waveform into almost any basic synthesizer waveform.
7. | Click the Saturation control and bring it all the way down to 0. The waveform changes slowly from a square wave to a slightly rounded triangle.
8. | Repeatedly press the C1 key on your MIDI controller while you slide the Saturation control slowly upward until it reaches the top (1.00). You can hear the sound change as you transition toward the square wave. This kick drum needs less "beater" sound (midrange click) to suit the song we will be working with. You can move to the EQ controls in the Processing section of Ultrabeat to see how you can change the sound.
9. | Look to the right side of the instrument (immediately to the right of the Filter section) to find the EQ controls. Note that the kick drum sound has a slight parametric dip at 170Hz and a rather large boost centered at 1600Hz.
10. | Position your pointer over the large peak (band 2). The peak is highlighted, and a dot appears at the apex. If you are familiar with Logic's Channel EQ, you'll recognize the same graphical controls for adjusting the EQ band here.
11. | Drag the peak to the right. The peak moves along with the mouse movement.
12. | Click-hold the dot at the apex of the peak, and move the mouse up and down. The bandwidth narrows and expands accordingly.
13. | Click the band 2 button above to turn it off. The large peak disappears.
14. | Audition the kick by clicking the musical keyboard to the left of the voices or by playing your MIDI controller (C1). The kick now has less of a midrange attack.
15. | Select the crash voice by clicking the name or playing a C#2 on your MIDI controller.
16. | Look at the bottom oscillator (Osc2) within the main part of the interface. The power button is on, and Osc2 is set to Sample. Within the Osc2 section you'll also see a depiction of an audio waveform. The crash sound within this kit is generated from an audio sample. Oscillator 2 can be configured for all three types of sound generation offered by Ultrabeat: phase oscillator, sample playback, and even component modeling.
17. | Try out the other sound-generation modes offered by clicking the Phase Osc and Model buttons.
18. | Switch back to the Sample mode. The waveform returns. The crash sample (Crash 19.ubs, displayed above the waveform) doesn't work for the song you will be building for this lesson. Let's load a new sample waveform to work with.
19. | Click the disclosure triangle next to the sample's name and choose Load Sample. A file selector window appears, displaying the contents of the Ultrabeat Samples folder. NOTE The Load Sample command automatically brings you to the location where Logic Pro installed the default Ultrabeat samples (Library/Application Support/Logic/Ultrabeat Samples). This makes it easy to browse samples specially designed for use in Ultrabeat.
20. | Double-click the Crash Cymbals folder and choose Special Crash.ubs. NOTE The .ubs extension signifies a proprietary sample format that has multiple velocity layers built into the file. Although there is no user-accessible way of creating files in the .ubs format, nothing stops you from loading your own audio files into Ultrabeat. Even though these files will not have multilayer capability, Ultrabeat's sound-shaping properties can help you create either realistic or highly creative percussion sounds utilizing your own audio files.
21. | Click the Open button.
22. | Play the C#2 key on your MIDI controller, or click the musical keyboard to the left of the voice to audition. You should hear a higher-sounding crash.
23. | Click-hold the blue Volume slider around the crash voice and drag to the right until the help tag reads 3.0dB. This is the volume control for the voice.
24. | Click-hold the Pan knob to the right of the crash voice, and drag down the pointer until the help tag reads0.45. The voice is panned to the left (about 10 o'clock).
25. | Audition the sound to hear the results.

Working with the Step Sequencer

At the bottom of Ultrabeat's interface lies an integrated 32-step sequencer, which greatly aids in the production of drum loops and beat patterns. These patterns, including any user-created ones, are unique to each of the Ultrabeat presets.

[View full size image]

1. | Turn the sequencer on by clicking the power button at the top left of the Sequencer section.
2. | Click the Play/Stop button immediately to the right of the power button in the Ultrabeat interface. The sequencer starts and Ultrabeat plays a sequenced pattern. NOTE Ultrabeat's sequencer has independent playback in relation to the song. As long as Ultrabeat's sequencer is powered on, it will automatically start when the song is played. Ultrabeat will read the song's tempo, ensuring tight synchronization.
3. | Click-hold the "pattern #" menu at the bottom left corner of the instrument window and choose various patterns within the list, listening to the results. You'll notice that slots with sequence data recorded are marked with "sq" (for sequence). Looking at the pattern list for this preset (Black Soul Kit), we see that there are patterns contained only within the first 5 of a possible 24 slots; the rest are available for user-programmed patterns. NOTE Each slot is assigned an associated note value (pitch and octave), that is displayed in parentheses. You will be using these MIDI note values to trigger sequence playback later in this lesson.
4. | Click-hold the pattern # menu and choose "5 (E-1) sq."
5. | Click the Play/Stop button within the Ultrabeat interface to stop pattern playback.
Sequencing Voices

The actual sequencing of a given voice takes place in an area called the step grid. Here, events can be graphically inserted and edited to create each element of the pattern.

1. | Select the snare voice (D1). The snare voice's sequence is displayed in the step grid. [View full size image]
2. | Click the S (Solo) button to the right of the voice name to solo the snare voice. NOTE The "sq" next to the voice name indicates that this voice has a step sequence within the current pattern.
3. | Click the step sequencer's Play/Stop button to play the pattern. The snare sound triggers whenever an event is displayed in the step grid.
4. | Click the 2 button above the step grid. This array of buttons is called the trigger row. The next time the pattern cycles, you should hear a soft snare attack on step 2.
5. | Drag up the event at step 2 in the step grid until the event stretches to the top. The next time the pattern reaches this step, the event will be louder.
6. | Click the Solo button for the snare voice to hear the entire pattern (with all voices).

NOTE

Step width indicates length (Gate Time) of the notes in the trigger row. In this case, the sound being triggered has an extremely short release, so this parameter does not audibly affect the sound.

Applying Swing to the Pattern

The Swing knob, located to the left of the step grid (see step 3 in "Working with the Step Sequencer"), lets you adjust the feel of the pattern by increasing the distance between notes. Notes on odd-numbered steps remain unchanged, while even-numbered notes are slightly shifted. This control affects all voices that have swing enabled in the pattern (different swing amounts cannot be assigned to voices individually).

1. | While the sequencer is in play, click-hold the Swing knob, dragging the pointer up and down to adjust the value. Listen to the results.
2. | Click the Swing button to the left of the trigger row to turn off swing for the snare part. The snare drum sequence's "feel" changes in relation to the rest of the voices in the pattern.
3. | Click the Swing button to enable swing again for the snare voice.
4. | Click-hold the Swing knob, setting the swing value back to about 58%.
5. | Stop playback of the pattern.
Copying a Sequence Part from One Voice to Another

The pattern you are working with utilizes a different kick drum sound (A#2) from the one you edited in an earlier exercise (C1). In this exercise, you want to use the same sequence part but have it trigger the kick you edited. You can do this by copying and pasting the sequence data from one voice to another.

1. | Ctrl-click the kick drum voice (A#2). A menu appears with voice-editing commands.
2. | Choose Copy (Voice & Seq).
3. | Ctrl-click the kick voice at the bottom of the track list (C1) and choose Paste Sequence > 5.
4. | Click the M button next to the kick voice that you just copied from A#2 to mute the original kick drum sequence.
5. | Play the pattern. The kick drum sequence now triggers the kick you want, in addition to the original voice (which is muted).

TIP

The same technique can be used to copy and paste voice settings from one voice slot to another; you choose Paste Voice instead of Paste Sequence on the destination voice.

Triggering Patterns via MIDI

Now that you have done some work on an existing pattern, let's incorporate it into the song. Each pattern in Ultrabeat can be triggered via an incoming or recorded MIDI note; this allows the starting and stopping of patterns on the fly (especially advantageous for performance).

1. | Click the Pattern Mode Off button, located at the bottom of the window. The button now displays the On state. This enables Ultrabeat to receive incoming MIDI data as pattern triggers.
2. | Click-hold the triangle button for the pop-up menu to the immediate right and choose Sustain. This menu lets you choose how the pattern will trigger with incoming MIDI notes. Since you have selected Sustain, the pattern will repeat as long as you have the key depressed.
3. | Play the C-1 through E-1 keys on your MIDI controller, holding down each for a short period of time. NOTE The specific trigger notes were chosen because they are located far below the most commonly used range on a MIDI keyboard. You may have to transpose your MIDI controller (using its octave buttons) to activate the pattern triggers. You can double-check your octave range in the floating MIDI Activity display in the bottom left corner of the screen. A different pattern triggers for each key depressed.

Look at the pattern # menu, which you accessed earlier. Each pattern has a number designating the slot, as well as a MIDI note number (within parentheses) next to it. The MIDI note number indicates which incoming MIDI note will trigger which pattern.

Recording with Ultrabeat

Now you can create a drum track utilizing pattern triggers in conjunction with individual voice triggers.

1. | Close the Ultrabeat interface. The Inst 1 track that has Ultrabeat instantiated has a blank MIDI Region that you will use for your part.
2. | Select the blank MIDI Region on Track 1, and choose Windows > Matrix Edit. A Matrix Edit window opens. TIP You can set a preference that allows you to open the Matrix Editor (or any other editor) by double-clicking a MIDI Region; choose Logic Pro > Preferences > Global > Editing, and go to the "Double-clicking a MIDI Region opens" menu.
3. | Zoom out horizontally so that you can see about 16 bars in the timeline.
4. | Select the Pencil tool and draw in a D#-1 note starting on measure 1 and lasting for eight bars. [View full size image] This triggers pattern number 4. NOTE When the MIDI Out button is active (by default), Logic will send data to the track instrument.
5. | Draw an E-1 note at measure 9 lasting four bars. This triggers pattern number 5, the one you edited. NOTE Logic automatically inserts a note with a length based on the last note entered. However, you can create a new note of any duration by selecting the Pencil tool and dragging the note horizontally until the correct length is reached.
6. | Draw a C#2 note at measure 13 for four bars. [View full size image] This is the crash cymbal you edited earlier. TIP Logic should create another note whose length is equal to the previous one (four bars). Logic always inserts events by using the last created event as the length and velocity default.
7. | Close the Matrix Edit window.
8. | Play the song.

You just created a drum part stringing together two patterns (D#-1 and E-1) and a triggered voice (crash cymbal).


Using the EXS24 Software Sampler

Hands down, the EXS24 is Logic Pro's most versatile tool. With 24-bit audio resolution, virtual memory for streaming samples from disk, and an advanced modulation matrix, the EXS24 is a full-featured sampler that can serve as a workhorse for your productions.

In order to best utilize the EXS24, it is important that you understand how it functions. Sound generation consists of three main components: samples, sampler instruments, and playback parameters. Samples are basically standard digital audio files that are organized into sampler instruments, which are then triggered and processed via the EXS24.

In the following exercises, you will examine each of the main components that create and play back EXS24 sounds.

Opening the EXS24 Instrument Editor

1.
Select the Inst 2 track.

2.
In the channel strip area, click-hold the input field and choose Mono > Logic > EXS24.

The EXS24 interface opens.

3.
Click-hold the Sampler Instrument window and choose 03 Bass > Fretless Electric Bass.

The EXS24 takes a moment to load the samples into RAM.

NOTE

While the EXS24 needs to load a sampler instrument in order to use its sample playback functions, it can output a simple sine wave without one being loaded. This allows you to determine if the EXS24 is functioning correctly without loading an instrument.

4.
Play your MIDI keyboard to audition the Fretless Electric Bass instrument.

NOTE

If you used the octave transposition buttons of your MIDI controller to play the Ultrabeat patterns earlier in this lesson, you will need to transpose up to play in the Fretless Electric Bass' range. Use the floating MIDI display to check your range.

5.
Click the Edit button to the right of the Sampler Instrument window.

The EXS24 Instrument Editor opens.

NOTE

Depending on the size of your display, you might need to close the EXS24 window to see an unobstructed view of the EXS Instrument Editor.

The EXS24 Instrument Editor allows you to peek into the construction of the Fretless Electric Bass sampler instrument. Let's get familiar with the areas within the editor.

[View full size image]

The top portion of the window contains the key mapping. Each gray bar, called a Zone, represents a single audio file that is mapped across a range of keys (represented graphically by the piano keyboard at the top). For each Zone, the EXS24 automatically pitch-shifts the audio in relation to the pitch of the keyboard. Zones with the same key range are stacked vertically and trigger separately, depending on MIDI velocity. (The Zones at the bottom trigger at lower velocities, and the upper Zones trigger at higher velocities.)

Take a quick look at one of the Zones in detail.

6.
From the submenus within the EXS Instrument Editor, choose Zone > "Move selected to the top."

7.
Click the Zone starting on E0 and ending on E1 (see below) in the top part of the EXS24 Instrument Editor.

The bottom portion of the EXS Instrument Editor contains the parameters for each of the Zones depicted above. By having "Move selected to the top" enabled, whatever Zone you select in the key mapping area will be displayed at the top of the list of Zones in the lower area (Zone parameters).

Each Zone is depicted below with a set of parameters that control how the audio file will be played back (key range, tuning, volume, pan, and so on). The bottom of the box lists information pertaining to the start point for playback and indicates what part (if any) of the audio file will loop while the key is depressed.

8.
In the Start Frame settings, click the box with an "E" in it.

The Sample Editor opens, displaying the audio file used in the Zone.

NOTE

You might get an alert message stating that the audio file does not have sufficient access privileges to save an overview. Go ahead and click OK, as this won't keep you from looking at the file.

[View full size image]

NOTE

You might need to resize the window or use the Zoom sliders in order to see the entire sound wave.

You now can see a detailed depiction of the audio file used by your selected Zone. This illustrates the total integration of the EXS24 within Logic Pro; you can edit samples without ever having to leave the Logic environment.

9.
Click the Audition button located at the far left of the window.

A single bass note sounds.

10.
Close the Sample Editor.

11.
Close the EXS Instrument Editor.

Processing the Sampler Instrument

Now that you've seen how a sampler instrument is constructed, look at how the EXS24's controls can shape and process the sampler instrument.

1. | If necessary, reopen the EXS24 interface by double-clicking EXS24 within the input field (in the Arrange channel strip).
2. | While playing your MIDI controller, drag down the Cutoff knob in the Filter section, listening to the results. The Filter mode is set for a Low Pass (12dB) by default, so you get a gradual roll-off of some of the high frequencies by reducing the cutoff value. You could easily continue to sculpt the sound via the instrument's controls, adjusting the volume envelope, adding distortion, applying LFOs (low-frequency oscillators) to modulate parameters, and so on. This is similar to the way you would work with a subtractive synthesizer, but you would use the sampler instrument as the sound-generation source instead of a generated raw waveform.
3. | In the Transport, click the Solo button. This will enable you to hear one part at a time while you work with the various instruments.
4. | Play the song, listening to how the part plays through the EXS24.


Using the EVP88 Vintage Electric Piano

The EVP88 (like the other instruments in the Vintage Keyboards lineEVD6 and EVB3) is a physically modeled instrument dedicated to simulating the sounds of classic electric pianos such as the Fender Rhodes, Wurlitzer 200A, and Hohner Electra. The instrument generates its sound not by triggering samples but by using complex algorithms that re-create a physical event occurring in the real world. Basically, the EVP88 simulates the physical movement of the various electric piano reeds, tines, and tone bars in the electric and magnetic fields of the pickups found in the original instruments. The result is an extremely accurate and playable instrument that synthesizes the ringing, smacking, and bell-like transients of the attack phase, as well as the hammer action and damper noises.

In this exercise you will load, audition, and modify a stock sound, listening to the results.

1. | Select the Inst 3 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > EVP88. The EVP88 interface opens. [View full size image]
3. | Play your MIDI keyboard to audition the instrument. When opened, the EVP88 defaults to the SuitcaseMkI model (based on the Fender Rhodes Suitcase MkI), with rather generic settings. You can add some character to the sound by utilizing the EVP88's built-in effects section, which contains processing that has become closely associated with classic recordings of electric piano sounds.
4. | Drag the EQ section's Treble control, and raise the Treble EQ a few decibels.
5. | Drag the Drive section's Gain control, and raise its level to about 16. This should provide some bite to the sound.
6. | Drag the Phaser section's Rate and Color controls, bringing them up a few notches to activate the stereo phaser to your liking.
7. | Play the song, listening to the electric piano part through the EVP88 (and effects).


Using the EVD6 Vintage Clavinet

The EVD6 is also a physically modeled instrument, accurately recreating the sound of the classic Hohner D6 electric clavinet, from the buzzing of the strings and key clicks right down to the pickup configuration.

For this exercise, you will load a preset and modify it by using the EVD6's built-in effects to customize the sound.

1. | Select the Inst 4 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > EVD6. The EVD6 interface opens. [View full size image]
3. | Click-hold the preset menu and choose Clean Clavs > Breakthrough D6.
4. | Play your MIDI keyboard to audition the instrument. The EVD6 also has a complementary effects section complete with distortion, modulation effects (phaser/flanger/chorus), and wah.
5. | Click-hold the Wah Mode panel (that currently reads "off") at the top of the Wah section (top right side) and choose ResoLP. This activates a resonant low-pass wah.
6. | Click-hold the Envelope control and drag up to a value of 2.6.
7. | Play the song to hear the part (and effects) through the EVD6.


Using the EFM 1 FM Synthesizer

The EFM 1 is a digital synthesizer that utilizes frequency modulation (one oscillator modulates another, creating new harmonics) to generate sound. The EFM 1, like its famous FM predecessor, the Yamaha DX7, excels at producing metallic timbres such as bells.

1. | Select the Inst 5 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > EFM 1. The EFM 1 interface opens.
3. | Click-hold the preset menu and choose Bells > Bell Swarm.
4. | Play your MIDI keyboard to audition the instrument. The preset offers a swirling metallic bell sound that works well but lasts a tad too long.
5. | Click-hold the R (Release) slider in the Volume Env (Envelope) section on the right side, and nudge it down slightly to decrease the release time of the sound.
6. | Play the song to hear the part through the EFM 1.


Using the ES2 Synthesizer

The ES2 is a versatile and comprehensive synthesizer capable of a great range of sounds. From large-sounding leads to evolving pads, classic analog waveforms to digital waveforms and FM, the ES2 offers a wide array of tools for synthesizer enthusiasts.

1. | Select the Inst 6 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > ES2. The ES2 interface opens.
3. | Click-hold the preset menu and choose Lead Synths Bank A > Special Lead.
4. | Play your MIDI keyboard to audition the instrument. Looking at the Router (the modulation matrix in the center of the interface), you can see that this sound has a fairly complex modulation setup. Try hitting the keys with different velocities, and pressing down while a key is being held (if your keyboard has aftertouch capability) to hear the effect these routings have on the sound. Even with many sound-processing features, this lead sound still lacks a certain something for the production at hand. One of the distinct advantages to using software instruments in Logic is the ability to add effects to the generated sound and create new combinations.
5. | Click-hold the topmost insert slot in the Arrange channel strip and choose Stereo > Delay > Tape Delay. The Tape Delay plug-in opens. [View full size image]
6. | Play your MIDI keyboard to hear the instrument through the Tape Delay plug-in. The echo time sounds good, but we need to have fewer repeats at a lower volume.
7. | Drag the Feedback slider at the far left of the plug-in downward to about 16%, reducing the number of repeated echoes.
8. | Drag the Mix slider at the opposite end of the plug-in downward to about 19%, adjusting the amount of wet signal.
9. | Play the song to hear the part through the ES2 (with the Tape Delay).


Using the ES1 Virtual Analog Synthesizer

The ES1 was the first software instrument developed exclusively for Logic, kicking off a development surge that led to the multitude of instruments available within Logic Pro today. It was specifically designed to emulate the classic subtractive synthesis of vintage analog synthesizers.

1. | Select the Inst 7 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > ES1. The ES1 interface opens. [View full size image]

Using Instrument Channel Strip Settings

In the previous exercise involving the ES1's big brother, the ES2, you added a delay effect to enhance the sound. When these combinations of instruments and effects become more involved, it becomes tedious to reinsert every component in the chain each time you wish to use that sound combination. By using Logic Pro's Channel Strip settings, you can create and recall settings that contain instrument and effects choices within a single preset.

Logic Pro installs many Channel Strip settings that fully utilize Logic Pro's effects and instruments to achieve powerful combinations. This is not unlike the technique utilized by hardware synthesizers that combine synthesized sound chained with effects sections to create new and exciting sounds. You can think of instrument Channel Strip settings as a single "patch" that happens to utilize multiple components.

1. | In the Arrange channel strip, click the disclosure triangle immediately to the right of the Inserts heading.
2. | From the pop-up menu, choose 16 Analog Vintage Synths > Junosphere. The following plug-ins are instantiated. By recalling a single Channel Strip setting, you instantiated a combination of an ES1 synthesizer with EQ, flanger, and reverb components to further enhance the sound.
3. | Play your MIDI keyboard to hear the combination.
4. | Play the song to hear the part through the ES1 combination.


Using Global Tracks to Create a Quick Arrangement

Audio Instruments afford you the malleability of MIDI, but with real-time generated audio output. You can compose, perform, arrange, and edit as if you were working with external MIDI hardware. This flexibility also carries to Logic Pro's Global tracks (such as the Chord track and Transposition track), which let you graphically view and edit global parameters for the song.

In this exercise, you will use the Global tracks to make a quick arrangement using software instruments.

1. | Click the Solo button in the Transport to turn Solo mode off.
2. | Play the song to hear all parts. TIP If your computer is unable to play the song with all instruments enabled (due to system overload errors), freeze some of the tracks before playing the song by clicking on their respective Track Freeze buttons. Note that the Signature track at the top of the Arrange window (just below the Bar Ruler) is set for D minor, the key of the song. Since the song has a modal feel (Dorian mode on D), let's create a quick arrangement by changing to E-flat minor at a certain point within the song.
3. | Click the disclosure triangle located next to the Chord track.
4. | In the Chord track, use the Pencil tool to insert a chord event at measure 9. An alert message appears. This is a warning to the user indicating that any changes in the Chord track (or Transpositon track) will have an effect on Apple Loops, MIDI Regions, and aliases. Since this is what you are trying to achieve, it is fine to click OK and close the alert message.
5. | Click OK. The Define Chord window opens.
6. | In the Root Note pop-up menu, choose D# (enharmonic to [image] ).
7. | In the Chord Type pop-up menu, choose Minor. The topmost window should display [image] m.
8. | Click OK. The Chord track now has an [image] minor chord inserted at measure 9. Note that the Signature track now displays a +1 event at measure 9, corresponding to the chord change (up one semitone).
9. | Insert another chord event at measure 13, this time creating a return to the D minor chord.
10. | Play the song to hear the new arrangement. All instruments respond to the transposition as if they were classic MIDI instruments. NOTE If you froze the tracks earlier, you will have to refreeze to effect the key change. This is because when freezing a track, Logic creates and caches 32-bit audio files that are literally a recording of the part (and effects) through the instrument. During playback, this file is read from the disk. If changes are made to the part (such as transposition) after the freeze, you must repeat the process to create new freeze files incorporating the change.
11. | Choose File > Save As. The Save Document As window opens.
12. | In the Save As field, type 05_Software Instr_Finish.
13. | In the file selector, save to ~ > Music > Advanced Logic 7_Song Files > Lesson 05 Project Files > 05_Working With Software Instruments.
14. | Click Save.
15. | Choose File > Close.


Sound Design with Sculpture

Sculpture, one of the new instruments offered in Logic Pro 7, represents a truly unique approach to synthesis. It uses sophisticated algorithms to re-create the way sound is generated in the natural world. Specifically, it simulates the characteristics of a vibrating string or bar. This technique is called component modeling, and it closely mirrors the sound generation found in the Vintage Keyboard instruments we looked at earlier (EVP88, EVD6, and EVB3).

One way to wrap your head around Sculpture is to imagine a synthesizer that lets you control how all the components within a real "physical" instrument interact with the others, and what materials they are made from. In effect, you are building a physical instrument from scratch!

Because Sculpture is so innovative, many people have difficulty approaching it, not knowing how to begin designing sounds and editing presets. In the next exercise you will walk through the key components of Sculpture and create a sound from scratch.

1. | Choose File > Open.
2. | From the file selector, go to ~/Music/Logic/Advanced Logic 7_Song Files/Lesson 05 Project Files/05_Sculpture Logic Tutorial, and open the 05_Sculpture_Start.lso song. You will be using this song for the exercise.

Understanding the String

In Sculpture, the central synthesis element is called the String. This is a bit of a misnomer, as the basic physical material can also be similar to a bar (solid mass). The physical principle is the same, however; sound is generated only by performing a physical action on or stimulation of the raw materialstriking, picking, blowing, and so on.

1. | If you have not done so already, select the Inst 1 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > Sculpture. The Sculpture interface opens. [View full size image] NOTE Even though Sculpture's synthesis model is unique, it still follows the Audio Instrument interface conventions we noted earlier; signal flow is from left to right, with modulation lying at the bottom.
3. | Ctrl-click the String (the green line located at the far left) to activate string animation.
4. | Play your MIDI controller. The String animates, depicting its vibration. This is an effective tool when programming sounds with Sculpture, as it provides visual feedback reflecting how your choices are affecting the String. TIP When you are using Sculpture for playback (not editing or programming sounds), it is a good idea to have string animation disabled because it takes some CPU time to generate the animation. Disable (and enable) the animation by Ctrl-clicking the String (it is off by default). Using the Material Pad in the center of the interface, you can select the String's material by blending the properties of four basic materials: steel, nylon, wood, and glass.
5. | Click-hold the ball in the Material Pad and move it around the square while playing your MIDI controller. Note how the String animation changes. The sound also changes as you move the ball, modifying the Inner Loss and Stiffness of the material.
6. | Position the ball about halfway between the Nylon and the Steel materials at the far left edge of the Material Pad. The outside ring of the Material Pad contains additional parameters that determine the selected material's sound-making properties.
7. | Try dragging the Media Loss slider, listening to the sound by playing your MIDI controller, eventually settling on a value of about 0.25. Media Loss controls the dampening of the environment surrounding the String material. Imagine a String vibrating in air, water, or pea soup to visualize what this parameter does.
8. | Drag the Resolution slider, listening to the sound by playing your MIDI controller, eventually settling on a value of about 0.55. The material's Resolution has to do with the number of harmonics generated. The higher the value, the richer and more complex the sound, as more overtones are produced. Be aware that higher Resolution values carry a higher CPU load.
9. | Drag the Tension Mod slider, listening to the sound by playing your MIDI controller, eventually settling on a value of about 0.25. The Tension Mod control adds pitch displacement of the String to higher note velocities. This is similar to the slight initial pitch change that occurs when you strongly pluck a stringed instrument.

Using Objects in Sculpture

Sculpture has three Objects that determine how the String is excited or disturbed (how it is played). Remember that physical instruments need an action applied to the sound-producing material in order to make a sound (that is, a guitar string needs to be plucked or picked, a violin string needs to be bowed, a marimba bar needs to be struck with a mallet, and so on).

1. | Click the 1 button next to Object (at the far left of the interface). The button turns from blue to gray, indicating that the Object is off.
2. | Play your MIDI controller. You shouldn't hear any sound. Why is no sound produced? This illustrates the dependent physical interaction that occurs between Objects and Strings. Without an Object exciting the String, nothing happens, just like in the real world.
3. | Turn Object 1 on again by clicking the 1 button.
4. | Click-hold the Type button located to the right of Object 1's Strength knob. The menu that appears lists various exciters, or ways to excite the String.
5. | Try choosing each exciter, one at a time, testing each sound by playing your MIDI controller and observing the effect on the string animation.
6. | Conclude by choosing the Pick exciter for Object 1. Object 1 is now set to simulate the action and sound of a guitar pick acting on a string. The parameters controlled by the Object's knob and surrounding sliders (Strength, Variation, and Timbre) are context sensitive, meaning that they control aspects of the selected exciter depending on choice. For example, the Timbre slider controls hammer mass when the exciter choice is Strike, and bow pressure when set for Bow. MORE INFO See page 369 in the Logic Pro 7 Plug-in Reference Manual for a chart depicting the parameters for each exciter.
7. | Click-hold the Strength knob and try different values, listening to the result while playing your MIDI controller. In the case of Pick, the Strength parameter determines pick force and speed.
8. | Option-click the Strength knob to return the value to the default. TIP You can Option-click most controls within Logic to return to default settings.
9. | Drag the Variation slider, listening to the sound by playing your MIDI controller, eventually settling on a value of about 0.60. The Variation control determines plectrum stiffness when the exciter is set to Pick.
10. | Click the 2 button next to Object 2 to turn it on.
11. | Click-hold the Type button and choose Disturb. Note that this menu is considerably longer than the list of choices offered under Object 1. Object 2 offers all of the same exciters as Object 1 but contains a variety of other types, which we will refer to as disturbers. The nature of a disturber is not to start the String material vibrating (as with exciters) but to disturb the vibration in some way through physical interaction. Therefore, disturbers don't cause the String to begin sounding, as exciters do, but work in conjunction with exciters to produce a complex result.
12. | Play your MIDI controller to hear the result of the applied disturber. With Disturb selected, you are introducing a physical object at a fixed distance from the String that keeps it from freely vibrating. Think of an object that is positioned close to the strings of a guitar so that it is nearly touching. When the guitar strings are plucked, the strings hit the object, creating a buzzing sound.
13. | Adjust the Strength of Object 2 to about 0.43, listening to the results by playing your MIDI controller. Just as with the exciters, Strength, Variation, and Timbre modify aspects of the chosen disturber. In the case of Disturb, Strength sets the hardness of the object positioned near the String. MORE INFO See page 370 in the Logic Pro 7 Plug-in Reference Manual for a chart depicting the parameters for each disturber.
14. | Click the Always button under the Gate settings for Object 2, playing your MIDI controller to hear the result. By choosing Gate settings for each Object, you determine when the Object interacts with the String in relation to the MIDI controller keystroke: upon depressing the key (and not when the key is let go), upon letting go of the key (and not when the key is depressed), or always.
15. | Click Object 3, and choose Bouncing from the Type list. Note that Object 3's Type choices are limited to disturbers only (no exciters). Bouncing simulates a loose object lying on the vibrating String. Imagine a piece of paper or small wood block lying directly on a guitar's strings to get an idea of what this produces.
16. | Set Strength to about 0.11, playing your MIDI controller to hear the results as you adjust. Strength controls gravity's effect on the bouncing Object.
17. | Adjust the Timbre control to approximately 0.22, listening to the results as you do so. In the case of a Bouncing Object type, Timbre controls the stiffness of the Object. Now that you determined the basic sound generation by choosing Object types, you can further work with the sound by determining where each Object interacts on the length of the String. This is similar to the sonic difference between picking a guitar string at the bridge and picking it at the neck. When you excite the String near the ends, you create a different timbre than you would exciting it at the middle. You can position Objects by moving sliders representing each Object in the String window.
18. | Click-hold the Object 1 slider in the String window and drag it to the right, positioning it in the middle of the String.
19. | Click-hold the Object 2 slider in the string window and drag it to the left, positioning it slightly to the right of the left end (a value of 0.03).
20. | Click-hold the Object 3 slider in the String window and drag it to the left, positioning it between the Object 1 and Object 2 sliders.
21. | Listen to the sound by playing your MIDI controller.

Adjusting the Pickups

Sculpture utilizes pickups to sense vibrations from the String, functioning identically to an electric guitar's electromagnetic pickups. As with an electric guitar, the pickup's location is of importance; different positioning along the length of the String creates different timbres.

TIP

To hear these subtle differences, play your MIDI controller while you do the following adjustments.

1. | Click-hold the Pickup A slider and drag it left, roughly between Objects 2 and 3.
2. | Click-hold the Pickup B slider and drag it over Object 3. The resulting sound emphasizes the Pick exciter, similarly to using the neck pickup on an electric guitar.

Processing the Sound

Sculpture's extensive processing options allow you to further shape the sound through a variety of means (multimode filter, Waveshaper, stereo delay, and Body EQ). Look at some of the choices, working with the sound you have constructed so far.

1. | Activate the Waveshaper by clicking the Waveshaper button above the Material Pad. The Waveshaper provides interesting distortion effects, including tube simulation, for harmonically rich results.
2. | Click-hold the Input Scale control and set the value to around 0.39.
3. | Click-hold the Variation control and set the value to 0.69.
4. | Play your MIDI controller to audition the sound. You have just applied soft, tubelike saturation to the sound. Sculpture's Body EQ section utilizes a unique approach to equalization, providing some great sound-shaping possibilities. A standard EQ changes individual frequency bands, but Body EQ also offers spectral models that emulate the resonating properties of specific instruments. These models can be shaped by adjusting formant-related parameters.
5. | Turn on Body EQ by clicking the Body EQ button to the right of the Material Pad. By default, Body EQ is set to the Lo Mid Hi model, emulating a standard three-band EQ.
6. | Click-hold the Model button to view the Model choices. As you can see, the choices range from models of string instruments (guitars, violin, cello, double bass, and so on) to kalimba and various flutes (alto and bass).
7. | Choose Dobro Guitar. The controls change to reflect the formant parameters of the resonating body (Dobro guitar), and the graphic display to the right now depicts a detailed spectrum.
8. | Try playing your MIDI controller to hear the Dobro spectral model applied to your sound. In effect, you are coupling the sound generator you constructed (through interaction between String and Objects) with the resonating body of a Dobro guitar (metal-bodied guitar with an acoustic speaker cone).
9. | Try changing the three formant controls, which are used to adjust the way the harmonics are emphasized (Intensity), the way they are spaced out (Stretch), and their frequency range (Shift).

Using Modulation in Sculpture

Sculpture's Modulation section is extensive, offering everything from LFO-type modulators (including Jitter, which produces random variations) to random generators and user-created envelopes.

Also of great interest is the Morph Pad, which enables you to morph between states of control settings for the entire instrument. The Morph Pad can be controlled manually, by MIDI controllers, or by its own time-based envelope.

1. | Turn on the Morph Pad by clicking under Mode (currently reads "Off") in the Morph Envelope, and choosing "Pad only." The Morph Pad utilizes five target points, represented by the center and the corner points (A, B, C, D). Each point can be thought of as a memory location that stores the control settings of everything from String material to Object and pickup placement. Instead of setting each state manually, let's use one of Sculpture's useful features to randomly generate deviants of the original state in each point.
2. | Select the four-morph-point randomization button located to the left of the Morph Pad. By selecting this, you are targeting only the four outermost points (A, B, C, D) for randomization, leaving the original (center point) sound alone.
3. | Drag the Intensity (Int) slider to the right of the Morph Pad to a value of 25%.
4. | Click the Rnd (Randomize) button above the Intensity slider. To see what just happened, look at how the controls for the various states (points) were affected.
5. | Click, one at a time, each point in the Morph Pad, looking at how the Material and Object controls change. NOTE The small red dot appearing in the controls' graphic readout represents the original state (at the center point within the Morph Pad). Each state, then, is a variation of these original settings, depending on how much randomization (Intensity) was applied.
6. | Hold down a note on your MIDI controller and move the red ball (located within the Morph Pad) around to various points. The controls (and the sound) change smoothly to reflect the various states.

Saving and Trying Presets

As you can see, Sculpture is a truly exceptional instrument! Let's end this section on Sculpture's unique sound-generation properties by saving the sound you just made as a preset.

1. | Click-hold the preset menu and choose Save Setting As.
2. | In the Save As field, type a name that you feel suits the sound you just made.
3. | Click Save.

Let's conclude by taking a brief look at some of Sculpture's expertly programmed presets, which show off the diverse capabilities of the instrument. With each of these, try playing your MIDI controller, holding chords and single notes to hear the sound evolve over time. Also try playing with the Morph Pad (if active) and modulation wheel of the MIDI controller, as these are frequently deployed to control sound changes.

Some Presets to Try

Preset Location

Description

Air Instruments > Attack Flute

Highly expressive modeled flute sounds

Pads > Organic Matter

Evolving harmonic pad

Rhythmic Motion Sounds > Pitch Disturber

Delayed rhythmical groove

Effects-Cinematic > Marble on a Journey

Randomly bouncing and rolling marble


Treating Your MIDI Hardware as Software

While it is possible to create entire projects utilizing only built-in instruments that come with the application, Logic Pro also provides ways to integrate external hardware into the computer recording environment.

Logic Pro has a handy little plug-in that enables you to create a direct connection to an external piece of MIDI hardware as if it were an internal Audio Instrument. The plug-in brings the external device's audio output back into Logic's mixer for further processing and bouncing, all in real time.

1. | Select the Inst 2 track.
2. | In the Arrange channel strip, click-hold the input field and choose Stereo Logic > External. The External plug-in opens. This plug-in doesn't do any processing at all, but it functions as a signal router. Basically, it sends MIDI data out to a selected instrument in the Environment representing your external MIDI hardware and receives audio input from a selected input on your audio interface that is receiving the signal from that external MIDI device.
3. | Physically patch the audio outputs from your selected MIDI hardware to a pair of adjacent audio inputs on your audio interface (1-2, 3-4, 5-6, and so on).
4. | In the External plug-in, click-hold the MIDI Destination field and choose Generic Keyboard > 1 (Grand Piano). This menu mirrors the available choices when assigning a MIDI track within the Arrange window. Each enabled channel of the device is represented and may be chosen. NOTE For this exercise, you set the MIDI destination to a generic MIDI instrument within the song's Environment. This Multi Instrument is set to output on all MIDI ports of your interface, so it should trigger all MIDI devices that are connected. Since only one MIDI device has its audio outputs connected to the audio interface and chosen within the External plug-in, this will work well for the purposes of this exercise. Within your own Autoload (containing your own MIDI setup in the Environment), however, you would select an instrument representing your individual MIDI hardware.
5. | Click-hold the Input field and choose the inputs of your audio interface into which you plugged the MIDI hardware.
6. | Play your MIDI controller. You should hear the output of your MIDI device, which is routed into the Inst 8 Audio Instrument Object/track.
7. | Listen to the sound level, and apply additional gain attenuation, if needed, by adjusting the Input Volume slider. You are now ready to apply additional plug-ins, make volume and pan adjustments, and mix and bounce the MIDI hardware as if it were a software instrument. NOTE Faster than real-time freezing and bouncing (offline) is not available to External instruments, as the outgoing MIDI signal and the incoming audio signal must be transmitted to the hardware device in real time. Real-time bounces and freezes work fine.
8. | Choose File > Close. An alert appears asking if you'd like to save the changes done to the song. It is not necessary to save the song file, as no data was actually written.
9. | Click Don't Save.


What You've Learned

  • Most of Logic Pro's Audio Instruments follow common interface conventions, which helps with understanding the instrument as well as locating controls.

  • The relationship between GarageBand instruments and their parent instruments can be useful when creating and editing sounds.

  • Ultrabeat utilizes kits that contain individually programmed voices, each with its own unique settings and modulations.

  • Ultrabeat's built-in step sequencer works in conjunction with the Logic song to compose and play back patterns.

  • Ultrabeat's step sequence patterns can be triggered via MIDI notes, which can be recorded, stringing together patterns and individual hits.

  • The EXS24 consists of samples organized into sampler instruments that are further shaped by the interface controls.

  • The Vintage Keyboard instruments have built-in effects processing associated with each instrument.

  • Instrument and effects combinations can chained together to create powerful sounds, which can be saved and utilized as Channel Strip settings.

  • Global tracks affect Audio Instruments in the same manner as classic MIDI hardware.

  • External MIDI hardware can be incorporated into the session as an Audio Instrument by using the External plug-in.

  • Sculpture utilizes a String acted upon by Objects as the basis for sound generation.

  • Sculpture's Waveshaper and Body EQ allow you to further process the instrument in interesting ways.

  • Sculpture's Morph Pad enables you to smoothly move from various states of control settings.


Advanced Editing

    Lesson 6. Working with the Arrangement

    Lesson 7. Advanced Audio Editing

    Lesson 8. Advanced MIDI Editing


Lesson 6. Working with the Arrangement

Lesson Files | Advanced Logic 7_Song Files > Lesson 06 Project Files > 06_Sintra_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 06 Project Files
Time | This lesson takes approximately 1 hour to complete.
Goals | Create and edit markers using a variety of techniques Use specialized playback commands for editing tasks Navigate via markers using a variety of techniques Use locators to create cycle Regions around Objects and markers Use locators to skip over entire sections in the song Learn zoom techniques to visualize and edit material

A computer-based system can offer distinct advantages over other media when you develop and arrange your musical material. First and foremost is the ability to work with visual representations of sound, whether as audio waveforms or as graphical data (MIDI, notation). This allows you to create detailed edits and to work with arrangements by moving sections around as you would text in a word processor. A nonlinear approach to editing lets you jump around in a composition, manipulating multiple aspects of a piece of music and playing back sections for instant feedback.

Many of Logic's features are geared toward working with and developing material. Lesson 6 focuses on techniques for arranging and organizing musical material that allow you to efficiently view and move data within a song.


Creating and Using Markers

Markers serve multiple purposes in a song. They are not only used to visually identify sections of the composition, but they can also be useful as navigation points along the timeline. In this way, markers serve as a road map, depicting the form of a song and allowing you quickly to locate the song's sections for playback, editing, and arranging.

Markers are displayed in the Bar Ruler and Global Tracks area and can be created in a variety of ways. In this exercise you will use various techniques for efficiently creating, editing, and viewing markers, placing them on the timeline and adding text and color for easy viewing.

Adding Markers in the Marker Track

New to Logic Pro 7 is the ability to work with markers in the Global tracks. The Marker track allows easy placement and editing of markers for a given song file.

Let's start off by opening the song file that you will be using for this lesson.

1. | Open ~ > Music > Advanced Logic 7_Song Files > Lesson 06 Project Files > 06_Sintra_Start.lso.
2. | Play the song to familiarize yourself with the material. [View full size image]
3. | In the Arrange window's local menu, choose View > Global Tracks. The Marker track appears at the top of the window. NOTE This is the only Global track component set to display in this song.
4. | Select the Pencil tool, and click in the Marker track at measure 1. A new marker, Marker 1, is created at measure 1. NOTE If you made a mistake, you can erase a marker by selecting it with the Arrow tool and pressing the Delete key, or by using the Eraser tool. When a new marker is created, Logic automatically assigns a name consisting of the word Marker followed by a sequential number. Logic's allocation of marker names is dynamic, always depending on the actual order of all markers in the song.
5. | Using the Pencil tool, click in the Marker track to create another marker, at measure 13. TIP It is easier to achieve exact placement by dragging in the Marker track until the help tag lists the correct position. Then release the mouse button. A new marker is created, labeled Marker 2.
6. | Using the Pencil tool, insert a marker at measure 5, between the two markers you created. The new marker is labeled Marker 2, and the following marker is relabeled as Marker 3. When a marker is inserted between two others, the marker numbers are changed to reflect the new ordering. You can also use the Song Position Line (SPL) to determine the point on the timeline where you want a marker to be inserted. In this case, you have to position the SPL and then use a command to create the marker.
7. | Press the comma key to display the Go To Position window. (You set this key command in Lesson 1.) The Go To Position window appears, with the Position field highlighted for input.
8. | Enter 21 in the Position field and press Return. The SPL jumps to measure 21.
9. | Choose Options > Marker > Create. Marker 4 is created at the current song position.

Adding Markers During Playback

You don't have to stop a song to add markers at a current song position. You can use the preceding techniques to create markers on the fly, placing them on the timeline during playback. However, accessing this function via a menu can be awkward when the song is playing. By assigning the function to a key command, you can drop in markers quickly as the song progresses by pressing a single key.

1. | Choose Logic Pro > Preferences > Key Commands. The Key Commands pane of Logic Preferences opens.
2. | Type marker in the search field. Only commands that have the word marker in the name are listed.
3. | Choose Create Marker.
4. | Click the Learn by Key Label button.
5. | Press the F key to assign the function to that key.
6. | Close the Key Command window.
7. | Play the song from the beginning, pressing the F key when you reach the sectional change at the downbeat of measure 34. A new marker (Marker 5) is created at measure 34.

NOTE

This command creates a marker at the nearest bar to the Song Position Line, rounding its placement. If you need to place a marker within a bar or are using absolute time (when working with SMPTE), use the key command "Create Marker without rounding." This way a marker will be placed at the exact timing, rather than being rounded to the nearest bar.

Creating Markers from Regions

Another way to create a marker quickly is by using a Region. In this case, the Region start point, end point, and name are used to designate the marker position, length, and name.

1. | Select the Arrow tool.
2. | Click-hold the Guitar Solo Region on Track 2, and drag it into the Marker Track area. A new marker named Guitar Solo is created at measure 44. This does not require exact positioning in the Marker track, as the marker is placed according to the Region's location on the timeline (as opposed to where you drop it). You can also perform this function by clicking the Region and choosing a menu command.
3. | Click the Bass Solo Region on Track 10, and choose Options > Marker > Create by Regions. A new marker named Bass Solo is created at measure 68.
4. | Using any of the above techniques, create a marker from the Coda Region (last region on Track 3). A new marker named Coda is created at measure 76.

Adding Marker Text

Markers can display all types of text, such as the name of an associated Region or section, and can even serve as a placeholder for musical and production notes. You can enter text directly on the marker for quick naming or open up a separate window for more detailed text entry.

1. | Select the Text tool in the toolbox.
2. | Click Marker 1 in the Marker track. A text-input field appears.
3. | Type Intro and press Return. The marker name changes to Intro. Let's try a different approach for naming markers, involving the Marker Text window, which, although using it is not as quick as the previous technique, has its own advantages.
4. | Select the Arrow tool.
5. | Double-click Marker 2 in the Marker track. NOTE The cursor changes to a trim bracket when positioned over the marker, which is normal. The Marker Text window opens.
6. | Choose Edit > Select All (or Cmd-A) to highlight the default text (Marker ##).
7. | Type Verse 1.
8. | Click the downward-pointing-arrow button on the left side of the Marker Text window. In the Marker track, Marker 2 changes its name to Verse 1, and Marker 3 becomes selected, ready to edit. By using the Marker Text window, you can quickly switch from one marker to another, entering text as needed.
9. | Choose Edit > Select All (Cmd-A) and type Verse 2.
10. | Click the downward-pointing arrow button on the left side of the Marker Text window. Within the Marker track, Marker 2 changes its name to Verse 2, and Marker 4 is selected, ready to edit.
11. | Using this technique, name the next two markers (Marker 4 and Marker 5) Chorus and Verse 3, respectively. After entering the text, remember to click the downward-pointing-arrow button to move to the next marker. You should end up with the Guitar Solo marker displayed in the Marker Text window. Other information can be entered and displayed in the Marker Text window as well. The window can display multiple lines of text in any font that resides in your system, and it can even be integrated into screensets, acting as a visual notepad. However, sometimes it is more useful to have notes displayed within the marker itself, providing information pertaining to the production.
12. | In the Marker Text window, make sure that the insertion point is after the text Guitar Solo, then press Return to go to the next line.
13. | Type Comped from multiple takes in the line after Guitar Solo.
14. | Look at the marker in the Marker track. The marker inserts a dividing line between the name of the marker, Guitar Solo, and the production notes beneath. NOTE The marker displays only as much text as can fit within the physical space of the marker itself. If you need to display more text, increase the vertical size of the Marker track by dragging the bottom border separating it from the next track.
15. | Close the Marker Text window.

Editing Markers

Markers can be adjusted in the Marker track in a fashion similar to the way you would work with Regions in the Arrange window. Common tasks include changing lengths, dragging locations, and coloring markers.

The Coda marker you created earlier is a bar too early. Let's move its location ahead a bar to correct this.

1. | Position the pointer over the middle of the Coda marker. The pointer turns into a bidirectional arrow cursor.
2. | Drag the Coda marker one bar to the right (to measure 77). NOTE You can use the help tag to make sure you are moving the marker to the correct location. Notice that a small gap appears between the Bass Solo and Coda markers. You can adjust this by lengthening the Bass Solo marker to fit up against the Coda marker.
3. | Position the cursor over the right edge of the Bass Solo marker. The cursor changes to indicate length adjustment.
4. | Drag the right edge of the Bass Solo marker to extend it to the beginning of the Coda marker (the length should be nine bars total). The seemingly simple act of coloring an object can make a big difference when navigating within a song. By coloring a marker, you can quickly discern one section from another.
5. | From the Arrange window's local menu, choose View > Colors. The Color window appears.
6. | Select the Intro marker, and select a color in the Color window. The marker changes from its blue gray default to the chosen color.
7. | Select each subsequent marker and apply a color from the palette by clicking in the Color window.
8. | Close the Color window.

Viewing Markers in the Bar Ruler

The Marker track does not have to be viewable for you to see the markers you created. Whenever the Marker track is not showing, the markers are displayed in the bottom portion of the Bar Ruler.

1.
In the Arrange window's local menu, choose View > Global Tracks to toggle the view of the Global tracks.

The Marker track disappears (as it is the only Global track set to be viewed). All markers you created in the last few exercises are now displayed in the Bar Ruler, along with their assigned names and colors.

The markers here are displayed similarly to the way they're displayed in the Marker track, with the exception of the note text you entered for the Guitar Solo marker. When displayed in the Bar Ruler, markers are allocated a limited amount of space, which does not allow for extended text.


Navigating the Arrangement

Using a nonlinear editor provides the unique advantage of being able to jump around within a song, concentrating on different aspects regardless of their position in the timeline. To truly benefit from this, it becomes essential to navigate in the song in an efficient manner. Quickly getting to where you want to work is paramount, especially when time is of the essence.

While the basic transport controls work for moving around, they still follow a linear approach modeled after tape-based media. Fast-forward and rewind controls move the current song position from a fixed point in one direction or the other and must scroll through intermediary material to reach the edit point.

With this exercise, you will take advantage of the nonlinear aspects of Logic, using techniques to negotiate through the song speedily while setting yourself up for the edit.

Using Specialized Playback Commands

The most basic method of moving nonlinearly within a song is by using the SPL. Jumping to another section is as easy as clicking once in the bottom half of the Bar Ruler (below the dotted line). Playback from any point in the song works in a nearly identical fashion, allowing both quick location and playback when the two techniques are used together.

1. | Double-click at any point in the bottom of the Bar Ruler. The song starts to play at that location.
2. | While the song is playing, click at any point in the bottom of the Bar Ruler. The song position jumps to the clicked location without stopping playback.
3. | While the song is playing, double-click at any point in the bottom of the Bar Ruler. The song jumps to the clicked location and stops. This technique is not very precise for locating starting and stopping points, but it works well for quick navigation where accuracy is not the priority. However, starting from an exact location is often important, especially when isolating specific areas or material in the composition. Let's look at a few of the key commands that Logic offers to help accomplish this.
4. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window.
5. | In the search field, type play. All commands that have play in the name (including words that contain this combination of letters, such as display) are listed in the Command column.
6. | Choose •Play from Selection in the Global Commands menu in the Command column. NOTE This command has a "•" in front of it, which designates it as a key-command-only function.
7. | Click the Learn by Key Label button.
8. | Press Option-spacebar, assigning the function to the key combination. NOTE This function already has an assigned key command of Shift-Enter. Using the spacebar for play commands is a more "universal" choice, as the only way to access the Enter key on a Powerbook or iBook is with a function key.
9. | Choose "•Play from left window corner" in the Global Commands menu.
10. | Press Ctrl-spacebar, assigning the function to the key combination.
11. | Close the Key Command window. Before you're ready to try out these new playback commands, it is necessary to go over what they do. The Play from Selection function allows you to select an Object (Region or event), using its left-most point as the location to initiate playback.
12. | Select the Guitar Solo Region on Track 2. NOTE The track should zoom vertically due to the Auto Track Zoom function.
13. | Press the key combination you assigned to Play from Selection. The song immediately starts playing from the beginning of the Region.
14. | Stop the song. Rather than base playback location on the start of an Object, as Play from Selection does, the "Play from left window corner" command uses the actual window view to determine its playback start point. Essentially, it uses a "what you see is what you get" approach, starting playback from the left-most visible point in the window. This is especially helpful when you're zoomed in while editing, as it doesn't require selecting an Object first and it is independent of zoom level.
15. | Using the Magnifying Glass tool, rubber-band select around the first big transient in the Rhythm Guitar track (Track 1), located at the beginning of Verse 1. The window view zooms in horizontally and vertically, displaying a few measures. [View full size image]
16. | Press the key combination you assigned to "Play from left window corner." The song immediately starts playing from the left-most part of the window view.
17. | Stop the song.

TIP

As you saw in the Key Commands window, there are a lot of useful play commands that can be accessed via key command only. Try assigning others that mirror your own workflow.

Navigating with Markers

As mentioned earlier in the lesson, markers are extremely useful in helping you locate places in a song. In this way they can be viewed as navigation points, allowing you to skip to sections where you want to work. In this exercise you will learn methods of using the markers for navigation and as points to initiate playback.

1. | Bring up Screenset 1 to return the song to its original zoom settings.
2. | While holding down the Command key, single-click the bottom half of the Bar Ruler in the Verse 1 marker. The SPL locates to the beginning of the marker (measure 5). This is a quick way to move to the beginning of a section.
3. | While holding down the Command key, double-click in the Verse 2 marker. The SPL moves to the beginning of the marker (measure 13) and starts playback.
4. | Stop the song. By double-clicking with the Command key held down, you can start playback from the beginning of a marker.

NOTE

These commands apply only to viewing the markers in the Bar Ruler. You can locate to a marker within the Marker track as well, using a slightly different technique. With the Marker track showing, hold down the Option key and click in the marker on the Marker track. Unfortunately, you are unable to initiate playback by double-clicking as you did with the markers showing in the Bar Ruler.

Using the Marker List

Another way to navigate using markers is with the Marker List. The Marker List window sequentially displays all markers in the song in an event list. It allows you to view marker position and length, providing a single environment to access and edit markers.

1. | Choose Options > Marker > Open List as Float. The Marker List opens as a floating window. NOTE Opening the Marker List as a floating window lets you click back and forth between it and the Arrange window underneath without inadvertently hiding the Marker List.
2. | In the local menu, choose Options > Parameters. The Parameters (including the toolbox) appear on the left side of the window.
3. | Using the Finger tool (the default), click-hold the Intro marker. (Specifically, you should click on the word, "Intro.") The song starts playing from the beginning of the Intro marker and continues playing until you release the mouse button.
4. | Release the mouse button to stop playback.
5. | Try click-holding other markers to initiate playback from their position, releasing the mouse button when you want to stop playback. This provides a simple way to audition sections in the song, especially when you have many markers that are not in the current viewing area.
6. | Close the Marker List window.

TIP

This window also allows you insert, copy, delete, and edit markers. In addition, you can also select any marker for text editing, opening the Marker Text window by double-clicking the marker event in the list. Keeping this floating window in a screenset can provide a handy way to edit, create, and locate to markers.

Using Key Commands to Locate to Markers

Key commands can also be used to jump from one marker to the next and provide an efficient way of locating. To do this, you must assign a key to the commands that control these functions.

1. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window.
2. | In the search field, type marker. All commands that have marker in the name are listed in the Command column.
3. | Choose Goto Previous Marker in the Command column.
4. | Click the Learn by Key Label button.
5. | Press the less-than sign (Shift-comma), assigning the function to the key.
6. | Choose Goto Next Marker in the Command column.
7. | Press the greater-than sign (Shift-period), assigning the function to the key.
8. | Close the Key Commands window. When using this technique, it is advisable (though not necessary) to view the Marker track, which can provide good visual feedback as to what is happening.
9. | Choose View > Global Tracks from the Arrange window's local menus. The Marker track appears at the top of the window.
10. | Try pressing each of the keys you assigned to Goto Next/Previous marker. The SPL moves from marker to marker sequentially, aligning itself at the beginning. As each marker is selected, it becomes highlighted in the Marker track.

By assigning these functions, you are now able to scroll forward and backward by marker along the timeline.

Isolating Material with the Cycle Mode

Cycle is an extremely useful mode that enables you to play a section repeatedly. This works well for isolating material in a song, permitting you to focus on the repeated section, editing as you listen.

Cycle works by setting locators (used as start and end points), which can be done manually or automatically. Let's take a look at methods to set the locators, creating cycle Regions that allow you to isolate material.

1. | In the top portion of the Bar Ruler, click a position of your choice and drag to the right a few bars. A cycle Region is created.
2. | Press Play. The song starts immediately at the start point of the cycle Region, continuing to play until it reaches the end, at which point it loops around again, playing from the start of the cycle.

This technique works for both locating to a given point and playing an isolated passage that has been manually defined. However, it is difficult to position exactly and becomes tedious when creating around predefined sections (such as markers and Regions). To address this, let's look at additional techniques that can be used to automatically set the locators quickly and easily, thereby defining the cycle Region.

Using Markers to Create Cycle Regions

An interesting thing happens when navigating with the Marker List or using the Goto Next/Previous marker key commands; the locators are automatically set around the marker, corresponding exactly to the marker length. You can use this to your advantage, dynamically changing cycle Regions that correspond to the sections in the song.

1. | With the Cycle mode still active, use the Goto Next/Previous marker commands to move the SPL to the Verse 1 marker. The locators adapt to the selected marker length, and the cycle Region adapts within the Bar Ruler, matching the Verse 1 marker length exactly. [View full size image]
2. | Use the Goto Next/Previous marker commands to move from marker to marker along the timeline. The cycle Regions adapt to each marker accessed. As long as Cycle is on, it will relocate to any selected marker, allowing you to effectively concentrate on individual sections in the song. NOTE All marker location techniques you learned in the previous section work along with Cycle, with the exception of Cmd-clicking (Option-clicking for Marker List) the Bar Ruler.
3. | Turn off the Cycle mode by clicking the Cycle button in the transport. You can also create a quick cycle Region with a marker without having to locate to it first. This can be done via a simple drag-and-drop technique.
4. | Grab the Guitar Solo marker and drag it upward, and release the mouse button when it is over the top half of the Bar Ruler (where cycle Regions are displayed). A cycle Region is created, matching the Guitar Solo marker length and location.
5. | Turn off the Cycle mode by clicking the cycle Region itself in the Bar Ruler. This is another way to turn off the Cycle mode quickly.
Setting Locators by Objects

While markers work great for sectional material, often you will want to concentrate on smaller areas in the song. You can accomplish this by setting locators around individual Objects in the song, and then activating the Cycle Mode.

1. | Select the first Region in the Bongos track (Track 9). [View full size image]
2. | From the Arrange window's local menu, choose Region > Set Locators by Regions.
3. | Click the Cycle button in the Transport. A cycle Region is created, matching the Bongos Region. This technique isn't limited to Regions and generally applies to all selected Objects (notes, events, and so on) in any editor. Thankfully, a single key command encapsulates all Object types, allowing you to execute this command regardless of the editor.
4. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window. TIP You can open the Key Commands window by using its own key command, Option-K.
5. | In the search field, type locator. All commands that have locator in the name are listed in the Command column.
6. | Choose Set Locators by Objects in the Command column.
7. | Click the Learn by Key Label button.
8. | Press Shift-backslash to assign the function.
9. | Close the Key Commands window.
10. | Press the 4 key to bring up Screenset 4. This screenset contains a Matrix and an Arrange window.
11. | Select multiple notes in the Matrix Editor with the Arrow tool.
12. | Press the key (or combination) you assigned to the Set Locators by Objects function. The cycle Region adapts to your selection. As long as Cycle mode is active, it will adapt to whatever you select when using this command.
Using Skip Cycle Regions

Sometimes it is helpful to skip a section to hear how a song functions without it. You can do this by creating a Skip Cycle, letting you omit a passage. Locators are used to determine the position of the Skip Cycle, but here they work in reverse, swapping the left and right locators. This technique is especially helpful when trying out transitions between sections.

1. | Turn off Cycle by clicking the cycle Region in the Bar Ruler.
2. | Press the 1 key to bring up Screenset 1.
3. | Click-hold the top half of the Bar Ruler at measure 21, and drag to the left until you reach measure 13. A Skip Cycle is created, represented by the thin bar displayed at the top portion of the Bar Ruler.
4. | Hold down the Command key and double-click the Verse 1 marker. The song plays from the beginning of Verse 1 until it reaches the Skip Cycle, then jumps past the selected Region, continuing to play from the end point of the Skip Cycle. This is effective for quick designations but suffers from the same problems as manually drawing in a cycle Region: it's inexact and doesn't adapt. You can address this with a key command that enables you to create a Skip Cycle out of any cycle Region (or vice versa).
5. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window. The search field should still have locator typed in it, with the Command list displaying all commands with locator in the name.
6. | Choose Swap Left and Right Locator in the Command column.
7. | Click the Learn by Key Label button.
8. | If not already assigned by default, press the backslash key.
9. | Close the Key Commands window.
10. | Use the Goto Next/Previous marker commands to navigate to the Guitar Solo marker. The Skip Cycle changes to a regular cycle around the Guitar Solo marker. NOTE Using the Goto Next/Previous marker commands resets the left and right locators to the marker (in that order), changing the Skip Cycle into a cycle Region.
11. | Press the key (combination) that you assigned to Swap Left and Right Locator. The cycle Region now becomes a Skip Cycle Region.
12. | Hold the down the Command key and double-click the Verse 3 marker to listen to the song without the Guitar Solo. The song plays from the beginning of Verse 3 until it reaches the Skip Cycle, then jumps past the Guitar Solo, continuing from the Bass Solo until the end of the song.
13. | Turn Cycle off.


Zooming Effectively

When editing, it is often necessary to work with material down to a highly detailed level. Zooming is the act of moving in and out of your arrangement, magnifying your working area to focus on individual aspects of a song.

In this exercise you will use various zoom techniques that improve your ability to view and edit material.

Understanding Zoom Positioning

Before you begin, it is important to understand how Logic uses positioning to determine what visual material is magnified. The goal is to keep the area you are concentrating on viewable in the window during zooming. This is dictated by either the song position or the selected material.

You can see this when executing basic zoom commands such as those controlled by the Zoom sliders.

1. | Click the background of the Arrange window (where there isn't a Region or Object) to make sure that nothing is selected.
2. | Position the SPL at the beginning of the Chorus marker by Cmd-clicking on it. The song locates to the beginning of the Chorus section.
3. | Grab the horizontal Zoom slider located at the bottom left of the Arrange window, and slowly drag it to the right. The song zooms in lengthwise, spreading out in both directions, but always keeping the SPL in roughly the same place within the window.
4. | Bring up Screenset 1 again to return to the original zoom level.
5. | Select the Triangle Region in Track 7.
6. | Grab the horizontal Zoom slider again, slowly dragging to the right to zoom in. The song zooms in, spreading out in both directions, but this time keeping the left edge of the Region in roughly the same place within the window.

What does this mean, and why is this important? In effect, the window view while zooming is justified either to the current song position or to a selected Region. When you want to zoom in to a given song position, you must make sure that nothing is selected before performing the action. If you want to zoom in on an individual Region, you need to select it first. This is important to keep in mind while using Zoom because you may find yourself losing the area that you intend to work with unless you actively choose one of these methods.

Saving and Recalling Zoom Settings

Using Zoom in Logic can be thought of as navigating up and down in levels of magnification. Each magnification level can be accessed with the Zoom sliders or a key command and saved for recall. These zoom steps can also be saved and recalled dynamically (similar to screensets) while you're working, allowing you to return to desired levels of magnification when necessary.

Let's explore this technique when using basic zooming, by assigning a few key commands.

1. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window.
2. | In the search field, type zoom. All commands that have zoom in the name are listed in the Command column. Note the series of functions relating to saving and recalling zoom settings, labeled Save as Zoom 13 and Recall Zoom 13. Once they're assigned, you will use these key-command-only functions to save and recall zoom "snapshots" of different levels of magnification.
3. | Choose •Save as Zoom 1 in the Command column.
4. | Click the Learn by Key Label button.
5. | Press Cmd-F1 to assign this function. NOTE The function keys aren't assigned in the default key commands, and they work especially well for Zoom settings.
6. | Choose •Save as Zoom 2 in the Command column.
7. | Press Cmd-F2 to assign this function.
8. | Choose •Save as Zoom 3 in the Command column.
9. | Press Cmd-F3 to assign this function. Now that you have assigned keys to save zoom snapshots, let's assign related keys to recall them.
10. | Assign •Recall Zoom 1 through 3 to F1, F2, and F3, respectively. NOTE While you're in the Key Commands window, check that you have the basic zoom commands assigned. If not, assign them to the keys of your choice. By default, these are set to the Ctrl-arrow keys.
11. | Close the Key Commands window. With this arrangement, the Command key works as a "memory" toggle, storing settings when used in conjunction with the function keys. When the keys are depressed without the modifier, they recall the last zoom level that was saved.
12. | Return to the beginning of the song, and select the Rhythm Guitar track (Track 1).
13. | Press Cmd-F1 to save this starting zoom level to the first memory location (Save as Zoom 1).
14. | Use the basic Zoom key commands (Ctrlright arrow and Ctrldown arrow) to zoom in four steps vertically and four steps horizontally (press each key combination four times). The song zooms in a modest amount, showing the Audio Region in Track 1 in more detail. [View full size image]
15. | Press Cmd-F2 to save to the second zoom memory location (Save as Zoom 2).
16. | Use the basic Zoom key commands again to zoom in four more steps vertically and four more steps horizontally (press each key combination four times).
17. | Press Cmd-F3 to save to the third zoom memory location (Save as Zoom 3). You now have three different zoom settings with varying degrees of magnification memorized and ready for use.
18. | Try pressing F1 through F3 to test the different zoom snapshots. These settings work effectively in conjunction with the zoom positioning techniques discussed earlier, allowing you to quickly view elements of the song at multiple magnification levels.
19. | Press F1 to return to the first zoom snapshot.
20. | Cmd-click the Verse 3 marker to locate to the beginning of the section.
21. | Press F1 through F3, recalling the zoom snapshots we set earlier. The selected Region (Rhythm Guitar) zooms in, keeping the SPL position within the window.

Zooming In on Objects

Zooming in on specific Regions is useful when you need to focus on a particular element in a song. It provides a quick way to adapt the viewable work area to encompass the entire Region or Regions.

There are several useful key commands for zooming in on Regions, including "Zoom to fit Selection vertically & horizontally, store Navigation Snapshot," which you assigned in Lesson 1 (see "Changing Key Assignments"). This function automatically employs the correct zoom settings to best fit your selection within the window. The command is also dynamic, using small zoom levels for large Regions and large zoom levels for small ones.

Since this has already been assigned to a key combination (Ctrl-Z), let's give it a try within the song.

1. | Bring up Screenset 1 to return to our original view.
2. | Select the Maracas Region on Track 8.
3. | Press Shift-Z to activate the "Zoom to fit Selection vertically & horizontally, store Navigation Snapshot" command. The screen adapts to fit the entire selected Region, justifying the selection to the top left corner of the work area. [View full size image]
4. | Ctrl-click the background to return to the original zoom level.
5. | Select the Rhythm Guitar Region in Track 1.
6. | Press Shift-Z to activate the "Zoom to fit Selection vertically & horizontally, store Navigation Snapshot" command. The work area adapts to fit the entire Region, shrinking the horizontal view while zooming in vertically. [View full size image] A similar zooming effect can be achieved based on locators rather than Objects. You need to assign a key command to utilize this.
7. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window. The search field should still have zoom typed in it, with the Command list displaying all commands with zoom in the name.
8. | Choose "Zoom to fit Locators, Store Navigation Snapshot" in the Command list.
9. | Click the Learn by Key Label button.
10. | Press Ctrl-Shift-Z to assign this function.
11. | Close the Key Commands window. Remember how the locators automatically changed to fit the marker when you used the Goto Next/Previous marker commands? You can use this in conjunction with the key command you just set, adapting the view to only display the selected section.
12. | Use the Goto Next/Previous marker commands to locate to the Intro marker.
13. | Press Ctrl-Shift-Z. The work area adapts horizontally to fit the entire Intro section in the window. [View full size image]
Magnifying the Waveform Without Zooming the Region

Audio is displayed in the Arrange window as waveforms that are constantly being redrawn for every zoom level, all the way to single sample resolution. When signal level is low, the waveform displayed is quite small and can be difficult to edit.

A good example of this would be the Rhythm Guitar Region at measure 4. A small waveform is barely visible.

[View full size image]

To fix this, the waveform can be zoomed vertically independent of the Region, allowing precise edits. Like other zoom functions you have explored in this lesson, these specialized zoom functions can be accessed only via key commands.

1. | Choose Logic Pro > Preferences > Key Commands to open the Key Commands window. The search field should still have zoom typed in it, with the Command list displaying all commands with zoom in the name.
2. | In the Command list, choose "Waveform vertical zoom out" (under the Arrange Window heading).
3. | Click the Learn by Key Label button.
4. | Press CtrlShiftdown arrow to assign this function.
5. | In the Command list choose "Waveform vertical zoom in."
6. | Press CtrlShiftup arrow to assign this function.
7. | Close the Key Commands window.
8. | Press CtrlShiftup arrow repeatedly until the small waveform in the Rhythm Guitar Region becomes easily viewable. The waveform itself becomes magnified, while the Region size stays the same. [View full size image] This makes the waveform much easier to edit without changing the viewable area.
9. | Bring up Screenset 1 to return to the original view. The waveform retains its magnification value. The waveform vertical zoom is independent of the screenset or zoom level. This is especially helpful when working with low-signal passages, where you might want the waveform continually displayed in a magnified state. This can, of course, be changed at any time using the "Waveform vertical zoom out" command.
10. | Press CtrlShiftdown arrow until the waveform returns to its normal display magnification (keep pressing until it no longer has an effect).


What You've Learned

  • Markers can designate sectional material or serve as navigation points.

  • Markers can display any type of color or text, including production notes.

  • Markers can be accessed in the Bar Ruler, Marker track, or Marker List.

  • Specialized play commands can effectively aid in quick, nonlinear navigation.

  • Locators can quickly be set by any Object or marker for creating cycle Regions.

  • Zooming justification is dependent on song position and Region selection.

  • Zoom snapshots can be saved and recalled.

  • The viewable area can quickly be adapted to effectively display selected Regions or markers.

  • An audio waveform can be magnified independently of the Region.

Keyboard Shortcuts

Markers

F

Create marker

Cmd-click marker in Bar Ruler

Locate to marker start

Cmddouble-click marker in Bar Ruler

Play from marker start

Option-click marker in Marker track

Locate to marker start

<

Goto Previous Marker

>

Goto Next Marker

Playback and Location

Option-spacebar

Play from Selection

Ctrl-spacebar

Play from left window corner

|

Set Locators by Objects

\

Swap Left and Right Locator

Zooming

Ctrldown arrow

Zoom Vertical In

Ctrlup arrow

Zoom Vertical Out

Ctrlright arrow

Zoom Horizontal In

Ctrlleft arrow

Zoom Horizontal Out

Cmd-F1

Save as Zoom 1

Cmd-F2

Save as Zoom 2

Cmd-F3

Save as Zoom 3

F1

Recall Zoom 1

F2

Recall Zoom 2

F3

Recall Zoom 3

Shift-Z

Zoom to fit Selection vertically & horizontally, store Navigation Snapshot

Ctrl-Shift-Z

Zoom to fit Locators, Store Navigation Snapshot

CtrlShiftup arrow

Waveform vertical zoom in

CtrlShiftdown arrow

Waveform vertical zoom out


Lesson 7. Advanced Audio Editing

Lesson Files | Advanced Logic 7_Song Files > Lesson 07 Project Files > 07_Sintra_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 07 Project Files
Time | This lesson takes approximately 1 hour to complete.
Goals | Solve problems through creative editing techniques Create seamless audio edits and transitions Create cohesive musical material using existing takes Compare takes for inclusion into composite tracks Isolate and save good takes while removing unwanted takes Use fine-level editing to fix problems in the audio signal

The flexibility of editing digital audio is one of the distinct advantages of working with nonlinear hard-disk recording systems. The user can precisely fix mistakes, adjust timing, rearrange sectional material, and combine elements in every way conceivable. What was once incredibly difficult or impossible to do with analog tape is now almost routine, if you have the right tool set and skill set.

Modern production is both blessed and plagued by this flexibility. On one hand, it allows sophisticated edits to be performed with great accuracy. On the other, falling into obsessive extremes is all too easy, and you can worry a track to a lifeless lump of 1s and 0s.

That said, good editing techniques can take your material to another level, turning a raw performance into a polished piece of music. Logic offers many possibilities for working with digital audio, whether fixing a mistake or recording problem that would otherwise ruin an excellent take, or creating new parts out of an amalgam of tracks.

In this lesson you will explore various techniques for editing digital audio, enabling you to rework raw material with speed and flexibility.


Using Edits to Create Parts

Look at the length of the Rhythm Guitar 1 Region on Track 1. It ends about halfway through the Bass Solo Region. This is because the original recorded part from the tracking session did not contain any material for the Bass Solo or Coda sections, which were added later in production. Punching in or adding additional recorded material is not an option at this point because the tracking session has long since passed. Instead let's look at ways to extend the existing material using editing techniques.

1. | Choose File > Open.
2. | In the file selector, choose ~ > Music > Advanced Logic 7_Song Files > Lesson 07 Project Files > 07_Sintra_Start.lso. This is the same song used in the last lesson, but at a different stage of production. You will be using this song file in the following exercises.
3. | Use the Goto Next/Previous key commands (the greater-than and less-than keys) to locate to the beginning of the Bass Solo section (as well as setting the locators).
4. | Use the "Zoom to fit Locators" key command (Ctrl-Shift-Z) to zoom in to the Bass Solo section. The window adapts to encompass the Bass Solo section.
5. | In the Transport pane, click the Cycle button. A cycle Region is created around the Bass Solo section.
6. | In Track 1, click the Track Solo button. [View full size image] The Bar Ruler displays in yellow, indicating that Solo mode is turned on. NOTE The Region or Regions on a track with Track Solo enabled should be surrounded by a thin yellow line, which specifies the soloed material.
7. | Play the song, listening to the Rhythm Guitar track.
8. | Click the Stop button when you are familiar with the material. In this exercise you will copy and paste the arpeggiated chords at the beginning of the Bass Solo to extend the track through the Coda section. The waveform is rather small in this quiet section, so to make an accurate edit, it is necessary to zoom in on the waveform.
9. | Use the "Waveform vertical zoom in" key command (CtrlShiftdown arrow) to magnify the waveform to its maximum resolution. The waveform magnifies.
10. | Using the Scissors tool, click the Rhythm Guitar 1 Region at measure 69 (you can use the help tags to position accurately). [View full size image] The Region divides at measure 69, creating a new Region with the label Rhythm Guitar 1.2. NOTE Logic automatically assigns sequential numbers to newly created Regions.
11. | Switch back to the Arrow tool.
12. | While holding down the Option key, drag the new Region (Rhythm Guitar 1.2) to the right, copying the Region to start at measure 72. [View full size image] The Region is copied, creating a new Region, Rhythm Guitar 1.3, that overlaps the previous Region at measure 72. [View full size image]
13. | Option-drag the Rhythm Guitar 1.3 Region to the right, copying the Region to begin at measure 75. The Region is copied, creating a new Region, Rhythm Guitar 1.4, at measure 75.
14. | Using the same technique, copy the Rhythm Guitar 1.4 Region to begin at measure 78. The Region is copied, creating a new Region, Rhythm Guitar 1.5, at measure 78. NOTE You can use the Zoom Horizontal Out key command (Ctrlleft arrow) to see the entire area encompassing the extended part. Take a moment to observe something important. Look closely at the Regions you just moved and copied. You'll notice dotted lines located close to measures 73, 76, and 79. These lines represent the ends of the previous Regions that are lying underneath each copied Region. [View full size image] When two Regions overlap, the topmost Region takes precedence during playback.
15. | Using the Arrow tool, select the four copied regions (Rhythm Guitar 1.2, 1.3, 1.4, and 1.5) by rubber-band selecting them. You might have noticed that the Region lengths seem to visually shift before you release the mouse button. Although the song will play back appropriately, with each Region sounding at the right location, it can get visually confusing. You can easily fix this by using a function to eliminate the overlaps.
16. | From the Arrange window's local menu, choose Regions > Remove Overlaps. Each underlying Region is trimmed at the point of overlap.

Using Fades to Smooth Out Transitions

When combining Regions, you often will hear a short click at the seam of each edit. This is not unusual, and it is created by an interruption in the audio waveform at a non-zero point (a point where signal is present). In effect, each Region's audio waveform is clipped just shy of the ending or beginning of a sound.

This can easily be fixed using cross fades, a technique that automatically performs a quick fade-out, fade-in at the edit point so that the clicks won't be heard. Let's take a look at some of the ways you can quickly employ fades to smooth out transitions.

1. | With the four Regions (Rhythm Guitar 1.2, 1.3, 1.4, and 1.5) still selected, use the Set Locators by Objects key command ("|" key). The cycle Region now adapts to the newly created passage.
2. | Click the Play button to hear the passage with the copied Regions. Listen for the short clicks between the edited Regions. Now take a look at the Region Parameter box, located immediately to the left of Track 1. Note that the box displays 4 selected, indicating that any adjustments made to the parameters in the box will affect all four selected Regions. You will be working with one of these parametersthe Fade parameter.
3. | In the Region Parameter box, click-hold Out next to the Fade parameter, and choose X from the pop-up menu. This enables a cross-fade option. Nothing has changed within the Regions themselves yet. This is because you haven't determined a length for the fade.
4. | Double-click the number 0 to the right of the Fade parameter, and enter 10 in the input box. The edit seams now display a cross fade (represented by a dotted green shape) at each edit point lasting exactly 10 milliseconds (ms).
5. | Play the song to listen to the passage with the cross fades. The passage plays with smooth audio transitions between the Regions. The last Region has a short fade-out drawn at its end from the previous procedure. When a selected Region with no neighbor is set for a cross fade, Logic will create a fade-out or fade-in by default, depending on where the adjoining material is located in relation to the Region. However, the 10 ms setting you input, while perfect for quick cross fades between Regions, is far too short for the fade-out at the end. To correct this, you can draw a fade manually, with the help of the Fade tool.
6. | Select the Fade tool in the toolbox.
7. | Drag directly over the Rhythm Guitar 1.5 Region, starting at measure 81 and ending slightly after the Region end. A fade-out is created from measure 81 to the end of the Region.

Play the song to hear the passage with the fade-out at the end.

Using Existing Material to Fix Problems

Often, a perfectly good take might contain a small problem with a performance, an instrument, an extraneous noise, or even with the recording process. By using carefully placed edits, you can substitute a passage of identical material for the problem segment.

1.
Using the Goto Next/Previous Marker commands, go to the Verse 1 section.

The cycle Region adapts to the Verse 1 section as well.

The waveform magnification isn't needed here because the amplitude is at a sufficient level to easily see the waveform.

Let's continue by returning the waveform to its normal display state.

2.
Repeatedly press CtrlShiftdown arrow ("Waveform vertical zoom out") to shrink the waveform down to its original size (until the waveform stops shrinking).

3.
Play the passage (Verse 1).

Verse 1 plays with an audible warble around the fourth beat of bar 7.

The perceived warble was caused by a glitch in the recording process, most likely from the audio interface. All is not lost, however, as the verse is repeated two other times with the same musical material.

By finding an identical passage, we can replace the bad section with a copy from a good take. A perfect choice is the equivalent point within Verse 2, starting around the fourth beat of measure 15.

Let's zoom in to this area to make a precise edit.

4.
Using the Magnifying Glass tool, rubber-band select measures 1517.

NOTE

Depending on the size of your display, you might need to scroll over to the right to perform this selection.

Now it is time to make the edit. You could do this by cutting and copying as you did on the tail end of the track, but this requires multiple steps, including cutting around the desired material, copying to the new location, and then eliminating the overlaps. Instead, try one of Logic's handiest editing tools: the Marquee tool.

The Marquee tool allows you to select material for editing within Regions without having to cut them up. It can work across multiple Regions at once or in a single Region, depending on the task required.

5.
Select the Marquee tool in the toolbox.

6.
Drag directly over the Rhythm Guitar 1.1 Region, starting at 15 4 3 1 and ending at 17 1 1 1.

Tip

Use the help tags to precisely position the edit points.

The selected passage is highlighted within the Region.

[View full size image]

7.
Click the Play button, but stop the song before the Song Position Line (SPL) reaches the end of the screen. This will keep the display from scrolling when the SPL reaches the window border.

The song starts playing from the Marquee selection.

NOTE

The song will always play from the Marquee selection when the normal Play command is used, regardless of a set cycle Region or the current song position. This is handy for quickly locating and auditioning material within Regions.

8.
Using the Zoom tool, click the gray area of the Arrange window where there are no Regions.

The window zooms back to the previous zoom level, with the Marquee selection still highlighted.

Now that you have selected the material to copy, it's time to place it at the desired position. If you were to perform the copy as you did previously (with an Option-drag), the Regions would overlap. Instead, you can create a splice without an overlap by using an alternative drag mode. Drag modes are available only in the Arrange window, and they act as preferences for moving Regions.

9.
Click the Drag pop-up menu in the top right corner of the Arrange window, and choose No Overlap.

As the name suggests, No Overlap is used in situations where you don't want to create overlapped Regions. In this mode, placing a selected Region over another automatically trims the underlying Region and eliminates overlaps.

10.
Select the Arrow tool.

11.
Option-drag the Marquee selection to the left, placing it at 7 4 3 1.

[View full size image]

The passage is copied to the new location, creating cuts in the original Region at the start and end points of the copied Region.

12.
Click the Play button to hear the edit.

The edit works well but has an audible click at the first edit point.

13.
Select the copied Region and the adjacent Region immediately to its left by Shift-selecting with the Arrow tool.

14.
In the Region Parameter box, choose a cross fade of 10 ms, as you did previously.

  • Cross fades of 10 ms are created at both edit points.

15.
Click the Play button to hear the material with the cross fades.

16.
Click the Track Solo button to turn solo off.


Comping Tracks

Comping is the art of compiling a complete track from several raw performances. By using judicious editing techniques, you can assemble a cohesive musical track from the best parts of multiple takes.

In this section you will create composite tracks from various materials and from multiple passes of the same part, drawing from a variety of strategies and techniques.

Setting Up

The process of comping tracks demands a certain degree of consistency in the component tracks. Using tracks with similar volume levels, panning, bus sends, and inserts helps level the playing field when comparing and contrasting similar material.

The simplest and most efficient way to accomplish consistency is to assign all contributing components to the same Audio Object. In this lesson, notice that the first three tracks are all Rhythm Guitar, and they are all assigned to Audio 1. Takes frequently are recorded to the same Audio Object, especially when using the Cycle recording strategies described in Lesson 3, "Creating and Managing Takes." In addition, all tracks share a common channel strip, outputting through the same volume levels, panning, and effects processing.

The caveat here is that you have only a single channel within the mixer representing all contributing tracks, allowing you to listen to only one track at a time. This shouldn't be a problem for the majority of comping tasks, however, as you will be listening to one take at a time within the Arrange window anyway, using the Track Mute buttons in conjunction with the Mute tool to isolate parts.

If a situation arises in which you need to put contributing material on tracks assigned to separate Audio Objects (such as when the takes need different processing to better match each other), it is important to have the tracks output to the same pair of channels on your audio interface. This way, you can make sure that your monitoring levels are consistent.

General Strategies

As in all editing procedures, an important aspect of the comping process is deciding how to approach the material that will be used to build a composite track. You should consider some general strategies that can make the process easier and produce a more satisfying musical outcome:

  • If you have tracked a multitude of alternative takes, consider combing through them before creating the comp, and isolate the three or four best choices to contribute to the part.

  • When listening to the passes, judge the amount of editing required to whip them into shape. A natural musical recording with acceptable flaws usually yields better results than a highly doctored track.

  • Consider how well the material sits with the complete arrangement and with the other contributing tracks. If a part contains dramatic changes in feel or timbre, it will most certainly be harder to create a cohesive part, much less a cohesive composition.

Assembling a Composite Track

In this exercise you will assemble a composite Rhythm Guitar track from different takes, isolating and compiling the good bits with editing. In particular, you will be working with the Chorus section, which contains two alternative takes (Tracks 2 and 3), in addition to the original take on Track 1. All parts consist of the same musical material recorded in different passes during the tracking session.

Viewing Tracks for Comping

An integral aspect of the comping process is the ability to compare and contrast similar material. To aid this, it is helpful to view all parts with the same zoom setting. Auto Track Zoom is enabled in this song, which automatically enlarges the selected track, but it doesn't help when you're comparing the three Rhythm Guitar tracks. Start by disabling this function.

1. | Select Track 1.
2. | Choose View > Auto Track Zoom. The selected track returns to a normal zoom setting.
3. | In the Track List, Cmd-click the bottom left corner of Track 1 and drag downward, expanding the track until the help tag indicates 9. All audio tracks are zoomed out equally, while the MIDI tracks below are unaffected. When you hold down the Command key while zooming individual tracks, all tracks of the same type (audio or MIDI) are also zoomed. All audio tracks now display at the same, slightly enlarged zoom setting, which helps provide visual consistency when comparing takes. NOTE The Auto Track Zoom setting is saved with the screenset and will be reactivated if you bring up Screenset 1 again. You can avoid this by unlocking and then locking the screenset, saving the current view preferences. Let's save the changes to the screenset for future use.
4. | Choose Windows > Screensets > Lock Screenset, unlocking the current screenset.
5. | Choose Windows > Screensets > Lock Screenset, to lock the screenset.
6. | Click-drag in the Bar Ruler to create a cycle Region from measure 20 to measure 34.
7. | Use the "Zoom to fit Locators" command (Ctrl-Shift-Z) to zoom in on the cycle Region.
8. | Use the Zoom Vertical Out command (Ctrldown arrow) to increase the vertical size of the three Rhythm Guitar tracks until they take up the majority of the window. [View full size image]
Comparing Performances

Now that you've isolated the area you will be working with, you should listen to each take, separating the wheat from the chaff.

1. | Click the Play button to listen to the first rhythm guitar take in the context of the song. While not egregious, the performance suffers from both subtle dynamic and timing deficiencies that were better realized in later passes. The ending of the Chorus section, from measure 32 to 34, works well, however, and should be retained, as it provides a smooth transition into the following verse.
2. | Click the Mute button on Track 1, muting the track. The Mute button for Track 1 is highlighted; and the Region name is grayed out, indicating that it is muted.
3. | Click the Mute button on Track 2 to un-mute it.
4. | Click the Play button to listen to the second rhythm guitar take within the context of the song. The material is strong for the third phrase of the Chorus, beginning at the end of measure 24 and going until about measure 27.
5. | Click the Mute button again on Track 2, muting the track.
6. | Click the Mute button on Track 3 to un-mute it.
7. | Click the Play button to listen to the third rhythm guitar take within the context of the song. This take contains a good performance of the beginning and latter part of the Chorus, with a weaker middle section.
8. | Un-mute Tracks 1 and 2. Tip Multiple tracks can be muted and un-muted by dragging over the appropriate Mute buttons. This technique, called Track Button Slide Activation, is similar to running your finger across several channel strip buttons on a hardware mixing console.

All in all, there is ripe material to choose from if you use phrases, or parts of phrases, from each take to construct a new track.

Isolating Wanted Material

Since each take reflects the same musical part, editing should be done to all tracks at once, creating slices at the same points on the timeline. This way you can isolate phrases without running the risk of overlapping material when creating the comp track. This can be done easily with a variety of tools, including the Scissors tool, which you used earlier in this lesson, and the Mute tool. You'll start with the Scissors tool.

1. | Select Track 1.
2. | Shift-click Tracks 2 and 3 to select the Region content on all three tracks.
3. | Select the Scissors tool.
4. | Click-hold over any of the Regions, dragging until the help tag reads 20 3 3 1, then release the mouse button. The three Regions are divided at 20 3 3 1. [View full size image] You just made a cut right before the beginning of the phrase that leads into the Chorus (the material at the last beat of measure 20 is a pickup note to measure 21). NOTE Dragging the Scissors tool over audio content enables audio scrubbing. This can greatly aid in determining edit points.
5. | Using the same technique, create a split with the Scissors tool at 24 4 1 1, referring to the help tag. The selected Regions divide at 24 4 1 1. [View full size image] Continue to slice up the phrases, but this time use a slightly different technique.
6. | Move the SPL to 27 1 1 1. The SPL repositions to the location where the mouse button was released. [View full size image]
7. | In the Arrange window's local menu, choose Region > Split/Demix > Split Regions by Song Position. The three Rhythm Guitar Regions are divided at 27 1 1 1.
8. | Using the same Split Regions by Song Position command, divide the three tracks' Regions at 32 1 1 1. The Chorus is now divided into four distinct phrases (including measures 3234 from the original track). Now that you have divided takes into separate Regions, you can isolate and play back the wanted portions of each track to hear how they fit with each other. This can easily be done with the Mute tool, muting the unwanted Regions from the contributing tracks.
9. | Un-mute the three Rhythm Guitar tracks by clicking their respective Mute buttons.
10. | Select the Mute tool.
11. | Using the Mute tool, click the first three Regions of Track 1 within the Chorus section. Each selected Region grays out with a small dot in front of the name, indicating that it is muted. [View full size image]
12. | Using the same technique, mute the first, second, and fourth Regions of Track 2. [View full size image]
13. | Using the same technique, mute the first, third, and fifth Regions of Track 3. [View full size image] You are now left with a patchwork set of enabled Regions, which, when played back, will give you a good indication as to how well the parts will fit with each other.
14. | Click the Play button. Only the un-muted Regions play, giving you a rough idea of the comp.
Assembling the Comp

Now it's time to compile the material onto a single track, which will enable you to finesse the edit points to create a seamless performance. Usually it is a good idea to create a new track in which to copy the various "keeper" Regions; but in this case it makes more sense to compile the Regions onto Track 1. This will maintain the work you performed on Track 1 in earlier exercises without having to copy the Regions over, as well.

To do this, you have to first eliminate some unwanted material to make room for the new. Since you already muted the unwanted parts, this can be done quickly with Logic's Select Muted Regions/Events command and then deleting.

1. | From the Arrange window's local menu, choose Edit > Select Muted Regions/Events. All muted Regions become highlighted.
2. | Press the Delete key. All of the muted Regions are deleted. [View full size image]
3. | Select the Arrow tool.
4. | Choose Track 1 in the Track List (if it's not already selected).
5. | Select the three Regions from Tracks 2 and 3 by rubber-band selecting them.
6. | In the Arrange window's local menu, choose Region > Move Selected Regions to Current Track. The three selected Regions from Tracks 2 and 3 move to Track 1. [View full size image] Now that all elements are combined onto a single track, you can finesse the edit points by adjusting Regions and using cross fades. Begin this process by soloing the rhythm guitar part to listen for any clicks occurring at the seams.
7. | Click in the background of the Arrange window to deselect any Regions.
8. | Click the Track Solo button for Track 1.
9. | Play the song, listening to the composite Rhythm Guitar track. There are a few audible clicks at the seams of measure 27, as well as measure 32.
10. | Using the Zoom tool, rubber-band select around the point where adjacent Regions meet at measure 27. The window zooms in, allowing you to see the seam in detail. As you can see, the audio waveform starting at measure 27 is slightly cut off. In a previous exercise, you used a combination of the No Overlap drag mode with manually added cross fades to smooth the transition. Let's explore another option that combines aspects of both of these techniques into a single step.
11. | From the Drag menu in the top right corner of the Arrange window, choose X-Fade. With this drag mode enabled, you can adjust Region length, automatically applying a cross fade at the edit point.
12. | Using the Trim tool, drag the bottom left corner of the Region slightly to the left, beginning at measure 27, releasing the mouse button at approximately 26 4 4 225. The seam shifts a little to the left, exposing the full attack of the waveform, with an automatically created cross fade applied. NOTE The cross-fade length is determined by the last setting entered for the Fade parameter in the Region Parameter box.
13. | Click the background with the Zoom tool to return the view to the previous zoom level. Tip Holding down the Control key with any tool active is an easy way to toggle to the Zoom tool.
14. | Using the same technique, zoom in on the edit seam at measure 32 with the Zoom tool. The window zooms in, allowing you to see the seam in detail.
15. | Using the Arrow tool, drag the bottom left corner of the Region beginning at measure 32 slightly to the left, releasing the mouse button at approximately 31 4 4 201. The seam shifts a little to the left, exposing the full attack of the waveform, with an automatically created cross fade applied.
16. | Click in the background with the Zoom tool to return the view to the previous zoom level.
17. | Click Play to listen to the edited comp track.
18. | Click the Track Solo button on Track 1 to disable soloing for the track.
19. | Click the Play button to hear the comp track in the context of the arrangement.


Fixing Problems Using the Sample Editor

The Sample Editor is used to perform extremely precise edits on audio files as well as to access some unique file-based processing features (such as the Time and Pitch Machine used in Lesson 4, "Tempo and Pitch Matching"). Up to now, the exercises have exclusively utilized the Arrange window for editing. Although the Arrange window allows the sample-accurate viewing of waveforms, it doesn't let you edit down to the sample level. The Sample Editor is unique in that it permits you to zoom in and work with audio at the sample level, enabling you to fix tiny imperfections.

If you played the entire song anytime during this lesson, you probably noticed the sharp click in the guitar solo. In an otherwise acceptable take, an audible click is evident slightly after measure 61. By using the Sample Editor, you can successfully remove the offending spike (most likely caused by a digital clock error during the recording session) by "drawing" it out.

Using the Sample Editor Overview

At the top of the Sample Editor window is an overview of the entire Audio Region. The overview acts as a map, always showing the full audio file attributed to the currently selected Audio Region, regardless of the zoom resolution. Any editing selection or current playback position is mirrored there, along with the detailed waveform display. You can also use the overview area as a way to navigate the audio file for editing purposes.

1. | Bring up Screenset 1 by pressing the number 1 key. This returns you to a view of the entire arrangement.
2. | Double-click the Guitar Solo Region on Track 4. The Sample Editor opens, displaying the Guitar Solo Region. NOTE Depending on your monitor size, you might need to resize the Sample Editor window for maximum viewing.
3. | In the overview area, click anywhere in the graphical representation of the audio waveform. (Try an area where there is some signal.) [View full size image] The detailed waveform view area updates to show the selected point in the overview, represented by a dotted rectangle. The relationship between the overview and the detailed waveform view is two-way, as adjustments made in either area will be represented in both views.
4. | Press the Zoom horizontal In key command (Ctrlright arrow) once to slightly enlarge the current viewable selection. Note that the size of the dotted rectangle in the overview has shrunk, accurately reflecting the area in the detailed waveform display.

Playing Audio Regions in the Sample Editor

In Lesson 4 you set the audio output channel to match a track associated with a Region in the Arrange window. This setting is especially important in this exercise, because the Guitar Solo track uses various effects processing and Channel Strip settings that are an integral part of its audio character.

1. | Double-click the Output channel (below Cha on the far left of the Sample Editor), enter 2, and press Return. This matches the audio channel for the track that the Region plays through in the Arrange window.
2. | Click the Loudspeaker button at the far left of the Sample Editor window to listen to the take.
3. | Click the Loudspeaker button again to stop playback when you hear the digital click right after measure 61. You can actually see the click quite clearly, as a sharp vertical spike, interrupting the normal audio waveform. [View full size image]
4. | In the detailed waveform view area, select an area beginning approximately at measure 60 and ending at approximately measure 62. The area selected is now highlighted. [View full size image] NOTE This might require that you use the Zoom Horizontal In/Out commands to see the entire selection.
5. | Click the Cycle button, above the Loudspeaker button. This allows you to concentrate playback on the area with the click, repeating playback for the area you just selected. Now you can zoom in on things a bit and focus work on the click.
6. | Use the Magnifying Glass tool to rubber-band select the click area in the detailed waveform view. [View full size image] The view magnifies. [View full size image] While the magnification is already at a fine level, you need to get in even tighter to draw out the click.
7. | Use the Magnifying Glass tool again to rubber-band select the click area in the detailed waveform view. The view magnifies, displaying the click as a sloped rectangle sticking straight up from the surrounding waveform. [View full size image] This zoom level will work well for the edit operation. At this magnification, the entire window represents about 130 samples (approximately 3 ms)!

Drawing Out Clicks with the Pencil Tool

Now that the click can be seen clearly, you can use the Sample Editor Pencil tool to draw out the waveform, smoothing over the click as if it never existed.

1. | Select the Pencil tool.
2. | Using the Pencil tool, draw a line connecting the bottom points of the click rectangle. In effect, you're continuing the waveform as if it had never been interrupted by the click. [View full size image] The click is eliminated, replaced by a smooth waveform. [View full size image] NOTE This might take two or more tries, as the waveform points must completely connect with each other.
3. | Using the Magnifying Glass tool, double-click the background of the detailed waveform view to return to the original zoom level.
4. | Click the Loudspeaker button to hear your edit. The passage plays back without any audible click. Tip You can do this trick with stereo audio files as well by holding down the Option key when drawing in changes, thereby affecting both stereo channels.
5. | Close the Sample Editor window.
6. | Choose File > Save As and enter 07_Sintra_Edited in the Save Document As field.
7. | Click Save.


What You've Learned

  • Parts can be extended or repaired by cutting and pasting similar material.

  • Logic's dragging behavior can be changed to suit the editing need.

  • Cross fades can smooth out edit seams and can be placed automatically or manually over Regions.

  • A composite track is made up of material taken from contributing takes.

  • Consistent audio output and view levels help in comparing audio material.

  • Isolating material for a composite track is done quickly by slicing up Regions and muting unwanted material.

  • It is necessary to combine the desired contributing material onto a single track to create cross fades and adjust edit seams.

  • The Sample Editor allows extremely fine edits and adjustments to an Audio Region.

  • Digital clicks and spikes can be eliminated in the Sample Editor with the Pencil tool.


Lesson 8. Advanced MIDI Editing

Lesson Files | Advanced Logic 7_Song Files > Lesson 08 Project Files > 08_Sintra_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 08 Project Files
Time | This lesson takes approximately 1 hour to complete.
Goals | Create duplicates of MIDI Regions using several techniques Split multipart MIDI Regions into their individual parts for editing Edit Regions by applying playback parameters Use quantization techniques to change the rhythmic feel Use several selection techniques to edit MIDI events Execute complex MIDI data transformation with helpful functions

At its heart, MIDI is a command protocol consisting of status messages indicating when and how an event is performed. While audio (whether digital or analog) represents actual sound, MIDI numerically represents the actions that are used to create or control the sound generation. This can make the editing of MIDI somewhat counterintuitive.

Therefore, it is important to approach MIDI editing differently than you would approach editing digital audio. Logic provides similar editing tools and parameters for both forms of input, especially at the Region level (for example, when copying and dividing). However, editing the two differs significantly at the finer, note level.

Even with the powerful tools available in Logic to massage digital audio, MIDI has a distinct advantage when it comes to editing, offering extreme flexibility through real-time and nondestructive processing of all data.

In this lesson you will use several editing techniques to create expressive musical parts out of existing material, as well as learn selection and editing options to work efficiently at the note level.


Using Loops, Copies, and Aliases

Logic treats all Regions, whether they are Audio or MIDI Regions, in a similar fashion when it comes to duplication. Let's apply some of the digital audio copying techniques from previous lessons to make quick copies of MIDI material in an arrangement.

1. | Choose File > Open.
2. | In the file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 08 Project Files > 08_Sintra_Start.lso. For this lesson, you will use the same song from the last two lessons, including all of the edits performed earlier.
3. | If you wish to re-familiarize yourself with the material, play the song.

Using Loops

The Cymbals track (Track 3) consists of simple parts that have been created for various sections of the song. Let's fill in some of the parts by extending the material that was previously created using Logic's looping tools.

1. | Select the first Region in the Cymbals track (Track 3).
2. | Click the box next to Loop in the Region Parameter box (located to the left of Track 1). The MIDI Region is looped, as represented by the gray boxes following the original Region. Notice that the loop ends at the next Region (located at measure 5). When you use the Loop function in the Region Parameter box, loops are created to repeat the original Region until the loop either runs into another Region or reaches the end of the song. While this works well for quick loops (especially when building a backing track), you often will need more control over how much of the loop is repeated and how often. Loops can be manually drawn to stop at a specific point in time or to only play part of the loop's material.
3. | Position the pointer over the top right corner of the Triangle Region on Track 7. [View full size image] The pointer turns into a loop cursor, indicating that it will function as a looping tool. In this case, the arrangement needs the one-bar triangle part to be extended to 34 2 1 1.
4. | Drag the top right corner of the Triangle Region to the right approximately 10 bars. Loops are formed using the original Region as you drag. Notice how the loops snap to the bar line when dragging (as shown in the help tag), making it impossible to stop the loop at the second beat of bar 34. This is because the snap value is set by default to Smart, which dynamically assigns snap values based on magnification level (the more you zoom in, the finer the snap grid). In the current screenset, the view is zoomed out to such an extent that the Smart snap function assigns the value to the bar. While Smart snap is convenient for zooming in and out of an arrangement, it can be inhibiting at the current zoom level when making adjustments to a Region at levels finer than the bar. There is a quick way to override this, however: by changing the Snap mode.
5. | Position the cursor over the top right corner of the original Region again, and click-hold until the loops disappear, then release the mouse button. The drawn-out loops disappear, leaving the original Region.
6. | In the Arrange window, click the Snap menu, and choose Beat.
7. | Drag loops from the Triangle Region as you did previously, using the help tags to end the loop at 34 2 1 1. The loops snap to the beat, rather than to the bar, allowing you to stop a loop at the desired beat.
8. | Use the Play from Selection key command (Option-spacebar) to hear the looped triangle part.
9. | Stop the song.

Using Copies

Loops are, by nature, perfect copies of their source Regions. However, they differ from true Region copies in their lack of flexibility in regard to placement and content. Loops are always placed adjacent to the original, which makes it impossible to place them at multiple positions in a song. Only copies can be changed independently of the original Region; a loop will always reflect the original Region's contents.

Copies are best suited for duplicating material from one part of the timeline to another, especially when material needs to be altered independently of its original source. You can use Logic's copy functions to explore this by creating new material from a copied source.

1. | Option-drag the fourth Region on the Cymbals track (located at measure 42) to measure 44. The Region is copied to measure 44.
2. | Click the Solo button on Track 3 (Cymbals) to solo the track.
3. | Shift-click the original Region so that both the newly created Region and the original are selected.
4. | Use the Play from Selection key command (Option-spacebar) to listen to a playback starting from the original Region.
5. | Click the Stop button after the copied Region has played. The ride cymbal part consists of steady eighth notes. The song calls for the ride cymbal part to change from eighth notes to quarter notes during the Guitar Solo section, in effect doubling the note length as well as the changing the placement of notes. What would normally require opening an editor and selectively deleting individual notes can easily be accomplished by using stretching, one of Logic's special editing functions reserved for MIDI Regions.
6. | Option-drag the bottom right corner of the new Region to the right. Stop when the Region length is four bars (the help tag reads 4 0 0 0 for the operation result). NOTE The number preceding the position indicator represents the track number. A dialog appears, asking whether you want to time-stretch the MIDI Region.
7. | Click OK.
8. | Use the Play from Selection key command (Option-spacebar) to listen to the time-stretched Region. The ride cymbal plays at quarter-note intervals over four bars instead of eighth-note intervals over two bars. In effect, you stretched the Region to double its length and to double each note value in length and time placement. TIP You can accomplish time compression in a similar fashion, by making a Region shorter and compressing the events contained in it. Finish up by filling in the Guitar Solo section for the cymbals part with your new Region. You can quickly create multiple copies by using the Repeat Regions command.
9. | From the Arrange window's local menus, choose Region > Repeat Regions. The Repeat Regions/Events dialog opens. Here you can set the number and placement of copies to be produced.
10. | Type 5 in the Number of Copies field.
11. | From the Adjustment pop-up menu, choose Bar (if not already selected).
12. | Click the Copies radio button.
13. | Click OK. Five copies of the selected Region are produced, filling the Guitar Solo section for the Cymbals track. This useful command is easily accessed by assigning a key command. Assigning a key command also sets it up for use in editors, which have no corresponding menu command accessible from their local menus.
14. | Choose Preferences > Key Commands to open the Key Commands dialog.
15. | Type repeat into the search field. All commands with repeat are listed in the Command column.
16. | In the Command column, choose Repeat Objects. NOTE This is the same as the Repeat Regions command you used earlier. Here it is named Repeat Objects, because this function can be applied to both Regions and events, depending on what is selected.
17. | Click the Learn by Key Label button.
18. | Press Option-D to assign the command.
19. | Close the Key Commands dialog.

Using Aliases

In addition to creating loops and copying Regions, MIDI Regions offer another form of replicationthe creation of aliases.

An alias in Logic functions much as it does in the Finder; it is a reference to another Region. It does not contain any actual data and refers to the content of the original item from which it was created.

An alias has the unique ability to update itself when changes are made to the original Region. This is especially useful when creating parts that are repeated throughout a song; you only need to alter the original Region, and the correction will automatically take effect in aliases throughout the whole composition.

This function will prove most useful for duplicating the cymbals material from one verse to another, while still allowing for future changes.

1. | While holding down the Option and Shift keys, drag the second Region (located at Verse 1) in the Cymbals track to measure 13 (located at Verse 2). [View full size image] An alias is created at measure 13. [View full size image] NOTE The name and information displayed in the alias is italicized, designating it as an alias. The information listed after the arrow in the alias refers to the original Region name and track number from which it was derived.
2. | Create an additional alias from the original Verse 1 Region at Verse 3, by holding down Option-Shift and dragging the Region to measure 34. [View full size image]
3. | Select the original Cymbals Region for which you produced the aliases.
4. | Choose Windows > Matrix Edit to view its contents. TIP You can set any editor to open when you double-click a MIDI Region by setting a preference. To do this, go to Logic Pro > Preferences > Global and click the Edit tab. Your editor choice can be selected from the pop-up menu under "Double-clicking on a MIDI Region opens."
5. | Use the "Play from left window corner" key command (Ctrl-spacebar) to listen to the Region contents.
6. | Using the Mute tool, mute the two notes occurring at the fourth beat of measure 9. NOTE You might need to resize the window or use the Zoom commands to view the entire Region contents. [View full size image] The notes are dimmed and will be muted on playback.
7. | Use the "Play from left window corner" key command to listen to the part with the muted notes.
8. | Close the Matrix Editor.
9. | Select the alias you created at measure 34 (Verse 3).
10. | Use the Play from Selection key command (Option-spacebar) to listen to the selected alias. The alias plays with the two notes muted as well. By creating aliases, you were able to make changes to the original parts, keeping the corresponding parts updated. TIP When you select an alias and open an editor, Logic asks you if you want to open the original Region, or turn the alias into a "real copy" to edit independently from the original. If "Original" is chosen, then the original Region is displayed in the editor. This allows you to quickly make alterations that affect the original and all of the aliases from any point where these occur.
11. | Deselect the Track Solo button for the Cymbals track.


Demixing MIDI Regions

It is not unusual to record MIDI drum parts by triggering multiple sounds in a single pass, creating a single Region containing both instruments. This technique can benefit bass drum and snare parts, helping to create a part that locks into a groove. However, having the kick and snare in the same Region can make it more difficult to edit those parts independently, as any modifications done to the Region will be applied to both parts.

Because MIDI is a stream of commands with discrete events, it allows for some fancy editing functions. One such function is demixing, which enables you to divide a MIDI Region into separate components based on specific criteria. You can try this on the bass drum/rim shot part, splitting them into separate tracks for independent editing.

1. | Press the number 4 key to bring up Screenset 4. The screenset contains a Matrix Editor and an Arrange window.
2. | In the Arrange window, select the BD/Rim Shot Region in Track 6. The Matrix Editor displays the content of the selected Region. Within the Matrix Editor, you can see the bass drum (C1) and rim shot (C#1) parts represented as notes. [View full size image] Let's separate the two parts by using a handy feature accessed from the Arrange window.
3. | From the Arrange window's local menu, choose Region > Split/Demix > Demix by Note Pitch. [View full size image] The Region on Track 6 disappears and is replaced by two new tracks with corresponding Regions. [View full size image]
4. | Click the background of the Arrange window to deselect any Regions.
5. | Click the Region in Track 7. The Matrix Editor displays the bass drum events (C1). [View full size image]
6. | Select the Region in Track 8. The Matrix Editor displays the rim shot events (C#1). [View full size image] When using the Demix by Note Pitch function, a new MIDI track and a new Region are created for every note number found. In addition, the newly created tracks are automatically assigned to the same instrument as the original MIDI Region. For easier identification, name the new tracks and Regions with their corresponding instruments.
7. | Select Track 7 (if it's not already selected).
8. | Choose Track > Create Track Name.
9. | Enter Bass Drum in the text box, and press Return.
10. | Select Track 8.
11. | Choose Track > Create Track Name.
12. | Enter Rim Shot in the text box, and press Return.
13. | Select both Regions by rubber-band selecting around them.
14. | Choose Region > Track Names to Regions. The Regions take the names of their corresponding tracks.


Working with Region Parameters

MIDI Regions are containers of data that can hold various types of MIDI events. The events in a MIDI Region can be altered individually by using one of Logic's MIDI editors (Matrix, Event List, Hyper Edit, Transform, and so on), or all at once by using the Region Parameter box.

The Region Parameter box gives you access to a variety of parameters that affect the data in MIDI Regions. These functions invite experimentation, as they are entirely nondestructive, and the MIDI data can be returned to an unaltered state at any time. Think of these parameters as filters that can be applied to single or multiple MIDI Regions in varying degrees of intensity, without permanently altering the data.

Earlier, you used the Loop function in this box to create multiple iterations of a selected Region. In this exercise you will utilize more of the settings in the Region Parameter box to work with the Bass Drum and Rim Shot Regions you split apart in the last exercise.

1. | Bring up Screenset 1 by pressing the number 1 key.
2. | Click the Track Solo button on the Bass Drum track (Track 7).
3. | Select the Bass Drum Region on Track 7. Look at the Region Parameter box at the far left side of the Arrange window. Notice that the top of the box reads Bass Drum, the name of the Region you selected. This signifies that any alterations within the box will affect the Bass Drum Region only.

Transposing Regions

Note events in any MIDI Region can be transposed all at once with the Transpose parameter in the Region Parameter box. This is most effective with pitched material, but it is also handy for changing sample selection in drum parts.

In the EXS24 drum kit used in the current song, the bass drum contains the same audio sample mapped across a range of two adjacent keys (B0 and C1). The EXS24 pitch-shifts these samples accordingly, producing bass drum sounds that vary slightly in pitch. The song currently uses the higher of these two choices (C1) but would benefit from a slightly deeper bass drum. By transposing the Bass Drum Region down a semitone, you can change all MIDI notes contained in the Region to B0, triggering the lower of the two bass drum samples.

1. | Play the soloed Bass Drum track.
2. | Next to the Transpose parameter, double-click the 0, and enter -1 in the text input box. Press Return. NOTE The parameter headings may be slightly cut off, depending on your screen size and resolution.
3. | Play the Bass Drum track again, listening to the slight change in pitch. The lower bass drum sound is played.

Changing Velocities in a MIDI Region

The Region Parameter box also provides a quick way to alter note velocities within a MIDI Region. You can boost or reduce velocities, adding or subtracting a numerical value to or from each event.

The bass drum part is a little loud in the Chorus section. Rather than dynamically change the volume level in the mixing stage, you can make a velocity adjustment to the MIDI note events in this section. This provides a more musical result, as lower velocities trigger different, softer samples of the bass drum with less attack. When you reduce the event velocities, the sound not only gets quieter but also changes its timbre, much as a real drum does when struck with less force.

To affect only the events within the Chorus section, it is necessary to divide the Bass Drum Region, isolating the events that need to be adjusted.

1. | Use the Goto Next/Previous Marker key commands (the less-than and greater-than keys) to locate to the Chorus section.
2. | In the Arrange window's local menus, choose Region > Split/Demix > Split Regions by Locators. The Bass Drum Region divides at the borders of the Chorus section.
3. | Use the Play from Selection key command (Option-spacebar) to listen to the bass drum part.
4. | In the Region Parameter box, double-click the Velocities parameter, and enter -18 in the text input box. Press Return.
5. | Use the Play from Selection key command to listen to the results of the velocity adjustment.

Compressing or Expanding the Dynamics of a Region

The Dynamics parameter in the Region Parameter box also acts upon MIDI note velocities, but rather than adding or subtracting a fixed value, it scales the difference between the greatest and smallest velocity values.

In this way it functions similarly to the way a compressor or expander acts upon the dynamics of an audio signal, increasing or decreasing the dynamic range for the selected MIDI Region. When applying a value larger than 100 percent, the differences between "soft" and "loud" notes are increased as they would be by an expander, and they are decreased with values of less than 100 percent (as they would be by a compressor).

1. | Click the Track Solo button on the Bass Drum track to turn soloing off.
2. | Click the Track Solo button on the Rim Shot track (Track 8).
3. | Select the Rim Shot Region (Track 8). The Region Parameter box displays Rim Shot at the top.
4. | Use the Play from Selection key command (Option-spacebar) to listen to the rim shot part.
5. | Choose Windows > Event List. An Event List window opens, displaying the MIDI events in the Rim Shot Region. Look at the numbers displayed in the Val column, which indicate the velocities of each note. While they're not too disparate in range, the dynamics could use a little velocity "compression" to achieve a more consistent sound.
6. | In the Region Parameter box, click next to the Dynamics parameter and choose 75% from the pop-up menu.
7. | Play the song, listening to the rim shot part. The dynamics are evened out, with a reduction in the range between the highest and lowest values.
8. | Close the Event List window.
9. | Click the Track Solo button on the Rim Shot track, disabling the solo.

Using Delay to Adjust the Feel

The Delay parameter is used to move a Region forward or backward in time by small amounts. By choosing a positive value, you can delay the playback of a Region, achieving a laid-back or dragging feel, while negative values push the Region earlier, creating a rushing or driving feel in relation to the beat.

The current song's musical material warrants a laid-back groove, especially in the drum tracks, so let's apply a delay setting to the rim shot to better fit in the pocket created by the other instruments.

Delay settings can be displayed in ticks (the smallest possible bar subdivision or system quantization), note values, or milliseconds. Most people who have worked with digital delay devices are used to thinking in terms of milliseconds, so let's switch the default setting of ticks to milliseconds before changing the Delay setting.

1. | Play the song, listening to how the rim shot lays in the rhythm section.
2. | In the Arrange window's local menus, choose View > "Delay in ms."
3. | With the Rim Shot Region selected, click the two vertical arrows next to the Delay parameter, and choose 1/192 = 11.3. By selecting this value, you are delaying the playback of the Rim Shot Region by a 1/192 note, or 11.3 milliseconds.
4. | Play the song from the beginning, listening to how the rim shot now lays within the arrangement.

NOTE

Settings made in the Region Parameter box, with the exception of Loop and Quantize, have no visual effect when displayed in the editors. The changes take effect during playback, however. These changes can also be written permanently to the Region: in the Arrange window's local menu, choose MIDI > Region Parameters > Normalize Region parameters.

Quantizing Regions

Just as musical rhythm is expressed in relation to the grid formed by beat and meter, so sequencers map MIDI event timings to a grid determined by the base resolution provided by the individual software application. To ensure that the placement of an event in time is as accurate as possible, Logic offers a resolution of 1/3840 notes (this division equals one tick).

This allows for a vast range of rhythmical placement, but there will be occasions when you need to adjust the accuracy of events in relation to more musical divisions (eighth notes, sixteenth notes, triplets, and so on). This can be done with quantization, which compares events to a chosen resolution and then corrects their time placement by moving them to the nearest position on a beat/time grid.

Logic offers multiple ways of quantizing events, including using the Region Parameter box to adjust the data contained in a Region. Let's check out the aural and visual effects upon note events when quantizing.

1.
Bring up Screenset 4 by pressing the number 4 key.

This screenset conveniently contains both an Arrange window and a Matrix Editor.

2.
In the Arrange window (now located at the bottom half of the display), select the Bass Drum track (Track 7) in the Track List.

All three Regions on the track are selected.

Region parameters can be applied to single Regions and also to multiple Regions simultaneously.

Take a look at the Region Parameter box. Instead of the name of the individual selected Region, the box displays "3 regions selected," indicating the number of selected Regions that will be affected by the adjustment of the parameters. In addition, an asterisk, instead of a value, is placed next to the Velocity parameter. This is because one of the selected Regions already has a value entered in the Velocity parameter. If you were to enter another setting here, the Region with the preexisting setting would retain this relationship as an offset, applying the new setting in addition to the older one.

TIP

You can override this offset by holding down Option while changing the value. This will eliminate any relative adjustment and alter all Regions equally.

3.
While keeping your eye on the bass drum part in the Matrix Editor, click the vertical arrows next to the Quantization parameter and choose 8F Swing.

The events shift in the Matrix Editor.

4.
Click the Toggle Metronome button in the Transport window at the bottom of the screen.

5.
Play the song, listening to the quantized bass drum part against the metronome. The feel is completely transformed from a straighter pattern to a swing feel, where every other note is delayed.

While applying a swing feel illustrates the power of quantization, it definitely does not work with this song.

6.
Choose 1/16-Note from the Quantization parameters.

7.
Click the Toggle Metronome button to disable the click.

8.
Play the song, listening to the bass drum part with the new quantization setting.

TIP

You can also have the settings in the Region Parameter box affect incoming MIDI signals. This is done by changing settings without a Region being selected (the box reads MIDI THRU instead of a Region name). This can be very useful for transposing incoming notes up or down an octave, increasing the range of a small MIDI controller. In this case, the events are recorded with the parameter settings applied.

Using the Extended Region Parameters

So far, you've performed straightforward quantization, aligning all notes contained in a Region to the selected value. Strict quantizing can sometimes make things sound too mechanical, however. Unless a performance is especially sloppy, you might want to have quantization applied only partially, maintaining the original feel but with a closer alignment to the timing grid.

Among the extended Region parameters, you will find many ways of changing quantization as applied to a selected Region.

1.
In the Arrange window, select the Rim Shot Region.

2.
Choose Options > Extended Region Parameters.

The Extended Region Parameters box appears as a floating window.

TIP

The floating Extended Region Parameters window can also be opened quickly by double-clicking the name of any parameter in the Region Parameter box.

At first appearance, this looks just like the Region Parameter box. While the first seven parameters are identical, an additional eight parameters are listed, mostly applying to quantization (the Q signifies this). Within this box you can see the Delay and Dynamics settings you applied earlier as well.

Let's use this box to further refine the Rim Shot Region by applying some of the Quantization parameters offered here. While working in the Extended Region Parameters box, keep an eye on the Matrix Editor to observe the changes that take place.

3.
In the Matrix Editor, use the Magnifying Glass tool to zoom into measure 3.

[View full size image]

In the Extended Region Parameters box, choose 1/8-Note from the Quantization pop-up menu.

The notes align to the grid, which can be easily seen in the Matrix Editor.

Quantize off.

Quantize 1/8-Note.

While there are some slight timing discrepancies in the rim shot performance, overall it is worthwhile to retain the original feel and only use quantization to move inaccurate events closer to the grid instead of aligning them perfectly. This can be done by entering a value other than 100% (which is full quantization) for the Q-Strength parameter.

4.
In the Extended Region Parameters box, double-click next to the Q-Strength parameter, and enter 78 in the text-input box. Press Return.

The inaccurate note events shift slightly forward from the grid.

Quantization strength set to 78%.

By limiting quantization strength, you are only moving events toward the grid without perfectly aligning them. Think of this as applying weight to the Quantization parameter, wherein any value above 0 percent pushes the affected notes toward the value specified in the Quantization parameter.

5.
Play the song, listening to the quantized Region in context with the full arrangement.


Working with MIDI Note Events

Let's continue developing the material by moving to a finer level of editing: working with individual MIDI events. While this can be done in any of the MIDI editors that Logic offers, the setup provided by Screenset 4 works particularly well for the quick selection and viewing of Region contents.

In this section, you will extend and refine a percussion part, creating a musical performance from a static one.

1. | Use the Goto Next/Previous Marker key commands (the less-than and greater-than keys) to locate to the Guitar Solo section.
2. | In the Transport window, click the Cycle button (now located at the bottom of the screen) to toggle the cycle Region. The cycle Region appears around the Guitar Solo section.
3. | In the Arrange window, select the Maracas Region on Track 10. The Region's content is displayed in the Matrix Editor. [View full size image]

Repeating Note Events

As you can see in the Matrix Editor, only two maraca notes were input for the Guitar Solo section. With techniques similar to those you used previously to duplicate Regions, you can quickly repeat groups of notes, extending a part.

1. | Select the two events in the Matrix Editor by rubber-band selecting them with the Arrow tool. The notes sound when selected.
2. | Use the Repeat Objects key command that you assigned earlier (Cmd-R). The Repeat Regions/Events dialog appears.
3. | Enter 15 in the Number of Copies field.
4. | Click the Adjustment pop-up menu and choose Beat. By choosing Beat from the Adjustment menu, you are specifying that the newly created copies should be placed at the beat, instead of applying the bar justification you used earlier when copying Regions.
5. | Click OK. The events are repeated, aligned to the beat, filling up four measures. [View full size image] NOTE The Region containing the events also expanded from one to four bars, adapting itself automatically to the newly created content.
6. | Turn on the Track Solo button for the Maracas track (Track 10).
7. | Play the song, listening to the maracas part.

Selecting Events for Editing

In order to efficiently work with note events, you need to use various selection techniques to edit only the data you wish to change.

As you most likely heard when playing the repeated notes, the part sounds really static. This is understandable, since it consists solely of one repeated note with the same velocity value. To create a more realistic part, it is necessary to modify the velocities, add accents, and alter dynamics to breathe life into it. Let's explore some of the selection techniques offered in Logic Pro to edit notes independently and in groups.

1. | Select the Velocity tool.
2. | Click the first note in the passage and drag downward, reducing the velocity to 70 (use the help tag). As the note event reduces in velocity (changing from yellow to green), you can hear the sample change to one with a softer attack. This softer sound will work best for the desired maracas part. TIP If you don't want notes to sound when selected in any of Logic's MIDI editors, deselect the Toggle MIDI Out button at the far left side of the window within the editor. You can make a similar velocity adjustment to the remaining notes in the Region without affecting the first. Instead of rubber-band selecting all the events except the first, you can use one of Logic's specialized selection commands to select all notes that are not currently selected. These useful selection commands are available within any MIDI editor via Edit in the local menu and can be accessed while editing at any time.
3. | From the Matrix Editor's local menu, choose Edit > Toggle Selection. All notes that were previously not selected are now selected, while the original selected event becomes deselected. [View full size image] With the Toggle Selection command, you are able to access the unselected events without having to change tools.
4. | Using the Velocity tool, drag any of the selected notes downward to a value of 70. Continue working with the dynamics of the maracas part by adding accents only to beats 2 and 4 throughout the passage.
5. | Click the background of the Matrix Editor to deselect the notes.
6. | Using the Arrow tool, hold down the Shift key and select the notes occurring on 44 2 1 1 and 44 4 1 1. [View full size image] You've selected the beats you want to work with, but only for the first bar. In order to perform the edit for the entire Region, you still have to select the equivalent beats within each measure. This could be accomplished by Shift-clicking each note in succession, but that would get tedious. Instead, use one of Logic's handy selection functions to select the desired beats all at once.
7. | From the Matrix Editor local menu, choose Edit > Select Equal Subpositions. The note events occurring at beats 2 and 4 are selected for each bar of the passage.
8. | Using the Velocity tool, drag one of the selected notes upward until the velocity reaches a value of 101. [View full size image] All the selected notes change velocity simultaneously, creating an accent on beats 2 and 4 for the entire Region.
9. | Play the song, listening to the Maracas track with the velocity changes. It's still a little loud overall, so reduce the velocities of all notes. In this case, all events are triggered by the same pitch (A#3). You can quickly select all events of the same pitch by clicking the equivalent note on the keyboard.
10. | In the onscreen keyboard at the far left of the Matrix Editor, click the key that is immediately next to the notes within the editor (A#3). The note sounds, and all A#3s become selected within the Matrix Editor. This provides a quick way to select all note events of a given pitch without having to change tools. TIP This technique is also a quick way to audition sounds.
11. | Using the Velocity tool, drag the first note event downward, reducing the velocity to 65. This is a relative adjustment; all velocities are reduced by a value of 5, including the accents, which now have a velocity value of 96.


Using Transform Functions

Transform functions are powerful selection and processing tools that allow you to manipulate all types of MIDI information in almost all conceivable ways. Each function employs a set of conditions and operations to specify exactly what data is selected and how it will be manipulated.

The functions themselves can range from the simple to the complex. In this exercise you will use the Humanize function to apply slight randomization to events, creating a looser and more natural-sounding performance.

These functions are accessed in the Transform window, which can be opened from the Windows menu or accessed within any editor through the Functions menu.

1.
In the Matrix Editor, choose Functions > Transform > Humanize.

The Transform window opens.

[View full size image]

The Transform window is divided into three main sections designated by the beveled rectangles: Select by Conditions, Operations on selected Events, and Operation for Byte 2. While these headings might sound a little confusing, they can be explained in a straightforward manner.

Basically, to use the Transform functions on MIDI data, you must indicate exactly what you wish to be affected within the Select by Conditions section. Here, you specify the criteria of the desired target, whether you want a simple selection based on event type (or Status) or a complex selection having multiple conditions (for example, events that have a specific length, position, and value).

The Operations areas indicate what you want done to the selected MIDI events. This can be almost any kind of MIDI transformation you can dream up, even converting one type of event to another for further processing. With the Humanize transformation, for example, selected notes are randomized in position, velocity value, and length. Each operation has a specific degree of transformation assigned to it, which can be anything from a single number or note to a range of operations. Here, the position and length of the selected note events are randomized within a positive or negative range of 10 ticks, with the velocity amount randomized within a positive or negative range value of 10.

The Operation for Byte 2 section is a graphical representation of the transformation itself and directly depicts the values for byte 2 of the MIDI event chosen in the Status column. (A MIDI channel voice message consists of a status byte followed by one or two data bytes.) In the case of note events byte 2 is velocity; for controllers it is the value for the assigned controller.

All this translates to a function that slightly varies note events, imparting a looser, more human feel.

2.
At the top of the Transform window, click the Select and Operate button.

The note events displayed in the Matrix Editor change slightly in position, length, and velocity.

3.
Close the Transform window.

4.
Play the song, listening to the "humanized" part.

All that's left to complete the maracas part is to repeat the Region throughout the Guitar Solo section. This can be done quickly by using the Repeat Objects command you used earlier, creating multiple aliases.

5.
Bring up Screenset 1.

6.
With the Maracas Region still selected, bring up the Repeat Regions/Events dialog by using the Repeat Objects key command.

7.
Enter 5 in the Number of Copies field.

8.
From the Adjustment pop-up menu, choose Bar.

9.
Click the radio button next to Aliases.

10.
Click OK.

Aliases of the Maracas Region are created throughout the Guitar Solo section.

11.
Click the Track Solo button on the Maracas track (Track 10) to unsolo the track.

12.
Play the song, listening to how the maracas part works with the arrangement.

13.
Choose File > Save As to save the song, naming it 08_Sintra_Finished.lso.


What You've Learned

  • Loops are used for quick duplication of material and can be manually drawn out for exact placement.

  • Copies are used for duplicating material from one part of the timeline to another, and for altering material independently of the original source.

  • Aliases are used when duplicating material that needs to automatically update when the original is edited.

  • Demixing enables you to separate combined parts recorded within a single MIDI Region, for further editing.

  • Region parameters allow real-time control over various playback parameters, enabling you to adjust the feel of a MIDI Region.

  • MIDI events can be selected in a variety of ways, depending on the task at hand, for efficient editing.

  • Transform functions are accessed via the Transform window, which contains many helpful operations for processing MIDI data.


Advanced Mixing

    Lesson 9. Working with Mixer Channels

    Lesson 10. Controlling Signal Flow

    Lesson 11. Automating the Mix


Lesson 9. Working with Mixer Channels

Lesson Files | Advanced Logic 7_Song Files > Lesson 09 Project Files > 09_I Was Raised_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 09 Project Files
Time | This lesson takes approximately 90 minutes to complete.
Goals | Use the Track Mixer's display modes to navigate in a mix Create a dedicated alternate mixer view to access frequently used Objects Create a vocal signal chain using an effects processor in a channel Insert a bus effect using Bus channels Control the position and imaging width of a stereo signal Change the plug-in order in a signal chain Use Channel Strip settings to save an effects chain

At the heart of any mixer is the channel. It is here that all signals are routed, modified by effects processing, and ultimately brought together to form a mix.

In Logic, mixer channels are based directly on Objects in the Logic Environment, each channel dedicated to a specific type of signal: MIDI, audio, or Audio Instruments. These channels are accessed via Logic's integrated Track Mixer, which shows them in an organized display.

Each channel offers a set of controls for working with the signal throughput. Among these controls are Inserts for applying effects processing to the signal path, and Sends for feeding a controlled amount of the signal to another mixer channel.

In this lesson you will use the Track Mixer to efficiently view and access the mixer channels and apply effects processing into the signal chain. In addition, you will manipulate the order and placement of plug-ins in Logic's mixer by navigating efficiently within the mixer's routing.


Using the Track Mixer

The Track Mixer has two display modes that are used to access the channels of a mix: Global view and Track view. Understanding the difference between the two will help you navigate through your mix efficiently.

In this first exercise you will open the song file to use throughout the lesson.

1. | Choose File > Open.
2. | In the file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 09 Project Files > 09_I Was Raised_Start.lso.
3. | Play the song to familiarize yourself with the material, clicking the Stop button when you are finished.

Using the Track View

The Track Mixer's Track view is often referred to as an adaptive mixer. In this display mode, Logic creates a mixer setup, adapted from the Arrange window's Track List, reflecting aspects such as track order, track names, and assigned colors. Due to this relationship, the Track Mixer's Track view will always reflect the Arrange window's Track List, even when new Objects are created and assigned.

Track view probably will be the mode you use most often when mixing, as it allows you to focus on those elements that are directly involved with the song's arrangement.

With the song opened, you can observe firsthand the relationship between the Arrange window and the Track Mixer's Track view by rearranging the track order for a more ergonomic mixing setup.

1.
Bring up Screenset 2.

This screenset contains a Track Mixer with a small Arrange window and Transport.

[View full size image]

NOTE

You add a Track Mixer to an existing screenset by choosing Windows > Track Mixer.

2.
In the Track Mixer window, use the scroll bar to examine the channels used for the song.

This is a fairly large session, with 30 channels displayed side by side.

3.
In the Arrange window, use the vertical scroll bar at the far right to examine the tracks in the arrangement.

There are 30 tracks listed here, displayed vertically in the Track List.

4.
Try selecting different tracks in the Track Mixer by clicking the name area at the bottom of each channel strip.

When a channel is selected, it is highlighted with a light green border. Note that the same track is highlighted in the Arrange window, which automatically scrolls to display the track selected in the Track Mixer.

5.
Try selecting other tracks in the Track List of the Arrange window.

When a track is selected in the Arrange window's Track List, the Track Mixer automatically scrolls to display the selected channel.

6.
In the Track Mixer, select the Drum Overheads channel (Track 25).

Note that this channel is located between the Snare and Toms_rack channels. It would be more conveniently located in the mixer next to the other stereo drums tracks (Drum_intro and Loop).

You can move the track within the Arrange window while observing the changes in the Track Mixer.

7.
In the Arrange window's Track List, place the pointer over the Drum Overheads track (Track 26). When you see the pointer change to a hand, drag the track downward, dropping it on top of the Toms_floor track.

The track order shifts in both the Arrange window and the Track Mixer, and the Drum Overheads track is inserted between the Toms_floor and Drum_intro tracks.

Arrange window Track List

Track Mixer

Using the Track Filters

The Filter buttons, located at the far left side of the Track Mixer, define the types of Objects displayed in the Track Mixer. They can be selected singly or in combination. When Filter buttons are used in the Track view, the display will show only the tracks in the Arrange window that are of the selected types defined by the Filter buttons.

1. | Click the Instrument button, located at the far left side of the Track Mixer window. All Audio Instrument tracks used in the arrangement are displayed. Only one track is seen because only one Audio Instrument trackthe Piano trackis used in this song. [View full size image]
2. | Click the Instrument button again. All Filter buttons become active, and the complete arrangement is visible. When you have nothing selected, the Track Mixer defaults to displaying all track types.

Using the Global View

The Track Mixer's Global view displays all Objects of any type that are available in the song. Global view has a direct connection to the Environment; an Object has to exist in the Environment to be displayed in the Global view.

Since the tracks displayed in Global view correspond to Environment Objects and not to tracks in the Arrange window, you can use this view mode to look at Objectssuch as Bus and Aux channelsthat are not otherwise contained in your arrangement. As in the Track view, Objects in Global view are displayed through the use of Track Filter buttons. The Track Filter selections made for both Track view and Global view are independent, and they remain intact, even when you toggle between the display modes.

Rather than have Global view display multiple (or all) types of Objects, it is most useful to dedicate the Global view to a single type of Object, such as busses. The Global view then becomes an "alternative" mixer providing quick access to a frequently used Object type in a mix.

In this exercise you will set up the Global view as a dedicated Bus mixer.

1. | In the top left of the Track Mixer window, click the Global button. All channels in the Track Mixer disappear. This is normal because you haven't yet used the Filter buttons to indicate what Object types are to be viewed.
2. | In the Track Filter menu, click the Bus button. The audio tracks disappear and are replaced by the Bus channels (16 in all) that are available to the song. Here you can conveniently assign the bussed effects used by the mix, such as the reverbs in the various tracks. [View full size image]
3. | Click the Global button to toggle between the view of the busses (Global view) and the tracks used in the arrangement (Track view). Notice that the display modes remember the Track Filter settings you last assigned, even when switching between Track view and Global view. The Track Filter settings are saved in the screenset, so it is necessary to unlock and then relock Screenset 2 to make this a part of the mix setup.
4. | Make sure that Track view is active. (The Global button is not enabled.)
5. | Unlock, then relock the screenset by choosing Windows > Screensets > Lock Screenset twice.

This setup enables you to quickly check return levels, change reverb settings, and conveniently access the often-used busses when working with the main mix. In this way, the Global view acts as an alternative mix setup that can be toggled by clicking the Global button.


Using Insert Effects

Processors such as equalizers, de-essers, and compressors are commonplace in the majority of mixing scenarios, most often inserted directly into a channel's signal path. Logic offers many different flavors of equalization and dynamics processing in the form of individual plug-ins, each suited for specific tasks and functions.

In this exercise you utilize Logic's Channel EQ, DeEsser, and Compressor plug-ins to work on the lead vocal track, taking a look at the unique properties offered by each plug-in.

1. | Click the Vox_lead channel's Solo button.
2. | Use the Goto Next/Previous Marker commands to locate to Verse 2.
3. | Enable Cycle by clicking the Cycle button in the Transport.
4. | Within the Arrange window, drag the cycle Region's right border to the right so that it encompasses the Chorus 1, Verse 3, and Chorus 2 sections. [View full size image] This will enable you to have a varied selection of vocal parts with which to work.
5. | Play the song, listening to the soloed lead vocal to get an idea of what you will be working with.
6. | Stop the song.

Using the Channel EQ

The Channel EQ is part of Logic's suite of equalizers and is the default equalizer for use in channels. This high-quality plug-in offers eight frequency bands, with an integrated FFT (Fast Fourier Transform) analyzer and an intuitive graphical interface.

1.
In the Vox_lead channel (Track 1) at the far left of the Track Mixer, double-click the EQ area.

The Channel EQ plug-in for the track opens.

[View full size image]

NOTE

When double-clicking on the EQ area, the Channel EQ will instantiate on the first available Insert position. The Channel EQ can also be instantiated on the Insert slot of your choice by click-holding the Insert field and choosing Stereo/Mono > Logic > EQ > Channel EQ.

You can start by using the built-in analyzer to look at the vocal signal.

2.
Play the song.

3.
While the song is playing, click the Analyzer button (at the left of the Channel Equalizer window).

The signal's frequency content is displayed in the central EQ display, represented by an animated line that updates in real time to reflect the signal's frequency curve.

The Channel EQ's window is multifunctional. The signal's frequency curve is continually displayed, and you are able to make changes by graphically drawing in the EQ curve. This greatly helps to identify and correct problem spots in the signal.

4.
Click the first band button to enable the low-cut filter.

[View full size image]

A light green frequency curve is shown at the far left of the EQ display area, representing the range of the low-cut filter.

NOTE

The low-cut and high-cut filters (band buttons 1 and 8) are not enabled by default when bringing up the plug-in.

5.
Position the pointer over the light green curve.

The band changes to a light red color, as does the numerical display for the band, located just below the curve in the Parameter area.

Parameter area

[View full size image]

NOTE

This highlight color corresponds to parts of the frequency spectrum: red for lows, yellow for low-mids, green for high-mids, and blue for highs.

6.
Click-hold the red EQ curve and drag the EQ curve to the right, until the Frequency numerical display in the Parameter area reads 112Hz.

[View full size image]

This reduces the frequencies below 112Hz, by gradually sloping them off through the lower end of the frequency spectrum.

7.
In the EQ display area, position your pointer just below the 0dB line at the 200Hz range.

A yellow dot, called the pivot point, appears at 200Hz on the 0dB line. The corresponding numerical display within the Parameter area is also highlighted in yellow, indicating the band you have chosen (the third band from the left).

8.
With the yellow pivot point and band illuminated, drag the area just below the 0dB line down and slightly to the right while watching the numerical display in the Parameter area. Release the mouse button when you reach a frequency setting of 245Hz and a gain setting of 11.0dB.

TIP

You can also create or adjust the EQ curve by dragging any number in the Parameter area for the corresponding band.

A parametric EQ curve is created, with the center of the band at the pointer position.

[View full size image]

This creates a substantial frequency cut in the 245Hz range, but its bandwidth is a bit too broad. You can change the bandwidth by dragging the pivot point up to tighten the bandwidth and dragging it down to broaden the bandwidth.

9.
Drag up the dot to tighten the bandwidth until you reach a Q value of 0.98.

[View full size image]

TIP

You can return each bandwidth component to default values by Option-clicking the corresponding numerical display within the Parame-ter area.

10.
Position your pointer over the 3500Hz range in the curve-display window.

A green pivot point appears at 3500Hz, and the corresponding numerical display is highlighted in green.

11.
Drag the green pivot point up and slightly to the left, releasing the mouse button when you reach a frequency setting of 2450Hz and a gain setting of +3.5dB.

A parametric EQ curve is created, with the center of the band at the pointer's position.

[View full size image]

You now have an EQ curve that enhances the lead voice.

12.
Click the "post EQ" button (on the left below the Analyzer button), changing the setting of the analyzer to pre EQ.

By toggling between the two display modes, you can compare the frequency spectrum with and without the EQ curve applied.

13.
Click the Analyzer button, disabling the frequency display.

TIP

Disable the analyzer when you no longer need it to set the EQ curve, as this saves valuable CPU resources.

14.
Stop the song.

15.
Close the Channel Equalizer window.

Using the DeEsser

The lead vocal now sounds considerably less muddy, but it also has noticeable sibilance. You can utilize Logic's DeEsser processor to detect and compress the offending frequency, reducing the sibilance of the vocal.

1. | Click-hold the second Insert slot on the Vox_lead channel and choose Mono > Logic > Dynamic > DeEsser. The DeEsser plug-in opens. The DeEsser plug-in is a frequency-specific compressor, rejecting a specific frequency band for as long as a threshold level is exceeded. It accomplishes this by locating the problem frequency with the Detector and reducing the same frequency band (or a different band) with the Suppressor. Logic's DeEsser has an extremely flexible monitoring system that allows you to listen to various functions of the DeEsser at work. This enables you to home in on the offending band quickly and easily.
2. | Play the song.
3. | While the song is playing, click the Monitor field (the default is OFF) at the bottom-left corner of the plug-in interface and choose Det. (for Detector). The sound output immediately changes because you're now monitoring the signal through the Detector's Frequency range. You will use this to help identify the offending frequency of the sibilance.
4. | Drag up the Detector Frequency control, listening to the vocal as the frequency band sweeps upward.
5. | Stop dragging the Detector Frequency when you hear the "sizzling" sounds emphasized at about 8800Hz. Now that you've set the frequency band that will trigger the DeEsser, you can set the Suppressor to reduce the same band (most common) or to suppress a different frequency band when the DeEsser is active.
6. | Drag up the Suppressor Frequency control, matching the Detector Frequency setting of 8800Hz. After isolating the frequency of the sibilance, you're ready to set the threshold at which gain reduction is applied. You can do this more effectively by monitoring the Sensitivity control, which dictates the threshold at which the DeEsser begins to work.
7. | Click the Monitor field and choose Sens. (for Sensitivity). Because the Sensitivity control occurs after the Detection Frequency control within the DeEsser's internal signal flow, the monitored sound consists only of audio in the selected band, with enough gain to get through the Sensitivity circuit. The result is short sibilance bursts. With this Monitor mode active, you are trying to listen only to the offending sound.
8. | Drag the Sensitivity control down, reducing its value to 41%. You should hear only sibilance.
9. | Click the Monitor field and choose OFF. The sound changes because you're monitoring through the entire DeEsser audio chain. Now that you have successfully isolated the offending frequency, you're ready to apply gain reduction by using the Strength control.
10. | Drag the Strength control up to a value of 9.5dB. This should reduce the isolated frequency without compromising the full bandwidth signal.
11. | Drag the Smoothing slider to the right until you reach a value of 37.5ms. This smoothes the attack and release of the DeEsser, creating a subtler effect.
12. | While the song is playing, observe the Action light in the bottom right of the plug-in. This indicates when the DeEsser is actively clamping down on the offending frequency.
13. | Close the DeEsser window.
14. | Stop the song.

Using the Compressor

Logic's Compressor plug-in provides effective dynamic control and is particularly well suited for vocal processing. By inserting the Compressor into the signal chain after the Channel EQ and DeEsser, you can tighten up the dynamics of the corrected sound, producing a fuller, more robust result.

1. | Click-hold in the third Insert slot of the Vox_lead channel and choose Mono > Logic > Dynamic > Compressor. The Compressor plug-in window appears. By default, the Compressor plug-in has Auto Gain enabled at its output. This works on hot signals, normalizing the post-compressor signal to match the input, but it will produce clipping when used on your lead vocal channel. Therefore, you should start by switching off the Auto Gain feature and manually adjusting the makeup gain after setting the compression ratio and threshold.
2. | Click the Auto Gain button at the right side of the interface. [View full size image] Logic's Compressor offers a wealth of controls to shape the sound source. Let's listen to the vocal track while adjusting the Threshold and Ratio controls to govern how and when compression is applied to the incoming signal.
3. | Play the song.
4. | Drag down the Threshold slider to a value of 24.0dB. [View full size image]
5. | Drag the Ratio slider to a value of 6.6:1. [View full size image] The Gain Reduction meter at the top of the plug-in window gives you a visual display of how the Compressor is working with the signal. It reads around 5dB on average levels and around 17dB for peaks. This works pretty well, but the gain reduction is happening a bit fast, creating a slightly unnatural sound for the vocal part. You can address this by increasing the attack slightly to delay the start of the gain reduction induced by the Compressor.
6. | Drag up the Attack control to a value of 19.0ms. [View full size image] Now that you've dialed in the basic compression settings, you should apply makeup gain to compensate for the inherent gain reduction caused by the compression process.
7. | Drag up the Gain slider to a level of +8.5dB. [View full size image] The volume level of the output signal is now roughly equivalent to that of the input signal, and the signal reflects the obvious dynamic smoothing that the compressor provides.
8. | Click the Solo button to unsolo the Vox_lead channel and listen to the effects processing applied to the track within the context of the mix.
9. | Close the Compressor window.
10. | Stop the song.


Using Bus Effects

Let's continue working with the lead vocal channel by applying some reverb. You could insert a reverb effects processor into the channel as you did with the EQ and dynamics plug-ins, and adjust the plug-in mix between the direct and processed signal to achieve satisfactory results. However, a much more efficient approach is to set up the reverb plug-in as a bus effect that can receive a signal from any channel.

With the reverb setup as a bus effect, controlled amounts of signal from individual tracks can be sent to the bus via the Sends on their respective channels. The audio signals are then processed with the effect and mixed with the stereo output.

This carries the additional advantage of saving considerable CPU power because a single instantiation of the effect processor is inserted, instead of the same plug-in being inserted on every channel that needs processing.

Let's start by accessing the busses with the dedicated Global view mixer you set up earlier.

1. | Click the Global button. All 16 busses available to the song are displayed.
2. | On Bus 4, click-hold the top Insert slot and choose Stereo > Logic > Reverb > Space Designer. The Space Designer plug-in window opens. [View full size image] Space Designer is a convolution reverb that utilizes a special audio recording of a real acoustic space (or an effect processor) to apply reverb by means of a real-time process. Think of it as a reverb "sampler" that imposes its sonic signature upon a track. Space Designer comes with a wealth of these acoustic space recordings, called impulse responses (IR), upon which it bases its processing. IR files, as well as any processing parameters, are stored in the effect settings.
3. | Click the Settings menu (the small triangle below the Bypass button) and choose 01 Vocal Reverbs > Long Vocal Reverbs > 3.8s_Vocal Plate Clear. NOTE If you have created custom presets of your own, Logic will list the installed factory presets in a folder named Factory. If you do not see the 01 Vocal Reverbs folder, look in the Factory folder, and then continue along the file path specified above. The IR takes a moment to load. After loading, you can see the visual representation of the IR, which, in this case, was sampled from an electronic reverb processor's plate algorithm. [View full size image]
4. | Click the A button located at the bottom of the IR waveform display. This button allows you to zoom in on the attack area of the IR's waveform display. The magnification helps you see how the signal will be affected by the reverb sample. NOTE If you look closely at the zoomed IR waveform, you'll notice that the reverberation signal occurs immediately (it starts at the far left). Space Designer offers additional processing of the IR signal via an extensive array of editing parameters. These parameters range from settings found on traditional reverb units to control settings specific to working with volume and filter envelopes. When using reverb on vocal tracks, it is often desirable to complement the sound with an amount of pre-delay to separate the original signal from the reverb tail.
5. | Drag up the pre-delay number (located just below the IR waveform display) to a value of 61ms. NOTE Making an adjustment on any parameter that affects the IR (such as pre-delay) requires a moment for the plug-in to reload the IR and recalculate the convolution. This limits automation and causes a short delay in playback through the plug-in while it completes the process. Now that you've completed some basic adjustments to the Space Designer reverb, you can send the lead vocal signal to the bus effect for processing. You do this by assigning the channel Send to the bus and controlling the amount of signal sent by means of the Send level.
6. | Close the Space Designer window.
7. | Click the Global button. The screen toggles back to the Track view, and all tracks used in the arrangement are displayed.
8. | Click-hold the topmost Send slot on the Vox_lead channel, and choose Bus > Bus 4. Once a Send destination has been assigned, the corresponding Send knob appears next to the slot. By adjusting the Send knob, you can choose the amount of signal sent to the chosen destination (in this case, Bus 4).
9. | Play the song.
10. | While listening to the lead vocal track, drag up the Send knob, setting a value of 14.9dB. NOTE When you solo a track assigned to a bus, Logic automatically keeps the effects return channels (bus channels) open. This automatic mute suppression allows you to hear the soloed track with the bussed effects applied. The same applies when you solo an effect return signal. The channels fed into the effect are muted, but their effect Sends remain open, ensuring that the effect continues to receive a signal.
11. | Stop the song.
12. | Click the Solo button on the Vox_lead channel to unsolo the channel.
13. | Disable Cycle.

MORE INFO

The distributed audio processing feature in Logic Pro 7 allows you to expand the processing capacity of your Logic Pro system by offloading calculations for software instrument and DSP effects to additional Macintosh computers that are connected by Gigabit Ethernet. This is effective when you need additional processing horsepower for CPU-intensive software synthesizers or plug-ins such as Sculpture or Space Designer. For more information on how to set up a distributed audio processing system, refer to page 382 in the Logic Pro 7 Reference Manual.


Panning Stereo Tracks

Logic's mixer channels offer true stereo functionality without requiring the user to dedicate two tracks (a left and a right channel) for playback. This provides playback of interleaved stereo files, stereo Audio Instruments, and stereo busses through a single mixer Object, providing ease of use when working with stereo sources.

When using stereo Objects in the Track Mixer, the Pan knob acts as a balance control that controls the relative levels of the left and right signals that make up the stereo signal. Adjusting the balance of a stereo track reduces one side in favor of the other.

For example, imagine a stereo drum overheads track that has the hi-hat on the left side of the spectrum and the ride cymbal on the right. If the Balance knob for the track is turned to the left, then the right side of the signal diminishes, losing the ride. If the knob is turned to the right, the opposite happens, reducing the left side of the signal in favor of the right.

While this stereo balance function provides considerable ease of use, it also represents a limitation when it comes to the placement of a sound in the stereo field of a mix. It is often necessary to reposition the center of a recorded stereo signal within the mix, while maintaining or changing the spread (stereo width). Fortunately, Logic offers a handy plug-in, the Direction Mixer, that does this on any stereo track. This plug-in allows for a more focused sound, as you are truly panning a stereo signal instead of adjusting the signal level of the left and right sides.

1. | Click-hold the second Inserts slot on the Piano channel and choose Stereo > Logic > Helper > Direction Mixer. The Direction Mixer plug-in window opens. The Direction Mixer plug-in offers the panning functionality described above by means of the Direction parameter. Graphically, the Direction knob is quite different from the Pan knobs used on mono tracks. Values within the range of 90 to +90 represent the full stereo field, while greater and lesser values (from 90 or +90 to 180) bring the middle of the signal back toward the center, but with the left and right sides reversed. At +180 (or 180), the signal is dead center, but with the left and right sides inverted.
2. | Drag the Direction knob up to set a value of +51. This places the center of the Piano signal somewhat to the right side of the mix. In addition to positioning the middle of the stereo signal across the stereo field, you can use the Direction Mixer plug-in to widen or tighten the spread of the stereo base by adjusting the Basis parameter. A setting of 1.0 maintains the width of the original signal, while lower settings bring the sides toward the center, decreasing the spread.
3. | Drag in one of the Basis sliders to set a value of 0.8. This will tighten up the stereo signal so that it doesn't take up quite as much width in the stereo mix.
4. | Click the Solo button for the Piano channel.
5. | Use the Play from Selection command to play the song from the beginning of the Piano part.
6. | While the song is playing, click the Bypass button on and off to hear the Piano track with and without the Direction Mixer. Notice that with the Direction Mixer active, it feels as though the piano is sitting to the right of the vocalist, but the stereo image is not compromised. If you had used the main balance control to do the same thing, you might have lost the sound of the low notes on the piano, because they are normally heard in the left side of the stereo image.
7. | Make sure the Direction Mixer plug-in isn't bypassed.
8. | Stop the song.
9. | Close the Direction Mixer window.
10. | Click the Solo button on the Piano channel to unsolo the channel.


Switching the Contents of the Plug-in Window

Accessing the multitude of plug-ins active in a song can be a clumsy process requiring the opening and closing of each plug-in window. Menus in the plug-in window provide a simpler way to navigate around active plug-ins, allowing you to view any plug-in in the same window regardless of its channel or its order in the signal chain.

This navigation technique also helps when you're copying presets from one location to another and identical processing is required. The two violin tracks are a good example of this, since they both could benefit from similar EQ and dynamics processing. In this exercise you navigate from the Violin I channel to the Violin II channel using the plug-in window menus, copying and pasting settings from one plug-in to another.

1. | Look at the two adjacent Violin tracks in the Track Mixer. Notice that they have identical plug-ins at the same Insert locations in the channel. The Violin I plug-ins have customized settings, while the Violin II plug-ins are still in their default state. In order to use this plug-in settings technique, you need to have a plug-in window open.
2. | In the Violin I channel, double-click the Channel EQ plug-in to open the plug-in window. The EQ curve indicates a subtle dip at around 395Hz and a smaller boost at around 3450Hz.
3. | Click the Settings menu and choose Copy Setting. [View full size image] Now that you have copied the EQ plug-in settings from Violin I, you can paste them into the Channel EQ in the Violin II channel. You will use the two pop-up menus located at the top of the plug-in window to view the Channel EQ setting for Violin II in the same plug-in window. [View full size image] The topmost pop-up menu accesses the same numbered Insert slot on any channel that has an active plug-in. NOTE The track number displayed in the top pop-up menu button corresponds to the Object type and number, not to the channel order in the Track Mixer. Track type and number are displayed in the Track Mixer in the middle of each channel strip. This makes Violin I Track 2, and Violin II Track 8.
4. | Click the upper of the two pop-up menu buttons, and choose Track 8 (Violin II). [View full size image] The Violin II Channel EQ settings (default) are now displayed in the open plug-in window (identified as Track 8).
5. | Click the Settings menu and choose Paste Setting. The plug-in settings from Violin I are pasted into the Channel EQ of Violin II.
6. | Click the top pop-up menu button, and choose Track 2 (Violin I). This returns you to the Violin I Channel EQ. Let's move on to display the Compressor plug-in located in the second Insert slot for the channel. Each Insert slot for a single channel can be accessed by the bottom pop-up menu button.
7. | Click the bottom pop-up menu button and choose Comp (m/m). [View full size image] NOTE The letters that appear next to a plug-in's name indicate whether it is mono to mono (m/m), mono to stereo (m/s), or stereo to stereo (s/s). The Compressor interface now appears in the plug-in window.
8. | Click the Settings menu and choose Copy Setting.
9. | Click the top pop-up menu button and choose Track 8 (Violin II). The Compressor inserted in the second Insert slot on the Violin II channel is displayed in the plug-in window.
10. | Click the Settings menu and choose Paste Setting. The plug-in setting from Violin I is pasted onto the Compressor of Violin II.
11. | Close the plug-in window.


Changing Plug-in Locations

As anyone who has worked with effects processors knows, where you place an effect is of equal importance to what effect is chosen. Inserting effects at different places in the signal chain can lead to different results depending on the processing involved.

Changing effect placement is easily done in Logic's Audio Configuration window, which provides an overview of the Input/Output routing, as well as showing all Inserts and Sends of all the Audio Objects that exist in the Environment. In this window you can drag plug-ins to change their order in the signal chain.

You can try this out by changing the order of the lead vocal signal chain that you created earlier, placing the EQ after the Compressor.

1. | Solo the Vox_lead channel by clicking the Solo button.
2. | Enable Cycle. This will bring back the cycle Region you created earlier when auditioning the lead vocal.
3. | Choose Audio > Audio Configuration. The Audio Configuration window opens.
4. | Choose View > Used Components from the Audio Configuration window's local menu. All Objects in the Environment are displayed.
5. | Expand the window to view as many of the channels as possible. [View full size image] The plug-ins, as well as the channel Sends, are displayed as light blue rectangles, similar to the way they appear in the Track Mixer.
6. | Choose the Hand tool in the toolbox. This tool allows you to grab and move plug-ins in this window.
7. | Drag the Channel EQ at the Insert 1 location on Track 27 (the Vox_lead channel) to the Insert 4 location. The signal chain reflects the new order, inserting the Channel EQ (including the settings) after the Compressor. NOTE Signal flow in the Track Mixer travels from top to bottom, passing from the topmost inserted plug-in downward. However, signal flow in the Audio Configuration window flows from left to right.
8. | Play the song and listen to the lead vocal channel with the new plug-in order.
9. | While it's playing, drag the Channel EQ plug-in back to the Insert 1 slot. The plug-in changes position, even when playing.
10. | Stop the song.
11. | Close the Audio Configuration window.


Using Channel Strip Settings

Chains of multiple plug-ins (and their settings) can be saved and recalled as Channel Strip settings. This enables you to apply commonly used chains of effects in any song far more quickly than individually inserting each plug-in and its settings.

You used Channel Strip settings earlier in the book to bring up a software instrument that was coupled with a chain of effects. This time, you'll save the lead vocal effects chain as a Channel Strip setting for future use.

1. | Click the small arrow button next to the word Inserts on the Vox_lead channel. The Channel Strip settings menu appears. As you can see in the lower half of the menu, there are many premade Channel Strip settings that can be used for a variety of effects processing.
2. | Choose "Save Channel Strip Setting as" from the menu. A window opens with a file selector.
3. | Type I Was Raised Vox in the Save As field, and click the Save button. This will save the signal chain to a folder reserved for track Channel Strip settings. The chain can be recalled on any Track Object channel. NOTE Channel Strip settings can be applied only to Audio Objects of like kind. This means that you cannot save a Channel Strip setting from a Track Object and recall it on a Bus Object. TIP Create and save a Channel Strip setting for each type of Audio Object (tracks, busses, auxiliaries, and Audio Instruments) that does not contain any inserted plug-ins, naming it #default. This will give you a quick way to reset the channel strips by removing all inserted plug-ins at once.
4. | Save the song with the name "09_I Was Raised_Finished.lso".


What You've Learned

  • The Track Mixer's Track view adapts to the Arrange window's Track List, and vice versa.

  • The Track Mixer's Global view can be used to create an alternative mixer with commonly accessed Objects.

  • The Channel EQ's built-in analyzer can help identify and correct problem bands in a signal's frequency spectrum.

  • The DeEsser plug-in can be monitored at multiple points to identify and reduce signal sibilance.

  • Logic's Compressor plug-in offers multiple controls to smooth the dynamics of a signal.

  • The Space Designer convolution reverb can modify how a signal interacts with an impulse response.

  • Stereo tracks can be accurately panned and their images adjusted by means of the Direction Mixer plug-in.

  • Navigation from plug-in to plug-in can be done in the same window, making it easier to copy and paste settings between plug-ins.

  • Plug-in order can be freely manipulated in the Audio Configuration window.

  • Channel Strip settings can store commonly used effects chains for use in any song.


Lesson 10. Controlling Signal Flow

Lesson Files | Advanced Logic 7_Song Files > Lesson 10 Project Files > 10_I Was Raised_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 10 Project Files
Time | This lesson takes approximately 1 hour to complete.
Goals | Create submixes for processing multiple channels Create bus returns for submixes Add specific tracks to the Track Mixer Label and rename tracks for easy access Create channel Groups to link the controls of multiple channels Incorporate external effects processors into Logic's mixer

In the software world of Logic, signal is routed from one Object to another by using the Sends and Input/Output fields in each channel. Signals are often sent to multiple destinations simultaneously and can even interface with external devices by leaving the audio interface and coming back in again.

In this lesson you will utilize the Track Mixer to route signal to Logic's Audio Objects to accomplish specific mixing tasks. You will also learn how to integrate external effects processors into your signal flow, interfacing the physical world with the virtual one.


Using Bus Channels as Submixes

In addition to acting as effect returns (as you saw in the last lesson), busses can be configured to act as submix channels, enabling you to feed the output of multiple audio channels to a single fader. Using a bus for a submix allows you to work with multiple routed channels as a single set, while retaining the relative differences of individual channels.

A common use for a submix is to apply a single effects processing chain to multiple tracks (such as backing vocals or drums). This saves you from having to assign the same effects chains to a multitude of tracks individually and also significantly saves valuable CPU power to boot.

In this exercise you will assign the backing vocals (Tracks 210) to a shared bus, creating a submix that applies common signal processing to all tracks at once.

1. | Choose File > Open.
2. | In the Open window's file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 10 Project Files > 10_I Was Raised_Start.lso. The song opens to the Track Mixer/Arrange window screenset you used in the last lesson.
3. | Shift-click each backing vocal track (Tracks 210) in the Track Mixer. [View full size image]
4. | Click-hold any selected track's Output field, and choose Bus > Bus 6. [View full size image] All selected outputs change to Bus 6. TIP This technique also works for assigning Send destinations on multiple tracks.
5. | Click the Global button to activate the Track Mixer's Global view mode. The Track Mixer displays busses only (the way you saved it as a screenset in the last lesson). Look at Bus 6. Already inserted on the stereo bus is a set of signal processing plug-ins intended for the artist's voice (EQ, DeEsser, and Compressor). By having the selected tracks set to output directly to this bus, you are able to process the full signal of the combined channels using the bus's Inserts. The bus then outputs the cumulative signal for monitoring (in this case, Outputs 12).
6. | On Bus 6, click the Solo button. NOTE When a bus is soloed, Logic uses automatic mute suppression on the tracks that feed the bus. This way you can hear the contributing signals without having to find the separate channels and solo them as well.
7. | Use the Locate to Next/Previous Marker command to locate to the Refrain section.
8. | In the Transport window, click the Cycle button.
9. | Play the song, listening to the backing vocal sent through the effects chain on the bus.
10. | While it's playing, drag Bus 6's volume fader up and down. All backing vocal tracks change gain accordingly, adjusted by a single fader.
11. | Return the volume to 0.0dB by Option-clicking the fader.
12. | Stop the song playback.
13. | On the Bus 6 channel, click the Solo button to disable soloing for the track. Setting up the bus as a submix allows you to control the volume of all participating tracks while maintaining the relative volume levels set by each track's fader.


Using Aux Channels for Bus Returns

The submix channel you just created works well enough but lacks an important element needed in the signal chain; busses do not have an effects Send. Without the Send, you cannot assign the submix-processed tracks containing the backing vocals to any reverbs configured on Bus Objects.

By their very nature, Sends (which are the busses) are not available directly on Bus channels. You need to feed the output of the bus to another type of Object, an Aux channel. An Aux (short for auxiliary) channel has Sends similar to those of an audio track but, unlike an audio track, it can be set to receive input directly from a Bus channel.

Let's take a look at the available Aux channels by viewing them side by side with the busses. You can view multiple Object types at the same time in the Track Mixer by Shift-clicking buttons in the Track Filter menu.

1. | In the Track Filter menu at the far left, Shift-click the Aux button. Two available Aux channels appear alongside the busses. [View full size image]
2. | Click-hold the Output field on Bus 6, and choose No Output.
3. | Click-hold the Input field on Aux 1, and choose Bus > Bus 6.
4. | Click-hold the topmost Send on the Aux 1 channel, and choose Bus 4. Bus 4 is the vocal reverb.
5. | Click the channel's Solo button to solo the Aux 1 channel.
6. | Play the song.
7. | Drag up the Send knob on the Aux 1 track, listening to the backing vocals as you adjust the amount of signal sent to the vocal reverb.
8. | Stop the song. The signal path for the backing vocals is now as shown in this diagram: With each Object feeding into the other, the Aux channel can now act as the volume control for the submix, enabling you to adjust the relative volume of the backing vocal tracks by dragging the fader. There are several areas within the signal flow that could change the level of the backing vocals. To avoid confusion, you should make sure that only the Aux channel will be affecting the gain by and reset the fader on the Bus 6 track.


Adding Tracks to the Track View

The preceding setup addresses processing and level control but is a little inconvenient while mixing. To place the Aux channel within easy reach, you can add it to the Track Mixer's Track view, automatically adding it to the Arrange window at the same time.

1. | Double-click the bottom of the Aux 1 channel. The Aux is added to the Arrange window's Track List.
2. | In the Arrange window, drag up the newly created Aux 1 track, dropping it on top of the Violin I track. The Aux 1 track relocates in the Track List and is now positioned below the Do_dos_2 track (the last of the backing vocal tracks).
3. | In the Track Mixer, turn Global view off by clicking the Global button. The Track Mixer switches to Track view, displaying the newly added Aux 1 channel (Track 11) just after the Do_dos_2 channel. [View full size image] This conveniently positions the Aux 1 channel right after the associated block of backing vocal tracks. You can finish things off by naming the Aux 1 channel and assigning an easily identified color to it.
4. | In the Arrange window's local menu, choose Track > Create Track Name.
5. | Type Back Vox Sub in the text-input box, and press Return. NOTE If the new track name does not immediately appear on the channel within the Track Mixer, bring up Screenset 2 to refresh the display.
6. | In the Track Mixer's local menu, choose View > Colors. The Color palette appears.
7. | Choose a color that suits you by clicking any color square within the palette. The Channel Name area assumes the selected color.
8. | Click the Solo button on the newly added Back Vox Sub channel to take it out of Solo mode.
9. | Play the song, dragging the fader on the Back Vox Sub channel to adjust the volume level of the backing vocals.
10. | Stop the song when you are happy with the volume level of the backing vocals in relation to the overall mix.


Using Mixer Groups

A Group is used to link similar controls (panning, volume, and so on) between different channels. This creates a direct relationship between all the channels in the Group assignment. As a result, when you adjust the parameters on one channel, the same parameters in all of the channels are adjusted.

There is a similarity between using busses as submixes and assigning channels to Groups. Both enable you to adjust the output of multiple channels at once while maintaining the relative levels of the individual tracks.

However, the two differ profoundly in function, as bus submixes apply directly to signal flow, while Groups apply to channel and track control.

Assigning Channels to Groups

In this exercise you will assign similar backing vocals to a Group, linking together specific properties that you can control in the Track Mixer.

1. | On the Harm1 channel (Track 2), click the Group display (which currently reads Off) and choose Group 1. A yellow number 1 appears in the Group display on the track. This signifies that the channel is assigned to Group 1.
2. | Click the Group display on the Harm2 channel (Track 3), and choose Group 1. Both Harm1 and Harm2 channels display a yellow number 1 in the Group display. TIP You can assign the last selected Group to any channel by Option-clicking the Group display.
3. | Click the Group display on the Harm2 channel again, and choose Open Group Settings. The Group Settings dialog opens. In this dialog you can set the channel properties that will be linked. NOTE In addition to Channel Strip parameters, Groups can share other attributes, such as viewing and recording in the Arrange window, Instrument Color, and Automation Mode.
4. | Check the Send 1 box. This links the topmost Send level knob for the Group.
5. | In the Name field type Harm Vox, and press Return. As you do this, the Group displays updates on both tracks that are assigned to the Group, reflecting the name you are inputting.
6. | Close the Group Settings dialog. Now that you have assigned the two tracks to a Group, you can make adjustments to both tracks simultaneously. In this mix, the harmony vocals (labeled Harm1 and Harm2) need additional reverb processing to create a more reflective sound. Both tracks are outputting to Bus 6 and then to the Backing Vox Sub (Aux 1) for processing, but they also have Sends set for Bus 3 (a longer, more reflective reverb). Since the two channels are alike in character and material, it is desirable to have the same Send level sent to this longer reverb. Because Send 1 was checked in the Harm Vox Group settings, changing either channel's Send 1 value will cause the other to change simultaneously.
7. | Use the Goto Next/Previous Marker key commands to locate to the Chorus 2 section. The cycle Region adapts to the Chorus 2 section.
8. | Click the Solo buttons at the bottom of the channel strips to solo both channels in the Harm Vox Group. NOTE The linking of channel Solo buttons is not available within a Group.
9. | Play the song.
10. | While listening to playback, drag up the Send knob on either of the channels, applying additional reverb to your liking. Both Send knobs move when adjusting.
11. | Stop the song when you are finished setting the reverb level for the channels.

Temporarily Disabling a Group

It is often necessary to adjust single channels in an assigned Group without affecting the Group as a whole. At these times, you can temporarily disable the Group by means of a Group Clutch. The Group Clutch works similarly to an automobile's clutch, temporarily taking the Group out of gear while letting you perform the necessary adjustments.

In the current song, the Harm2 channel is a little too loud to blend with the part sung on the Harm1 channel. In order to change the fader without affecting the other channel, you need to enable the Group Clutch, make an adjustment, and then re-engage the Group by turning off the Group Clutch.

The Group Clutch is activated by a key command, which needs to be set in the Key Commands window.

1. | Choose Logic Pro > Preferences > Key Commands. The Key Commands window opens.
2. | In the Search field, type clutch.
3. | In the Command column menu, choose Toggle Group Clutch.
4. | Click the Learn by Key Label button.
5. | Press the accent key (`) on your keyboard (located above the Tab key). NOTE The accent key will be displayed in the key column as "a".
6. | Close the Key Commands window. You're now ready to use the Group Clutch to adjust the Harm2 channel while listening to playback.
7. | Play the song, listening closely to the Harm Vox Group (the tracks are still soloed).
8. | Press the Toggle Group Clutch key command (`). The Group display turns from yellow (active) to blue (inactive), indicating that the Group Clutch is engaged.
9. | Drag the Harm2 fader down to a level of 16dB.
10. | Press the Toggle Group Clutch key command again. The Group display turns from blue (inactive) to yellow (active), indicating that the Group Clutch is disengaged.
11. | While the song is still playing, disable Solo on the Harm1 and Harm2 channels by clicking their Solo buttons. The entire arrangement can now be heard. TIP You can quickly disable the solo status of all Audio Objects by Option-clicking any activated Solo button.
12. | Drag up the fader of one of the Harm Vox Group channels, adjusting the level of the Group in relation to the mix. Both faders move in tandem, maintaining the relative gain between them.


Incorporating External Effects Processors

While software effects processors can offer many distinct advantages over external processors, there is nothing like having high-quality hardware processors in the signal chain to improve the sound. External effects processors can easily be incorporated into Logic's software mixer by using a special "helper" plug-in that manages the flow from the audio interface's inputs and outputs to an external effects processor.

With this plug-in connected, you can treat the external processor almost as if it were a plug-in itself, inserting it into a channel or applying it as a bus effect in Logic's mixer. To illustrate this technique, you will insert an imaginary hardware reverb unit as a bus effect.

To make this integration possible in this exercise, you need to physically send a signal from your audio interface to the hardware processor and back. This is done by connecting an open pair of outputs from your audio interface into the stereo inputs of the hardware reverb, and connecting the stereo outputs of the hardware reverb back to an open pair of stereo inputs on the audio interface.

For the sake of this exercise, you will assume that inputs 56 and outputs 56 on your audio interface will be dedicated to the external processor.

NOTE

If your system configuration does not include as many as six inputs and outputs, you cannot complete this exercise.

Once this physical cabling has been done, you can freely assign any channel to the external effects processor by means of the I/O plug-in.

NOTE

As with reverb plug-ins inserted as bus effects, the wet/dry ration on the external hardware reverb should be set to 100% wet.

1. | Click the Global button to view the busses.
2. | Click-hold the top Insert slot for Bus 8 and choose Stereo > Logic > Helper > I/O. The I/O plug-in window opens. The next step is to assign the appropriate inputs and outputs of the audio interface to access the hardware processor. This is done by the Input and Output pop-up menus.
3. | Click the Output pop-up menu and choose 56.
4. | Click the Input pop-up menu and choose 56. You can now send signals to the hardware reverb inserted on Bus 8 by the same means you send to any bus effect: using the channel Send controls.
5. | Click the Global button to deactivate it. The Track Mixer switches to Track view, with the I/O plug-in window still open.
6. | Click-hold the topmost Send slot for the Guitar_riff1 channel, and choose Bus > Bus 8.
7. | Solo the Guitar_riff1 channel by clicking the Solo button.
8. | Use the Goto Previous Marker key command to locate to the Intro section. The cycle Region now encompasses the Intro section.
9. | Play the song.
10. | While the song is playing, drag up the Send knob on the Guitar_riff1 channel to adjust the amount of signal sent to the hardware reverb on Bus 8.
11. | If signal going to and from the hardware unit needs to be adjusted, drag the Output Volume and Input Volume sliders on the I/O plug-in.
12. | Stop the song.


What You've Learned

  • Busses can be used as submixes to apply effects processing to multiple channels.

  • Aux channels can be utilized as bus returns to apply reverb to a submix.

  • Channels can be added to the Track Mixer's Track view by adding them to the Arrange window.

  • Groups can link controls of multiple channels while mixing and can be disengaged temporarily by using the Group Clutch key command.

  • External effects processors can be inserted into the signal chain via the I/O plug-in.

Keyboard Shortcut

Accent key (`)

Toggle Group Clutch


Lesson 11. Automating the Mix

Lesson File | Advanced Logic 7_Song Files > Lesson 11 Project Files > 11_I Was Raised_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 11 Project Files
Time | This lesson takes approximately 1 hour to complete.
Goals | Create offline automation Edit automation data Assign a MIDI keyboard control to access automation parameters Input real-time automation using a mouse and a MIDI hardware controller Write automation for an entire Group

A good mix is a performance of sorts. Like each instrument in an ensemble, each element of a mix speaks its part clearly and expressively, complementing the other elements. This is a dynamic process, frequently involving continuous adjustment of individual signals as the song progresses.

In this lesson you'll use automation to craft a mix, manually drawing in automation data as well as entering data in real time with a MIDI controller. You also learn various methods for editing automation data, including techniques to get the most from the data that is already entered.

To create a dynamic-sounding mix, you have to be able to control audio signals over time. Adjusting volume, panning, or even plug-in parameters through the course of a song is an important part of breathing life into a mix.

While the mouse is suitable for setting controls, you will quickly discover that it is not the ideal tool for performing common mixing "moves" (such as dragging sliders and faders). The ability to click only one thing at a time is a major hurdle you must overcome to effectively refine your mix.

Logic's comprehensive track-based automation system offers help, allowing you to change over time the settings of virtually all channel-related software controls. These control movements can be recorded offline with a mouse in nonreal time or in real time using a dedicated hardware MIDI control surface or a MIDI controller. Whichever entry method you use, the automation can easily be edited and manipulated after the initial input, giving you control over all the sonic elements in a composition.

In this lesson you will polish the song file you have been working on for the last few lessons by creating and editing the automation of several channel parameters.

You can start by opening the song file used in this lesson.

1. | Go to ~ > Music > Advanced Logic 7_Song Files > Lesson 11 Project Files and open 11_I Was Raised_Start.lso.
2. | Play the song if you need to familiarize yourself with the material you will be mixing.


Working with Offline Automation

In Lesson 9 you applied some effective dynamic processing to the lead vocal, but it still needs basic level adjustment to sit comfortably in the arrangement. While the vocal's volume level is adequate for the Verses, the vocal quickly becomes lost in the denser Chorus and Refrain sections and requires a boost in gain.

In this set of exercises you will use offline automation to manually input automation data that controls the lead vocal's volume level. In order to work with offline automation, you need to enable the Track Automation view in the Arrange window.

1. | If it is not selected, select the Vox_lead track (Track 1) in the Track List.
2. | In the Arrange window's local menu, choose View > Track Automation. The selected track displays the automation menus.
3. | Click the Automation Parameter pop-up menu and choose Volume. The track displays a yellow line representing the volume setting for the channel. The current numerical value of the active automation parameter is displayed in the automation display window below the pop-up menu and is also represented by the automation fader immediately to the right. When the Track Automation view is active, an automation track area highlighted in gray is displayed over the track. You will input your offline automation data by clicking in this semitransparent area. The Track Automation view can be saved in the screenset. Since you will be working exclusively with automation in the next few exercises, it is a good idea to lock this to Screenset 1.
4. | Choose Windows > Lock Screenset twice (once to disable the lock, and a second time to lock it with the new changes).

Creating Automation Nodes

To provide accurate input when working with offline automation, you need to view the area you will be working with at a fairly high level of magnification.

1. | Create a cycle Region from measure 18 to measure 73. [View full size image]
2. | Use the Zoom to fit Locators key command (Ctrl-Shift-Z) to magnify the area designated by the cycle Region.
3. | Use the Zoom Vertical In key command (Ctrldown arrow) to expand the view vertically as far as it will go. With offline automation, the Arrow tool has multiple functions. Used without a key modifier, the Arrow tool creates points, called nodes, when you click in the automation track area. Used in conjunction with the Shift key, it enables you to select the nodes for adjustment or editing in the automation track. Let's start creating offline automation by increasing the lead vocal's volume level in the Refrain section.
4. | Using the Arrow tool, click the automation line at measure 65. A small node is created with the current volume setting (3.6dB). [View full size image] When you graphically make an entry into the automation track, the automation mode automatically changes to Read, enabling the track to follow the level adjustments you create.
5. | Click the automation line between the node you just created and the next Region. Another node is created, displaying the same value. [View full size image]
6. | Drag up the node you just created to a value of +1.7dB. [View full size image] The first node indicates where you want the change in value to start, and the second indicates where you want it to end. The Chorus 1 section also needs a volume boost but without affecting the level of the Verses. You have to create quick ramps up and down at each end of the sections that require two nodes each. Rather than creating each node one at a time, you can use a handy feature that lets you automatically create nodes at each end of a selection.
7. | Hold down the Option and Shift keys, and rubber-band select in the automation track from the beginning of the Vox_lead_comp Region (around 25 4 1 1) to just before Verse 3 (around 34 4 2 1). NOTE Make sure that you are rubber-band selecting in the automation track area, and not in the Region area slightly above it. [View full size image] As soon as you release the mouse button, two nodes are placed, one at each end of the selected area.
8. | Using this technique again, hold down Option-Shift and rubber-band select an area slightly larger than the previous one. Two more nodes appear, slightly outside the previously created nodes. Notice that the area you just selected is darker than the rest of the automation area. This is because the area is selected, along with all four nodes. To create the volume-level increase, you need to adjust the settings on the inner two nodes only. This requires you to first deselect the area.
9. | Shift-click the dark selected area between the two inner nodes. The area is deselected.
10. | Hold down the Shift key and click the two innermost nodes to select them only.
11. | Drag up the selection, increasing the gain to 1.1dB. [View full size image]

TIP

You can quickly make adjustments to adjacent nodes without selecting them first by dragging the line between them.

Copying the Automation Data

You need to create another volume increase for the Chorus 2 section, similar to the one you just created for Chorus 1. You can easily do this by copying the previously created automation nodes.

1. | While holding down the Shift key, rubber-band select around the four nodes used in the Chorus 1 section. The four nodes are selected, along with the area between them.
2. | Option-drag the selected area, positioning the copied set of nodes to the same relative location around the Chorus 2 section. [View full size image] The automation nodes you created for Chorus 1 are now copied to Chorus 2.
3. | Play the song, listening to the automated changes in volume level in the Vox_lead track and observing the fader movement in the Arrange channel strip.
4. | Stop the playback.

Using Curves

Now turn your attention to the Crunch guitar 1 and Crunch guitar 2 tracks in the Bridge section. These two tracks are double-tracked takes of the same part.

1. | Bring up Screenset 1. The magnification level returns to the level you last set.
2. | Use the Goto Next/Previous Marker key commands (the greater-than and less-than keys) to locate to the Bridge section. The cycle Region adapts to encompass the Bridge section.
3. | Select the Crunch guitar 1 track in the Track List.
4. | Using the Magnifying Glass tool, rubber-band select around the Region in the Crunch guitar 1 track that occurs during the Bridge section. [View full size image] The window zooms in vertically and horizontally, displaying the two Crunch guitar tracks. [View full size image]
5. | Play the song, listening to the two Crunch guitar tracks in the mix. The levels for both tracks are too hot and would benefit from a slight dynamic build during the last strummed chords. You can fix the problem by creating automation for the first of the two tracks.
6. | Click the Track Solo button for the Crunch guitar 1 track.
7. | On the Crunch guitar 1 track, click the Automation Parameter pop-up menu and choose Volume. The yellow automation line depicting Volume is displayed.
8. | Click the automation line at around 47 3 1 1. A node is created with a value of 3.8dB (the current fader position).
9. | Create another node after the one you created and before the Crunch guitar 1 Region.
10. | Drag down the node you just created to a value of 8.8dB. [View full size image]
11. | Create a node right before the last chord (54 1 1 1). [View full size image]
12. | Create another node at the end of the strummed chord (55 1 1 1).
13. | Drag up the node you just created to a value of 4.6dB. [View full size image] So far, you've created a quick 5dB dip in level, followed by a more gradual level increase during the last strummed chord. You can further refine the gradual level increase by applying a curve to the line. Logic offers four kinds of automation curves: convex, concave, and two types of S curves. You can apply these by holding down the Control and Option keys while dragging the line between two nodes. The direction you move your mouse while holding the keys determines the kind and amount of curve that will be applied between the nodes.
14. | Hold down Ctrl-Option and drag the line between measures 54 and 55, trying each of the four curve shapes (drag up, down, left, right) one at a time. The line changes to a convex shape when dragging up, a concave shape when dragging down, and different S shapes when dragging left and right.
15. | Still holding down Ctrl-Option, drag the line to the right, creating a gentle S-shaped curve. [View full size image]
16. | Create a node at measure 57.
17. | Drag down the node you just created to a value of 8.8dB. [View full size image] This brings the level back down in preparation for the next exercise.
18. | Play the song, listening to the automated changes in volume level for the Crunch guitar 1 track and observing the fader movement in the Arrange channel strip.
19. | Stop the song.

Copying Automation Data Between Tracks

Now that you've created automation for the first of the Crunch guitar tracks, you can apply the same settings to the other take (Crunch guitar 2) by copying and pasting the entire automation track.

1. | Bring up Screenset 1 to return to the view of the entire arrangement.
2. | Hold down Shift and rubber-band select all the nodes in the Guitar crunch 1 track. NOTE It is important to include the node located at the beginning of the song for this technique to work. [View full size image]
3. | Press Cmd-C to copy the automation.
4. | Select the Crunch guitar 2 track.
5. | Press Cmd-V to paste the automation. The automation that you created previously now appears on the Crunch guitar 2 track. Since you did not enter these nodes manually, Read mode was not automatically enabled for this track. You need to make sure to enable Read mode to ensure that the copied track automation will be performed.
6. | Click the Automation Mode menu for the Crunch guitar 2 track, and choose Read.
7. | Click the Track Solo button on the Crunch guitar 1 track to disable it.
8. | Play the song, listening to the automated volume level changes in the guitar tracks during the Bridge.
9. | Stop the song.

Scaling Automation

Often you'll want to boost or cut levels for an entire track proportionally while maintaining the automation shape and node relationships. In the current song, the Crunch guitar tracks, which have the correct dynamic shape, need to be boosted a few decibels in the mix.

Rather than selecting each automation node and dragging the nodes to adjust the levels (similar to the way you previously adjusted the gain), you can scale the existing values up and down using the automation fader with the Command key. In this exercise you can try your hand at scaling the relative values of the volume automation data.

1. | Command-drag the automation fader for the Crunch guitar 1 track up and down, observing the changes. Notice how the difference in level between the nodes becomes greater as you scale up, and how the node levels move closer together when scaling down. When you adjust the levels for the entire automation track at once, all values are changed proportionately by a percentage.
2. | Command-drag the automation fader of the Crunch guitar 1 track to 2.4dB.
3. | Do the same for the Crunch guitar 2 track, Command-dragging the automation fader to set the level to 2.4dB.
4. | Play the song, listening to the Crunch guitar tracks.
5. | Stop the song.

Automating an Effect Bypass

One advantage of offline automation is its precise timing. When placing a node in the automation track, you can determine its exact location along the timeline by dragging it as you would any event.

Listen for specific points in the Crunch guitar tracks that could use some precise automation.

1. | Drag the bottom right corner of the cycle Region, extending it to measure 57.
2. | Play the song, listening carefully to the Crunch guitar tracks during the end of the Bridge section and at the beginning of the following Verse. You can distinctly hear the reverb tail continue from the last strummed chord of the Bridge into Verse 4. While this makes perfect sense from an engineering perspective, it does not fit the aesthetic of the song. All instruments stop on a dime precisely at the end of the Bridge section, leaving the voice and piano exposed. By using automation, you can bypass the reverb at this precise point, eliminating the hanging tail that overlaps the verse. Both Crunch guitar tracks output to Bus 5, which has a Compressor and a SilverVerb inserted. This submix channel, named Crunch Gt. Sub, has been added to the Track List in the Arrange window and positioned below the Crunch guitar 2 track. This is where you will automate the reverb bypass that will apply to both Crunch guitar tracks.
3. | Using the Magnifying Glass tool, rubber-band select the two Crunch guitar Regions in the Bridge section as well as in the track below it (Crunch Gt. Sub). [View full size image]
4. | Select the Crunch Gt. Sub track. By looking at the Arrange channel strip, you can see the SilverVerb on the second Insert slot. This is the plug-in that you will automate.
5. | Click the Automation Parameter menu and choose Main > Insert#2 Byp. [View full size image] Insert#2 Byp. corresponds to the plug-in inserted at the second slot location in the channel's Inserts.
6. | In the Crunch Gt. Sub track, click the top of the automation track area at measure 55. A new node is created, displaying Bypassed. [View full size image]
7. | If necessary, drag the new node so that it occurs just after the last bit of the waveform in the Crunch guitar tracks (use the alignment lines to help position the node). [View full size image]
8. | Play the song to hear the bypass automation silence the reverb.
9. | Stop the song.


Performing Real-Time Automation

Real-time automation allows you to create automation from your physical gestures, whether they involve dragging a mouse or manipulating a hardware control surface that sends control messages to Logic. Logic's automation is sample accurate, so it captures precise movements of channel controlsmovements that can be recalled during playback.

There are three modes for writing real-time automation: Write, Touch, and Latch. They are available on any channel or Arrange window track. These modes are active whether or not Logic is in record mode, and they can write automation whenever Logic's Transport is running.

Write mode is rarely used, because it deletes all previously recorded automation data under the song position as it moves forward. (There are times when this is useful, however.) Thus you should mostly use Touch or Latch mode when writing automation, as they both read the existing automation data, if any, until a channel control is "touched." This allows you to update existing data as well as overwrite it when needed.

The difference between Touch and Latch modes is best illustrated by using them. To get a feel for the difference between them, let's try both modes while writing some real-time automation in the blank space before the Piano track enters.

1. | Use the Goto Next/Previous Marker key commands (the greater-than and less-than keys) to locate to the Intro section. The cycle Region adapts to encompass the Intro section.
2. | Use the Zoom to fit Locators key command (Ctrl-Shift-Z) to zoom in to the Intro section.
3. | Select the Piano track (Track 15).
4. | Click the Track Solo button to solo the track.
5. | Click the Automation Parameter menu and choose Volume.
6. | Click the Automation Mode menu and choose Touch. You will be using the mouse for data entry, dragging the Arrange channel strip fader to create the automation while Logic is playing. Don't worry if you aren't able to do everything in the first seven bars, because Cycle mode will be on, repeating the section as many times as you need to complete the steps.
7. | Play the song.
8. | While the song is playing, drag up the volume fader in the Arrange channel strip all the way and release the mouse button. The fader returns to the state at which you started.
9. | While still playing the song, change the automation mode to Latch.
10. | Drag down the fader all the way and release the mouse button. The level stays where you left the fader and is "latched" into place.
11. | Stop the song. The main difference between these two modes is what happens after the mouse button is released. When you're in Touch mode, the automation returns to the value at which you started. When you're in Latch mode, the value remains where you left the control. [View full size image] Try recording an entire automation pass for the Piano track using Latch mode. The piano part could use a decrease in volume level of around 2dB for the Verse 2 through Bridge sections.
12. | Ctrl-click the background of the Arrange window to return to the original zoom level.
13. | Click the cycle Region to turn Cycle mode off.
14. | Locate to the beginning of the song by clicking Stop.
15. | Click the Track Solo button on the Piano track to disable Solo mode.
16. | Set the Arrange channel strip fader for the Piano to around 4.6dB. This will be the level at which you will start recording automation. TIP Because Touch and Latch modes only write when a control is active, you can overwrite any existing data by click-holding the fader as you pass over the automation.
17. | Play the entire song, riding the Piano track's volume level by dragging the volume fader in the Arrange channel strip.
18. | Stop the song when finished. You should have an entire pass of real-time automation recorded for the Piano track. [View full size image] If you are happy with this automation pass, it is a good idea to switch the automation mode to Read so that you won't inadvertently overwrite changes.
19. | Switch the automation mode to Read.

Using Automation Quick Access

In order to truly benefit from using real-time automation, you need to control the channel with something other than the mouse. Ideally, a hardware control surface that is designed to integrate with Logic's Track Mixer would provide the best control for real-time automation, but any MIDI controller will do.

Automation Quick Access allows you to assign any knob, fader, or wheel on your MIDI controller to the currently visible automation parameter on a track. While this lets you use your MIDI hardware to write real-time automation, it is limited to automating only one parameter at a time.

While a fader control (available on many MIDI keyboards) is more appropriate for controlling volume level, in this exercise you will be assigning the modulation wheel on your MIDI keyboard, as this is more widely available on MIDI hardware.

1. | Choose Logic Pro > Preferences > Automation. The automation preferences are displayed, with the Automation Quick Access settings located at the bottom of the window.
2. | Click the Learn Message button.
3. | Move the modulation wheel on your MIDI keyboard up and down. A help tag appears, indicating that the assignment has been learned.
4. | Click the Done button, which now can be seen where the Learn Message button was located.
5. | Click the On radio button to make Automation Quick Access active.
6. | Close the Preferences window.
7. | Select the Kick track (Track 24).
8. | In the Automation Parameter menu, choose Pan. The Pan setting is displayed in the automation track.
9. | Move your MIDI keyboard's modulation wheel. The Pan setting changes with your movements.
10. | In the Arrange channel strip, Option-click the Pan knob to reset the value to 0.
11. | Click the Automation Parameter menu, this time choosing Volume. The volume level is displayed in the automation track.
12. | Move your MIDI keyboard's modulation wheel again. The volume level changes with your movements. Notice how the modulation wheel changes function depending on which automation parameter is active. That is the nature of Automation Quick Access. It allows you to access whatever automation parameter is currently displayed on the selected track.

Automating Groups

Now that you've assigned your controller using Automation Quick Access, let's use the modulation wheel to write real-time automation, riding the level of the drums throughout the song. To aid in doing this, the drum channels have been grouped to link the channel parameters. This enables you to record automation for all tracks in a Group at the same time by controlling a single channel.

1. | Bring up Screenset 2.
2. | In the Track Mixer, scroll to the far right to view the drum tracks. Note that the drum tracks have been assigned to Group 8, named Drums. [View full size image]
3. | With the Kick track still selected in the Arrange window, move your MIDI keyboard's modulation wheel. All drum channel faders move in relation to the Kick channel. NOTE While Automation Quick Access is used primarily in the Arrange window, the last selected automation parameter for the selected track (in this case, Volume) is remembered, enabling you to affect levels in the Track Mixer. In addition to linking controls such as Volume, Pan, and Sends, you can also link the automation mode for the Group. This lets you switch automation modes for all channels in a Group at once.
4. | Click the Group display on the Kick channel, and choose "Open Group Settings." The Group Settings window opens.
5. | Check the box next to Automation Mode.
6. | Close the Group Settings window.
7. | Click the Automation Mode pop-up menu on the Kick channel, and choose Touch. [View full size image] All channels in the Drums Group change to Touch mode. Now you are ready to record an automation pass for the entire Drums Group at once. Set the initial levels and locate to the beginning of the song in preparation for recording the real-time automation.
8. | Using your modulation wheel, set the level of the Kick channel to 15dB.
9. | Click Stop to locate to the beginning of the song.
10. | Play the song, using the modulation wheel to ride the volume levels for the Drums Group during playback.
11. | Stop the song when you're finished.
12. | On the Kick channel, click the Automation Mode pop-up menu and choose Read. The automation mode for all channels in the Drums Group changes to Read. Let's look in the Arrange window to see the automation data that you just wrote in.
13. | Bring up Screenset 1. You can see the automation data written to the Kick track, but the other drum tracks are displayed too small for you to see their automation. You need to enlarge the track display.
14. | Shift-click Tracks 24 through 30 (Hat, Snare, Toms_rack, Toms_floor, Drum Overheads, and Loop) in the Track List. The Regions on each selected track are highlighted.
15. | Use the Zoom to fit Selection key command (Shift-Z) to zoom in to the selected Regions (the Drums Group tracks). Notice that the Automation Parameter selections for these tracks (other than the Kick track) all read Display Off. To view the automation, you need to select Volume from the Automation Parameter menu for each track.
16. | For Tracks 24 through 30, click the Automation Parameter menu and choose Volume. You should now see the Volume automation displayed for every track.

[View full size image]

TIP

You can delete the currently displayed automation data by choosing Options > Track Automation > Delete currently visible Automation Data of Current Track. You can also quickly delete all automation written to a track, regardless of what automation parameter is displayed, by choosing Options > Track Automation > Delete All Automation Data of Current Track. Both of these functions are assignable to key commands for easy access.


What You've Learned

  • You create offline automation by clicking in the automation track.

  • You can edit and copy automation data the same way you would work with event data.

  • Automation curves can be used to create more dynamic changes in volume levels.

  • You can scale automation data by Command-dragging the automation fader.

  • Touch and Latch automation modes write data when controls are active and read data when no controls are "touched."

  • Touch and Latch modes behave differently when the channel controls are released.

  • Automation Quick Access is used to assign automation to a slider or knob on a hardware MIDI controller.


Advanced Topics

    Lesson 12. Working with Notation

    Lesson 13. Scoring to Picture

    Appendix. Round-Trip Production

    Glossary


Lesson 12. Working with Notation

Lesson Files | Advanced Logic 7_Song Files > Lesson 12 Project Files > 12_Sintra_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 12 Project Files
Time | This lesson takes approximately 90 minutes to complete.
Goals | Enter and edit note data directly into the Score Editor create note data using step input Format notation using Score Styles Insert text and chord symbols into a score Transcribe a MIDI performance in score notation Create accurately notated percussion parts Prepare and print scores and parts

Logic was built from the ground up with musical notation as a central part of MIDI sequencing. (In fact, Logic evolved from a 1980s notation application called Notator.) As a result, Logic includes comprehensive notation capabilities for creating and printing parts and scores by entering notes directly into the Score Editor and also by automatically transcribing an existing MIDI recording.

This marriage of notation and MIDI data is integral to Logic. Every note in the score represents a MIDI note event. Logic is often called a notating sequencer because you can access all the powerful arranging and composition functionality of Logic's sequencer within the notation environment of the Score Editor window.

In this lesson you will explore Logic's Score Editor, inputting notation and transcribing existing Audio and MIDI Regions, while notating both the audio and MIDI sequences of the composition "Sintra," which you worked on earlier in this book.


Creating Notation

There are a variety of methods of inputting notation, including graphic input, step input, and real-time transcription. In this exercise you will focus on the first two techniques, entering notes directly into the Score Editor.

Let's start by opening the song file you will be using for this chapter: the composition "Sintra," which you worked on in the Advanced Editing section of this book. This time, you will be notating the rhythm guitar part, transcribing the audio file into notation.

1. | Select File > Open.
2. | In the file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 12 Project Files > 12_Sintra_Start.lso.
3. | Play the song if you need to familiarize yourself with the material that you'll be working with. As you can see in the Arrange window, the song mainly consists of Audio Instrument tracks outputting to Logic's EXS24 software sampler, mixed with audio recordings of nylon string guitar. Because the Score Editor interprets MIDI data to create notation, you will be working with a transcription of the main nylon string guitar part (Track 11), inputting and adjusting notes where needed.
4. | If the Guitar Score track (Track 11) is not already selected, click it to select it.
5. | Bring up Screenset 3. [View full size image] This screenset places the Score Editor in the top half of the screen and the Matrix Editor in the bottom half. Both editors display the contents of the selected Guitar Score track. You are viewing a blank Region that was created as a place for you to input notational data. Notice that Logic rests are automatically displayed.

NOTE

Like any other editor, the Score Editor can be opened as an independent window by choosing it from the Windows menu.

Entering Notes Using Graphic Input

You can graphically input notes and other notational elements in the Score Editor by selecting them from the Part box, a palette of notational symbols at the far left of the Score Editor.

1. | Select each object group (represented by each square button) in the Part box. The object group's contents are displayed just below the Part box. The most recently selected object group appears at the top.
2. | Select the key signature object group in the Part box.
3. | Select the Pencil tool.
4. | Since the song is in the key of D major, click D in the key signature object group.
5. | Click the staff between the treble clef and the time signature. A D major key signature is inserted. [View full size image] Look at the notes object group within the Part box and you'll see that it contains three areas, represented by an eighth note, a dot, and a triplet symbol. When you click these symbols, you open palettes of notes with different rhythmic lengths.
6. | Click the triplet, dot, and eighth-note symbols on the notes object group in the Part box to view those palettes. Various rhythmic lengths are displayed in each palette depending on the notes object group that it represents.
7. | If the eighth note is not already selected, select it in the palette.
8. | Select the Pencil tool in the toolbox.
9. | In the Score Editor, click-hold the B line in the middle of measure 5, using the help tag to position an eighth note at 5 2 3 1. Then release the mouse button. [View full size image] NOTE As you drag the note around the staff, you get aural as well as visual feedback. The note is played by the EXS24 plug-in (using a classical guitar sampler instrument) on the current track. An eighth note is inserted on the B line at 5 2 3 1. [View full size image] NOTE The inputted note is reflected in the Matrix Editor as well, and it provides a good reference, especially for length.
10. | Use the same technique to insert a note on the D line above the first note you created. [View full size image] TIP Setting up the Pencil tool as the alternate tool works especially well when graphically entering notation. Doing so allows you to switch between selecting the note duration with the Arrow tool and inserting the note into the staff with the Pencil tool. You might find it a little tricky to land on the correct pitch when graphically inserting a note. If your composition falls into a consistent key, you can make input easier by turning on the Diatonic Insert feature. With this feature activated, you are limited to entering only notes within the current key signature.
11. | Choose Options > Diatonic Insert.
12. | Still using the Pencil tool, click-hold anywhere above the D eighth note you created, and drag up and down while looking at the help tag. The pitch choices are limited to diatonic pitches (so in D major, your pitch choices will not include C natural or F natural).
13. | While still dragging, place an eighth note at E above the D eighth note you previously created. NOTE The note heads automatically change position, correctly notating adjacent pitches. [View full size image] Just as in any of the other MIDI editors in Logic, note data can be copied and pasted.
14. | Select the Arrow tool.
15. | In the Score Editor, rubber-band select the chord you just created.
16. | Option-drag the chord to 5 3 1 1. [View full size image] A copy of the chord is created at the new position. [View full size image]

NOTE

When data is moved and inserted, notes automatically snap to the division value set in the Transport.

Dragging Notes into the Score

Another way to graphically input notes is by dragging elements directly from the Part box palettes.

1. | Drag a quarter note from the notes object group's palette, and drop it onto the B line at 5 3 3 1. [View full size image] A quarter note is created where you dropped the note. While this can be a good way to input notes with a variety of durations, journeying back and forth across the screen can get tedious. Fortunately, you can open the Part box's notes object group as a floating palette and position it anywhere on the screen.
2. | Double-click the notes object group. A floating notes palette opens, including the dotted and triplet versions.
3. | Drag the palette near the measure you are working on. [View full size image]
4. | Drag two more quarter notes from the floating palette, dropping them on the D and A above the B you just input to create a chord. [View full size image]
5. | Create another chord at 5 4 3 1 by dragging half notes to B on the same line as the previous B, and to D and F#, above the previous B. A chord lasting two beats is created, tied across the barline between measures 5 and 6. [View full size image]

NOTE

Ties cannot be inserted graphically in Logic. They are created and displayed automatically (including tie placement), according to the length of the MIDI note.

Adjusting Note Length

Musical notation depicts note length by using a specific set of symbols (sixteenth notes, eighth notes, and so on). Therefore, note length must be edited in a different way than one would edit note length in the Matrix Editor (by graphically dragging the length, for example). To change the length of a note (or group of notes) in the Score Editor, it is necessary to make an adjustment in the Event Parameter box.

1. | Rubber-band select the final chord, and Option-drag it to 6 2 3 1. [View full size image]
2. | Click the disclosure triangle at the far left of the Score Editor to display the Event Parameter box. [View full size image] The Event Parameter box displays the parameters for the selected chord (indicated by 3 Notes sel. displayed in the header). Notice that Logic also supplies a chord analysis of the selected notes (identifying these notes as a B-minor chord).
3. | In the Event Parameter box, double-click the numbers next to the Length parameter and enter 0.0.2.0 (signifying an eighth note). Press Return. The lengths of the selected notes change from half notes to eighth notes. NOTE When notes are graphically input into the Score Editor, they are given lengths that are slightly less than the full value (hence the high tick numbers), to avoid overlaps in note length.
4. | Option-drag the chord to 6 3 3 1. A copy of the chord is placed at the new position and is selected, making it ready for editing.
5. | In the Event Parameter box, double-click the numbers next to the Length parameter, and enter 0.1.2.0 (a dotted quarter note). Press Return. NOTE When entering numbers into the Event Parameter box, you can also use spaces, instead of periods, to separate the digits. The note lengths of the chord change to dotted quarter notes. [View full size image]
6. | Close the floating notes palette.

Entering Notes Using Step Input

While graphic input allows precise entry of notes, it can be slow. A faster technique is step input, which allows you to insert notes at the current song position while Logic automatically moves the Song Position Line forward based on the selected rhythmic length. The notes' pitch and length can be entered by clicking an onscreen piano keyboard, pressing a key on your computer keyboard, or using MIDI input.

To start step input, you need to locate to the song position where you want to begin.

1. | Option-click the staff at 5 1 1 1 (use the help tag) to locate the Song Position Line to the beginning of measure 5. [View full size image] TIP Option-clicking in the staff (not on notes or other symbols) is a quick way to locate the SPL in the Score Editor for playback or editing.
2. | Choose Windows > Step Input Keyboard. The Step Input Keyboard window opens. Buttons in this window can be used to set the pitch, length, and dynamic of a note. [View full size image] TIP The Step Input Keyboard can be used in any of Logic's editors, and it is especially effective when controlled with an extensive set of key commands (including commands for specific note pitches). This allows you to quickly input notes entirely from your computer's keyboard, for non-real-time purposes such as creating notation.
3. | If necessary, reposition the Step Input Keyboard so it does not cover up the score.
4. | Click the whole-note button at the left side of the window.
5. | Click the D2 key on the Step Input Keyboard. [View full size image] A D note is inserted just below the staff, and the Song Position Line jumps to the end of the inserted whole-note value. NOTE Don't panic! The note you just input is displayed as a dotted quarter note for a reason that is explained in an upcoming exercise: "Creating a Polyphonic Score Style". Step input can also be used in conjunction with a MIDI controller to insert notes (instead of clicking the note on the Step Input Keyboard) by enabling the MIDI In button in any editor. When MIDI In is enabled, Logic "listens" for MIDI note input.
6. | Click the MIDI In button in the Score Editor.
7. | Click the half-note button on the Step Input Keyboard.
8. | Press the A1 key twice on your MIDI controller. An A is created at 6 1 1 1 and 6 3 1 1 (a half-note interval). [View full size image] NOTE The Score Editor will automatically display the Region contents at the current song position. Chances are, Logic located to measure 7 after you input the second half note, displaying an entirely different Region. Back up the Song Position Line by clicking Stop to return to the beginning of the song and to the beginning of the Region you have been working with. As long as the MIDI In button is enabled, Logic assumes that you are using step input, and it will create notes based on MIDI input. For this reason it is necessary to deactivate the MIDI In button when you are finished using MIDI for note input.
9. | Click the MIDI In button to deactivate it.
10. | Close the Step Input Keyboard.


Using Score Styles

Just as text can be formatted depending on the context (such as paragraph style, poetry stanzas, and outline), music notation can be displayed in a variety of formats, depending on the instrument, transposition, number of voices, and so on.

Logic allows you to format notes using Score Styles, which assign multiple attributes to notes within a MIDI Region, such as clef, staff size, instrument transposition, and various other voice-display parameters.

A Score Style acts like a notation-display filter and can be changed or adjusted at any time. Let's try out a few Score Styles to observe their effects on the part you just input.

1. | At the far left of the Score Editor, click the disclosure triangle to show the Display Parameter box. The Display Parameter box contains parameters that affect the display of the currently selected MIDI Region. The Style parameter designates the Score Style assigned to the Region currently displayed in the Score Editor.
2. | Click-hold the Style parameter. The Score Style list is displayed. Logic comes with many Score Styles that each contain several attributes, such as clef assignment and display transposition. NOTE Score Styles are saved in a song file and can be imported from one song to another using File > Song Settings > Import Settings.
3. | Choose Alto Sax from the Score Style list. The notation in the Score Editor changes because the Alto Sax is an [image] -transposing instrument. As a result, the part is transposed up nine semitones and notated in the key of B major. [View full size image]
4. | Click-hold the Style parameter and choose Guitar from the list. The notation in the Score Editor changes to display guitar tablature. [View full size image] As you can see, Score Styles are extremely versatile in their display of the note data.
5. | Click-hold the Style parameter and select Treble, returning the notation to its default setting.

NOTE

Logic automatically assigns a default Score Style (Treble, Bass, Piano) to a MIDI Region based on its octave and range.

Creating a Polyphonic Score Style

You probably noticed that the three bass notes you created by step input are displayed incorrectly in the Score Editor. The notes do not appear to sustain for the full amount of time and are cut off by the notes that follow. However, if you look at the notes in the Matrix Editor (in the bottom half of the screen), you'll notice that the lengths of those notes are displayed correctly.

Our guitar part was input as a single voice, and therefore the note lengths are cut off because there is no voice independence. To solve this problem, you need to create a polyphonic Score Style that can display multiple independent voices at once.

1.
Shift-click the three notes you just created via step input (D2, A1, A1) to select them.

The corresponding notes are highlighted in the Matrix Editor.

[View full size image]

Notice the difference in the representation of the notes in the Matrix and Score editors. The reason for this display discrepancy lies in the established system for notation of a polyphonic instrument. A polyphonic instrument that is notated on a single staff, such as guitar, needs to have rhythmically different melodic lines displayed in the same staff. These voices, in turn, must be able to display length, stem direction, and rests independently of each other.

2.
Double-click the Style parameter.

The Score Styles window opens, displaying the contents of the default Treble Score Style.

[View full size image]

The data displayed in the Treble Score Style depicts a single voiced staff with various display attributes.

3.
Click-hold the name box.

[View full size image]

4.
Choose ****DUPLICATE!**** from the menu.

A new Score Style is created with the attributes of the Treble Score Style. Let's rename it.

5.
Double-click the Score Style name in the name box and enter Guitar (1+2), then press Return.

[View full size image]

6.
In the Score Style window's local menu, choose New > Insert Voice.

A new voice is created below the previous staff voice, indicated by the number 0 at the far left of the line.

NOTE

Score Style may have multiple staves (such as one of the Piano styles), with each staff containing its own set of voices.

In guitar notation, when more than one voice is displayed at the same time, the stems, ties, and tuplets of the top voice always point upward. You can reflect this in the Score Style by modifying the Voice attributes for the top voice.

7.
In the top voice, click the Stem field and choose Up.

[View full size image]

8.
Do the same for the Tie and Tupl (Tuplet) fields.

9.
In the bottom voice, click the Stem, Tie, and Tupl (Tuplet) fields one at a time and choose Down.

[View full size image]

By default, each voice in a Score Style can display rests. This can create multiple rests in a staff, which are appropriate for divisi (divided) parts but are not appropriate for a solo part.

10.
Click the Rest field for the bottom voice and choose hide.

[View full size image]

This will hide the rests for the bottom voice.

TIP

Rests can be inserted manually by dragging them into the score from the Part box. These are graphic only and have no effect on the playback of the MIDI Region.

The last thing to consider is how to assign individual notes in the Region to each voice. By default, a Score Style will identify a split note to do this. Pitches that fall above the split note are assigned to voice one, and pitches that fall below the split note are assigned to voice two. This split note can be changed in the Assign column in the Score Style window.

However, this technique usually won't work for Guitar notation because voices are assigned primarily to represent melody (or bass lines) and accompaniment, and can consist of any range of pitches. Instead, voices can be assigned in a Score Style using the individual notes' MIDI channel numbers.

NOTE

Each note can have its own MIDI channel within Logic. This setting is applied on input by the MIDI Out channel setting of the MIDI controller, or it can be applied after the fact using Logic's editors.

11.
In the Assign area (far right), double-click the Chan field for the top voice and enter 1. Press Return.

[View full size image]

12.
Double-click the Chan field for the bottom voice and enter 2. Press Return.

With these settings, all notes using MIDI channel 1 will be assigned to the top voice, and all notes using MIDI channel 2 will be assigned to the bottom voice.

Now that you have created the polyphonic Guitar Score Style, it's time to apply it to the displayed Region.

13.
Close the Score Style window.

14.
Click-hold the Style parameter in the Display Parameter box and choose Guitar (1+2).

The notation changes slightly, displaying the notes with all stems pointing up. When notes are inserted manually, the same default MIDI channel is assigned to all notes (in this case, channel 1). When you applied the Score Style, all notes in the Region were assigned to the top voice.

Rather than manually changing the MIDI channel for each note that you want to assign to the bottom voice, you can quickly assign notes to adjacent voices by using the Voice Separation tool. The Voice Separation tool works by allowing you to draw a line between voices that need to be separated. Notes below the line are bumped to the adjacent voice below their current assignment, while notes above the line will be bumped up a voice.

15.
Select the Voice Separation tool.

16.
Using the Voice Separation tool, draw between the bass notes and the chords in one continuous line.

[View full size image]

The bass notes are assigned to the bottom voice and now display correctly.

[View full size image]

NOTE

You can continually adjust voice assignment with the Voice Separation tool by drawing lines above and below individual notes or entire passages.


Working with Text

Text serves various purposes in musical notation, including supplying performance indications and displaying chord notation. Text can be added as you would add other elements in the Score Editor: by using objects from the Part box.

Entering Text into the Score

Let's create a basic performance indication for the guitar part using an object from the Part box. The easiest way to input text directly into the Score Editor is with the Text tool.

1. | Select the Text tool.
2. | Click the area above the staff around the first measure. A text insertion point is created.
3. | Type Latin and press Return. [View full size image] Inserted text can be edited in a variety of ways in the Event Parameter box.
4. | In the Event Parameter box, drag up the Size parameter to a value of 12. The selected text increases in size.

NOTE

The parameters in this box also allow you to fine-tune the appearance and placement of text in the score.

Creating Chord Symbols

In the Score Editor, chord symbols are a specialized form of text object and carry their own display attributes. Chord symbols can also be created by dragging symbols from the Part box.

Let's create some chord symbols in the guitar score to indicate the accompaniment chords for the guitar solo.

1. | Use the Goto Position key command (comma key) to locate to 40 1 1 1. [View full size image] NOTE A lead sheet Score Style is used at this location to notate the chord slashes.
2. | Click the disclosure triangle for the Event Parameter box to close it.
3. | Select the text object group in the Part box to view its contents.
4. | Drag the CHORD object to just above the staff at 40 1 1 1. [View full size image] A text insertion point is created at the location.
5. | Type D (uppercase) and press Return. A D major chord symbol is entered at 40 1 1 1. [View full size image]
6. | Click the Fast Forward button on the Transport to locate to measure 44.
7. | Drag the CHORD object from the palette to just above the staff at 44 1 1 1.
8. | Type C (uppercase) and press Return to enter another chord symbol. This time, you are going to modify the chord by opening the Chord Symbol dialog.
9. | Double-click the chord symbol you just created. The Chord Symbol window opens. This dialog allows you to add extensions and chord inversions.
10. | Click the field next to the slash, and type D.
11. | Click OK. The chord is displayed as a C-major chord with a D in the bass. NOTE You might need to adjust the chord symbol's position by dragging it with the Arrow tool so that it does not overlap the top of the staff. [View full size image]
12. | Using the same technique, create a D-major chord symbol at 46 1 1 1. [View full size image]

Using Text Styles

Similarly to formatting notes using Score Styles, you can create Text Styles to format text elements in the Score Editor. Each Text Style contains attributes like font, size, and style that can be applied to specific types of text objects. You will use the Text Style window to modify the attributes of the Chord text objects in the current score.

1. | In the Score Editor's local menu, choose Text > Text Styles. The Text Style window opens. NOTE You may need to resize the window to view its entire contents.
2. | Position the Text Style window so that you can see the chords you recently created.
3. | Click the Font column in the Chord Root row, and choose Arial from the pop-up menu. The font changes for all chords.
4. | Click the field that is in the B (Bold) column and Chord Root row. All chords are displayed in bold type. [View full size image] NOTE Any Text Style can be assigned to a text element in the Display Parameter box.
5. | Close the Text Style window.

TIP

Text Styles are useful for creating specialized text formats commonly used in music notation, such as rehearsal markings. New Text Styles are created by choosing New > New Text Style. You can then assign the new Text Style to any input text by selecting it in the Style parameter in the Event Parameter box.


Transcribing a Performance

Logic's notation engine is designed to preserve the subtleties of an actual performance while organizing the data into cleanly notated scores. With a little finessing, you can create accurate parts and scores based on existing MIDI tracks without sacrificing any of the original "feel" of the sequenced material.

Logic accomplishes this demanding task by utilizing a separate notation display system that allows you to adjust the look of the notation without changing the original MIDI Region data.

In this exercise you'll learn how to prepare MIDI Regions in the Arrange window to aid in the transcription process, as well as how to adjust parameters in the Score Editor to correctly notate the parts without modifying the performance data.

Preparing MIDI Regions for Notation

When sequencing, it is commonplace to have tracks made up of noncontiguous Regions (that is, Regions that have space between them). However, the Score Editor needs Regions in order to display notation and will display nothing (not even a staff) if no Region is present.

For this reason, it is advisable to fill up MIDI tracks with Regions by inserting blank Regions, or by merging multiple Regions into a single composite Region, for the purpose of notation. This has no effect on the playback of a part but allows the Score Editor to create staves and fill them with rests.

1. | Bring up Screenset 1 to return to the Arrange window.
2. | Click the Stop button to return to 1 1 1 1.
3. | Select the Bongos track (Track 9). The Bongos track consists of two separate Regions. [View full size image]
4. | While holding down the Option key, choose Windows > Score. The Score Editor opens as a floating window. As you can see in the Score Editor, the display starts at measure 11, which corresponds to the start of the first Region in the track.
5. | Position the floating Score Editor so that you can clearly see the Bongos track. You will use this floating Score Editor to observe the changes you make to the track in the Arrange window.
6. | In the Arrange window, select the Pencil tool, and click at 1 1 1 1 in the Bongos track to create a blank Region. [View full size image] Notice that the Score Editor now displays the new Region as a blank one-measure percussion staff.
7. | Create another blank Region at 81 1 1 1 in the Bongos track. [View full size image] This, too, displays as a blank staff.
8. | In the Track List, click the Bongos track to select all Regions, including the new ones.
9. | In the Arrange window's local menu, choose Region > Merge > Regions. One contiguous Region is formed for the Bongos track. [View full size image]
10. | Scroll through the Score Editor to view the part. Rests are now displayed for areas with no activity.

Viewing the Data Accurately

The settings in the Display Parameter box (with the exception of Style) form the basis for the rhythmic interpretation and display of MIDI data. These settings apply only to the score display and do not change the playback of the MIDI Regions in any way.

Let's look at how these parameters affect the notation of a selected Region.

1. | Click the Track Solo button for the Bongos track to solo the track.
2. | Use the Goto Position key command to locate to 11 1 1 1.
3. | Play the song, listening to the bongos part while watching the notation.
4. | Stop the song after you're familiar with the material.
5. | If the Display Parameter box is not already present, open it in the floating Score Editor window. You can use the Quantize setting (located below the Style parameter) to apply visual quantization to the notes, dictating the shortest value that can be displayed in the currently selected MIDI Region.
6. | Click the Quantize parameter and select 8 from the list. The notation changes to display eighth notes as the shortest value. [View full size image]
7. | Play the song, listening to the bongos part while watching the notation. Notice that what you are hearing is not rhythmically the same as what is displayed. This illustrates the independence of display quantization from the actual MIDI performance data.
8. | Use the Goto Position key command to locate to 11 1 1 1.
9. | Click the Quantize parameter and choose 16,24 from the list. This default setting works well for the part. It permits sixteenth notes as well as sixteenth-note triplets (indicated by the 24) to be displayed as the shortest note lengths in the Score Editor. Let's move on to the Interpretation parameter, which is specifically used to create an easy-to-read score from real-time MIDI recordings. When notes are performed, they generally aren't held for exactly the full length of a given note, but are shortened depending on the articulation and the time needed to move to another note on the instrument. With Interpretation on, Logic fills in those performance gaps between notes and makes a guess as to the appropriate notation for each note.
10. | Uncheck the box next to Interpretation in the Display Parameter box. The notes are now displayed as isolated sixteenth notes with rests. [View full size image] This might be more technically accurate (displaying the actual length of the notes as played), but the notation is much harder to read! Considering that the part is a percussive one, it makes sense to have Interpretation turned on (the default setting).
11. | Click the box next to Interpretation, turning Interpretation on. TIP Interpretation should be off when using graphic or step input, as you want the full value of the selected notes to display. In addition to settings identified in the Display Parameter box, each note can have unique display settings, independent of the Region settings. These are set in the Note Attributes dialog.
12. | Double-click the first note of measure 11. The Note Attributes dialog opens. Here you can make adjustments to individual notes, including applying Interpretation.
13. | Click Cancel to close the Note Attributes dialog.
14. | Close the floating Score Editor window.
15. | Click the Track Solo button on the Bongos track to disable the button.


Working with Drum Notation

Logic has a unique and powerful way of notating drum parts using mapped instruments. Traditionally, mapped instruments are created in Logic to represent a drum machine or drum channel in a multi-timbral synthesizer, but they also enable you to assign specific notes to voice groups in the Score Styles and thereby create drum notation.

In this exercise you will create a mapped instrument to generate a score from the drum tracks used in the song.

Consolidating the Tracks

To create a single drum staff, you first need to consolidate the multiple tracks used in the drum part to turn it into a single contiguous Region.

1. | Shift-click Tracks 3 through 7 (Cymbals, Hi-Hat, Toms, Bass Drum, and Rim Shot), selecting the Regions in each track.
2. | In the Arrange window's local menu, choose Region > Parameters > Turn Loops to Real Copies.
3. | In the Arrange window's local menu, choose Region > Merge > Regions. The drum tracks combine into a single Region on Track 3. [View full size image]
4. | In the Arrange window's local menu, choose Track > Delete Unused. The tracks left empty by the merge are deleted. [View full size image]
5. | Select Track 3 (with the Drums Region in it).

Creating a Mapped Instrument

Now that everything is consolidated into a single Region, you can create the Mapped Instrument Object in the Environment.

1. | Choose Windows > Environment.
2. | Click-hold the Layer box on the far left of the Environment window and choose Instruments. [View full size image] The selected layer has nothing in it yet.
3. | In the Environment window's local menu, choose New > Mapped Instrument. A Mapped Instrument Object is created in the Environment layer, and the mapped instrument window is displayed. [View full size image] The mapped instrument window is used to edit individual notes in a mapped instrument, and it automatically opens when creating a new Mapped Instrument Object. NOTE A mapped instrument window can also be displayed by double-clicking the Mapped Instrument Object.
4. | In the mapped instrument window, scroll down until you can see the drum names displayed in the Input Name column (around Output Note B0). [View full size image]
5. | Look at the three columns to the right in the mapped instrument window: Head, Rel.Pos (for Relative Position), and Group. [View full size image] The information in these columns has a direct impact on the drum notation. In these columns you assign note heads and adjust the relative position of the clef for each note. In addition, each note can be assigned to Drum Groups, which carry common attributes that are interpreted by the Score Style in the Score Editor. NOTE The default settings in the mapped instrument window correspond to the standardized General MIDI (GM) Drum Kit note assignments. This makes it a snap to create drum notation from an EXS24 sampler instrument that also reflects the General MIDI note assignments. If you aren't using a GM-mapped drum sampler instrument to output the part, then adjustments can be made in the Output Note column to trigger the appropriate sound.
6. | Close the mapped instrument window.
7. | Click the Object's name in the Parameter box (Mapped Instr.), type Drums, and press Return. The Mapped Instrument Object's name changes to Drums. In order for the track in the Arrange window to display the drum notation, you need to assign it to the mapped instrument you created. To ensure that it still outputs to the EXS24 plug-in inserted on the Audio Instrument channel, you need to cable the Objects together in the Environment.
8. | Option-click the cable output from the Drums Object, and choose Audio > Audio Instrument > Inst 1. NOTE Option-clicking a cable output allows you to connect Objects in different layers of the Environment. An alert displays, asking if you want to remove the port setting for the Object.
9. | Click Remove. NOTE By removing the port and channel settings for the Object, you are setting the Drums Object to output only to the Audio Instrument Object. A cable appears, connecting the Objects between the layers of the Environment. You're now ready to assign the new Mapped Instrument to the consolidated Drum track in the Arrange window. Instead of click-holding the track in the Track List and choosing an Object from the menu, you can quickly assign the selected track to any Object in the Environment by using the MIDI Thru tool.
10. | Select the MIDI Thru tool.
11. | Click the Drums Object in the Environment window.
12. | Close the Environment window. In the Arrange window, the selected Drum track (Track 3) is now assigned to the Drums Mapped Instrument. (You verify the assignment by looking at the Arrange channel strip, which now displays a MIDI fader.) [View full size image] Now all that's left to do is assign the Score Style in the Score Editor.
13. | Bring up Screenset 3. The Score Editor displays the contents of the Drum track but uses the default Bass Score Style. In order for the settings in the mapped instrument window to be translated into notation, it is necessary to assign a Mapped Score Style to the Region. Mapped Score Styles are designated in the Score Style list by a # symbol preceding the name.
14. | Open the Display Parameter box by clicking the disclosure triangle.
15. | Click-hold the Style parameter setting and choose #Drums. The Region is now displayed in correct notation. [View full size image] NOTE If the display is cut off, you can move the staff by dragging down the clef. Open the #Drums Score Style to see how it affected the settings.
16. | Double-click the Style parameter. The #Drums Score Style is displayed in the Score Style window. [View full size image] As you can see, this is a polyphonic Score Style of sorts, consisting of multiple voices that are assigned to Drum Groups instead of a split point or MIDI channel. These Drum Groups correspond to the Group column in the mapped instrument window. NOTE You might need to resize the Score Style window to see its entire contents.
17. | Close the Score Style window.


Creating Scores and Parts

Logic's Score editor allows you to use Instrument Sets to control which instruments will be displayed (and printed) in a score. An Instrument Set can include as many (or as few) of the existing track instruments as you want, and instruments can be arranged independently of their order in the Arrange window. In an Instrument Set you can also assign instrument names and determine if the group shares bar lines, brackets, or braces.

Multiple user-defined Instrument Sets can be created to display everything from a full score to individual parts. In this exercise you will use Instrument Sets to lay out the full score as well as generate quick parts for individual instruments.

Creating an Instrument Set

1. | Bring up Screenset 6. The screenset contains a Transport as well as a full-screen Score Editor that is displayed in page view. [View full size image] NOTE Page view can be displayed in any Score Editor window by selecting View > Page View from the Score Editor's local menu, or clicking the Page View button located in the top left corner of the window. Prior to the creation of any Instrument Sets, Logic displays selected instruments using a default Instrument Set named ALL INSTS, which appears in the Instrument Set box at the far left of the Score Editor. However, you aren't seeing all the instruments at the moment, because you recently selected the Drums Region. In order to display all the instruments, you need to move up a display level (reflecting the Arrange window).
2. | Click the Up One Display Level button, located in the top left corner of the window. All instruments are displayed in the Score Editor. [View full size image] While the default ALL INSTS Instrument Set works for the basic display of the instruments, you can refine the score display by creating your own Instrument Set.
3. | In the Score Editor's local menu, choose Layout > Instrument Sets. The Instrument Set window opens. [View full size image]
4. | In the Instrument Set window's local menu, choose New > New Complete Set. A new Instrument Set, made up of all the instruments used in the Arrange window, is created. [View full size image]
5. | Double-click the Instrument Set name in the Name box, and type Ensemble. Press Return. In the Instrument Set window, you can set the instrument names that appear in the score. As you can see in the Full Name column, the default names are taken from the instrument assigned to the track. You can, however, enter anything you like. Let's edit the Instrument Set by naming all the parts according to the instrument type (percussion, bongos, guitar, and so on).
6. | In the Full Name column, click the field displaying Inst 3 and type Percussion, then press Return. [View full size image]
7. | Using the same technique, rename Inst 4 Bongos, Inst 5 Bass, and Inst 6 Guitar. [View full size image] An Instrument Set also allows you to scale the size of the displayed staves, enabling you to fit more systems on a page. This is especially useful when creating full conductor scores.
8. | Double-click the number next to the Scale parameter (below the Instrument Set name) and enter 65, then press Return.
9. | Close the Instrument Set window. To apply the Instrument Set you created, you need to assign it in the Instrument Set box.
10. | Click-hold the Instrument Set box and choose Ensemble. The score displays to a smaller scale and shows the instrument names you assigned in the Instrument Set. [View full size image] The full score can now be printed.

Creating Parts for Printing

It is desirable to create individual Instrument Sets for each instrumental part in the score. This allows the most control over naming and other display attributes, and it enables you to print parts by selecting from the Instrument Sets menu.

You can quickly create an Instrument Set for a part using the Create Instrument Set from Selection function.

1. | Click one of the staff lines in the guitar staff to select that staff. The staff is selected and displayed in blue.
2. | In the Score Editor's local menu, choose Layout > Create Instrument Set from Selection. A new Instrument Set, named *Inst 6, is created and displayed in the Score Editor. [View full size image] To complete the part, it is a simple matter to change the default instrument name to Guitar in the Instrument Set window. The current Instrument Set can be opened by double-clicking its name in the Instrument Set box.
3. | Double-click *Inst 6 in the Instrument Set box. The Instrument Set window opens, displaying the settings for the newly created part. [View full size image]
4. | Double-click the Instrument Set's name in the Name box, and enter Guitar. Press Return. [View full size image]
5. | Rename the instrument as you did before, by clicking in the Full Name field. [View full size image] Instrumental parts can have individual preferences for layout. To designate an Instrument Set as a part, you need to change the Format parameter, which is located below the Scale parameter.
6. | Click the setting next to the Format parameter (it currently displays Score). The Format setting changes to Part. [View full size image]
7. | Close the Instrument Set window. Now that you've designated the Guitar Instrument Set as a part, you can change its layout preferences without affecting the Ensemble Instrument Set you created earlier. The layout preferences for both scores and parts are located within the Song Settings.
8. | In the Score Editor's local menu, choose Layout > Global Format. The Song Settings window opens, displaying the Score Editor's General pane. [View full size image] As you can see in this window, there are separate layout settings for scores and parts, designated by the two columns titled (appropriately enough) Score and Part. The guitar part that you have been formatting needs a bit more space between the staves, because the notation is getting crowded. You can create more space between the staves by adjusting the Line Distance setting in the Part column.
9. | In the Part column, double-click the Line Distance field and enter .25. then press Return.
10. | Close the Song Settings window. The staves for the guitar part are more spread out now, making them easier to read. Let's finish by comparing the two Instrument Sets you have created. The differences can be seen most easily if you view the pages in their entirety. By zooming out in the Score Editor, you can see entire pages side by side.
11. | Press the Zoom Vertical Out key command (Ctrlup arrow) repeatedly until you can see two pages side by side. [View full size image]
12. | Click-hold the Instrument Set box and choose Ensemble. The Score Editor displays the full score. [View full size image] The two Instrument Sets display independent scale and line distance settings.
13. | Try printing the scores of both the Guitar and Ensemble Instrument Sets by choosing them in the Instrument Set box and choosing File > Print.

NOTE

If you don't have a printer connected, you can activate the Save as PDF button to save the score as a PDF file.


What You've Learned

  • Notation can be entered in the Score Editor using the Pencil tool, dragging elements from the Part box, or using step input.

  • Note length is edited in the Event Parameter box.

  • Score Styles are used to assign display attributes to notation.

  • Polyphonic Score Styles are used when a part requires notating independent voices. These voices are assigned using a MIDI split note or individual MIDI channel.

  • The Voice Separation tool can be used to quickly assign voices in a polyphonic Score Style using MIDI channel assignment.

  • Text Styles assign display attributes to text elements in the Score Editor.

  • MIDI Regions often must be edited to display notation accurately.

  • Quantization in the Score Editor changes the notation display, but does not affect the performance data.

  • Drum parts can be notated by assigning a mapped instrument and a Mapped Score Style to a track.

  • Instrument Sets are used to display and print individual parts up to full scores.

  • You can assign separate format settings for parts and scores.


Lesson 13. Scoring to Picture

Lesson Files | Advanced Logic 7_Song Files > Lesson 13 Project Files > 13_Monterey_Start.lso
Media | Advanced Logic 7_Song Files > Lesson 13 Project Files
Time | This lesson takes approximately 90 minutes to complete.
Goals | Set up synchronization for time-locked playback of audio and video Import media of several formats into a song file while retaining time code data Modify tempos with Beat Mapping to sync song events to the picture Position audio events at specific points in the SMPTE timeline

Composing music for film and video has been greatly facilitated with the advent of computer-based music production. Methods for calculating tempo and ensuring synchronization between music and picture have been made simpler by computers powerful enough to stream digital video and audio in the same application.

Scoring to picture is a collaborative effort that entails integrating a variety of media (including digital video and audio) that is often produced by more than one person or facility. As a result, a key skill is the ability to import and work with many media elements in a variety of formats while maintaining the same timing references, especially when the music needs to synchronize with critical moments in the film or video footage.

In this lesson you will work with a synchronized digital video clip in a Logic song, adjusting its tempo to coordinate with significant events in the movie. You'll also align musical events with the SMPTE timeline to accentuate visual cues.


Setting Up Synchronization

While it is still entirely appropriate to work with an external video deck synchronized to audio using SMPTE time code (converted to MIDI Time Code), the norm for today's media composers is to work with digital video clips in a Logic song.

Using digital video clips simplifies video-to-music synchronization. You no longer have to add significant pre-roll time at the beginning of a song to provide time for the hardware deck to lock into sync, and you can instantly locate to any point within the song and the video. What's more, the digital video (along with all the synchronization settings) can be saved in the song's project file for easy archiving and retrieval.

Logic leverages the Apple QuickTime engine for video playback and, therefore, can open a digital video clip (commonly referred to by the single term movies) in any format supported by the QuickTime standard.

In this exercise you will open a digital video clip in a new Logic project, adjusting the synchronization settings to allow for time-locked playback and reference of audio and video.

Let's start by creating a project file around a useful stock song template created for working with video.

1. | Choose File > New. The New song window opens.
2. | Check the "Use song template" box if it is not already checked.
3. | In the Template pop-up menu, choose Shared > Powerbook 15" > Music for Video (NTSC).
4. | Check the "Create project folder" box, if it is not already checked.
5. | Type Scoring to Picture in the Name field.
6. | Click the Set button, and set the following path in the file selector window: ~/Music/Advanced Logic 7_Song Files/Lesson 13 Project Files.
7. | Click Set in the file selector window.
8. | Check the boxes for "Copy external audio files to project folder" and "Convert audio file sample rate when importing."
9. | Click OK. A new project folder is created in the chosen directory, and the song template Music for Video (NTSC) is opened.

Opening the Movie

You can see that Screenset 1 has been created to display the Marker and Video Global tracks, as these tracks are commonly used when working with video. The Video track provides many useful functions for importing and working with video.

1. | In the Video track, click the Open Movie button. The Open window appears.
2. | Open ~ > Music > Advanced Logic 7_Song Files > Lesson 13 Project Files > Movie Files > Monterey.mp4. The Monterey.mp4 video opens in a floating window, and a video thumbnail of the movie is created in the Video track. NOTE You can also open a movie by selecting Options > Movies > Open Movie as Float.
3. | Position the floating video window in the bottom right corner of the Arrange window to see the Video track and Audio tracks. [View full size image] NOTE When working with digital video clips in Logic, it is best to utilize proxy movies. A proxy movie is a low-resolution, highly compressed version of the full-resolution movie that places less processing strain on your computer. Usually the video editor will provide the compressed clips, but they can also be created in applications like QuickTime Pro. If you are preparing the clips yourself, it is advisable to use high-compression formats such as MPEG-4 or Sorenson 3.
4. | Play the song to view the video content with which you will be working. The movie is controlled by Logic's Transport and plays in sync with the song. NOTE You won't hear audio when playing the video clip because there is no audio recorded in the file.
5. | While playing, click anywhere in the Bar Ruler to locate to another position. The movie relocates in sync with the song.
6. | Drag the playback head in the QuickTime timeline to the right. The song relocates in sync with the movie.
7. | Stop the song.

NOTE

Logic enables you to output video via FireWire to an NTSC monitor (which requires a DV-to-video converter box) as well as to an Apple Cinema Display via the Digital Cinema Desktop. You can make these settings in the Video Output menu under File > Song Settings > Video. When using FireWire video streaming, it is necessary to compensate for the latency in the FireWire setup. This will be a constant amount that you can adjust in Logic Pro > Preferences > Video by dragging the External Video to Song slider until the image and sound synchronize.

Working with SMPTE Time Code

You can establish synchronization between the video and Logic just by opening a QuickTime movie in a song, but a few settings should be set specifically for the time code to display properly. These settings are found in the Synchronization pane of the Song Settings window.

1. | Choose File > Song Settings > Synchronization. The Song Settings window opens, displaying the Synchronization pane. [View full size image] To ensure tight sync, the song should reflect the movie's frame rate. This is set in the Frame Rate pop-up menu.
2. | Click the Frame Rate menu and choose 24. (This is the frame rate of the digital video clip.) NOTE The original footage was shot at 24 fps to high-definition video. [View full size image] The SMPTE start time can be set individually so that each song will synchronize with the video. You will be using a start time of 1:0:0:0.0 for this project, so it is necessary to change the song template's default setting of 0:50:3:0.0.
3. | Highlight the number in the "plays at SMPTE" field and enter 1:0:0:0.0. Press Return. [View full size image]
4. | Close the Song Settings window. The next thing you need to do is set the Movie Start time. Usually you would set this to match the SMPTE burn-in window time code in the video, ensuring that Logic's time code display will match the time code on the video. However, the clip you are using has no burn-in. The video editor did supply the SMPTE offset information to synchronize the audio with the video, indicating an offset of 1 second and nine frames. Once set, the movie will start just shortly after the song starts. This information should be entered in the Movie Start row in the movie window.
5. | In the Movie Start row of the floating movie window, double-click the number and enter 01:00:01:09.00. Press Return. To aid in the scoring process, you'll want to display time units in the Arrange window's Bar Ruler as SMPTE time. This setting also affects the dragging of Region and event information, because Logic displays SMPTE time in the help tags when this view is active.
6. | In the Arrange window's local menu, select View > SMPTE Time Ruler. The Bar Ruler now displays SMPTE time. [View full size image] It often helps to compare bars and beats timing with SMPTE time when you're working. You can display both in the Bar Ruler by enlarging the ruler vertically.
7. | Locate the place where the Bar Ruler meets the Track List, and drag that corner down until you can see bars and beats as well as SMPTE time. [View full size image] The Transport can be configured as a dedicated SMPTE time display, which provides easy readability at long distances (especially useful when you're working across the room from your display).
8. | Choose Windows > Transport. Another floating Transport window opens. [View full size image]
9. | Click the triangle in the bottom right corner of the new Transport window, and choose Giant SMPTE Display. The giant SMPTE display can be resized and positioned anywhere you choose on the screen, and locked to a screenset.
10. | Reduce the size of the giant SMPTE display slightly by dragging its bottom right corner up and to the left.
11. | Position the giant SMPTE display above the floating movie window. [View full size image]
12. | Lock the screenset by choosing Windows > Screensets > Lock Screenset.


Importing Media

The integration between the editing suites used by video editors, sound designers, engineers, and composers has traditionally proved to be a hurdle when these groups collaborate on media projects. However, integration has been improved with the development of interchange formats that allow you to exchange media with colleagues while maintaining time code and even automation information.

In the following exercises you will import media of different formats into the song file while retaining the time code information.

Importing XML from Final Cut Pro

Logic supports Extensible Markup Language (XML) files as an interchange format. XML is used by some of Apple's Pro applications, such as the video production application Final Cut Pro, to store relevant information. This information can be exchanged between the supporting applications. For example, XML exchange allows you to import audio files used in a Final Cut Pro project file, including its timing and automation information, into Logic's Arrange window.

For this exercise, an XML file has been created from a Final Cut Pro project. This file contains information about the file locations, timings, and volume keyframes (automation) for three sound effects that the video editor has placed in a Final Cut Pro sequence.

1. | Select the Audio 1 track, if it isn't already selected.
2. | Choose File > Import.
3. | In the file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 13 Project Files > Monterey XML. A dialog opens, displaying the sequence information from the original Final Cut Pro project file.
4. | Click OK. A prompt appears asking you to relink the XML file's associated audio files.
5. | Click OK.
6. | In the file selector, choose the desired file from the following location: ~/Music/Advanced Logic 7_Song Files/Lesson 13 Project Files/FX from FCP. Repeat this process for each file requested by Logic. The files are all located in the same folder. The audio files associated with the XML file are imported into four new tracks in the Arrange window. [View full size image] NOTE Logic creates pairs of mono tracks panned left and right when importing XML to reflect Final Cut Pro's use of split stereo files (separate mono left and right files) in a project.
7. | Press the Zoom Horizontal Out key command (Ctrlleft arrow) three times, zooming out enough to enable you to see all the imported Regions.
8. | In the Arrange window's local menu, choose View > Track Automation. An alert appears, asking if you'd like to set the automation parameter for all tracks for Volume.
9. | Click All Tracks. The Volume automation information associated with the imported audio Regions is displayed. [View full size image] NOTE When importing associated audio from an XML file, Logic will automatically create tracks assigned to the first group of Audio Objects. The song file you are using in this exercise already has tracks assigned to these Objects. As a result, tracks 1 through 4 are duplicated. (You can see the automation duplicated in Tracks 5 through 8.) These blank, duplicated tracks aren't needed. This information was created as Volume keyframes in Final Cut Pro. However, in order for Logic to be able to read the keyframe information, you must convert it via the Move All Region Control Data To Track Automation function.
10. | Choose Options > Track Automation > Move All Region Control Data To Track Automation.
11. | For Tracks 14, click the Automation Mode menu, choosing Read for each track.
12. | Play the song, observing the automation of the Arrange Channel Strip fader for Track 1.
13. | Stop the song.

Importing Broadcast WAVE Files

Broadcast WAVE files are similar to files in other PCM audio file formats (such as AIFF), but they also contain time code information in the header of each file. That information allows you to import and export these audio files between applications while retaining their absolute position in time.

You can test this by importing a sound effect in the Broadcast WAVE format.

1. | In the Arrange window's local menu, choose View > Track Automation to turn off track automation.
2. | Delete Tracks 58 (the duplicates of Audio tracks 14 that don't contain Audio Regions) by individually selecting them and pressing the Delete key. The duplicate Audio 14 tracks are deleted.
3. | Select the Audio 5 track (now Track 5), if it is not already selected.
4. | Click the Stop button to return to 1 1 1 1.
5. | Choose Audio > Import Audio File. The Open file window appears.
6. | In the file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 13 Project Files > Audio Files > FX > Sub FX.wav. The audio file is added to the Audio 5 track at measure 1 1 1 1. [View full size image]
7. | With the Region highlighted, in the Arrange window's local menu, choose Audio > Move Region to Original Record Position. The Sub FX Region locates to the time code position contained in the audio file (01:01:50:10.33). [View full size image]
8. | Play the song, observing how the Sub FX audio works with the movie.

NOTE

Logic can be set to save newly recorded audio files in the Broadcast WAVE format by going to Logic Pro > Preferences > Audio > General and choosing it in the Recording File Type menu. When this feature is enabled, all saved audio files will include the Region's original record position.

Locking SMPTE Position

Now that you've imported the sound effects, it is a good idea to lock their positions to the SMPTE timeline so that they cannot be moved by mistake. If you time-lock the effects, you can adjust the music tempo freely without changing the effects' placement in relationship to the movie.

1. | Choose Edit > Select All.
2. | In the Arrange window's local menu, choose Region > Lock SMPTE Position. All Regions now display a lock symbol in front of their names and cannot be moved. Now that the Regions have been locked, let's see how tempos can be changed without affecting the locked Regions' SMPTE position.
3. | Click the background of the Arrange window to deselect all Regions.
4. | Click-hold on the Sub FX Region, observing the SMPTE and bar positions displayed in the movie window. Note that the SMPTE position is 01:01:50:10.33, which corresponds to the bars and beats position of 47 1 1 55.
5. | Double-click the tempo in the Transport window and enter 90. Press Return. The song tempo changes to 90 bpm.
6. | Click-hold on the Sub FX Region, again observing the SMPTE and bar positions displayed in the movie window. The SMPTE position remains the same as before, but the corresponding bars and beats position is now 42 2 3 146. When an event is SMPTE-locked, it always maintains its time code position, regardless of the tempo.


Spotting the Movie

When you're choosing the places where music will enhance your project, Logic can be used during or after the "spotting session" with the director to view the movie and mark those specific time code locations where musical cues will be used. The creation of markers works well for this task, allowing you to place text notes at specific SMPTE locations to use as timing references.

Detecting Cuts

Often a director will want musical cues to begin near scene cuts to accentuate the transition from one scene to the next. You can use Logic to identify relevant visual cues in a video with a unique function called Detect Cuts. When this function is activated, Logic analyzes the video information and creates a special marker, called a Movie marker, at locations where the image changes drastically (such as at scene cuts).

1. | If necessary, click the disclosure triangle on the Video track to view the Open Movie and Detect Cuts buttons.
2. | Click the Detect Cuts button. A status bar displays the progress for cut detection. NOTE Depending on the speed of your CPU, this may take some time. After the process is completed, Movie markers (designated by the film symbol) are created in the Marker track. [View full size image] NOTE Movie markers are automatically locked to SMPTE positions.
3. | Use the Goto Next/Previous Marker key commands to locate along the Movie markers. The movie locates to those points where the video image changes drastically (such as scene cuts).
4. | Press Stop to return to the beginning of the song.

Using Markers for Beat Mapping

In addition to locating spotted points, markers can be used as the basis for Beat Mapping, which enables you to create tempo adjustments by tying markers to specific bars and beats locations.

In this exercise you will use Beat Mapping to align a visual cue spotted by a marker. Using Beat Mapping, you will adjust the song tempo to align the downbeat of a measure to punctuate an exact moment in the movie.

1. | Click the background of the Arrange window to deselect all currently selected Regions.
2. | Press the Goto Position key command (the comma key), and in the As SMPTE field of the Go To Position dialog, enter 1:2:12:3.0. Press Return. NOTE When entering SMPTE time code, you can use colons, periods or spaces to delineate between hours, minutes, frames, and subframes. The song locates to 01:02:12:03.00 (as seen in the giant SMPTE display). [View full size image] In the movie, a bird snaps at the camera in a sudden, vicious movement. This would make an excellent place for a musical hit point. To place that hit point, you must first create a marker.
3. | Choose Options > Marker > Create Without Rounding. NOTE In Lesson 6, "Working with the Arrangement," you created a key command to control a similar function, "Create marker." However, that function is unsuitable for the creation of SMPTE-specific markers, because it automatically rounds the location to the nearest bar. The Create Marker Without Rounding function creates a marker exactly at the SPL's current position on the SMPTE timeline. A new marker is created at the current SPL position. At the current zoom resolution, the marker is difficult to see, but you can zoom in to magnify the current location.
4. | Press the Zoom Horizontal In key command (Ctrlright arrow) eight times to zoom in on the new marker. [View full size image]
5. | Hold down the Command and Control keys, and double-click the new marker (marker 8). Enter Bird Snap for the marker name, and press Return. Tip You can quickly rename a marker by double-clicking while holding down the Command and Control keys. Now that a marker has been created at the visual cue, you can use it as a timing reference for Beat Mapping. To do this, you must display the Beat Mapping track in the Global tracks area.
6. | In the Arrange window's local menu, choose View > Global Track Components > Beat Mapping. The Beat Mapping track is displayed in the Global tracks area.
7. | Click the disclosure triangle on the Beat Mapping track to expand the track. Beat Mapping lines for selected markers are automatically created in the Beat Mapping tracks. However, in order to see the line for the Bird Snap marker, you need to move the SPL slightly (the marker was created at the SPL position).
8. | Drag in the bottom part of the Bar Ruler to move the SPL a little to the left, revealing the Beat Mapping line.
9. | Drag the barline at measure 50 to the Bird Snap Beat Mapping line, connecting the two. The tempo changes to 89.0066, aligning the Bird Snap marker with the downbeat of measure 50.
10. | Click the Metronome button. NOTE To hear the click, you should have "Click while playing" enabled in File > Song Settings > Metronome.
11. | Play the song starting just before measure 50, listening to the click punctuating the movement of the bird snapping. The click on the downbeat of measure 50 lines up perfectly with the bird snap.
12. | Stop the song.
13. | Save the song.
14. | Close the song.


Positioning Events on the Timeline

A common task when working with picture is syncing events to specific points in the SMPTE timeline. These events could be sound effects referenced from an Edit Decision List (EDL), or musical hits in the arrangement that punctuate visual cues. Being able to quickly and accurately place events on the timeline is a necessity when arranging material in a session that has been locked to SMPTE time.

For this exercise you will be using a nearly finished version of the musical cue for the video with which you have been working.

1. | Choose File > Open.
2. | In the file selector, open ~ > Music > Advanced Logic 7_Song Files > Lesson 13 Project Files > 13_Monterey_Start.lso. The song is displayed. [View full size image] NOTE This song uses more than 32 Audio Objects, so you need to have a Max. Number of Audio Tracks setting of at least 48 tracks. You can set this in Logic Pro > Preferences > Audio by clicking the Drivers tab and adjusting the Max. Number of Audio Tracks slider.
3. | Play the song to familiarize yourself with the score.
4. | Press Stop twice to return to 1 1 1 1.
5. | Select the Cymbal Roll track (Track 29), if it is not already selected.

Positioning an Event by Spotting the Video

Let's examine some of the techniques available for positioning events on the SMPTE timeline by using several audio files of cymbal rolls to accentuate visual cues.

1. | Hold down the Option key and choose Audio > Audio Window to open the Audio window as a float. [View full size image]
2. | Select the Cymbal Roll A.aif audio file in the Audio window.
3. | Double-click the Audition channel (below the Audition button) and type 42, then press Return.
4. | Click the Audition button in the Audio window to listen to the Cymbal Roll A.aif audio file. Note that the cymbal roll builds to a climax about one-third of the way into the file. The climax should be used when positioning on the timeline. You can do this directly in the Audio window by setting the Anchor point.
5. | Drag the Anchor (the small triangle underneath the Cymbal Roll A.aif audio file) to the right, positioning it at the transient about one-third of the way into the file. [View full size image] Let's bring this file into the arrangement, manually spotting the point to place it in the timeline.
6. | Drag the Cymbal Roll A.aif file from the Audio window to the Cymbal Roll track at around measure 45, pressing the mouse button and moving the file back and forth along the timeline while watching the movie. (Continue to hold down the mouse button for step 6.) [View full size image] Notice how the movie syncs with the position of the dragged audio file. You can use this visual reference to place cues at specific locations.
7. | Still holding down the mouse button, position the Cymbal Roll A.aif audio file to sync with the bird snapping at measure 50. (You aligned this earlier using Beat Mapping.) Release the mouse button. [View full size image]
8. | Use the Play from Selection key command (Option-spacebar) to play the song starting at the selected Cymbal Roll A Region. The cymbal roll effectively punctuates the bird snap in the video.
9. | Stop the song.

Using Pickup Clock

Let's continue importing audio files to the arrangement, this time aligning the event precisely to the SPL's SMPTE position by using the Pickup Clock command. This is a key-command-only function, so you first need to create the key assignment in the Key Commands window.

NOTE

This function is assigned to Ctrl-P by default. If this key combination is not assigned in your Logic configuration, follow the steps below to assign the function. If it is already assigned, skip to step 7 in this exercise.

1. | Choose Logic Pro > Preferences > Key Commands.
2. | In the Key Commands window search field, type pickup.
3. | Choose the Pickup Clock (Move Event to SPL Position) command.
4. | Click Learn by Key Label.
5. | Press Ctrl-P.
6. | Close the Key Commands window.
7. | Use the Goto Position key command (the comma key) to locate the SPL to SMPTE position 01:02:16:21.00.
8. | Drag Cymbal Roll B.aif from the Audio window to the Cymbal Roll track at 53 1 1 1. [View full size image]
9. | Press the Pickup Clock key command (Ctrl-P). The selected Region snaps to the SPL position. [View full size image]
10. | Use the Play from Selection key command (Option-spacebar) to play the song from the newly positioned Region, viewing its placement in relation to the movie image. The cymbal roll accentuates the opening of the sea anemone.
11. | Stop the song.

Using the Event Float to Position an Event

The third technique for positioning events involves using the Event Float window to precisely place an event at an input SMPTE position.

1. | Drag the Cymbal Roll C.aif file from the Audio window to the Cymbal Roll track at 3 1 1 1. [View full size image]
2. | Choose Options > Event Float. The Event Float window appears. This window functions like a mini Event List, displaying the position and length of the selected event. By default, it displays position and length as bars and beats, but it can be switched to SMPTE time by clicking the film icon located at the far left side of the window. The position display switches to SMPTE time.
3. | Double-click the SMPTE position display at the left side of the window, and enter 01:00:22:19.09. Press Return. The Region locates to the new position in the track. [View full size image]
4. | Use the Play from Selection key command to play the song starting at the newly positioned Region, viewing its placement in relation to the movie image. The cymbal roll accentuates the transition from the man walking on the beach to the undersea divers.
5. | Stop the song.
6. | Close the Audio window.

Wrapping the Project

The project used in the last part of this lesson exemplifies the breadth and power of Logic, as well as most of the techniques and concepts you've explored throughout this book. The song file has a large number of tracks (consisting of both audio and software instruments), markers, and Groups; extensive automation; synchronized video; and notation.

As this book draws to a close, take this opportunity to explore the song file, viewing the movie in relation to the song, changing screensets (Screensets 3 and 4 show some of the notated score), playing the software instruments, exploring the mixer routings, and listening to the composition in its entirety.

1. | Click Stop to return to the beginning of the song.
2. | Play the song in its entirety to observe how the sound and musical events work in the context of the movie.
3. | Stop the song.
4. | Save the song as 13_Monterey_Finished to the following location: ~/Music/Advanced Logic 7_Song Files/Lesson 13 Project Files.


What You've Learned

  • Digital video clips in a Logic song can be synchronized by setting the SMPTE start times, frame rates, and Movie Start offsets.

  • Logic can display SMPTE time code in the Bar Ruler, Event Float, and giant SMPTE display.

  • Final Cut Pro XML files, including automation information, can be imported directly to a Logic timeline.

  • Broadcast WAVE files can be imported directly to a Logic timeline and retain their original recorded positions.

  • SMPTE positions of Regions and events can be locked, enabling you to change tempos without changing the SMPTE timings.

  • Detect Cuts creates Movie markers that can flag scene cuts and major visual changes.

  • Markers can be used as Beat Mapping references for tempo changes.

  • Regions can be positioned on the timeline by manual placement, by using Pickup Clock to align with the current SPL position, and by entering new SMPTE time positions with the Event Float.


Appendix. Round-Trip Production

Since the introduction of Final Cut Pro in 1999, Apple's portfolio of content creation software has expanded to include a dozen professional applications that aid the entire production process, including editing, graphics and effects, music and audio, and delivery tools.

Just as there is an unending stream of new video formats, the tools and techniques in postproduction continue to evolve to meet the demands and budgetary requirements of today's sophisticated producers and viewers. Fortunately, there are a few typical production workflows that stand out as standard operating practices.

[View full size image]

At different stages in the process, these workflows may involve audio (dialog, music, and sound effects), video (whether originated from film or some video format, including high definition), and other elements (text, 2D graphics, and 3D objects and characters). The professional production workflow is the art and science of blending together these separate elements into a single project, hopefully one that is as technically sound to the engineer as it is captivating to the audience.


Content Creation Workflows with Apple's Professional Applications

In this appendix, we'll examine how professionals can leverage the latest generation of Apple applications in a round-trip production environmentan environment where media and project files can move seamlessly between the different stages of the creative process, and where changes made at one stage, with one application, are automatically reflected in the other stages, in other applications.

For an individual in a home or project studio, this may involve working with multiple applications on the same computer. For the independent artist collaborating with a larger studio, this may include the transfer of media and projects on FireWire drives or a via a wide area network. And for a multi-seat, full-service production facility, this may involve a collective of artists, editors, and engineers accessing terabytes of data on a fiber channel storage area network.

Apple's professional applications have been designed to work in all of these scenarios and are helping to drive the industry in a new directionone where reasonably priced "off-the-shelf" software can be used effectively to create award-winning content. Just ask the dozens of Academy and Emmy awardwinning editors who now cut their films and TV shows on Final Cut Pro, or any one of the hundreds of musical artists whose Grammy awardwinning songs were composed on Logic. But enough about them alreadylet's look at how you can use these tools to create masterpieces of your own.


Editing

After the director shouts "Cut!" the editing process begins. Editing involves logging the best takes, capturing them to the hard drive of the workstation, and trimming and sequencing them in a timeline. Increasingly, this process is taking place on location, with portable systems, during production. Checking for timing, continuity, and performance on location provides an opportunity to get it right before the actors have departed for their trailers.

Apple's wildly popular video-editing application, Final Cut Pro, is ideally suited to run on the current generation of PowerBook laptop computers, making effective use of the laptops' FireWire ports to capture a variety of native digital video formats to the hard disk, including DV, DVCAM, DVCPRO, DVCPRO 50, and DVCPRO HD.

While it's entirely possible to complete a DV or offline film project on a Power Book, higher-resolution formats (SD and HD) require the performance of a dedicated workstation to finish (online) the content. Editing in these formats is best suited to a Power Mac G5, where Final Cut Pro can take full advantage of the desktop's dual processors. Digital video is captured either via FireWire or, for high-bandwidth formats like uncompressed HD, through a PCI-X card installed in the chassis.

NOTE

For projects shot on film, Final Cut Pro includes Cinema Tools, a relational database that keeps track of the original film negative feet, frames, and audio timecode throughout the entire editorial process. Cinema Tools works in tandem with Final Cut Pro to ensure that every frame of film is properly accounted for during editing.

Today's generation of video producers are comfortable with both the horizontal and vertical nature of the editorial process. In addition to performing cuts and transitions between shots and applying filters and color corrections to clips, they know how to make effective use of multiple video tracks. This routinely involves superimposed titles, split screens, and picture-in-picture effects. It can even involve compositing techniques including travel mattes, blend modes, and keying for blue- and greenscreen effects. Final Cut Pro supports all of these operations.

The latest version of Final Cut Pro includes an architecture called RT Extreme, which leverages the power of the host PowerPC processor, the operating system, and the graphics processing unit to calculate transitions and filter effects in real time. This design philosophyto provide the full creative palette of effects in real timeis at the heart of round-trip production.

Round-trip production also lets you create, import, and revise parts of your project in separate applications, with updates in one application automatically reflected in the others. Apple has leveraged XML (Extensible Markup Language) to make all media metadata and project information accessible to Apple and third-party applications to facilitate this automatic updating process.

Several parts of the production workflow require tools well beyond your basic cut and splice. Those parts include audio (music, dialog, sound effects) and motion graphics (text, illustrations, animations).


Effects and Graphics

Final Cut Pro includes some fairly sophisticated titling tools within the application itself, including the ability to create extruded 3D titles, but LiveType (included with the purchase of Final Cut Pro) takes animated titling to another level entirely. The Media Browser of LiveType includes both titling tools and titling content. The content includes LiveFonts, 32-bit animated fonts that dance and draw themselves onscreen. In addition, LiveType includes a massive library of animated textures (atmospheres, liquids, moving canvases) and objects that range from sparkly Particle Effects to organic flames and inter stellar explosions. One of the most popular features of LiveType is the ability to apply prebaked animated effects (fades, glows, zooms, caricatures) to otherwise lifeless system fonts.

Motion is to LiveType what the jet engine is to air travel. With it, you can take your titles and graphics much further in less time. Like LiveType, Motion includes a library full of compelling content, including some of the LiveFonts and text animations that come with LiveType, but that's where the similarities end. Motion makes full use of Quartz Extreme (the revolutionary composited windowing system in Apple's operating system, Mac OS X) and Apple's ultra-high-bandwidth hardware architecture to provide a level of real-time performance that needs to be seen to be appreciated. Video clips are played back directly from SDRAM (the computer's internal memory). Text, particles, and filter effects are loaded into the VRAM (video memory) of today's state-of-the-art graphics cards. Finally, natural physical simulations or screen behaviors like wind and gravity are applied to objects and particles and calculated in real time by the CPUsdual processors in all current Power Macs. In LiveType, text animations and other motion graphics need to be rendered into RAM to be previewed, whereas in Motion all effects can be viewed and manipulated in real time.

Shake is the preeminent application for visual-effects compositing, a highly specialized craft used to create special effects that, when seamlessly composited, are impossible to distinguish from reality. The primary objective of visual-effects compositing is to take dozens, often hundreds, of separate elementsmatte paintings, computer-generated 3D models and animated characters, live action photography (whether filmed on location or against a green- or bluescreen), and particlesand weave them all into a series of photorealistic images. Media files are often exported and imported between Final Cut Pro and Shake, a process that has been accelerated with the addition of new QuickTime codecs (compression-decompression algorithms) in Shake 3.5. In addition to QuickTime, Shake supports a variety of file formats that are commonly used by visual-effects artists, including those for animation (IFF, RLA) and film (Cineon, DPX)over 20 formats in total.

Let's return to titles, motion graphics, and round-trip production integration. In LiveType, Final Cut Pro projects simply appear as a movie background. Text is superimposed over the video, enhanced (with color, outlines, drop shadows, and so on), positioned, and animated when appropriate. Objects, like simple particle effects, and filters, like blurs and glows, may be added to further enhance the animated titles. With Exposé, which instantly tiles all open windows, the LiveType document can be dragged from its menu bar directly into the Timeline of Final Cut Pro, where it's superimposed over the original video track. There's no longer a need to first render the titles as a movie from LiveType before importing them into the editing environment. Best of all, with round-trip production it's possible to launch the LiveType application directly from within the Final Cut Pro Timeline, should it be necessary to make any last-minute changes. Once the changes are made in LiveType, a simple save of the project is all that's required to automatically update the title in Final Cut Pro. XML is used communicate the revisions between the two applications. No need to render out a new title from LiveType, no need to copy and paste files between applications; a simple save automatically updates the information from one app to another.

The interoperability between Final Cut Pro and Motion works in exactly the same manner. In addition, it's possible to export the Final Cut Pro project directly into Motion with all editing, scaling, cropping, positioning, and keyframe information for all layers retained during the exchange. Graphic designs can be roughed out in Final Cut Pro and fine-tuned in Motion. Some of the most impressive technologies found in Motion are its advanced particle engine and natural physical simulations, both of which are often used in tandem to create stunning designs. Motion also accepts Adobe Photoshop files and imports them with the separate layers intact or merged into one. Photoshop users, even those who have never worked with video, can easily convert their 2D designs and images into visually stunning animated motion graphics.

Once the motion graphic design work is completed in Motion, the project file can be imported directly into Final Cut Pro. Round-trip production functions exactly the same with Motion as with LiveType. When a save command is executed, all project revisions in Motion are automatically communicated directly to Final Cut Pro. To the user, the media in the Timeline goes offline for a moment and then returns reflecting the updates.

In addition to the content creation workflow that defines the look of your video, Apple's professional applications provide an incredible level of interoperability between music and audio as it relates to the visuals. We'll examine this aspect of round-trip production in the next section of this appendix.


Music and Audio

A great music score can enhance an otherwise lackluster film or video. Conversely, dialog that is inaudible or distorted can ruin an otherwise well-edited scene. When background audio levels and room acoustic dynamics vary dramatically from shot to shot, viewers unconsciously sense that something is wrong, and their ability to remain connected to the message, story, or characters diminishes exponentially. Well-produced music and audio can't salvage inherently poor footage, but poorly produced music and audio can ruin an otherwise completely enjoyable sequence. Fortunately, Apple's portfolio of professional applications includes some very powerful tools for music composition and audio editing, sweetening, and mixing.

Let's first examine music for music's sake.

[View full size image]

Apple's primary applications for music composition on the computer are GarageBand, Logic Express, and Logic Pro.

GarageBand is an incredibly intuitive application ideally suited for musicians who are composing on a computer for the first time. Songs composed in GarageBand can be exported directly to an iTunes playlist in a single step. These same songs can also be used as music beds for videos in iMovie, Final Cut Express, or Final Cut Pro, or to enhance menus in iDVD or DVD Studio Pro. Because GarageBand does not provide a way to synchronize sound to picture, the job of scoring music to picture is best suited to Logic and Soundtrack, both of which we'll review here.

The production workflow for music consists of four discrete processes that tend to fold back on themselves over and over until either the artist/producer is satisfied with the final song, or the production deadline has elapsedhopefully the former before the latter. The workflow includes composition, recording, editing, and mixing. Composition can begin with musical notation as supported in Logic, but often it's part of the recording process, roughing out the melody or beat with Logic's built-in MIDI (Musical Instrument Digital Interface) sequencing and software instruments, considered by many to be among the finest ever developed.

Logic Pro includes a collection of vintage instruments that provide near- perfect emulations of classic instruments like the Hammond B3 organ, software synthesizers that can re-create classic analog textures, and a full-featured stereo sampler that provides the songwriter with access to a myriad of sounds from the countless number of sample libraries currently availablefrom esoteric collections of obscure world instruments to elaborate orchestral libraries. In addition to sound design and electronic composition with MIDI instruments, such as keyboards, Logic is used to record vocals or other real instruments directly to the tracks of each song. Like a multitrack tape recorder, Logic can record multiple audio inputs (vocals, drums, guitars) in real time, whereas GarageBand can only record one input at a time.

Editing involves trimming, timing, and placement of the audio and MIDI tracks in the song. Logic also provides the ability to repair spots in recorded audio files, as well as tools to correct the pitch, length, and timing of MIDI.

The final step in the songwriter's workflow is mixing, and it allows the composer to enhance or "sweeten" the acoustics of each track with a selection of digital signal processing plug-ins including EQ, dynamic compressors, and reverb. The Space Designer reverb plug-in that comes with Logic Pro is based on state-of-the-art convolution technology that actually models the physical characteristics of a room so that the exact acoustics of that room (or any room that's been modeled) can be applied to one or more tracks of audio at any time during the mix. During mixing the producer will adjust individual track levels and pan positions in relation to one another (for example, "cowbell louder and to the left side of the stereo image"). This often involves mixing in a surround sound environment to support the increasingly popular multichannel playback capabilities of DVD and high-definition television.

It's important to note that more and more musicians are finding Logic perfectly suited for live performance as well. Mac OS X includes a number of features that have been specifically designed to please musicians and audio engineers. Chief among them is Core Audio, which essentially removes any cap on the number of audio tracks that the computer can support. Core Audio also supports high-definition audio sampling rates and bit rates up to 96 kHz and beyond. For live performance, Core Audio provides the lowest levels of audio latency in the industry. Latency can best be described as the time it takes to move audio from the input (recording) stage through digital signal processing (DSP) and back out again to be monitored. Any significant delays, and it's like hearing yourself talk to yourself, talk to yourself…you get the idea. Mac OS X now provides levels of audio latency well below 1 millisecond in duration, which has helped Apple to retain its dominant position as the preferred platform for live venues. Musical artists can perform in perfect sync with Logicvocals enhanced with DSP and all tracks mixed in real time on to the waiting ears of the audience.

Soundtrack is a music composition application developed by Apple for musicians and non-musicians alike. Included in Soundtrack is a massive library of over 4,000 audio samples (loops) of sound effects and musical instrumentseverything from the aforementioned cowbell to Motown's finest drum riffs. Apple calls these samples Apple Loops because they offer far more functionality than your standard audio samples. Soundtrack takes advantage of the Velocity Engine of Apple's PowerPC processors by providing the unique ability to preview new loops while simultaneously auditioning other tracks in the timeline. The unparalleled power of this feature becomes evident when you realize that loops are originally sampled (recorded to hard disk) in any number of keys and tempos. To help keep your tracks in tune, Soundtrack can restrict the selection of Apple loops to only those that will work best with other tracks already in the songwithin two semitones of the project key. While it's still possible to combine instruments into something that sounds like it was just dragged in by the cat, Soundtrack provides the necessary tools and technologies to help keep you from going down that path.

Round-trip production between Final Cut Pro and Soundtrack is accomplished primarily through the use of Scoring Markers. The markers are positioned in the Timeline of Final Cut Pro as a reference between the music score and the visual activity (such as a crescendo at a car crash). When a sequence is exported from Final Cut Pro, the scoring markers appear in the timeline of Soundtrack alongside the QuickTime movieconstruction cones on the highway to musical bliss. Apple Loops can be positioned to coincide or snap directly to the markers, but that's not all. Soundtrack allows you to effectively re-time musical cues to the scoring markers by simply dragging the marks to new positions in the timeline to match any additional trim edits made in Final Cut Pro.

Round-trip production between the visual applications in Apple's portfolio and Logic is accomplished primarily through the use of the QuickTime media format. Video movies are exported from Final Cut Pro and Motion and are imported into Logic, where they appear in the audio Timeline as video thumbnails. Perfect sync between picture and sound is maintained via timecodethat dependable timepiece under the hood of QuickTime assets, to keep track of hours, minutes, seconds, and frames. Music is exported from Logic either as discrete tracks or stems (groups of discrete tracks), or as a final mix (stereo or surround) and is imported into Final Cut Pro, where it can be mixed further with location audio and other tracks, like sound effects, replacement dialog, or background ambience.

Producers who recognize the importance of a well-engineered audio mix often ask to be a part of the creative review processenter DVD, the first mass distribution format to dramatically raise the bar on audio quality, with support for Dolby Digital, DTS, even uncompressed PCM audio, with sample rates up to 92 kHz and dynamic range up to 24 bits in length.


Delivery

Finished audio and video programs are distributed to their audience in a variety of formats, some no bigger than a postage stamp (as viewed on the latest generation of 3GPP mobile phones) and some that span screen projection dimensions bigger than the side of a barn (IMAX theaters).

Apple's production applications are completely scalabledesigned to support the creation of content in these formats and every resolution in between. In some workflows, Compressor, included with Final Cut Pro, Motion, and DVD Studio Pro, is used to encode the completed project into a small form factor more suitable for mass distribution. In other workflows, Cinema Tools acts as the intermediary, forwarding a list of instructions to another application or person that uses the information as a roadmap. Quite often, the finished project is simply printed to videotape. In the case of visual-effects shots and other digital intermediate formats, the high-resolution frames are recorded directly to film via what is essentially a high-resolution printer, referred to as a film recorder.

Final Cut Pro has revolutionized the world of broadcast news journalism. Hundreds upon hundreds of reporters take to the streets each day armed with camcorders and PowerBooks. Final Cut Pro was the first generation of nonlinear digital editing applications to embrace the mobile tape formats for DV, DVCAM, and DVCPRO. Video that is acquired in these formats is captured with Final Cut Pro via FireWire. The 21st century video journalist is fully capable of editing in the fieldshuttling to find the best takes to edit them together into a finished news story. In news, the first to air the story wins, which is why journalists can no longer wait for the van to make it back to the studio before they can edit their content.

MPEG-4 and MPEG-2 are common file formats used to transfer and transmit news stories from the field back to the news bureau. Video journalists, especially those with tight deadlines and bigger capital expenditure budgets, often transmit edited stories directly to the studio via mobile satellite phone systems. Video journalists, especially those with a bit more lead time between deadlines, modest cap ex budgets, and a hankering for double-tall lattes, will often waltz into the nearest Starbucks, connect to the bureau via AirPort Extreme (Wi-Fi), and transfer their finished stories via FTP, while patiently waiting for their next assignment.

Another popular content distribution format is DVD. Since the launch of DVD in 1997, the format has become a favorite of consumers, surpassing VHS tapes in both rentals and sales for a number of obvious reasons. DVDs provide superior image and audio quality. DVDs are digital, and since the laser-reading mechanism never actually comes in contact with the physical disc, the quality does not degrade even after thousands of viewings. DVDs are multilingual, with support for up to nine different audio mixes and 32 different subtitle tracks synchronized to the same video content. Most important, DVDs are both interactive and nonlinear. A few clicks of the remote and you have instant random access to any segment within the program. With all these attributes going for it, DVD makes an ideal distribution format for all forms of video contentfeature films, television series, concert films, training videos, product promotions, and client show reels.

iDVD is Apple's consumer DVD authoring application that comes bundled with every Apple computer. Many Final Cut Pro users may consider iDVD to be more than sufficient for their authoring requirements. It's important to know that Apple's DVD Studio Pro application is to iDVD what Final Cut Pro is to iMovie. While it's true that iMovie is a powerful and intuitive consumer video-editing application, there isn't a competent Final Cut Pro editor alive that would trade down to iMovie, because Final Cut Pro offers a level of creative control well beyond anything the iLife application has been designed to deliver.

Likewise, DVD Studio Pro provides a level of creative control that goes well beyond the beautiful themes of iDVD. The real-time menu design capabilities of DVD Studio Pro provide the ability to change…well, everything: buttons, shapes behind buttons, movies in buttons, text, motion menu backgrounds, audio beds behind menus, and much more. More important, DVD Studio Pro is engineered to work with still and motion menu templates that have been created by the user.

Audio mixes created in Logic and Soundtrack can be encoded (faster than real time) in A.Pack, the Dolby Digital encoding application that is included with DVD Studio Pro. All manner of Dolby mixes, from stereo to 5.1 surround, are supported. For musicians and audio engineers, DVD Studio Pro's Timeline can support multiple audio mixes, which means they can author audio-only DVDs that producers can use to audition different versions of the mix (stereo, surround, music without vocals for karaoke, and so on). Buttons and menus can be created directly within DVD Studio Pro, which has integrated menu design tools to greatly simplify the authoring process.

Round-trip production in DVD Studio Pro perfectly complements still menus created in Photoshop. In DVD Studio Pro, it's possible to select a menu and open-in-editor directly into Photoshop, with all layers intact. You can make any revisions you like within Photoshop, and saving the file communicates the revision update directly back to DVD Studio Pro.

Motion should be considered the ultimate DVD motion menu design appli cation. In the menu-creation workflow, video elements from the originating program are imported into Motion, where filter effects and motion paths are added to convert them into vibrant video montages. Text for buttons, like "play all" and "chapter selection," can be created and animated directly within Motion. For added effect, particles from Motion's built-in particle engine can be incorporated into menu designs. Exporting menus from Motion for use in DVD Studio Pro is as simple as saving the project to the user's Movies folder.

Round-trip production is tightly integrated between Motion and DVD Studio Pro. From the authoring asset bin of DVD Studio Pro it's possible to open-in-editor, launching the application for direct access to those elements originally crafted in Motion. Any changes made to motion menus in Motion are automatically updated to DVD Studio Pro upon saving. This kind of revisionist functionality is perfectly suited to the design of DVD menus, many of which are recycled from project to projectdifferent movies and slideshows in the same overall DVD menu theme.


Workgroup Collaboration

As stated at the introduction to this appendix, round-trip production can range from a single user working with multiple applications on the same computer, all the way up to a large group of editors and engineers accessing vast amounts of data in a shared storage environment. Any facility with two or more artists creating content under the same roof is perfect for workgroup collaboration of this sort because productivity increases exponentially when multiple users can access the very same media. No time wasted copying files; less chance of errors from revision-naming conventions. Investments in hardware can be recouped sooner when the storage is centralized, simply because the storage can be dynamically allocated wherever it is needed most.

A storage area network, or SAN, is designed for exactly this type of collaboration. A SAN is a network whose primary function is to link multiple storage systems to multiple desktop workstations. Typical SANs today operate on 2-gigabit-per-second fiber channel cabling connected through one or more multi-port fiber channel switches. One of the best features of a properly designed SAN is that the storage volume can be scaled dynamically as the production workload increases, without users' ever having to take the network offline or reboot administrative systems. Xsan is in this class. It is what's referred to as an enterprise-class (that is, large-facilities-that-can't-afford-the-slightest-bit-of-downtime), high-performance SAN file system. It runs on Mac OS X and is compatible with systems running on a selection of qualified non-Apple SAN client seats.

Like the best enterprise-class SANs, Xsan includes a metadata controller that acts like a network traffic cop. Whenever any user on the network wants to read or write to a file, the user's computer asks the SAN traffic cop for permission to proceed. Xsan's metadata controller software includes a "failover" provision, which means that these traffic cop duties are automatically handed over to another computer in the event the first controller should fail for whatever reason. The whole point of built-in protections like failover and multi-pathing (where a second cable is used if the first is cut) is to ensure that the network is operational and the media and project files on the SAN volumes are available to all users all the time.

Storage area networks offer the promise of tremendous increases in creativity and productivity not unlike those of the networked office environment where multiple users have simultaneous access to the Internet and printers. Apple's pro apps, and the level of round-trip production they provide, are ideally suited for use in a centralized storage, collaborative workgroup environment supported by Xsan.


Summary

Professional production involves a number of creative disciplines, including capture and editing of digital video; design of complex motion graphics and photorealistic visual effects; composition of well-crafted music scores; and editing, sweetening, and mixing all the audio tracks, including dialog and sound effects. Depending on the intended audience, finished projects are either printed directly to videotape, recorded to motion picture film, or compressed for distribution via FTP, satellite transmission, or some other streaming-media format. Thanks to the proliferation of DVD, the creative process doesn't end when songs, videos, or films are mastered. Instead, elements from programs are used to create compelling, interactive DVD menus, the majority of which now include motion graphics and seamless motion menutomotion menu transitions.

Apple's round-trip production paradigm heralds a new era in content creation workflows. In the same way that you can save spreadsheets in Microsoft Excel and have them automatically update in Microsoft Word, designers can now save their motion graphics in Motion and have them update automatically in Final Cut Pro and DVD Studio Pro. Xsan's storage area network brings all these apps together in a collaborative workgroup environment. The accompanying increase in productivity is incalculable, with benefits that go well beyond financial measures. The quality of design improves dramatically, simply because there's more time to experiment; more time to try the best filter, behavior, text animation, or particle effect; more time to try various cuts and transitions; more time to create custom DVD menu transitions and designs. And because Apple's system architecture takes full advantage of the stability of Unix and the increased performance of 64-bit processors, powerful graphics cards, and fast SDRAM, new combinations of effects, transitions, filters, behaviors, and particles can be previewed in real time.

Real-time performance and round-trip production, on a single system or in a collaborative workgroupthat's how the creative work flows between Apple's professional applications.


Glossary

    Previous Page
    Next Page


A
aftertouch

MIDI data type generated by pressure on keys after they have been struck. Aftertouch is also known as pressure.

AIFF

Audio Interchange File Format. A cross-platform file format supported by a large number of digital video and audio editing applications. AIFF audio can use a variety of bit depths, but the two most commonly used are 16 bit and 24 bit.

alias

An object in the Arrange window that mirrors a MIDI Region someplace else. You cannot edit an alias, only a real Region, but any change to the Region will be reflected in the alias. To create an alias, Option-Shift-drag the original MIDI Region to a new location.

Anchor point

A temporal reference point, or the point Logic uses to snap a Region to the Arrange window's time grid. In the Audio window and Sample Editor, the Anchor is represented by a small triangle under the Region.

Apple Loops

Audio files in which recurring rhythmic musical elements or elements suitable for repetition are recorded. Apple Loops have tags that allow Logic to perform time stretching and pitch shifting. These tags also allow you to quickly locate files by instrument, genre, or mood in the Loop Browser.

arming

Enabling a track to be recorded.

Arrange window

The heart of Logic. The primary working window of the program where Audio and MIDI Regions are edited and moved to create a song arrangement.

Arrow tool

The default selection tool, shaped like an arrow. It is in every window's toolbox. In the Logic reference manual it is sometimes called the Pointer tool.

audio file

Any digital audio recording stored on your hard disk. The default storage format for audio files in Logic is AIFF, but you can store audio files in the Sound Designer II and WAV formats as well.

Audio Instrument

A software instrument. In Logic, software instrument plug-ins are inserted into Audio Instrument Objects. Software instrument recording takes place on Audio Instrument tracks in the Arrange window. Playback of these tracks is routed via the Audio Instrument Object.

audio interface

A device that converts sound between the digital and analog domains.

Audio Object

An Object found in Logic's Environment that shows Logic where to send audio signals. It can assume the form of any audio channel available to your systema track channel, an Audio Instrument channel, a bus, or an output. When it's expanded, an Audio Object looks like a channel strip on a standard hardware mixing console.

Audio Region

Chosen area of an audio file that is registered in the Audio window for use in the song and that can be placed on audio tracks in the Arrange window, just as a MIDI Region can be placed on MIDI tracks. Audio Regions are pointers to portions of audio files. You can use all of Logic's tools to edit Audio Regions. Editing is nondestructive to the original audio file.

See also [Region]
See also [MIDI Region]

audio track

A track in Logic's Arrange window used for the playback, recording, and editing of Audio Regions.

Audio window

Logic window used to add audio files from your hard disks to your song. You can use this window to rename audio files and Regions, to optimize files, and to change your song's sampling rate.

Autodrop mode

When engaged, this mode forces Logic to automatically start and stop recording at predefined positions. Typically, it's used to re-record a badly played passage in a recording that's fine otherwise. This technique is also called punching in/out

See also [punch in/out]

Autoload Song

A song with your favorite settings and preferred window layouts. It loads automatically when you launch Logic and serves as a starting point for your songs and projects.

automation

The ability to record, edit, and play back the movements of all knobs and switches, including volume faders and Pan, EQ, and Aux Send controls.

Automation Quick Access

A Logic feature that assigns a slider or knob on your hardware MIDI controller keyboard to modify Track Automation data.

Aux

An Auxiliary Object, either mono or stereo, in the Audio layer of the Environment. The Aux Object serves as a way to monitor an audio signal in Logic without recording it.


B
bar

A measure of music, containing a specified number of beats, that establishes the rhythmic structure of the composition.

Bar Ruler

The timeline that runs the length of the song, divided into bars, beats, and even finer divisions. It contains the Song Position Locator (SPL), the cycle and autodrop locators, and markers. It is found at the top of the Arrange, Matrix, Hyper, and Score windows.

Beat Mapping

One of Logic's Global tracks; it lets you graphically tie events to particular bars and beats.

bit resolution

A representation of the dynamic accuracy of a recording.

bounce

To combine several tracks of audio into one file.

Broadcast WAVE

An audio file format that includes timecode information.

bus

A send/return routing scheme for audio channels. In Logic, effects can be sent to and from Bus Objects for processing or submixing tasks.

Bus

Audio Object in the Environment's Audio layer. Usually used to route the signal of an individual Send bus to Output Objects.

bypass

To temporarily deactivate a plug-in.


C
Caps Lock Keyboard

A small MIDI controller on your screen, activated by pressing the Caps Lock key on your computer keyboard.

Catch

A window function that enables you to see the positions of recorded events in a song as it plays. The Catch button shows a man running.

CD-Audio

Short for compact discaudio; current standard for stereo music CDs, with a 44.1kHz sampling rate and 16-bit depth.

channel

A path used to transport a signal.

channel strip

A virtual representation of a channel strip on a mixing console. Each channel strip contains a number of controls, such as a Mute button, volume fader, pan/balance knob, output selector, and Bus or Insert slots.

Channel Strip settings

In Logic, the routing of a channel strip, including all inserted effects or instruments (plus their settings). These settings can be saved and recalled.

clip

To feed too much signal through a channel, producing a distorted sound. Audio Objects have a clip detector.

comp

To compile a complete track from several raw performances.

continuous control number (cc#)

The number assigned by the MIDI specification regarding audio events or software functions such as volume, modulation, or sustain.

Core Audio

The standardized audio driver for a computer running Mac OS X 10.2 or later. Allows the connection of all audio interfaces that are Core Audio compatible.

Core MIDI

The standardized MIDI driver for a computer running Mac OS X 10.2 or later. Allows the connection of all MIDI devices that are Core MIDI compatible.

cross-fade

To bring the volume of one audio file up while simultaneously lowering the volume of another file in a smooth transition.

Crosshair tool

This crosshair-shaped tool is used in the Hyper Editor to select and adjust MIDI events.

Cycle mode

A mode in Logic in which you can repeat a section of a song. To turn on the Cycle mode, click the Cycle button in the Transport window. Two locators define a cycle Region.


D
dB

Short for decibels, a measurement that relates the relative change in the volume of audio. Audio Objects have level meters that display playback or input monitor levels in decibels.

demixing

Enables a MIDI Region to be divided into separate components based on specific criteria.

digital audio workstation (DAW)

A computer that records, mixes, and produces audio files.

Digital Factory

A suite of digital signal processors in the Sample Editor. It can time-compress or time-expand an Audio Region, change its pitch, add groove or swing to a machinelike audio loop, or alter its sampling rate. The Digital Factory functions are destructive, permanently changing the source audio file.

digital signal processing (DSP)

In Logic, the mathematical process of manipulating digital information to modify sound. An example is in the Inserts area, which assigns DSP effects such as dynamic range compression and delay to a channel's sound.

dithering

A process of reducing an audio signal from a higher-bit resolution to a lower one.

driver

A software program that allows your computer to communicate with another piece of hardware.


E
editor

In Logic, one of a multitude of editors to help you compose music. All of them alter the raw input in some way. The primary MIDI editors in Logic are the Hyper Editor and the Event List, and the Matrix, Sample, and Score Editors. You can edit Audio Regions in the Arrange window, Audio window, and Sample Editor.

Edit Decision List (EDL)

A list of edits and timing references for a video or film sequence.

Environment

A section of Logic that graphically reflects the relationship between hardware devices outside your computer and virtual devices within your computer.

Environment layer

A place to organize the Objects in the Environment for easy access. As a general rule, Objects of the same type are usually placed on the same layer.

Eraser tool

A tool for deleting items. When you click a selected item, all other currently selected items are also deleted.

event

A MIDI message. The main events in Logic are note, control-change, pitch bend, aftertouch, and SysEx events. MIDI events can be edited in a number of ways.

Event List

A list of events and Objects that gives you access to all recorded event data. Thus, you can directly manipulate events and Objects and make precise alterations.

Extensible Markup Language (XML)

A format used to store document information. XML information can be exchanged among supporting applications.


F
fader

Generally thought of as a volume control found on audio channels. In Logic, a fader can also be an Object that sends out and responds to MIDI events. In this context a fader can be a knob, slider, numerical display, or button.

Fade tool

One of the tools in the Arrange window toolbox. The Fade tool creates a cross fade when you click and hold the mouse button as you drag across a section where two Audio Regions meet. You can also drag it over the beginning or end of a Region to create a fade-in or fade-out, respectively.

Finger tool

A tool that looks like a hand with an extended index finger. The selection tool changes from the Arrow tool to the Finger tool to enable you to manipulate events or change window parameters. Different mouse and key commands activate the Finger tool in different windows.

5.1

A common surround sound format, typically comprising five full-frequency speakers, which are fed by five independent channels, plus one dedicated low-frequency subwoofer.

floating

A term that describes a window that's always visible on your Desktop. You can open a window as a floating window by holding down the Option key while selecting from the Windows menu.

folder

An Object in Logic's Arrange window that contains MIDI Regions, Audio Regions, or other folders.

formant

Natural resonance in a sound source.

Freeze function

A function that freezes a track and its plug-ins into a file and then plays back the frozen file instead of the original one, saving your computer's processing power.


G
General MIDI (GM)

A specification designed to ensure compatibility between MIDI devices. A musical sequence generated by a GM instrument should play correctly on any other GM synthesizer or sound module.

Global Tempo track

A way to view and edit all the tempo changes of a song. The track displays tempo changes as nodes.

Global Video track

A track displaying frames of a QuickTime movie as "thumbnails" that are perfectly synchronized with the music, making it ideal for film scoring. Cuts in the movie can be automatically detected and marked.

Glue tool

A dedicated tool for merging Regions or Objects.

grid

Vertical lines used to map the positions of measures, beats, and sub-beats in various editors.

Group

Used to link similar controls (panning, volume, and so on) between different channels.


H
Hand tool

A tool that appears when you click and hold an Object with the Arrow tool. It is used to move Objects or events in the editors.

headroom

Refers to how many decibels are available before clipping, or distortion, occurs.

help tag

A small text window that appears when the pointer is placed over an interface element, indicating its name or value.

HyperDraw

A function that lets you create and edit automation data in the Arrange window by graphically inserting a set of points, or nodes, which are automatically connected. Using HyperDraw, you can also make volume and panning changes in the Matrix and Score editors.

Hyper Editor

One of Logic's four editors for MIDI data. It is used mainly for creating and editing drum sequences and control-change data.

hyper set

A layer in the Hyper Editor containing a user-defined collection of MIDI events.


I
impulse response (IR)

A special audio recording of a real acoustic space that the Space Designer plug-in uses to apply reverb by means of a real-time process.

input filtering

Preventing MIDI information such as pitch bend or aftertouch events from reaching a track. The Input Filter tab is in the Song Settings window's MIDI pane.

input monitoring

A way to determine which signal to listen to on record-enabled tracks. You can use Auto Input Monitoring to hear a track even when Logic is not recording.

Input Object

An Audio Object in the Environment's Audio layer. It represents the physical inputs of your audio interface and helps manage audio from your audio interface into Logic.

insert

A way to enhance the sound passing through an Audio Object with a plug-in.

Instrument

An Object in Logic's Environment that represents a physical or virtual device that reacts to MIDI information.

I/O buffer size

How big a bite a computer tries to chew at one time when working with audio. The larger the buffer, the more recorded channels of audio can be played at the same time. Larger buffers make your system react more slowly when recording, however. The buffer size is set in the Audio Hardware & Drivers preferences.


K
key command

An instruction to Logic that triggers an action, done by pressing a key or a combination of keys. All of Logic's main functions can be activated by key commands.


L
latency

The delay between, say, playing your keyboard and hearing the sound. One factor contributing to latency is the I/O buffer size.

Link mode

A mode that determines the relationship of one window to another. Clicking the Link button toggles the Link mode.

local menu

The place where the functions of the currently active window can be found.

locators

Indicators displayed to the right of the Transport buttons in the Transport window. You can define locator points for the cycle (on the left-hand side) and autodrop zones (on the right-hand side). Cycle locators themselves are referred to as left and right locators. The left cycle locator is on the top; the right cycle locator is on the bottom.

Loop

A Region parameter. When the Loop function is on, the Region will repeat until it encounters another Object on the same track in the Arrange window, the end marker of a folder, or the end marker of a song.


M
Magnifying Glass tool

A tool that enables you to zoom in on any part of the display. Pressing the Control key while rubber-band selecting a part of the window section enlarges the area. You can also activate the Magnifying Glass from other tools by holding down the Control key.

mapped instruments

Software instruments that represent the relationship between dedicated Score Styles and Environment Objects. Mapped Instruments are usually created to represent a drum machine or drum channel in a multi-timbral synthesizer.

marker

Used for indicating and quickly moving to sections of your song.

Marquee tool

A crosshair-shaped tool in the Arrange window with which you can select and edit Regions, or even portions of Regions.

Matrix Editor

The main MIDI editing environment in Logic. It displays note events as horizontal beams. Events can be cut, copied, moved, and resized in a similar fashion to Regions in the Arrange window.

menu bar

The bar extending along the top of the computer screen that gives options for global functions such as opening windows and saving and loading songs. The local menu bars in the individual editing windows provide access to most of Logic's functions.

metronome

In Logic, a component that produces a sound measuring the beat. It can be set with a button in the Transport. A MIDI Metronome Click Object must be present in the Environment to activate the metronome.

MIDI

Musical instrument digital interface. It's an industry standard that allows devices like synthesizers and computers to communicate with each other. It controls a musical note's pitch, length, and volume, among other characteristics.

MIDI channel

A conduit for MIDI data. MIDI data flows through MIDI ports in channels, and up to 16 MIDI channels can pass through each port at the same time.

MIDI Region

Data container for MIDI events, shown in the Arrange window as a named horizontal beam. It does not contain sounds, but rather contains MIDI events that tell a synthesizer how to produce sounds. In earlier Logic versions MIDI Regions were called sequences.

MIDI Time Code (MTC)

Time code used to synchronize two or more MIDI devices.

mixing

The process of shaping the overall sound of a song by adjusting the volume levels and pan positions, adding EQ and other effects, and using automation to dynamically alter aspects of the song.

MP3

A digital coding standard used to compress audio files and distribute them over the Internet.

Multi Instrument

An Object in the Environment that represents a multi-timbral device.

multi-timbral

Describes an instrument or other device that can use several MIDI channels simultaneously.

mute

To silence the output of a Region or track.

Mute tool

A tool that enables you to stop an Object from playing by clicking the Object with the tool.


N
nodes

Positions in HyperDraw and automation tracks that mark the positions where data manipulation begins or ends. Occasionally referred to as points.

nondestructive

Said of an audio editor that does not change source audio files in the course of editing. Logic is generally a nondestructive editing application.


O
Object

In Logic, a general term that refers to the graphical representations of elements in the Environment. Each connection between Logic and a studio's MIDI devices is represented by an Object, and Objects can be used to create and process MIDI and audio data. Audio Objects (see separate entry) reside in the Environment's Audio layer.

Object Parameter box

A box that displays the properties of an Object in the Environment or of a selected track's Object in the Arrange window.

Output Object

Audio Object in Logic's Environment controlling the output level and pan/balance for each output on the audio interface. It is assigned to a specific hardware output in the Object Parameter box.


P
PCM

Pulse-code modulated audio. This is simply uncompressed digital audio, including AIFFs, WAVs, and SDII files.

Pencil tool

A tool used to draw various types of information in an editor.

plug-in

A small software application that adds functions to a main program (in this case, Logic). Logic's plug-ins are typically audio effects processors.

pointer

A general term for the mouse pointer. (Logic documentation sometimes refers to the Arrow tool as the Pointer tool.)

points

The positions in HyperDraw and in the automation editors that demarcate the spots where data manipulation begins or ends.

preferences

User settings that are applied to all Logic songs.

programs

Synthesizer sounds.

proxy movie

A low-resolution and tightly compressed version of a high-resolution movie that places less strain on your computer as you score in Logic.

punch in/out

A technique that allows you to interrupt playback and record audio as the sound is playing. It can be automated in Logic.


Q
quantize

To correct the rhythm of notes so that they conform to a specific time grid.

QuickTime

Apple's cross-platform standard for digitized media. You can run QuickTime movies in a Logic window or on a Global Video track, in sync with the song. Whenever you move the Song Position Locator, the video follows, and vice versa.


R
Region

A rectangular beam that represents a container for audio or MIDI data. Regions can be found in the tracks of the Arrange window. There are three types: Audio Regions, MIDI Regions, and Folder Regions.

Region Parameter box

Box in the top left corner of the Arrange window, used to nondestructively set the individual Regions' playback parameters, including quantization, transposition, velocity, and delay. These parameters do not alter the stored data. Rather, they affect how the events are played back.

Replace mode

An operating state you can activate in the Transport window. The Replace button is next to the Cycle and Autodrop buttons. In Replace mode, newly recorded information takes the place of the old information.

rubber-band select

A method of selecting multiple items at once. With the Arrow tool, click, hold, and drag the pointer on a window's background. Any item that the rubber band encloses or touches is selected.


S
sample accurate

Editors (such as the Sample Editor or Arrange window) that display or allow you to edit individual samples in an Audio Region are called sample-accurate editors.

Sample Editor

An editor in Logic in which stereo or mono audio files are destructively cut, reversed, shortened, changed in gain, and processed in a number of other ways. The Sample Editor allows sample-accurate editing of an audio file.

sampling rate

Refers to the number of times per second that a digital audio file is sampled. When audio comes in through your sound card, analog-to-digital converters sample, or check, the signal's voltage level. Logic can record and edit audio at sampling rates ranging from 44.1kHz (44,100 times per second) to 192kHz.

Scissors tool

A tool with which you divide Regions. It offers different options for dividing Audio Regions from those for MIDI Regions.

Score Editor

Logic editor that deals with standard musical notation.

screenset

An onscreen layout of windows that you can save. Each window retains its position, size, and zoom settings. You can save up to 90 screensets for each song.

Scroll in Play

A function similar to the Catch function, but instead of the SPL playing across the Arrange area's Regions, the Arrange area's Regions scroll past a stationary SPL, like tape scrolling past a playhead.

scrubbing

Moving the pointer back and forth (in a scrubbing motion) while playing back an Audio Region to locate a specific section.

Send

An output on an audio channel that splits a portion of a channel's sound out and sends it through a system bus to another Audio Object.

sequencer

A computer application that allows you to record both digital audio and MIDI data and blend the sounds together in a software mixing console.

Shuffle

A Drag mode that causes a Region to shuffle up to the Region immediately to its left or right, depending on the Shuffle mode selected. This ensures that one Region plays smoothly into the next with no drop in the track's audio.

SMPTE

Society of Motion Picture and Television Engineers. A professional organization that set up a synchronization system that divides time into hours, minutes, seconds, frames, and subframes.

solo

A way to temporarily allow you to hear one or more selected tracks, events, or Regions without hearing others that aren't soloed.

Solo tool

A tool that enables you to listen to selected Objects by themselves (click and hold the Object).

song

A main Logic file that contains all references necessary to produce a final audio output.

Song Position Line (SPL)

A vertical gray line on the Bar Ruler and in other horizontal time-based windows that indicates where you are in a song. In Play mode the SPL lets you hear that section of your song. You can position the SPL with the mouse, by clicking the Bar Ruler, or by entering bar numbers in a dialog.

song template

An empty song file that is preconfigured with a set of empty Arrange window tracks designed for a specific purpose, such as mastering, 24-track recording, or surround mixing.

Spotting

The process of determining what music will be used in a film or video project and where specific musical cues will occur.

Standard Instrument

The simplest track playback Object. It transmits MIDI data over just one channel, which makes it perfect for connecting to an external mono-timbral MIDI device such as a digital-effects unit.

Standard MIDI file

A common file type that almost any MIDI sequencer can read. In Logic you can export selected MIDI Regions as Standard MIDI files.

step-time

To record notes one at a time in a MIDI Region.

synthesizer

A hardware or software device used to generate sounds. Logic features several software synthesizers, including the ES1, ES2, EFM 1, ES E, ES P, ES M and Sculpture.

SysEx

System Exclusive data.


T
tag

A piece of information about a file, used for database purposes by applications that support the Apple Loop file format, that enables searches based on specific criteria.

tempo

The speed at which a piece of music is played, measured in beats per minute. You can create and edit tempo changes in the Global Tempo track.

Text tool

A tool for naming Audio and MIDI Regions.

tick

A note division of 1/3840.

Timecode

Used to lock musical cues to a movie by giving every point in time a unique reference that stays consistent.

time signature

Two numerals separated by a diagonal bar that appear at the beginning of a song. Common time signatures are 4/4 and 2/4. The first number denotes the number of notes in a measure, or bar. The second number denotes a unit of time for each beat. With a 2/4 signature, each bar has two beats; each beat is a quarter note long.

time-stretch

To change the length of an Audio Region without changing its pitch. You can do this in the Arrange window or Sample Editor by using menu or key commands.

toolbox

The box on the left edge of Logic's editing windows that holds editing tools.

track

A row in the Arrange window that contains a collection of MIDI or Audio Regions that can be played back. Each track has a specified destination where the data will go.

Track Automation

Used for programming control changes that are not necessarily tied to a specific Region, such as a volume fade or a cutoff sweep. Track Automation allows you to quickly find and automate any plug-in parameter. It has its own recording system, which functions independently of Logic's other recording features.

Track List

A list to the left of the Arrange window's Arrange area that displays the Objects assigned to various tracks as well as the Track buttons. Sometimes called the Track column.

Track Mixer

A virtual mixing console used to position Logic's tracks. It mirrors the number and order of tracks in the Arrange window. Using this console, you can also change a track's volume or panorama (pan) position, insert DSP effects, or mute and solo channels.

Transform window

An editor used to select and modify various aspects of MIDI events according to user-defined parameters.

transient

A point in an audio file where a beat occurs, typically showing up as a sharp attack with the highest amplitude. The Apple Loops Utility automatically detects transients and applies markers based on these characteristics, in conjunction with the bar/beat information supplied when opening the utility. These transient markers are used as a map, enabling Logic to make decisions about where best to apply time stretching and pitch transposition.

Transport panel

An area in the top left of the Arrange window that holds buttons used to control Logic's playback and recording functions. These buttons (Record, Pause, Play, Stop, Rewind, Forward) work the same way as the control buttons on a cassette deck or recordable audio CD player.

Transport window

A window that contains controls for recording and playback functions. It contains the same settings as the Transport panel, as well as other settings.


V
velocity

The force with which a MIDI note is struck.

virtual instrument

A software element that mimics a traditional hardware sound module.


W
WAV, WAVE

The primary audio file format used by Windows-compatible computers. In Logic, all recorded and bounced WAV files are in Broadcast WAVE format.

waveform

A visual representation of an audio signal; it fluctuates according to the signal's volume over time.


X
x/y scroll element

A feature of every window that enables you to move horizontally and vertically at the same time.


Z
zero crossing

A point in an audio file where the waveform crosses the zero amplitude axis. If you cut an audio file at a zero crossing, there will be no click at the cut point.

zoom

An action that enlarges (zooms in on) or reduces (zooms out from) a viewing area in any window. The Zoom controls found in the bottom left and top right corners of windows and the Magnifying Glass in the toolbox are zoom tools.


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]


SYMBOL

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

# (pound) symbol
.ubs extension
5.1 format
[ (left bracket) 2nd


A

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

accent key
Action light, DeEsser
aftertouch 2nd
AIFF (Audio Interchange File Format)
Broadcast WAVE files compared with
defined
alerts
assigning keys to functions 2nd
dependent files
EXS24 sampler
importing XML from Final Cut Pro
mapped instruments
setting maximum number of audio tracks
software instruments
Ultrabeat
algorithms, Time and Pitch Machine
aliases
Chord track changes affecting
defined
recording multiple tracks simultaneously 2nd
working with 2nd 3rd 4th
ALL INSTS
alternate tools 2nd 3rd
Analyzer button, Channel EQ 2nd
Anchor point
defined
setting 2nd
animation, String
Apple Cinema Display
Apple Loops 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
changes in Chord track affecting
creating
defined
overview of 2nd 3rd
tagging files 2nd 3rd 4th
Time and Pitch Machine vs 2nd
working with 2nd 3rd
working with transients 2nd 3rd 4th 5th
Apple Pro Certification Programs
Apple Pro Training Series
Apple QuickTime
arming
Arrange window
customizing interface 2nd 3rd
defined
key commands for navigating
quickly accessing additional tracks
song templates 2nd
toolbox for
Arrow tool
chord symbols
comp tracks 2nd
creating parts with edits 2nd
defined
fixing existing material 2nd
graphically entering notation
markers created from Regions
note events and 2nd
offline automation functions
Attack control, Compressor
Audio Configuration window creating headphone mix 2nd 3rd
creating I/O labels 2nd 3rd 4th 5th 6th 7th
plug-in order 2nd 3rd
audio files
defined
editing [See editing, audio advanced]
EXS24 Instrument Editor 2nd 3rd
Harmonic Correction 2nd 3rd
importing into project 2nd 3rd 4th
Time and Pitch Machine 2nd 3rd 4th
Audio Files Folder
Audio Instrument
applying Global tracks to 2nd 3rd
creating and managing takes 2nd 3rd 4th 5th 6th 7th
creating notation
creating/saving Channel Strip setting for
customizing interface
defined
drum notation 2nd
MIDI hardware acting like 2nd
mixer channels and 2nd 3rd 4th
quickly accessing
Audio Interchange File Format (AIFF)
Broadcast WAVE compared with
defined
audio interface
comping tracks
creating headphone mix 2nd
creating talkback channel
defined 2nd
labeling inputs and outputs 2nd 3rd 4th 5th 6th
printing effects upon recording
recording multiple tracks simultaneously
signal flow and 2nd
treating MIDI hardware as software 2nd
Audio Objects
comping tracks to same
creating additional tracks 2nd 3rd 4th
creating multiple tracks simultaneously 2nd 3rd 4th
creating talkback channels 2nd 3rd
defined
disabling solo status of all
audio recording
at same time as MIDI 2nd 3rd
creating tracks 2nd 3rd
creating tracks automatically 2nd 3rd 4th 5th 6th 7th
multiple tracks simultaneously 2nd 3rd
Audio Region
Beat Mapping 2nd 3rd 4th
defined
identifying
playing in Sample Editor 2nd 3rd 4th
setting audio output
working with Sample Editor 2nd 3rd
audio tracks
Audio Files Folder for
Aux channel Sends vs
Beat Mapping 2nd
customizing interface
defined
importing audio files
managing I/O setup
positioning events on Timeline
recording simultaneously 2nd 3rd 4th 5th 6th 7th
running out of 2nd 3rd 4th
song templates and
synchronization setup
Track Mixer Global view and
viewing for comping 2nd
Audio window
defined
importing audio files 2nd 3rd 4th
spotting video
Auto Gain, Compressor
Auto Track Zoom 2nd
Autodrop button, Transport panel
Autodrop mode
Autodrop Regions 2nd
Autoload Song
creating
defined
importing screensets
automation
defined
overview of 2nd
summary
Automation Parameter pop-up menu, Volume selection 2nd 3rd 4th 5th 6th 7th 8th
Automation Quick Access 2nd 3rd 4th
automation, offline 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th
copying data 2nd
copying data between tracks 2nd
creating nodes for 2nd 3rd 4th 5th
curves 2nd 3rd 4th 5th
of effect bypass 2nd 3rd 4th
overview of 2nd 3rd
scaling 2nd
automation, real-time 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
Automation Quick Access 2nd 3rd
of Groups 2nd 3rd 4th 5th
overview of 2nd 3rd 4th
Aux channels 2nd 3rd 4th 5th 6th
adding to Track view 2nd 3rd
defined
overview of 2nd
viewing side by side with bus channels 2nd 3rd


B

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

backups, I/O setups 2nd 3rd
bandwidth
Channel EQ
DeEsser
bar
Bar Ruler
customizing interface
defined
opening movies
SMPTE time code 2nd
specialized playback commands
viewing markers in
Basic Production template
Bass Score Style
Beat Mapping 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
Audio Regions 2nd 3rd 4th
checking results in Matrix Editor
defined
markers for 2nd 3rd 4th 5th 6th
MIDI Regions 2nd 3rd 4th
rubato passages and
working with 2nd 3rd
bit resolution
Body EQ, Sculpture
bounce
defined
MIDI hardware 2nd
WAV files
bow pressure
Broadcast WAVE
defined
importing 2nd 3rd
bus
as submixers 2nd 3rd
defined
effects 2nd 3rd 4th 5th 6th 7th
using Aux channels 2nd 3rd 4th
Bus, Audio Object
bypass
automation 2nd 3rd 4th
defined


C

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

cabling
creating mapped instruments 2nd
incorporating external effects processors
Caps Lock Keyboard 2nd
Catch function
cc# (continuous control number)
CD-Audio
Channel EQ 2nd 3rd 4th 5th 6th 7th
channel strip
customizing interface
defined
I/O labels in Track Mixer
importing EXS instruments and samples
using input objects 2nd
Channel Strip settings
defined
ES1 virtual analog synthesizer 2nd
Groups sharing
song templates 2nd
working with 2nd 3rd
channels
assigning to Groups 2nd 3rd 4th 5th 6th
Aux [See Aux channels]
bus 2nd
defined
MIDI 2nd 3rd 4th
mixer [See mixer channels]
talkback 2nd 3rd
Chimney Guitar Region 2nd 3rd 4th
chord symbols 2nd 3rd 4th
Chord track, Global tracks 2nd
clip
clipping 2nd
Color palette
Color window 2nd
comping tracks 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th
comparing performances 2nd
compiling material onto single track 2nd 3rd 4th 5th 6th 7th
defined
defining comp
general strategies 2nd
isolating wanted material 2nd 3rd 4th 5th
setup
viewing tracks 2nd
component modeling
Compressor plug-in
switching contents of plug-in windows 2nd
working with 2nd 3rd 4th 5th
copying
automation data 2nd
automation data between tracks 2nd
editing MIDI 2nd 3rd 4th 5th
voice settings
Core Audio 2nd
Core MIDI
crash voice, Ultrabeat 2nd 3rd
Create Multiple command 2nd
Create With Next Instrument command 2nd
cross fades
assembling comp track 2nd 3rd
defined
fixing problems with existing material
smoothing out transitions 2nd 3rd
Crosshair tool
curves, automation 2nd 3rd 4th 5th
Cycle button 2nd
Cycle mode 2nd 3rd 4th 5th 6th
automatically muting new tracks
creating tracks while recording 2nd 3rd 4th 5th
defined
markers creating cycle Regions 2nd
overview of
setting locators by Objects 2nd
Skip Cycle Regions 2nd
cycle Regions
markers creating 2nd
setting locators by Objects 2nd
Skip Cycle Regions 2nd


D

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

data
copying automation data 2nd
copying automation data between tracks 2nd
SysEx
viewing MIDI data accurately 2nd 3rd 4th
DAW (digital audio workstation)
dB (decibels)
EQ controls 2nd
Gain Reduction meter and 2nd
Low Pass (12dB)
node volume settings 2nd
Volume on Automation Parameter pop-up 2nd 3rd 4th 5th
DeEsser 2nd 3rd 4th 5th
Action light
bandwidth
Detector Frequency 2nd 3rd
Monitor field 2nd
overview of
Sensitivity control 2nd
Strength control 2nd
Suppressor Frequency
Define Chord window, Global tracks 2nd
Delay parameter 2nd
Delete key
assembling comp track
locating on keyboard
transients
unused tracks
Delete Unused command
demixing 2nd 3rd 4th 5th
dependent files
importing audio files 2nd 3rd 4th
importing EXS instruments and samples
importing Space Designer 2nd 3rd
Detect Cuts button 2nd
Detector Frequency, DeEsser 2nd 3rd
Diatonic Insert feature
digital audio workstation (DAW)
Digital Cinema Desktop
Digital Factory
digital signal processing (DSP)
defined
extending processing capacity of Logic Pro
Digital Stepper
digital video clips
Direction Mixer plug-in 2nd 3rd 4th
Display Parameter box 2nd 3rd 4th
distributed audio processing systems
disturbers 2nd
dithering
Dobro Guitar, Sculpture 2nd
dragging, notes into score 2nd
driver
assigning audio
defined
I/O labels 2nd 3rd 4th
positioning events on Timeline
setting maximum number of audio tracks 2nd 3rd
Drop mode 2nd 3rd
drum notation 2nd 3rd 4th 5th 6th 7th 8th 9th
consolidating tracks 2nd
creating mapped instruments 2nd 3rd 4th 5th 6th 7th
overview of
DSP (digital signal processing)
defined
extending processing capacity of Logic Pro
Dynamics parameter 2nd 3rd


E

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

echoes
Edit Decision List (EDL)
defined
sound effects referenced from
editing 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th
keyboard shortcuts for 2nd
markers 2nd 3rd
selecting note events for 2nd 3rd 4th 5th
summary 2nd
text in scores
with markers [See markers]
with navigation [See navigation]
with zoom [See zoom]
editing, audio advanced 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th
comping tracks [See comping tracks]
drawing out clicks with Pencil tool 2nd 3rd
extending existing material with edits 2nd 3rd 4th
fixing problems with existing material 2nd 3rd 4th
playing Audio Regions in Sample Editor 2nd 3rd 4th
Sample Editor overview 2nd 3rd
smoothing transitions with fades 2nd 3rd
summary
editing, MIDI advanced 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th 39th
demixing MIDI Regions 2nd 3rd 4th
summary 2nd
with aliases 2nd 3rd 4th
with copies 2nd 3rd 4th 5th
with loops 2nd 3rd 4th
with MIDI note events 2nd 3rd 4th 5th 6th 7th 8th
with Region Parameters [See Region Parameter box]
with transform functions 2nd 3rd 4th
editors
defined
Instrument Editor 2nd 3rd 4th 5th
Matrix Editor [See Matrix Editor]
MIDI 2nd 3rd
Region Parameter box
Sample Editor [See Sample Editor]
Score Editor [See Score Editor]
setting locators by Objects in 2nd
setting preference to open
setting to open
tools used by 2nd
unlocking vs. locking screensets
using aliases in
using Step Input Keyboard
viewing functions within
EDL (Edit Decision List)
defined
sound effects referenced from
effects
bus 2nd 3rd 4th 5th 6th 7th
EVD6 vintage clavinet 2nd
EVP88 vintage electric piano
incorporating external processors 2nd 3rd 4th
insert [See insert effects]
printing upon recording 2nd 3rd 4th
sound effects
EFM 1 FM synthesizer 2nd
Environment
creating input Objects 2nd 3rd 4th
defined
Environment layer 2nd
Environment window
creating additional tracks
creating mapped instrument 2nd
creating multiple tracks 2nd
creating talkback channels 2nd 3rd
printing effects upon recording
EQ (equalizers)
EVP88 vintage electric piano 2nd
in Sculpture
using Channel EQ 2nd 3rd 4th 5th 6th 7th
working with voices in Ultrabeat 2nd
Eraser tool
ES1 synthesizer
comparing interface with ES 2nd 3rd 4th 5th 6th 7th
using 2nd 3rd
ES2 synthesizer
comparing interface with ES 2nd 3rd 4th 5th 6th 7th
using 2nd 3rd 4th
EVD6 vintage clavinet 2nd 3rd
Event Float window 2nd 3rd 4th
Event List
Event Parameter box 2nd 3rd
events
defined
inserting
EVP88 vintage electric piano 2nd 3rd
exciters, Sculpture
EXS instruments, importing
EXS24 sampler 2nd 3rd 4th 5th 6th 7th
defined
interface 2nd
opening Instrument Editor 2nd 3rd 4th 5th
overview of 2nd
processing sampler instrument 2nd
extended Region parameters 2nd 3rd 4th
Extensible Markup Language (XML)
defined
importing from Final Cut Pro 2nd 3rd 4th
external effects processors 2nd 3rd 4th
External plug-in 2nd


F

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Factory folder 2nd
Fade tool 2nd
fader
defined
MIDI fader
fades
assembling comp track 2nd 3rd
Automation Quick Access with 2nd 3rd
fixing problems with
smoothing transitions with 2nd 3rd
filters
Channel EQ
ES1 synthesizer
ES2 synthesizer
Track
Final Cut Pro, importing XML from 2nd 3rd 4th
Finger tool
FireWire video streaming
floating
folders
creating project 2nd 3rd 4th
defined
formants
changing
defined
pitch transposition and
Format parameter
frame rate, SMPTE time code
Freeze function
defined
Track Freeze button 2nd
frequency spectrum
Channel EQ 2nd 3rd 4th 5th
DeEsser 2nd 3rd 4th 5th
functions
assigning keys to 2nd 3rd 4th
assigning same key to multiple 2nd 3rd
key command-only 2nd
transform 2nd 3rd 4th
zoom settings 2nd 3rd


G

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Gain Reduction meter, Compressor
Gain slider, Compressor
GarageBand instruments
compared with Logic instruments 2nd 3rd 4th
editing sounds with Logic Pro instruments 2nd 3rd
Gate settings
General MIDI (GM) 2nd
Global commands
Global format
Global tracks
adding markers in Marker track 2nd 3rd
defined
markers for Beat Mapping 2nd 3rd
quick arrangements with 2nd 3rd
Global Video track
Global view, Track Mixer
adding tracks to Track view
bus channels used as submixes 2nd
working with 2nd 3rd
Glue tool
GM (General MIDI) 2nd
Goto command 2nd 3rd
Goto Next/Previous marker commands
creating cycle Regions with markers 2nd
fixing problems with existing material
using edits to create parts
working with MIDI note events
zooming in on Regions
graphic input 2nd 3rd 4th 5th 6th 7th 8th 9th 10th
adjusting note length 2nd
dragging notes into score 2nd
entering notes with 2nd 3rd 4th 5th 6th 7th
grid
Group Clutch 2nd 3rd
Groups
assigning channels to 2nd 3rd 4th 5th 6th
automation of 2nd 3rd 4th 5th
defined
temporarily disabling 2nd 3rd


H

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Hand tool
hardwired commands 2nd
Harmonic Correction 2nd 3rd 4th
Harmonic Steps slider
headphone mix 2nd 3rd 4th 5th
headroom
help tag
defined
locating Song Position Line
positioning notes with 2nd
high-cut filters, Channel EQ
Hyper Editor
hyper set
HyperDraw


I

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

I/O (input/output) setup 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd
backing up and transporting 2nd 3rd
creating headphone mix 2nd 3rd 4th 5th
labels 2nd 3rd 4th 5th 6th 7th 8th
summary
using input Objects 2nd 3rd 4th 5th 6th
I/O buffer size
I/O plug-in window
importing
audio files into project 2nd 3rd 4th
Broadcast WAVE files 2nd 3rd
EXS instruments and samples into project
I/O setup 2nd 3rd
Space Designer 2nd 3rd
XML from Final Cut Pro 2nd 3rd 4th
impulse responses (IR)
defined
Space Designer 2nd 3rd
input filtering
input monitoring
input Objects 2nd 3rd 4th 5th 6th
creating talkback channel 2nd 3rd 4th
defined
printing effects upon recording 2nd
saving and removing I/O labels 2nd
input/output [See I/O (input/output) setup]
insert
defined
events
insert effects 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th
overview of 2nd
using Channel EQ 2nd 3rd 4th 5th 6th 7th
using Compressor 2nd 3rd 4th 5th
using DeEsser 2nd 3rd 4th 5th
installation, Logic Pro 7 project files
instrument
Audio [See Audio Instrument]
defined
Instrument button
mapped [See mapped instruments]
Multi Instrument 2nd
software [See software instruments]
Standard Instrument
virtual
Instrument Editor, EXS24 sampler 2nd 3rd 4th 5th
Instrument Sets
creating 2nd 3rd 4th 5th
creating for each part 2nd 3rd 4th 5th 6th
interface
customizing [See audio interface]
EFM 1 FM [See audio interface]
ES1 [See audio interface]
ES2 [See audio interface]
Sculpture [See audio interface]
software instruments [See audio interface]
Time and Pitch Machine [See audio interface]
Ultrabeat [See audio interface]
Interpretation parameter
IR (impulse responses)
defined
Space Designer 2nd 3rd


K

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

key commands 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th
activating Group Clutch
adding markers during playback
assigning keys to functions 2nd 3rd 4th
assigning same key to multiple functions 2nd 3rd
changing key assignments 2nd 3rd
defined
importing
key command-only functions 2nd
locating markers with 2nd
magnifying waveform without zooming Region 2nd
overview of 2nd
quick toolbox access
saving zoom settings 2nd 3rd 4th
specialized playback commands 2nd 3rd 4th
viewing key assignments 2nd 3rd
zooming in on Regions 2nd 3rd
key labels
key mapping area, EXS 2nd
keyboard shortcuts
common 2nd
markers
navigation
zoom 2nd 3rd 4th 5th
Keyboard, Caps Lock
kick voice, Ultrabeat 2nd
kits, Ultrabeat 2nd


L

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

labels, I/O
creating 2nd 3rd 4th 5th 6th
in Mixer 2nd 3rd
recording multiple audio tracks simultaneously
saving and removing 2nd
Latch mode, real-time automation 2nd 3rd 4th
latency
Learn by Key Position 2nd 3rd
left bracket ([) 2nd
length, note 2nd
Link mode
defined
Ultrabeat 2nd
linking
Load Sample command 2nd
local menu
Arrange window 2nd
defined
Environment window
Score Editor 2nd 3rd 4th 5th 6th
Score Style window
locators
defined
setting 2nd
lock SMPTE position 2nd
Logic Pro 7, getting started
Apple Pro Certification Programs
Apple Pro Training Series
installing project files
methodology 2nd
resources
system requirements
Logic Setup Assistant
long I/O labels 2nd 3rd 4th
loops 2nd 3rd 4th 5th
Loudspeaker button
low-cut filters


M

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

magnification [See zoom]
Magnifying Glass tool
automating effect bypasses
defined
fixing problems with existing material
specialized playback commands
using curves 2nd 3rd 4th 5th
using extended Region parameters 2nd
using in Sample Editor 2nd 3rd
mapped instruments 2nd 3rd 4th 5th 6th 7th 8th 9th
consolidating tracks 2nd
creating 2nd 3rd 4th 5th 6th 7th
defined 2nd
Mapped Score Styles
Marker List window 2nd
Marker Text window 2nd 3rd
Marker track
adding marker text 2nd 3rd
adding markers 2nd 3rd
editing markers 2nd 3rd
navigating with markers
markers 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
adding during playback
adding in Marker track 2nd 3rd
adding text 2nd 3rd 4th
Beat Mapping with 2nd 3rd 4th 5th 6th
creating cycle Regions with 2nd
creating from Regions
defined
editing 2nd 3rd
keyboard shortcuts
navigating with 2nd 3rd 4th
overview of
viewing in Bar Ruler
Marquee tool
defined
fixing problems with existing material 2nd
Material Pad, Sculpture
Matrix Editor
Beat Mapping results viewed in
defined
demixing MIDI Regions 2nd 3rd 4th
graphic input note reflected in
quick toolbox access
recording with Ultrabeat 2nd 3rd
Media Loss, Sculpture
media, importing 2nd 3rd 4th 5th 6th 7th 8th
Broadcast WAVE files 2nd 3rd 4th 5th 6th
locking SMPTE position following 2nd
overview of
XML from Final Cut Pro 2nd 3rd 4th
menu bar
menus, Track Automation 2nd 3rd
metronome
assigning to headphones only 2nd 3rd
Beat Mapping 2nd
defined
MIDI (musical instrument digital interface)
assigning metronome to headphones only
creating tracks 2nd 3rd 4th 5th 6th 7th 8th 9th
defined
editing [See editing, MIDI advanced]
entering notes with step input 2nd
opening EXS24 Instrument Editor
recording audio at same time as 2nd 3rd
recording multiple tracks simultaneously 2nd 3rd
treating hardware as software 2nd 3rd
triggering patterns via 2nd
using Automation Quick Access 2nd 3rd
using Beat Mapping track 2nd
using Ultrabeat
MIDI channel
creating polyphonic Score Styles 2nd 3rd
defined
MIDI Regions
aliases 2nd 3rd 4th
altering events in [See Region Parameter box]
Beat Mapping 2nd 3rd 4th
changes in Chord track affecting
checking Beat Mapping results in Matrix Editor
copies 2nd 3rd 4th 5th
defined
demixing 2nd 3rd 4th
loops 2nd 3rd 4th
preparing for notation 2nd 3rd 4th
recording with Ultrabeat 2nd 3rd
time-stretching
viewing data accurately 2nd 3rd 4th
MIDI Thru tool
MIDI Time Code (MTC)
defined
SMPTE converted to
mixer channels 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th 39th 40th 41st 42nd
changing plug-in locations 2nd 3rd
overview of
panning stereo tracks 2nd 3rd 4th
summary
switching contents of plug-in window 2nd 3rd 4th 5th
using bus effects 2nd 3rd 4th 5th 6th 7th
using Channel Strip settings 2nd 3rd
using insert effects [See insert effects]
using Track Mixer 2nd 3rd 4th 5th 6th 7th
mixer-less studio trend
creating talkback channels 2nd 3rd 4th
defined
mixing
adaptive mixers [See Track Mixer]
automating [See Track Mixer, automation]
defined [See Track Mixer]
demixing [See Track Mixer]
headphone mix [See Track Mixer]
modulation
ES1 synthesizer
ES2 synthesizer 2nd
in Sculpture 2nd 3rd
using Automation Quick Access 2nd 3rd
Monitor field, DeEsser 2nd
Morph Pad, Sculpture 2nd 3rd
mouse, controlling toolbox with two-button 2nd 3rd
movies
opening [See scoring to picture]
proxy movies [See scoring to picture]
spotting [See scoring to picture]
MP3s
MTC (MIDI Time Code)
defined
SMPTE converted to
Multi Instrument
defined
MIDI instruments
multi-timbral
defined
drum channels in multi-timbral synthesizers
musical instrument digital interface [See MIDI (musical instrument digital interface]
mute
automatically for new tracks 2nd 3rd
Beat Mapping and 2nd
comping tracks 2nd 3rd 4th 5th 6th 7th 8th
controlling signal flow
creating aliases 2nd
creating tracks 2nd
defined
talkback channel function
using bus effects
working with voices 2nd 3rd
Mute tool
comping tracks 2nd 3rd 4th
creating aliases
defined


N

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

naming conventions
adding marker text
adding markers in Marker track
creating aliases
creating Instrument Sets
renaming markers
saving Channel Strip settings
navigation 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th
Cycle mode 2nd 3rd 4th 5th 6th
keyboard shortcuts
markers 2nd 3rd 4th
specialized playback commands 2nd 3rd 4th 5th
New song window
No Overlap command
nodes
copying automation data 2nd 3rd 4th 5th
copying automation data between tracks 2nd
creating automation 2nd 3rd 4th 5th
defined
overview of
scaling automation 2nd
using curves 2nd 3rd 4th 5th
nondestructive
data processing
defined
MIDI Region parameters
notating sequencer, Logic as
notation 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th 39th 40th 41st 42nd 43rd 44th 45th 46th 47th 48th 49th 50th 51st 52nd 53rd 54th 55th 56th
creating 2nd
drums [See drum notation]
Instrument Sets, creating 2nd 3rd 4th 5th
Instrument Sets, creating for each part 2nd 3rd 4th 5th 6th
overview of
preparing MIDI Regions for 2nd 3rd 4th
scores and parts
summary
viewing MIDI data accurately 2nd 3rd 4th
with graphic input [See graphic input]
with Instrument Sets 2nd 3rd 4th 5th
with polyphonic Score Styles 2nd 3rd 4th 5th 6th 7th
with Score Styles 2nd 3rd 4th
with step input 2nd 3rd 4th
with text 2nd 3rd 4th 5th 6th 7th
note events, MIDI 2nd 3rd 4th 5th 6th 7th 8th
muting notes when selected
overview of 2nd
repeating 2nd
selecting for editing 2nd 3rd 4th 5th
note values, Step Sequencer
Notes Attribute dialog 2nd
NTSC monitor


O

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Object Parameter box
Objects
defined
Sculpture 2nd 3rd 4th 5th 6th
setting locators by 2nd
zooming in on 2nd 3rd 4th
octave transposition 2nd
offline automation [See automation, offline]
opening, movie 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th 39th 40th 41st 42nd 43rd 44th 45th 46th 47th 48th 49th 50th 51st 52nd 53rd 54th 55th 56th 57th 58th 59th 60th 61st 62nd 63rd 64th 65th 66th 67th 68th 69th 70th 71st 72nd 73rd 74th 75th 76th 77th 78th 79th 80th 81st 82nd 83rd 84th 85th 86th 87th 88th 89th 90th 91st 92nd 93rd 94th 95th 96th 97th 98th 99th 100th 101st 102nd
oscillators
ES1 synthesizer
ES2 synthesizer
working with voices in Ultrabeat 2nd
Output Object
defined [See I/O (input/output) setup]
ES1 synthesizer [See I/O (input/output) setup]
ES2 synthesizer [See I/O (input/output) setup]


P

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Pan knob, Track Mixer
panning, stereo tracks 2nd 3rd 4th
parameters
Channel EQ 2nd
EXS24 Instrument Editor 2nd
transcribing performances 2nd 3rd 4th
Part box, Score Editor 2nd
patterns
triggering with MIDI 2nd
Ultrabeat playing sequenced patterns 2nd
PCM (pulse-code modulated audio)
Broadcast WAVE files compared with
defined
Pencil tool
adding markers in Marker track 2nd
defined
graphically entering notation 2nd 3rd
locked vs. unlocked screensets 2nd
preparing MIDI Regions for notation
recording with Ultrabeat 2nd
Sample Editor 2nd 3rd
performances, comping 2nd
Pick exciter
pickups 2nd
pitch
creating polyphonic Score Styles
transposition 2nd 3rd
when graphically entering notation
pitch and tempo matching
with Apple Loops [See Apple Loops]
with rubato passages [See Beat Mapping]
with Time and Pitch Machine [See Time and Pitch Machine]
pivot points
playback
adding markers during
Region Parameter box changes during
special commands for 2nd 3rd 4th 5th
using Sculpture
using Ultrabeat Sequencer
plug-ins
changing locations of 2nd 3rd
defined
manipulating order of 2nd 3rd 4th 5th
navigating active 2nd 3rd 4th 5th
pointer 2nd 3rd 4th
Pointer tool
points
aligning 2nd
assembling comp track 2nd 3rd
Cycle mode
defined
drawing out clicks with Pencil tool
help tags positioning edit
isolating wanted material 2nd
markers as navigation 2nd
Morph Pad 2nd 3rd
nodes as [See nodes]
positioning events on Timeline
transients as
polyphonic Score Styles 2nd 3rd 4th 5th 6th 7th
positioning, zoom 2nd 3rd
pound (#) symbol
preferences
Auto Track Zoom
automation
controlling toolbox with mouse 2nd
instrumental parts
key commands
Sample Editor Undo Steps
setting editor to open from MIDI Region 2nd
setting maximum number of audio tracks
presets
finding Logic
saving and trying with Sculpture
pressure
aftertouch as
bow
printing
creating parts for
effects upon recording 2nd 3rd 4th
programs, defined
Progress window
proxy movies
defined
working with digital video clips
pulse-code modulated audio (PCM)
Broadcast WAVE files compared with
defined
punch in/out
defined 2nd
editing and


Q

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

quantize
defined
effect on notation in Score Editor
overview of 2nd 3rd
using extended Region parameters 2nd 3rd
QuickTime
defined
digital video clips
opening movies 2nd 3rd
QWERTY keyboard


R

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

RAM
Read mode, real-time automation 2nd
real-time automation [See automation, real-time]
Record button, Transport panel
Record Enable buttons 2nd 3rd
record-enable, disengaging
recording
automatically muting new tracks 2nd 3rd
creating multiple tracks and Audio Objects simultaneously 2nd 3rd 4th
deleting unused tracks 2nd 3rd 4th
MIDI and audio simultaneously 2nd 3rd
multiple audio tracks simultaneously 2nd 3rd
multiple MIDI tracks simultaneously 2nd 3rd
multiple tracks automatically 2nd 3rd 4th 5th
printing effects upon 2nd 3rd 4th
running out of tracks 2nd 3rd 4th
with Ultrabeat 2nd 3rd
Region Parameter box 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th
changing velocities 2nd
compressing/expanding dynamics 2nd 3rd
customizing interface
defined
importing audio files
overview of 2nd
quantization 2nd 3rd
setting to affect incoming signals
transposing Regions 2nd
using Delay to adjust feeling 2nd
using extended Region parameters 2nd 3rd 4th
Regions
creating markers from
defined
magnifying waveform without zooming 2nd 3rd
when Track Solo is enabled
zooming in on 2nd 3rd 4th
rehearsal markings
Repeat Objects command 2nd
Repeat Regions command
Replace mode
Resolution slider, Sculpture
resources, Logic Pro 7
rests
creating notation
polyphonic instruments and
transcribing performances 2nd 3rd
using Score Styles with
reverb, bus effects 2nd 3rd
rim shots 2nd 3rd
rubato passages
Beat Mapping Audio Region 2nd 3rd 4th
Beat Mapping MIDI Region 2nd 3rd 4th
Beat Mapping results in Matrix Editor
Beat Mapping track 2nd 3rd
defining
rubber-band select
adjusting note length 2nd
audio editing
automating effect bypasses
comp tracks 2nd
copying automation data 2nd
creating automation nodes 2nd
creating notation 2nd
creating parts with edits
defined
playback commands
Region parameters
repeating note events
unlocked vs. locked screensets 2nd
using curves 2nd 3rd 4th 5th
using existing material to fix problems


S

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

sample accurate
defined
Logic automation
waveforms
Sample Editor 2nd 3rd 4th 5th 6th 7th 8th
defined
EXS24 Instrument Editor 2nd
overview of
Pencil tool 2nd 3rd
playing Audio Regions in 2nd 3rd 4th
Time and Pitch Machine
working with 2nd 3rd
Sampler Instruments
samplers [See EXS24 sampler]
samples, importing into project
sampling rate
saturation
saving
Apple Loops
audio files in Broadcast WAVE format
Channel Strip settings
I/O labels 2nd
Score Styles
song templates 2nd
sound as presets
zoom settings 2nd 3rd 4th
Scale parameter
scaling
automation 2nd
Scale parameter
Scissors tool
defined
isolating wanted tracks with 2nd 3rd
using edits to create parts
Score Editor
adjusting note length 2nd
creating Instrument Sets 2nd 3rd 4th
creating parts for printing 2nd 3rd 4th 5th 6th
creating polyphonic Score Styles 2nd 3rd 4th 5th 6th 7th
creating Score Styles 2nd 3rd 4th
defined
displaying page view in
entering notes with step input 2nd 3rd
graphically entering notation [See graphic input]
opening
preparing MIDI Regions for notation 2nd 3rd 4th
Score Styles
creating mapped instruments with 2nd
overview of 2nd 3rd 4th
polyphonic 2nd 3rd 4th 5th 6th 7th
scoring to picture 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd
importing Broadcast WAVE file 2nd 3rd
importing media
importing XML from Final Cut Pro 2nd 3rd 4th
locking SMPTE position of sound effects following import 2nd
positioning events on Timeline 2nd 3rd 4th 5th 6th 7th 8th 9th 10th
setting up synchronization 2nd 3rd 4th 5th 6th 7th 8th 9th
spotting movie 2nd 3rd 4th 5th 6th 7th
summary
screensets
adding Track Mixer to existing
customizing 2nd 3rd
defined
importing 2nd
unlocking vs. locking 2nd 3rd
Scroll in Play
scrubbing
defined
Scissors tool
Sculpture 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th
adjusting pickups 2nd
processing sound 2nd 3rd
saving and trying presets
understanding String element 2nd 3rd 4th 5th
using modulation in 2nd 3rd
using Objects in 2nd 3rd 4th 5th 6th
search function 2nd 3rd
Search Tags, Apple Loops 2nd
Send
defined
incorporating external effects processors 2nd
using Aux channels for bus returns 2nd 3rd 4th
using mixer Groups 2nd 3rd 4th
Sensitivity control, DeEsser 2nd
Sensitivity slider, transients
sequence (sq) 2nd
sequencer
defined
Logic as notating
quantizing Regions
setup, I/O [See I/O (input/output) setup]
short I/O labels 2nd 3rd 4th
Shuffle
Shuttle Forward command, assigning keys to
Shuttle Rewind command, assigning keys to 2nd 3rd
signal flow control 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd
adding tracks to Track view 2nd 3rd
incorporating external effects processors 2nd 3rd 4th
summary
using Aux channels for bus returns 2nd 3rd 4th
using bus channels as submixes 2nd 3rd
using mixer Groups 2nd 3rd 4th 5th 6th 7th 8th
Signature track, Global tracks
sine waves
Skip Cycle 2nd
Smart snap
SMPTE (Society of Motion Picture and Television Engineers)
adding markers during playback
defined
giant size of display 2nd
locking position 2nd
positioning events by spotting video 2nd 3rd 4th 5th 6th 7th 8th 9th 10th
positioning events with Event Float 2nd 3rd 4th
positioning events with Pickup Clock 2nd 3rd
time code 2nd 3rd 4th 5th
wrapping up project
Snap mode
snare voices 2nd
Society of Motion Picture and Television Engineers [See SMPTE (Society of Motion Picture and Television Engineers]
software instruments
disadvantages of
EFM 1 FM synthesizer 2nd
ES1 virtual analog synthesizer 2nd 3rd
ES2 synthesizer 2nd 3rd 4th
EVD6 vintage clavinet 2nd 3rd
EVP88 vintage electric piano 2nd 3rd
EXS24 sampler 2nd 3rd 4th 5th 6th 7th
GarageBand vs. Logic 2nd 3rd 4th 5th 6th 7th
Global tracks 2nd 3rd
overview of
Sculpture [See Sculpture]
summary 2nd
treating MIDI hardware as software 2nd 3rd
types of 2nd 3rd 4th
Ultrabeat [See Ultrabeat]
user interface 2nd 3rd 4th 5th 6th 7th
solo
adding tracks to Track view [See Track Solo]
adjusting voice for [See Track Solo]
Aux channel [See Track Solo]
channeling plug-in locations [See Track Solo]
Cycle function and [See Track Solo]
defined [See Track Solo]
EXS24 sampler [See Track Solo]
external effects processors [See Track Solo]
for snare voice [See Track Solo]
mute suppression during bus [See Track Solo]
of track assigned to bus [See Track Solo]
panning stereo tracks [See Track Solo]
quantizing Regions [See Track Solo]
Score Style rests and [See Track Solo]
using Compressor [See Track Solo]
using copies [See Track Solo]
using Global tracks [See Track Solo]
using mixer Groups [See Track Solo]
Solo button, Transport panel 2nd
Solo tool
Song Position Line [See SPL (Song Position Line]
Song Settings window 2nd 3rd 4th
song templates
backing up and transporting I/O setup 2nd 3rd
defined
saving 2nd
working with 2nd 3rd
song, defined
sound effects
Soundtrack Loop Utility [See Apple Loops]
Space Designer
adding plug-ins to projects 2nd 3rd
bus effects and 2nd 3rd
speedier workflow [See workflow, speed]
SPL (Song Position Line)
adding markers during playback
adding markers in Marker track
defined
entering notes with step input 2nd 3rd
moving nonlinearly within songs
navigating with markers
using key commands
zoom positioning 2nd 3rd
Split Regions by Song Position command
spotting 2nd 3rd 4th 5th 6th 7th
defined
detecting cuts 2nd
positioning events by 2nd 3rd 4th
using markers for Beat Mapping 2nd 3rd 4th 5th 6th
sq (sequence) 2nd
Standard Instrument
Standard MIDI file
staves, Score Styles
step grid
step input 2nd 3rd 4th
Step Input Keyboard 2nd 3rd 4th
Step Sequencer, Ultrabeat 2nd 3rd 4th 5th 6th 7th
applying swing 2nd
copying sequence from one voice to another 2nd
sequencing voices 2nd
triggering patterns via MIDI 2nd
working with 2nd
step width
step-time
stereo
panning stereo tracks 2nd 3rd 4th
Stereo Mastering template
Stop button, Transport panel
Strength control
DeEsser 2nd
Sculpture 2nd 3rd
String element, Sculpture 2nd 3rd 4th 5th
Style parameter
drums 2nd
scores 2nd 3rd
submixers 2nd 3rd
Suppressor Frequency, DeEsser
Swing knob, Step Sequencer 2nd
synchronization 2nd 3rd 4th 5th 6th 7th 8th 9th
opening movie 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th 39th 40th 41st 42nd 43rd 44th 45th 46th 47th 48th 49th 50th 51st 52nd 53rd 54th 55th 56th 57th 58th 59th 60th 61st 62nd 63rd 64th 65th 66th 67th 68th 69th 70th 71st 72nd 73rd 74th 75th 76th 77th 78th 79th 80th 81st 82nd 83rd 84th 85th 86th 87th 88th 89th 90th 91st 92nd 93rd 94th 95th 96th 97th 98th 99th 100th 101st 102nd
setting up 2nd
SMPTE time code and 2nd 3rd 4th 5th
synthesizers
defined
EFM 1 FM 2nd
ES 2nd 3rd 4th 5th
ES1 virtual analog 2nd 3rd
types of
SysEx (System Exclusive) data 2nd
system requirements, Logic Pro 7


T

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

tags
Apple Loops 2nd 3rd 4th
defined
takes, creating/managing
automatically muting new tracks 2nd 3rd
creating multiple tracks and Audio Objects simultaneously 2nd 3rd 4th
creating tracks 2nd 3rd
creating tracks automatically while recording 2nd 3rd 4th 5th
deleting unused tracks 2nd 3rd 4th
dependent files
getting additional tracks 2nd 3rd 4th
importing audio files into project 2nd 3rd 4th
importing EXS instruments and samples into project
importing Space Designer 2nd 3rd
recording MIDI and audio at same time 2nd 3rd
recording multiple MIDI tracks simultaneously 2nd 3rd
recording multiple tracks simultaneously 2nd 3rd
summary 2nd
with project folders 2nd 3rd 4th
talkback channels, headphones 2nd 3rd 4th
Tape Delay, ES2 2nd
templates, song [See song templates]
Tempo Alternatives, Beat Mapping 2nd 3rd 4th
tempo and pitch matching 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th
overview of 2nd
rubato passages [See rubato passages]
summary
with Apple Loops [See Apple Loops]
with Time and Pitch Machine 2nd 3rd 4th 5th 6th 7th 8th
Tempo slider 2nd
tempo, defined
Tension Mod slider, Sculpture 2nd
Text Styles 2nd 3rd
Text tool
adding Marker Text 2nd 3rd 4th
adding text to score
defined
text, in musical notation
creating chord symbols 2nd 3rd 4th
entering into score
using Text Styles 2nd 3rd
text, marker 2nd 3rd 4th
ticks
defined
Delay settings 2nd
ties
Timbre control, Sculpture
Time and Pitch Machine 2nd 3rd 4th 5th 6th 7th 8th
Harmonic Correction 2nd 3rd
harmonic progression/pitch transposition 2nd 3rd 4th
overview of 2nd 3rd 4th 5th
time code
time compression
time signature
creating notation
defined
in rubato passages
speeding up workflow
tempo and pitch matching
time-stretch
defined
matching elements within a song
MIDI Region
Timeline 2nd 3rd 4th 5th 6th 7th 8th 9th 10th
Toggle Group Clutch Key command
Toggle Metronome button, Transport panel
toolbox 2nd 3rd 4th 5th 6th 7th 8th
alternate tools 2nd 3rd
defined
hardwired commands for 2nd
quickly accessing
two-button mouse controlling
tools, alternate 2nd 3rd
Touch mode, real-time automation 2nd 3rd 4th 5th
Track Automation
defined
importing XML from Final Cut Pro 2nd 3rd
offline automation 2nd 3rd
Track Button Slide Activation
Track Filter, Track Mixer 2nd 3rd 4th
Track Freeze button 2nd
Track List
customizing interface 2nd 3rd
defined
getting additional tracks in 2nd 3rd 4th
Track Mixer 2nd 3rd
Track Mixer 2nd 3rd 4th 5th 6th 7th
defined
Global view 2nd 3rd
I/O labels in 2nd 3rd
opening Channel EQ
overview of
recording multiple audio tracks simultaneously 2nd 3rd
signal flow [See signal flow control]
Track filters
track type and number display
Track view 2nd 3rd 4th
Track Mute button
Track Solo
assembling comp track 2nd
offline automation 2nd
real-time automation 2nd
transcribing performances 2nd
using aliases
using edits to create parts 2nd 3rd
with MIDI note events
with Region parameters 2nd 3rd
with Transform functions
Track view, Track Mixer
adding tracks to 2nd 3rd
Global button for toggling to
working with 2nd 3rd 4th
tracks 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th
automatically muting new 2nd 3rd
comping [See comping tracks]
copying automation data between 2nd
creating 2nd 3rd
creating automatically while recording 2nd 3rd 4th 5th
creating multiple tracks and Audio Objects simultaneously 2nd 3rd 4th
defined
deleting unused 2nd 3rd 4th
freezing 2nd
panning stereo 2nd 3rd 4th
recording multiple MIDI tracks simultaneously 2nd 3rd
recording multiple tracks simultaneously 2nd 3rd 4th 5th 6th 7th
running out of 2nd 3rd 4th
transcribing performances
overview of
preparing MIDI Regions for notation 2nd 3rd 4th
viewing MIDI data accurately 2nd 3rd 4th
transform functions 2nd 3rd 4th
Transform window
defined
sections of 2nd 3rd
transients
Beat Mapping Audio Region 2nd 3rd 4th
defined 2nd
working with 2nd 3rd 4th 5th
transitions, smoothing with fades 2nd 3rd
transport functions, keyboard shortcuts
Transport panel
Autodrop button
configuring as SMPTE time display
creating instrument sets and
Cycle button 2nd 3rd 4th 5th
defined
Drop button
real-time automation
Record button
Solo button 2nd
Stop button
syncing with songs
Toggle Metronome button
Transport window
changing tempo in
configuring as SMPTE time display
customizing interface 2nd 3rd 4th 5th 6th 7th
defined
information in 2nd
locking SMPTE position
quantizing Regions
signal flow control
using Beat Mapping track
using MIDI note events
Transpose parameter 2nd
transposition, octaves 2nd
trigger row
triggers, pattern
recording with Ultrabeat 2nd 3rd
via MIDI 2nd
Trim tool


U

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Ultrabeat 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th
loading kits 2nd
recording with 2nd 3rd
Step Sequencer 2nd 3rd 4th 5th 6th 7th
voices 2nd 3rd 4th 5th 6th 7th
USB keychain drives 2nd 3rd


V

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Variation control, Sculpture 2nd
velocity
changing in MIDI Region 2nd
defined
selecting note events for editing 2nd 3rd 4th 5th
video clips, digital
Video track 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th 35th 36th 37th 38th 39th 40th 41st 42nd 43rd 44th 45th 46th 47th 48th 49th 50th 51st 52nd 53rd 54th 55th 56th 57th 58th 59th 60th 61st 62nd 63rd 64th 65th 66th 67th 68th 69th 70th 71st 72nd 73rd 74th 75th 76th 77th 78th 79th 80th 81st 82nd 83rd 84th 85th 86th 87th 88th 89th 90th 91st 92nd 93rd 94th 95th 96th 97th 98th 99th 100th 101st 102nd
viewing
EXS24 Instrument Editor
key assignments 2nd 3rd
markers in Bar Ruler
Sample Editor
Track Automation 2nd 3rd
tracks for comping 2nd
using Track Mixer Global view 2nd 3rd
vintage keyboards
EVD6 vintage clavinet 2nd 3rd
EVP 2nd 3rd 4th
types of
virtual instrument
Voice Separation tool
voices
copying sequence from one voice to another 2nd
creating polyphonic Score Styles 2nd 3rd 4th 5th 6th
sequencing 2nd
Ultrabeat and 2nd 3rd 4th 5th 6th 7th
Volume selection, Automation Parameter pop-up menu 2nd 3rd 4th 5th 6th 7th 8th
Volume, on Automation Parameter pop-up 2nd 3rd 4th 5th


W

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

wah
WAV, WAVE
as audio file format
defined
importing Broadcast WAVE file 2nd 3rd
waveforms
defined
drawing out clicks with Pencil tool 2nd 3rd
fixing problems with existing material
magnifying without zooming Region 2nd 3rd
playing Audio Regions in Sample Editor 2nd 3rd 4th
reverb effect on 2nd
sample accurate
smoothing out transitions with fades 2nd 3rd
using edits to create parts
using Sample Editor
Waveshaper, Sculpture 2nd
wet signal
workflow, speed 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th 20th 21st 22nd 23rd 24th 25th 26th 27th 28th 29th 30th 31st 32nd 33rd 34th
customizing interface 2nd 3rd 4th 5th 6th 7th 8th
key commands [See key commands]
keyboard shortcuts 2nd
saving song template 2nd
song templates 2nd 3rd
summary
toolbox access 2nd 3rd 4th 5th 6th 7th 8th
Write mode, real-time automation


X

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

X-Fade mode
x/y scroll element
XML (Extensible Markup Language)
defined
importing from Final Cut Pro 2nd 3rd 4th


Z

Previous Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

zero crossing
Zones, EXS24 Instrument Editor 2nd
zoom 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
assembling comp track 2nd 3rd 4th
automation nodes and
curves and
customizing interface and
defined
fixing problems with existing material
Group Automation and
importing XML from Final Cut Pro and
keyboard shortcuts 2nd
magnifying waveform without 2nd 3rd
markers for Beat Mapping and
on Objects 2nd 3rd 4th
positioning 2nd 3rd
real-time automation and
Sample Editor and 2nd
saving and recalling settings 2nd 3rd 4th
Smart snap and
using edits to create parts
viewing tracks for comping 2nd